Introduction - Manual Operation

This section provides a survey of the CMU's operating concept. This includes a description of the basic menu types, the selection and setting of parameters, and a general discussion of measurement control. The operating menus in the CMU basic system, the RF function group, and optional function groups are presented in an overview at the end of this section and described in greater detail in the section Functions and their Applications.

Operating concept | The CMU was designed for easy, intuitive operation. All menus rely upon a limited number of controls with analogous or identical function. Basic settings are discussed in section Overview - Measurement Control .
Basic elements | The CMU is operated via softkeys and tables. Softkeys provide a fast access to the instrument functions. Tables facilitate the management of larger amounts of data.
Flexibility and uniformity | The CMU permits to switch over between various operating modes (multi-mode operation). For this purpose, it is possible to change between the menus in almost any instrument state. The different function groups (RF, GSMxxx-MS etc., see also separate operating manuals for network test applications) can be operated in the same way; measurements of the same type belonging to different applications are standardized.


Overview - Controls

The CMU is operated under menu control via keys, softkeys and hotkeys:

Keys, softkeys and hotkeys


Rotary Knob

The rotary knob (spinwheel) can be used in two different ways:

  • It is turned to select entries in list fields and tables and to vary (increment/decrement) numerical and alphanumerical entries.
  • It is pressed to expand or compress table sections (thus replacing the ON/OFF key), to expand pull-down lists, to open auxiliary input fields, and to confirm numerical entries or selections (thus replacing the ENTER key).


Keys

The keys located in the right-hand part of the front panel are combined to form groups according to their functions. They control

  • Data input and variation
  • Pre-selection of the menus
  • Settings of the instrument, editor, help file and output


Softkeys

Softkeys are assigned to the nine keys located both at the left and at the right edge of the screen. To simplify the display, only the softkeys which are actually assigned in a menu are indicated.

Selection of softkeys:

The CMU provides selectable and non-selectable softkeys. A softkey is selected by pressing the associated key.

A selected softkey is highlighted by a blue frame. Softkey selection establishes a connection to settings and functions related to the softkey. These related functions can be initiated via keys (e.g. ON/OFF, CONT/HALT), or via the selected softkey itself (e.g. calling up popup menus by pressing a selected softkey again).

After the function has been terminated, or after another softkey is selected, the softkey returns to its initial state.

Softkey types and their function:
Softkeys perform definite tasks within the corresponding menus. Different types of softkeys are provided:

Pressing the softkey (i.e. the associated key) causes an immediate response on the screen. An example is the non-selectable softkey Connect. Control which is used to call up a popup menu.

Pressing the softkey activates a dialog box, e.g. an input field.
The softkey is a measurement control softkey (main softkey) indicating the measurement state (RUN, OFF, HLT). A yellow triangle indicates that a popup menu providing configurations can be opened with the softkey (press once for selection, a second time for opening the popup).

A measurement can be started and aborted with the ON/OFF key (i.e. the ON/OFF key switches between the measurement states RUN and OFF). It can be stopped while preserving the valid results with the CONT/HALT key (i.e. the CONT/HALT key switches between the measurement states RUN and HLT; starting a measurement from the OFF state by means of the CONT/HALT key is not possible). In the HLT state, the instrument resources are not released; the application is still available. The formal aspects of measurement control are explained in section Outline - Remote Control.

The softkey indicates the generator status (ON, OFF). A yellow triangle indicates that a popup menu providing configurations can be opened with the softkey (press once for selection, a second time for opening the popup).

A generator can be started and aborted with the ON/OFF key. The formal aspects of generator control are explained in section Outline - Remote Control, section Measurement Control.

The softkey toggles between two hotkey bars (corresponding to two groups of settings). The current group is indicated in large typeface in the first line of the softkey; the alternative group appears in smaller typeface next to a double triangle.


Hotkeys

Hotkeys are assigned to the eight keys at the lower edge of the screen. Only the hotkeys softkeys which are actually assigned in a menu are indicated.

Selection:
A hotkey is activated by pressing the associated key. After activation it changes its frame.
Function:
Hotkeys permit to
  • Change from one measurement menu/graphical measurement menu to the other
  • Select tabs in the popup menu

A yellow triangle indicates that a second version of the current tab providing additional configurations can be opened with the hotkey. The hotkey toggles between the two versions of the tab.
In the Graphical Measurement Menus, hotkeys provide extended settings and can be used like ordinary function softkeys.


Overview - Operating Menus

The CMU offers a large variety of operating modes and applications. To ensure quick and easy operation, uniform menus have been implemented. They can be divided into three types:

Measurement menu | Offers the most important settings controlling a measurement and displays the main results,
Popup menu | Provides extended settings for a measurement menu or function group,
Graphical menu | Displays a measurement trace together with settings and further measurement results, contains softkeys and hotkeys used to access measurement control settings.


Measurement Menus

A measurement menu provides the basic settings controlling a measurement and at the same time displays the main results. Together with the graphical measurement menus, measurement menus constitute the basic level in the operating system of the CMU. They can only be replaced by other measurement menus or graphical measurement menus. To change the menu, the hotkeys at the lower edge of the measurement menu are used.

Example of a measurement menu

Header The header consists of the heading and the symbols for the operating mode and test mode (signalling state, if applicable in the function group).
  • The heading briefly describes the purpose of the menu (e.g. type of settings, measurement group, function group, etc.)
  • The operating mode, i.e. the type of operation/control of the CMU, is indicated by the symbols at the right edge of the header. The following operating modes are available:

Manual mode
Remote control via IEC-bus
Remote debug mode (activated in the Setup – Remote tab).
  • The function group is indicated to the left of the operating mode:

RF measurements

Audio Analyzer and Generator (with option CMU-B41)

In network test applications, the signalling states that are specific to the applications are indicated. The corresponding icons are discussed in the relevant manuals (see GSMxxx-MS etc.).

General settings
The Connect. Control softkey is located to the right of the header of each measurement or graphical measurement menu. This softkey opens a popup menu defining the input and output connectors, the external attenuation, the reference frequency as well as many network-specific settings.

In the Signalling test modes of many network options, the Connection Control menu is also used to set up and terminate a connection between the CMU and the DUT.

The Connection Control menu also contains the input path and the trigger settings for the current function group and signalling state.

Measurement control softkey

The measurement control softkey (main softkey) controls the measurement application and indicates its state (RUN | HLT | OFF). Its labeling corresponds to the menu heading. For large measurement groups that are subdivided into several applications, the labeling indicates the current application.

The hotkey bar associated to the measurement control softkey provides parameters to define the scope of the measurement (statistical settings).

Pressing the measurement control softkey twice opens a popup menu providing measurement-specific settings.

Softkeys for important settings

The softkeys below the measurement control softkey provide groups of important measurement settings. Each softkey activates an associated hotkey bar. An active softkey is displayed in inverse video.

The Menus softkey displays all measurements in the function group, so it is possible to change from one measurement to another.

Hotkeys

If one of the softkeys is activated, the hotkeys below the test diagram provide sub-functions for this softkey.

If the Menus softkey is activated, the hotkeys change between the various measurement groups of the current function group.

Popup box

Popup boxes are associated to all hotkeys that require a selection or input of parameters. These popup boxes are operated like input fields in the measurement menus (input of numbers and characters) or list fields (selection from a range of alternative settings).

Popup boxes are closed when the calling hotkey is pressed again or when another popup box is opened. They remain open when another softkey is selected, so it is possible to easily test the effect of repeated changes of a parameter.

Settings table

The Settings table in the right half of the menu gives an overview of the current measurement settings. The entries vary with the measurement and measurement applications. The rotary knob scrolls and expands the Settings table.


Graphical Measurement Menus

The CMU displays arrays of measurement results in the form of two-dimensional diagrams. In order to obtain additional space for the test diagram, no settings table is displayed. The header and the functionality of the softkeys and associated hotkeys is identical to the measurement menu.

Example of graphical measurement menu


Popup Menus

Popup menus extend the functionality of a measurement menu. They are assigned to the configuration softkey Connect. Control as well as to all measurement control softkeys in a measurement menu that are marked by a yellow triangle at the bottom right. They may be divided into several tabs that are selected via hotkeys in the measurement menu.

The popup menu Connection Control is activated by pressing the associated softkeys. Popup menus which configure a measurement are activated by pressing the measurement control softkey twice (selection of softkey and subsequent opening of popup menu). A popup menu is closed by means of the ESCAPE key or by pressing the calling softkey again.

Example of a popup menu

Header The header consists of
  • The heading (<name of the measurement group> Configuration; the function group is indicated on the right in small characters),
  • The symbol for the signalling state on the right. See section Measurement Menus.
Tabs Popup menus come without tabs (1 single window) or with several tabs.

The tabs may contain input fields, select fields, command and on/off switches (checkboxes). Various fields can be combined to form groups (panels).

(Expanding) menu tables Configuration settings in popup menus are often arranged in tables. If a table provides a large number of settings, these are usually grouped under several header lines marked by a black triangle. The items belonging to a group can be shown (expanded, triangle points down) and hidden (compressed, triangle points to the right) by selecting the corresponding header line and pressing the ON/OFF key or the rotary knob.

More:

Operation of Popup Menus


Operation of Popup Menus

The following table provides an overview of the operation of popup menus.

Action | Operation via keys
Open menu | Press the softkey twice (selection plus opening of menu), press only once in the case of Connect. Control
Select tabs dialog elements | Press hotkey softkeys (Connect. Control), cursor keys
Edit fields | Keys ON/OFF, ENTER, number and unit keys, rotary knob, see section Overview - Dialog Elements in the Menus.
Edit table entries | Keys ON/OFF, ENTER, number and unit keys, rotary knob, see section Overview - Dialog Elements in the Menus.
Quit and close menu | Any assigned softkey / ESCAPE key


Overview - Dialog Elements in the Menus

This section describes the various types of dialog fields and the procedure for the input of values and parameters.

In many input or select field types, a selection made must be confirmed using the ENTER key. The cursor can be freely shifted over these fields; only after confirmation is the setting transferred to the instrument software.

In the case of select fields without confirmation, settings take effect immediately with the cursor selection.


Input Fields

An input field (editor) is a white, rectangular area on the screen which permits numbers or characters to be entered. Input fields are available both in measurement and in popup menus. In graphical measurement menus, the input fields are popup windows which can be called up by means of hotkeys while the instrument is in the function mode.

Note:
The easiest and quickest way to enter numbers or characters is by means of an external keyboard that is connected to the KEYBOARD connector at the rear of the CMU. Alternatively, follow the directions given in the next two sections.

More:

Input of Numbers

Input of alphanumerical characters


Input of Numbers

Input fields for numerical values are activated by pressing the respective softkey. Numerical values can either be varied using the rotary knob (by incrementing/decrementing individual digits) or directly entered via the numerical keypad (DATA) on the front panel or an external keyboard. To this end, the insert and overwrite mode is available. It may be necessary to confirm the input for transfer to the instrument hardware.

In the following, the most important possible inputs using the rotary knob or the numerical keys will be described.

More:

Activating an input field and a digit

Input using the rotary knob - Overwrite mode

Input using the numerical keypad - Insert Mode

Further control keys

Confirming/discarding the input

Error message during input


Input of alphanumerical characters

Input fields for alphanumerical characters are activated by pressing the respective softkey. Characters can be either varied using the rotary knob (by variation of individual characters in alphabetical order) or entered via the numerical keypad (DATA) on the front panel or an external keyboard. The input must be confirmed using the ENTER key in order to be transferred to the instrument hardware. The input is terminated upon confirmation.

The table below shows the assignment of the numerical keys.

More:

Assignment of numerical keys and alphanumeric characters

Activating the input field and auxiliary editor

Input using the numerical keysA

Input using the rotary knob

Insert/overwrite

Confirming/discarding the input


Overview - Select Fields in Popup Menus

Various types of fields permit to select one or several settings out of a number of given options. The desired settings are to be marked; the selection is to be confirmed using the ENTER key, if required.

More:

Select Fields and Tables


Select Fields and Tables

Various types of fields permit to select one or several settings out of a number of given options. The desired settings are to be marked; the selection is to be confirmed using the ENTER key, if required.

Popup menus may or may not contain softkeys; they contain input or select fields which can be combined to form panels or groups and tables. Select fields and tables in the popup menus can be controlled intuitively using the cursor keys [image] [image] [image] [image]. The following overview applies to all field types.

More:

Operation of select fields

List fields - selection 1 out of n

Pull-down list fields

Expanding menu tables


Overview - Measurement Control

This section gives a brief survey of the CMU's measurement control using the function group RF Non Signalling as an example. This includes a discussion of the different measurement modes and measured quantities. Settings and measurement parameters frequently encountered are explained from a general point of view.

The formal aspects of measurement control are discussed in more detail in section Outline - Remote Control.

The menus of the graphical user interface can be arranged in different ways. According to their tasks, they form the following groups:

  • The function groups RF, Audio, GSM-MS, etc. The RF function group is supplied with the firmware for the CMU base system. The function groups for network test applications are optional and described in separate operating manuals.
  • The two signalling modes Signalling and Non Signalling. The signalling properties are specific to the individual networks and devices under test. In the function group RF only Non Signalling measurements are provided.
  • General configurations (Group Configuration, Connection Control), configurations specific to a measured quantity (Powe Configuration, Spectrum Configuration, etc.), and menus displaying the results of the measurement (Power; Spectrum etc.).

In a more formal sense, the CMU uses measurement menus, popup menus, table menus, and graphical measurement menus and dialog windows of various sizes. This aspect is discussed in the preceding sections.

More:

Configurations


Configurations

The CMU offers a wide range of settings for input and output signals and measurements. Configurations either refer to the whole function group (Connection Control) or to a particular measurement.

More:

Connection Control

Configuration of measurements


Connection Control

In function group RF, the Connect. Control softkey is located on the right side of the title bar of each measurement and graphical measurement menu. It opens a popup menu with several tabs configuring

  • The analyzer settings and input path configuration (Analyzer).
  • The RF generator (RF Generator)
  • The RF and possibly the AF connectors to be used and the external attenuation (AF/RF [image] ).
  • The reference signal and system clock (Sync.)
  • The trigger settings (Trigger)

All settings made in the Connect. Control menu apply to the whole function group and signalling mode.


Configuration of measurements

A Configuration popup menu offering specific settings is assigned to most measurement groups (see e.g. the Power and Spectrum measurements in the RF function group and the Multitone measurement in the Audio function group). The Configuration menu also provides general parameters that can be defined independently in many measurement groups:

  • The repetition mode, the stop condition, the statistic count and the display mode for the measurement (Control)
  • Tolerances for the measured quantities (Limits, Limit Lines)

These settings are explained in more detail below (General Settings). For a detailed explanation refer to the manuals for network tests.


Measurement Groups

Measurement results are indicated in two different ways:

  • Discrete values and parameters are displayed in output fields, lists and tables. In remote control, these results are referred to as scalars.
  • Measurement curves (traces) are displayed in a Cartesian coordinate system, the time, frequency or another continuous parameter forming the x-axis scale. Power results are usually plotted in semi-logarithmic diagrams. Relatively small sets of test points are generally viewed in a bar graph. In remote control, results of this type are referred to as arrays.

While the measurement is running in repetition mode continuous , the indicated results are constantly updated. Each function group and measurement mode comprises a particular selection of measurement groups. The measurement groups belonging to function group RF (Non Signalling) and Audio (with option CMU-B41) are shown in the following tables.

Measurements in function group RF (Non Signalling)

Menu | Function
Analyzer/Generator | Shows the settings for the signals generated and analyzed by the instrument, the generator status, and the state of the RF analysis. Moreover the current analyzer power is indicated.
Power | Shows the trace of the measured RF power in oscillographic representation, i.e. as a function of time. The maximum level and frequency of the input signal is indicated in addition. Single points of the trace may be evaluated using graphical tools (markers, D-Line).
Spectrum | Shows the trace of the measured RF power in spectral representation, i.e. as a function of the frequency. Parameters of the measurement are indicated in addition. Single points of the trace may be evaluated using graphical tools (markers, D-Line).

Measurements in function group Audio (with option CMU-B41)

Menu | Function
Analyzer/Generator | Generates a single-tone sinusoidal audio signal and measures the DC and AC voltage and the Total Harmonic Distortion and Noise of a single-tone audio signal.
Multitone | Generates a composite audio signal consisting of up to 20 individual fixed-frequency tones with configurable frequency and level. An audio signal containing the same tones can be analyzed in a single measurement and displayed in a bar chart. A limit check is provided for all results.


General Settings

A number of settings can be made in several of the configuration menus assigned to the individual measurement groups. In combination, these settings define the scope of each measurement, i.e. the number of results acquired and the type of results displayed. The following brief overview is intended to avoid confusion of terms.

More:

Application

Statistic Count /Statistics Cycle

Repetition Mode

Stop Condition

Display Mode

Calculation of average quantities


Manual Operation - Measurement Control - General Settings - Application

Application

Applications are different measurements belonging to the same measurement group. They effectively split up a measurement group into various related subgroups which can be configured separately.

They are selected via the Application softkey in the measurement menus.


Statistic Count /Statistics Cycle

The statistic count is equal to the integer number of evaluation periods which form one statistics cycle. The definition of an evaluation period changes from one measurement to another:

  • The evaluation period for Power and Spectrum measurements (function group RF) corresponds to the duration of a sweep.
  • The evaluation period for Multitone measurements (function group Audio) corresponds to the time until the system has settled and a valid result is available.
  • In all digital radio communication systems (GSM, TDMA, CDMA, ...), the information is transmitted in periodic timeslots of equal length. These slots provide natural evaluation periods for all measurements on digital network tests. See the relevant manuals for more specific information.

Depending on the repetition mode (see below), a measurement may extend over one or several statistics cycles. The statistic count is set in the Control tab of the configuration popup-menus assigned to each measurement group. If this parameter is omitted, a statistics cycle always comprises just one evaluation period.


Repetition Mode

The repetition mode defines how many statistics cycles are measured if the measurement is not stopped by a limit failure (see stop condition On Limit Failure below). Two modes are available for all measurements:

Single Shot | The measurement is stopped after one statistics cycle
Continuous | The measurement is continued until explicitly terminated by the user; the results are periodically updated

A third repetition mode is available in remote control:

Counting Repeated single shot measurement with a fixed number of statistics cycles

The repetition mode is set in the Control tab of the measurement configuration popup-menus.

Note:
In contrast to other instrument settings, the repetition modes in manual and remote control are independent and do not overwrite each other. The default repetition mode in manual control is Continuous (observe results over an extended period of time), the default mode in remote control is Single Shot (perform one measurement and retrieve results).


Stop Condition

For measurements providing a limit check, two stop conditions can be selected:

None | The measurement is performed according to its repetition mode, regardless of the measurement results,
On Limit Failure | The measurement is stopped as soon as one of the limits is exceeded, regardless of the repetition mode set. If no limit failure occurs, it is performed according to its repetition mode.

Some other stop conditions are defined for network tests. See the relevant manuals for more information.

The stop condition is set in the Control tab of the measurement configuration popup menus.


Manual Operation - Measurement Control - General Settings - Display Mode

Display Mode

In graphical measurement diagrams, the display mode defines which of the measured and calculated curves (traces) is displayed if the measurement extends over several evaluation periods. In general, traces are evaluated at a set of fixed, equidistant test points (samples). After n evaluation periods, n measurement results per test point have been acquired. After a single shot measurement extending over c periods, c measurement results per test point have been acquired.

Current | The current burst, i.e. the last result for all test points, is displayed.
Minimum | At each test point, the minimum value of all bursts measured is displayed.
Maximum | At each test point, the maximum value of all bursts measured is displayed.
Average | At each test point, a suitably defined average over all bursts measured is displayed; see paragraph on Calculation of average quantities below.

Note the difference in the calculation of Average on one hand, Minimum, Maximum and Max./Min. on the other hand, if the measurement extends over more than one statistic count (repetition mode Continuous, measurement time longer than one statistic count).

After evaluation of the different traces, the burst power is logarithmized and plotted in a semi-logarithmic diagram.

The display mode is set in the Control tab of the measurement configuration popup-menus.


Calculation of average quantities

The Average traces in the Power and Spectrum menus are obtained as follows:

Let c be the number of bursts forming one statistics cycle (one statistic count) and assume that n bursts have been measured since the start of the measurement. In calculating the Average trace, the following two situations are distinguished:

n £&le; c | Single shot measurement or continuous measurement during the first statistics cycle: At each test point, Average trace no. n is calculated from Average trace no. n - 1 and Current trace no. n according to the following recurrence: The Average trace represents the arithmetic mean value over all n bursts measured.
n > c | Continuous measurement after the first statistics cycle: At each test point, Average trace no. n is calculated from Average trace no. n - 1 and Current trace no. n according to:

Scalar quantities are averaged in analogy to Average traces. The formulas hold for n = 1 where the average trace becomes equal to the current trace (statistics off). Scalar quantities are averaged in analogy to Average traces

Note:
Some network tests (e.g. WCDMA) use a different prescription to calculate the average traces. See the relevant manuals for more information.


Introduction - Functions and their Application

This chapter explains in detail all functions of the CMU and their application. The structure of the chapter is based on the menu groups and their function. It is organized like a typical measurement session including the following stages:

  1. Startup menu
  2. Menu selection
  3. General device configurations
  4. System information and hardware diagnosis
  5. RF measurements (measurements and measurement results, configurations)
  6. Audio Generator and Analyzer (Option CMU-B41) including Audio Multitone

In contrast to section Introduction - Commands, the measurement and results are explained first, special measurement configurations are relegated to the end of the section. The description of the softkeys is followed by the remote-control commands. Similarly, the description of the commands in section Introduction - Commands also contains the corresponding menus of the user interface.

The description of the operating concept is to be found in section Introduction - Manual Operation; besides, an overview of all menus is given at the end of this section. To find information on a particular topic please refer to the index at the end of the manual.


Startup Menu

The startup menu provides information on the instrument and the installed options. It appears for a few seconds in the display after switching on the CMU and activating the operating mode (see chapter 1, Switching on the Instrument/Startup Test of the operating manual). While this menu is displayed, the CMU performs a startup test.

Startup menu

More:

Displays in the Startup Menu

Hotkeys of the Startup Menu

On-Screen Help (HELP Key)


On-Screen Help (HELP Key)

The Help menu displays help on the basic menus, controls and keys. It is possible to expand and compress the topics using the ON/OFF key. The menu is opened via the HELP key (SYSTEM keypad).

Popup window Help


Reset of Instrument Settings

The popup window Reset sets the instrument settings in all or some function groups and test modes to their default values. It is opened via the RESET key (CONTROL keypad).

Note:
A reset of the instrument does not necessarily mean that the current instrument settings are lost. The CMU can store the settings in a configuration file and re-use them in a later session.

Popup window Reset

More:

Selection of the Settings

Reset/Cancel


Print Menu

The popup window Print permits to print the current screen as configured in the Print tab of the Setup menu. It is called up on pressing the PRINT key (SYSTEM keypad).

Popup window Print

More:

Print Mode

Destination

Filename

Comment

Printer format

OK-Button


Menu Select

The Menu Select menu gives an overview of all available measurements that can be selected and called up directly from the menu. The measurements are arranged in tables showing their hierarchical structure. Menu Select appears after termination of the startup procedure of the CMU or after pressing the Menu Select key. It is closed after selection on pressing the ENTER key or the MENU SELECT key again. The ESCAPE key discards the current selection.

Menu Select

More:

Selection Table - Function Groups

Selection Table - Test Modes and Menus

Hotkey Assign.

Hotkeys Set 1

Softkey Labeling


Introduction - Popup Menu Setup

The popup menu Setup contains several tabs used to adapt the CMU to user requirements. The menus are opened by pressing the Setup key. It is possible to change between the tabs by pressing the associated hotkeys.


Printer Settings - Setup-Print

The Setup - Print menu controls the output of data from the CMU to a printer or a storage medium. The following configurations are provided:

  • Printer type and port selection (Printer)
  • Page settings for the selected printer (Page Settings)
  • A header for the printed page (Header)
  • Default file name and directory (Filename Default)

Some of the Setup - Print configurations serve as default settings and can be modified in the Print popup menu before the print process is started.

Printer configuration menu (Setup - Print)

More:

Default Settings

Printer

Page Settings

Header

Filename Default

Auto-increment function


Serial Interfaces - Setup-Comm

Serial Interfaces (Setup - Comm)

The interface menu (Setup Comm.) defines the transmission parameters of the serial outputs COM 1 and COM 2.

Interface menu

More:

COM


Enabling Options - Setup - Options

Enabling Options (Setup - Options)

The option menu (Setup Options) provides information on the type of instrument and the installed options, equipment and firmware versions (Software Options, Hardware Options, Hardware Equipment, Firmware Versions). New software options purchased can be enabled in this menu using a code number.

Options menu

More:

Info section

Software Options

Enabling software options

Hardware Options / Hardware Equipment / Firmware Versions


Time Settings - Setup-Time

Time Settings (Setup - Time)

The Setup Time tab shows and permits to change the following settings:

  • The (current) time zone, time and time convention (Time)
  • The (current) date (Date)

Time menu

More:

Default Settings

Time

Date


Acoustic Signal and Keyboard - Setup-Misc

Acoustic Signal and Keyboard (Setup - Misc)

The Setup Misc. menuactivates the acoustic signal (key beep), configures the display, and selects the keyboard assignment (Keyboard).

Setup - Misc. menu

Key Beep The Key Beep parameter switches the acoustic signal of the CMU on or off. If the key beep is On the CMU sends a discreet acoustic signal whenever a key is pressed. The default setting is Off.

Remote control
SYSTem:MISC:KBEep

Keyboard The Keyboard parameter selects the keyboard assignment (German or US keyboard).

Remote control
SYSTem:MISC:KEYBoard

Display Settings The Display ColorsSettings configures the R&S CMU LC display:

Display Color
Selects the brightness of the display. In the High Contrast setting, the display is darker; the contrasts are enhanced.

Screen Save Time
Defines a time in minutes after which the display will turn dark if no front panel key is pressed. Remote control commands have no influence on the screen saver.

Display Off
Turns the display off. The display is turned on again by pressing any front panel key.

Remote control
No command, screen configuration only.


System Information (Info)

The Info popup menu, which is opened by pressing the INFO key, displays comprehensive information on the instrument and its components. Part of the information is also displayed in the Options tab of the Setup menu.


selftest

Selftest (Maintenance)

The Maintenance popup menu, which is accessible via the BASE function group in the Menu Select menu, complements the Info menu in providing service information, selftests and correction procedures that are aimed to improve particular measurements. The selftests are primarily intended for production and service purposes and therefore not needed during normal operation of the instrument. The following description serves as a general overview.

Selftest - Maintenance menu

More:

Select

Test

Report


Introduction - Data Handling

Introduction – Data Handling

The Data popup menu, which is opened by pressing the DATA key, saves and recalls configuration files, handles log files for GSM layer 3 messages and manages the files in the internal and external memories that can be used for mass storage.

More:

Saving Configurations (Data – Save)

Loading Saved Configurations (Data – Recall)

Layer 3 Message Log (Data – Logging)

Transfer and Evaluation of Log Files

File Manager (Data – Arrange)


Saving Configurations (Data - Save)

Saving Configurations (Data – Save)

The Save tab in the Data popup menu stores the current instrument settings to a configuration file. Configuration files have the extension *.SAV and contain the following information:

  • All user-defined settings of a particular function group and test mode comprising all measurement settings (defined in the measurement configuration menus) and all general settings (defined in the Connection Control menu)
  • For Signalling test mode, all settings concerning signalling (connection setup etc.)
  • For the Base system, the current function group, test mode and measurement menu.

The configuration of several function groups and test modes can be written to a common configuration file. The configuration of the current session is automatically stored in the non volatile RAM before a session is terminated and re-activated when the CMU is started next time; see also Chapter 1, section CMU VersionManager.

Data – Save menu

More:

Selection of function groups

Content Destination

Change Destination

OK to Save


Loading Saved Configurations (Data - Recall)

Loading Saved Configurations (Data – Recall)

The Recall tab in the Data popup menu recalls and activates a configuration previously stored with the Save tab; see section current instrument settings to a configuration file (*.SAV).

Data – Recall menu

The View Info/Rename and Delete softkeys are equivalent to the softkeys of the same name in the Arrange tab.

More:

File selection

Source Content

OK to Recall


Layer 3 Message Log (Data - Logging)

Layer 3 Message Log (Data – Logging)

The Logging tab in the Data popup menu activates recording of the layer 3 messages transferred during a GSM-MS Signalling session and selects a destination file for this information.

Data – Logging menu

More:

Application Destination

Buffer Writing

Change Destination

Save to File


Transfer and Evaluation of Log Files

A log file can be transferred to a PC using the functions of the Arrange tab or via GPIB bus using the MMEMory:DATA command. Rohde & Schwarz provides an evaluation software tool for log files, the Message Viewer (option R&S CMU-Z49; the extended version R&S CRTU GP01, stock no. 1139.7590.02, allows to edit layer 3 messages). After loading the log file into the Message Viewer, the information can be evaluated as shown in the following examples. For more information please refer to the operating manual or help for the Message Viewer.

Evaluation of log files


File Manager (Data - Arrange)

File Manager (Data – Arrange)

The Arrange tab in the Data popup menu manages the files in the internal and external memories that can be used for mass storage. The menu is particularly useful for handling files containing user data such as:

  • Screenshots (*.wmf or printer format, see PRINT Menu)
  • Log files (special binary *.log format, see Layer 3 Message Log (Data – Logging))
  • Remote report files (ASCII text files, see description of the remote screen).

An extended file management functionality is available in remote control; see MMEMory system.

Data – Arrange menu

More:

File Selection

File indication - Paste Buffer

Dir. View Content

View Info Rename

Delete

Make Directory

Copy

Paste


Overview - RF Measurements

This chapter describes the measurement and configuration menus of function group RF. It is organized as follows:

  • Configuration of the RF output signal, RF analyzer settings and general power measurements (Analyzer/Generator).
  • Graphical measurement menus (Power versus Time and Spectrum): Measurement menus, results, configuration menus.
  • General configurations (Connection Control).


Analyzer/Generator Menu

The main menu Analyzer/Generator configures the RF generator and analyzer and displays the power of the received RF signal.

  • The measurement control softkey Analyzer Power changes to Power Meter Freq. Sel., depending on the application selected. This softkey controls the measurement, indicates its status (RUN | HLT | OFF) and opens the configuration menu Analyzer/Generator Configuration. The hotkeys associated with the measurement control softkey define the scope of the Analyzer/Generator measurement.
  • The other softkeys on the right side are combined with various hotkeys (e.g. the hotkeys Frequency and RBW belong to the softkey Analyzer Settings). The softkey/hotkey combinations provide test settings and switch over between different measurements.

More:

Power Measurements

Types of settings

Measurement results

Analyzer/Generator Menu – Test Settings

Analyzer/Generator Menu – Measurement Results

Analyzer/Generator - Configuration


Power Measurements

The RF function group provides different types of power measurements. All power measurements are performed at fixed frequency. They differ in their measurement principle and filter settings, in the statistical evaluation and the display of results.

More:

Analyzer Power

Power Meter Freq. Sel.

Pow. Meter Wideband

Power vs. Time


Spectrum Measurements

The menu group Spectrum measures the signal power as a function of the frequency (spectrum analysis). The popup menu Spectrum Configuration is used for configuration of the measurements; the results (i.e. the spectrum) are displayed in the graphical measurement menu Spectrum.

More:

Measurement Menu (Spectrum) - Test settings

Measurement Menu (Spectrum) - Measurement Results

Measurement Configurations (Spectrum Configuration)


Connection Control (RF)

The popup menu Connection Control contains several tabs to configure the inputs and outputs of the CMU and the respective signals in the RF function group and the trigger settings.

The menu group is activated via the softkey Connect. Control to the right of the header of each measurement menu. The individual tabs (Analyzer, Generator, RF [image], Sync., Trigger, I/Q-IF) can be accessed via the hotkey bar at the lower edge of the screen.


Analyzer Settings - Connection Control-Analyzer

Analyzer Settings (Connection Control-Analyzer)

The Analyzer tab determines the maximum input level (RF Max. Level) and configures the RF input path. The CMU provides a softkey-oriented version of the Analyzer tab and a table-oriented version with extended functionality. The Analyzer hotkey toggles between the two versions if it is pressed repeatedly.

The Analyzer Settings are also displayed in the main menu Analyzer/Generator.

More:

Softkey-Oriented Version - Analyzer Settings

Table Oriented Version - Analyzer Settings


Generator Settings - Connection Control-Generator

The Generator tab configures the RF generator, in particular by defining the output level (RF Level), the Frequency, Modulation, and Frequency Hopping. The CMU provides a softkey-oriented version of the Generator tab and a table-oriented version with extended functionality. The Generator hotkey toggles between the two versions if it is pressed repeatedly.

More:

Softkey-Oriented Version - Generator Settings

Table Oriented Version - Generator Settings

RF Connectors (Connection Control - RF)

Reference Frequency (Connection Control - Synch.)

Trigger)

I/Q-IF Interface (Connection Control – I/Q-IF)


RF Connectors (Connection Control - RF)

The tab RF [image] configures the connectors for RF input and output signals including the two RF output signals Tx and Aux Tx (with option CMU-B95, Additional RF Generator). This includes:

  • Selection of the RF signal (TX / Aux Tx)
  • The RF input and output of the CMU (RF Output, RF Input)
  • An external attenuation at the connectors (Ext. Att. Output, Ext. Att. Input)
  • A frequency-dependent external input and output attenuation (Freq. Dep. Att.)

Besides, the tab controls the Wideband power meter and displays the result.

Connection Control - RF connectors

More:

Tx Aux Tx

RF Tx Output

Ext. Att. Output

RF Input

Ext. Att. Input

Frequency Dependent Attenuation

Pow. Meter Wideband


Reference Frequency (Connection Control - Sync.)

The tab Synch. determines the reference signals for synchronization. This includes

  • The internal or external Reference Frequency
  • The output mode for the network-specific system clock (REF OUT 2).

Connection Control - Synchronization

More:

Reference Frequency

REF OUT 2


Trigger (Connection Control - Trigger)

The Trigger tab is part of the second group of tabs in the Connection Control menu. It is accessible after pressing the 1 / 2 toggle hotkey once. Pressing 1 / 2 again switches back to the first group of tabs described above.

TheTrigger tab defines the trigger condition for the measurement and the input for the external trigger signal.

Connection Control – Trigger

More:

Default Settings

Meas. Trigger – Source

Level

Slope

Ext. Trigger (AUX 3/4)


I/Q-IF Interface (Connection Control - I/Q-IF)

I/Q-IF Interface (Connection Control – I/Q-IF)

The I/Q-IF tab is part of the second group of tabs in the Connection Control menu. It is accessible after pressing the 1 / 2 toggle hotkey once. Pressing 1 / 2 again switches back to the first group of tabs described above.

The I/Q-IF tab configures the signal paths for I/Q and IF signals. With option CMU-B17, I/Q and IF Interfaces, I/Q and IF signals can be used in the framework of RF measurements and in many network tests. For a detailed description of rear panel connectors for I/Q and IF input/output signals, test scenarios and application examples refer to section I/Q and IF Interface - Option CMU-B17.

Connection Control – I/Q-IF

More:

Default Settings

I/Q-IF

RX Path

TX Path


Introduction - Options and Extensions

The function groups described in this section require the installation of hardware options; for a complete list of deliverable options refer to the data sheet. Software options for digital and analog network tests are described in separate operating manuals; for a list refer to the Manuals section before tabbed divider no. 1 of this manual.


Audio Generator and Analyzer - Option CMU-B41

Audio Generator and Analyzer – Option CMU-B41

Option CMU-B41, Audio Generator and Analyzer, provides an additional Audio function group comprising the functions for generating and measuring audio signals. It can be accessed either from the Menu Select menu (standalone audio measurements) or by switching over from any of the GSM-MS, Bluetooth, cdmaOne (IS 95)-MS, CDMA2000, or TDMA (IS 136)-MS measurement menus. In the latter case, the audio circuit of a mobile station can be tested without releasing a call connection or changing the signalling state of the CMU.

Standalone audio measurements are performed with default connector settings, the audio signals being applied to the connectors AF IN/AUX 1 (input) and AF OUT/AUX 2 (output) on the front panel of the instrument (see Chapter 1). If Audio is used in the context of the network tests (Signalling test mode), the AF/RF [image] tab of the associated Connect. Control menu allows to select the input source of the CMU speech encoder and the output destination of its speech decoder (for more information refer to the relevant network operating manuals).

More:

Measurement Menu Analyzer/Generator

Measurement Configurations (Analyzer Configuration)

Measurement Menu Audio Multitone

Measurement Configurations ( Audio Multitone Configuration)


I/Q and IF Interface - Option CMU-B17

Option CMU-B17 provides separate access to the I/Q and IF signals in the CMU200 receiver (RX) and transmitter (TX) paths. The functionality is applicable in conjunction with the RF function group (see section I/Q-IF Interface (Connection Control – I/Q-IF)) and with a wide range of network options in Signalling as well as in Non Signalling test modes (see separate manuals for network options). The insertion of option CMU-B17 in bypass mode does not cause any influence on signals; i.e. the additional insertion loss caused by option CMU-B17 will be corrected during the mandatory calibration procedure after installation.

Block diagram The diagram below shows the possible signal paths and the input and output connectors related to option CMU-B17. The position of the connectors on the rear panel is shown in Chapter 1; for the technical specifications and the pin assignment refer to Chapter 8.

I/Q-IF Interface

More:

I/Q-IF Test Scenarios


Introduction - Remote Control1

Introduction - Remote Control

This chapter provides:

  • Instructions how to put the CMU into operation via remote control,
  • a general introduction to remote control of programmable instruments. This includes the description of the command structure and syntax according to the SCPI standard, the description of command execution and of the status registers,
  • • A comprehensive description of the CMU's remote control concept.

In section Introduction- Notation, concepts and terms relating to remote control of CMU in particular are discussed. In the same part, all remote control functions of the basic unit and of function group RF Analyzer are described in detail. All commands are listed in the alphabetic index of this help system.

Program examples for the CMU can be found in Introduction - Program Examples.


Introduction - Remote Control2

GPIB Bus and SCPI Commands

The instrument is equipped with a GPIB bus interface according to standard IEC 625.1/IEEE 488.1. The connectors are located at the rear of the instrument and permit a connection to a controller for remote control.

This section assumes basic knowledge of GPIB bus programming and operation of the controller. A description of the interface commands can be found in the relevant manuals.

Not all of the commands supported by the instrument are taken from the SCPI standard (Standard Commands for Programmable Instruments), however, their syntax follows SCPI rules. The SCPI standard is based on standard IEEE 488.2 and aims at the standardization of device-specific commands, error handling and the status registers (see section SCPI Introduction).

The requirements that the SCPI standard places on command syntax, error handling and configuration of the status registers are explained in detail in the following sections. Tables provide a fast overview of the bit assignment in the status registers. The tables are supplemented by a comprehensive description of the status registers.

Note:
In contrast to instruments with manual control, which are designed for maximum possible operating convenience, the priority of remote control is the "predictability" of the device status. This means that when incompatible settings are attempted, the command is ignored and the device status remains unchanged, i.e. other settings are not automatically adapted. Therefore, GPIB bus control programs should always define an initial device status (e.g. with the command *RST) and then implement the required settings.


Introduction - Operation via Remote Control

As with any device, the CMU must be assigned a unique primary address in the range 0 to 30. In addition it uses extended addressing, i.e. a secondary address must be assigned to the individual function groups. Primary and secondary addresses can be defined in the Remote index card of the Setup menu (see Introduction - Functions and their Application) or via remote control.


Switchover to Remote Control

On power-up, the instrument is always in the manual operating state and can be operated via the front panel controls. The instrument is switched to remote control in the following cases:

With active GPIB bus | as soon as the Remote Enable (REN) GPIB line is asserted by the controller.
With active RS-232 interface | as soon as the instrument receives any characters via the interface.

Operation via the front panel is disabled. The instrument remains in the remote state until it is reset to the manual state via the front panel or via GPIB bus (see section Return to Manual Operation ).

Note: Local to remote transition and signalling states
Switching from manual operation to remote control does usually not affect the device settings. However, if the CMU operates in a Non Signalling test mode, all generators are switched off. In a Signalling mode, the current connection or call is dropped and the CMU returns to its default signalling state.
To change this behavior and preserve the generator and signalling states in a local to remote transition, the command SYSTem:GTRMode:COMPatible OFF can be used.

Note: Accelerating the Shut Down Process
The version of the Front Module controller has an impact on the shut down process of the instrument; see Switching off the Instrument in chapter 1 of your printed manual. When operating instruments equipped with an FMR 6 in remote control mode, it is recommended to disable the nonvolatile RAM, see command SYSTem:NONVolatile:DISable.

More:

Setting the Device Address

Indications during Remote Control

Return to Manual Operation

Setting the Transmission Parameters (RS-232 interface)


Setting the Device Address

The GPIB address (primary address) of the instrument is factory-set to 20. It can be changed manually via the Primary Address softkey in the Setup - Remote menu or via GPIB bus. For remote control, addresses 0 through 30 are permissible.

In addition to the primary address, up to 30 secondary addresses can be assigned to the individual function groups and test modes. This concept of extended addressing allows the same remote commands to be used in several function groups and modes. Secondary address 0 is reserved for the CMU base system. The other secondary addresses are set via the Second. Address softkey in the Setup - Remote menu or via remote control.

Note:
In the Setup – Remote menu, secondary addresses between 1 and 29 can be assigned. When using the National Instruments driver, add 96 to the secondary address. For example, specify a secondary address of 96 to access secondary address 0 on the instrument.

Changing the addresses manually:

  • Call Setup - Remote menu.
  • Press Primary Address softkey. Enter desired address in the input field.
  • Press Second. Address softkey. Use the rotary knob to select the list line with the desired address (numbers 1 to 29). Press ENTER to edit the line. From the popup window select the desired function group (use the rotary knob to change between the entries in the popup window). Confirm your selection and close the popup window using the ENTER key.
  • Press the ESCAPE key to close the Setup - Remote menu.

Via GPIB bus interface:

  • Use the SYSTem:REMote:ADDRess:PRIMary <Addr_1> command to define the GPIB bus address of the CMU.
  • Use the SYSTem:REMote:ADDRess:SECondary <Addr_2>,"<Fgroup>" command to assign distinct secondary addresses to all function groups needed. The secondary address is transferred with each command (physical/hardware addressing, see program example in Introduction - Program Examples). Alternatively, software switchover with a command preceded by a secondary address and a semicolon is possible:

<Addr_2>;<Command> (logical addressing of secondary address; use semicolon)

Via RS-232 interface:

  • Use the SYSTem:REMote:ADDRess:PRIMary <Addr_1> command to define the GPIB bus address of the CMU.
  • Use the SYSTem:REMote:ADDRess:SECondary <Addr_2>,"<Fgroup>" command to assign distinct secondary addresses to all function groups needed.
  • Use the *SEC <Addr_2> command for a software switchover from one secondary address to another. Alternatively place <Addr_2>; in front of the command:

*SEC <Addr_2> followed by <Command> is equivalent to <Addr_2>;<Command>, provided that secondary address <Addr_2> has been appropriately defined.


Indications during Remote Control

In the REMOTE state no menus but only the header Remote is indicated.

Remote screen

Report Display | The Report Display hotkey can be activated (state ON, press the ON/OFF key) to display the input and output strings of the remote-control interface on the Remote screen. The remote display consists of three columns:
<Input/ouput> | Colored symbols for input (->) to the CMU, output (<-) or error messages (E).
Fct. Grp. | Name of the addressed function group; see description of command SYSTem:REMote:ADDRess:SECondary in Chapter 6 of the Operating Manual.
Command Input command string, response/output string of the CMU or error message

This parameter can also be set in the Setup – Remote menu or in the Remote Service Tool; see chapter 1.

Remote control
TRACe:REMote:MODE:DISPlay ON | OFF

Report File The Report File hotkey can be activated (state ON, press the ON/OFF key) to write the input and output strings of the remote-control interface to a file named Remote.trc in the root directory of the internal hard disk (INTERNAL directory in the Data menu or directory C:\temp). The two softkeys Report Display and Report File may be active (ON) at the same time.

This parameter can also be set in the Setup – Remote menu or in the Remote Service Tool; see chapter 1.

Remote control
TRACe:REMote:MODE:FILE ON | OFF

Local The Local hotkey switches back to manual control. The current measurement and generator states and the current signalling state (if a Signalling test mode is active) are preserved.

Remote control
GTL interface message, included in the NI command IBLOC (device%)
(addressed command; see chapter 8 of the Operating Manual)

Equivalent CMU-specific command, also for operation via serial interface: *GTL


Return to Manual Operation

Return to manual operation can be initiated via the front panel or the GPIB bus.

More:

Initiating manually

Initiating via GPIB bus

Target Menu


Return to Local: Manually

  • Press any key on the front panel or press the Local hotkey in the Remote screen. The current measurement and generator states and the current signalling state (if a Signalling test mode is active) are preserved.

Note:
Before returning to manual control, command processing must be completed. If this is not the case, the CMU switches back to remote control immediately.
Returning to manual control by pressing any front panel key can be disabled by the GPIB Local Lockout Message (LLO; see Chapter 8, Table Universal Commands), which is also included in the NI commands SetRWLS (Set Remote With Lockout State) or SendLLO. This prevents unintentional switchover, i.e. return to manual control is possible via the GPIB bus only. The CMU-specific command *LLO TRUE is equivalent to LLO.
Returning to manual control via the front panel keys can be enabled again by deactivating the REN control line of the GPIB bus (see GPIB Bus Interface ). The CMU-specific command *LLO FALSe also enables return to manual control.


Return to Local: Via GPIB bus

Return to Manual Operation via GPIB bus

... |
CALL IBLOC(device%) | Set instrument to manual operation
... |

Equivalent CMU-specific command, also for serial interface: *GTL


Target Menu

On switching over from remote to manual control, the CMU preserves the current measurement and generator states and the current signalling state (if a Signalling test mode is active). The instrument tries to open the menu that the user is likely to prefer, i.e. the measurement menu of the current, running measurement. If several measurements are running in parallel, the instrument applies the following selection rules to resolve the ambiguity and determine a preferred menu:

  • The preferred menu must belong to a measurement that is in the RUN or HLT state (see section Measurement Control Commands and States). RDY measurements and suppressed measurements are discarded.
  • Measurement menus of the main application have the priority over configuration menus (e.g. for signalling and generators) and menus for additive applications (e.g. an Audio measurement that is performed in the context of a GSM-MS main application).
  • Out of several running measurements of the same hierarchy level, the last one that was initiated (INITiate:… or READ:…?) is preferred.

If no measurement is in the RUN or HLT state, the last measurement that was aborted (ABORt:…) is preferred.


Setting the Transmission Parameters (RS-232 interface)

To ensure a correct data transmission, the transfer parameters of the instrument and the controller must be set identically. The number of data and stop bits, the parity, baud rate and the handshake mode can be set independently for the two interfaces COM 1 and COM 2 in the Setup - Comm. menu:

  1. Open Setup - Comm. menu,
  2. Press one of the softkeys to select interface COM 1 or COM 2,
  3. Use the cursor keys and the rotary knob to select and change desired parameters,
  4. Terminate the input using the [ENTER] key.

Alternatively, the COM parameters can be set via remote control: SYSTem:COMMunicate:SERial1…


Introduction - GPIB Bus Messages

GPIB Bus Messages

The messages transferred on the data lines of the GPIB Bus can be either

  • Interface messages or
  • Device messages


Interface Messages

Interface Message

Interface messages are transferred on the data lines of the GPIB bus, the ATN control line being active. They are used for communication between controller and instrument and can only be sent by a computer which has the function of an GPIB bus controller.

Interface commands can be further subdivided into

  • universal commands
  • addressed commands

Universal commands act on all devices connected to the GPIB bus without previous addressing, addressed commands only act on devices previously addressed as listeners. The interface messages relevant to the instrument are listed in the section Interface Messages.


Device Messages - Commands and Device Responses

Device messages are transferred via the data lines of the GPIB bus, the "ATN" control line not being active. The ASCII character set is used. A distinction is made according to the direction in which device messages are transferred:

Commands are messages the controller sends to the instrument. They operate the device functions and request information. The commands are subdivided according to two criteria:

  • According to the effect they have on the instrument:
Setting commands | cause instrument settings such as a reset of the instrument or setting the output level to some value.
Queries | cause data to be provided for output on the GPIB bus, e.g. for identification of the device or polling the active input.

According to their definition in standard IEEE 488.2:

Common Commands | have a function and notation that is exactly defined in standard IEEE 488.2. Typical tasks are the management of the standardized status registers, reset and selftest.
Device-specific Commands | are functions that depend on the features of the instrument such as frequency setting. A majority of these commands has also been standardized by the SCPI committee (SCPI Introduction).
Device responses | are messages the instrument sends to the controller after a query. They can contain measurement results, instrument settings and information on the instrument status.

Structure and syntax of the device messages are described in the next section. In chapter Remote Control - Commands all commands are listed and explained in detail.


Command Structure

The commands consist of a so-called header and, in most cases, one or more parameters. Header and parameter are separated by a "white space" (ASCII code 0 to 9, 11 to 32 decimal, e.g. blank). The headers may consist of several key words. Queries are formed by directly appending a question mark to the header.

Common Commands

Common (=device-independent) commands consist of a header preceded by an asterisk "*" and possibly one or more parameters.

Examples:
*RST
RESET, resets the instrument.
*ESE 253
EVENT STATUS ENABLE, sets the bits of the event status enable registers.
*ESR?
EVENT STATUS QUERY, queries the contents of the event status register.

Device-specific commands

Hierarchy: | Device-specific commands are of hierarchical structure (see figure below). The different levels are represented by combined headers. Headers of the highest level (root level) have only one key word. This key word denotes a complete command system.
 | Example: SOURce This key word denotes the command system SOURce.
 | For commands of lower levels, the complete path has to be specified, starting on the left with the highest level, the individual key words being separated by a colon ":".
 | Example: SOURce:RFGenerator:FHOPping:STATe ON This command is located on the fourth level of the SOURce system. It switches on frequency hopping for the RF generator.

Example for the tree structure of the SCPI command systems; the SOURce system

Multiple key
words 		Some key words occur on several levels within one command system. Their effect depends on the structure of the command, i. e. on the position in the command header they are inserted in.
Example: SOURce:RFGenerator:FHOPping:STATe ON
This command contains the key word SOURce in the first command level. It switches on frequency hopping for the RF generator.

TRIGger:SOURce EXTern

This command contains the key word SOURce in the second command level. It defines the trigger source "external trigger".
Optional key
words: 		Some command systems permit certain key words to be optionally inserted into the header or omitted. These key words are marked by square brackets in this manual. The full command length must be recognized by the instrument for reasons of compatibility with the SCPI standard. Some commands are considerably shortened by omitting optional key words.
Example: TRIGger[:SEQuence]:SOURce EXTern
This command defines the trigger source "external trigger". The following command has the same effect:
TRIGger:SOURce EXTern
Note:
An optional key word must not be omitted if its effect is additionally specified by a numeric suffix.
Long and short form: The key words feature a long form and a short form. Either the short form or the long form can be entered, other abbreviations are not permitted.
Example:
TRIGger:SOURce EXTern
TRIG:SOUR EXT
Note:
The short form is marked by upper-case letters, the long form corresponds to the complete word. Upper-case and lower-case notation only serves to distinguish the two forms in the manual, the instrument itself does not distinguish upper-case and lower-case letters.
Parameters: Parameters must be separated from the header by a "white space". If several parameters are specified in a command, they are separated by a comma ",". For a description of the types of parameter, refer to section Parameters.
Example: CONFigure:POWer:CONTrol:REPetition SINGleshot, SONerror, NONE
This command sets parameters to define the statistics of a power measurement.
Numeric suffix: If a device features several functions or features of the same kind, e.g. several inputs, the desired function can be selected by a suffix added to the command. Entries without suffix are interpreted like entries with the suffix 1.
Example: SOURce:CORRection:LOSS:INPut2 10dB
This command defines the external attenuation at the input connector RF 2


Structure of a Command Line

A command line may consist of one or several commands. It is terminated by a <New Line>, a <New Line> with EOI or an EOI together with the last data byte. Visual BASIC automatically produces an EOI together with the last data byte.

Several commands in a command line must be separated by a semicolon ";". If the next command belongs to a different command system, the semicolon is followed by a colon.

Example: CALL IBWRT(device%, "TRIGger:SOURce EXTern;:FETch:POWer:STATus?")
This command line contains two commands. The first command belongs to the TRIGger system and defines the trigger source (external trigger). The second command belongs to the FETCh system and returns the status of the power measurement.

If the successive commands belong to the same system, having one or several levels in common, the command line can be abbreviated. To this end, the second command after the semicolon starts with the level that lies below the common levels. The colon following the semicolon must be omitted in this case.

Example: CALL IBWRT(device%, "TRIG:SOUR EXT;:TRIG:THR LOW")
This command line is represented in its full length and contains two commands separated from each other by the semicolon. Both commands are part of the TRIGger command system, i.e. they have one level in common.

When abbreviating the command line, the second command begins with the level below TRIG. The colon after the semicolon is omitted.

The abbreviated form of the command line reads as follows:

CALL IBWRT(device%, "TRIG:SOUR EXT;THR LOW")

However, a new command line always begins with the complete path.

Example:
CALL IBWRT(device%, "TRIG:SOUR EXT ")

CALL IBWRT(device%, "TRIG:THR LOW ")


Responses to Queries

A query is defined for each setting command unless explicitly specified otherwise. It is formed by adding a question mark to the associated setting command. According to SCPI, the responses to queries are partly subject to stricter rules than in standard IEEE 488.2.

1. | The requested parameter is transmitted without header.
 | Example: TRIGger:THReshold?
 | Response: LOW
2. | Maximum values, minimum values and all further quantities, which are requested via a special text parameter are returned as numerical values
 | Example: CONFigure:POWer:CONTrol:REPetition? MAX
 | Response: 10000
3. | Numerical values are output without their unit. Physical quantities are referred to the basic units or to the units set using the Unit command.
 | Example: SENSe:SPECtrum:FREQuency:STARt?
 | Response: 1E6 for 1 MHz
4. | Boolean values are returned as 0 (for OFF) and 1 (for ON).
 | Example: SOURce:DM:CLOCk:STATe?
 | Response: 1
5. | Text (character data) is returned in a short form (see also next section).
 | Example: FETCh:SPECtrum:STATus?
 | Response: ERR

More:

Parameters


Parameters

Most commands require a parameter to be specified. The parameters must be separated from the header by a "white space". Permissible parameters are numerical values, Boolean parameters, text, character strings and block data. The type of parameter required for the respective command and the permissible range of values are specified in the command description.

Numerical values | Numerical values can be entered in any form, i.e. with sign, decimal point and exponent. Values exceeding the resolution of the instrument are rounded up or down. The mantissa may comprise up to 255 characters, the values must be in the value range -9.9E37 to 9.9E37. The exponent is introduced by an "E" or "e". Entry of the exponent alone is not allowed. In the case of physical quantities, the unit can be entered. Permissible unit prefixes are G (giga), MA (mega), MOHM and MHZ are also permissible), K (kilo), M (milli), U (micro) and N (nano). If the unit is missing, the fundamental unit is used.
Example:
SENS:SPEC:FREQ:STOP 1.5GHz
is equivalent to
SENS:SPEC:FREQ:STOP 1.5E9
Special numerical values The texts MINimum, MAXimum, DEFault, UP and DOWN are interpreted as special numerical values.

In the case of a query, the associated numerical value is provided.

Example:
Setting command: CONF:POW:CONT:REP MAXimum, NONE, NONE
Query: CONF:POW:CONT:REP?

Response: 100, NONE, NONE

MIN/MAX | MINimum and MAXimum denote the minimum and maximum value.

DEF | DEFault denotes the preset value. This value is set by the *RST command.

INF/NINF | INFinity, Negative INFinity (NINF) represent the numerical values -9.9E37 or 9.9E37, respectively. INF and NINF are only sent as device responses.

NAN | Not a Number (NAN) represents the value 9.91E37. NAN is only sent as device response. This value is not defined. Possible causes are division by zero, subtraction or addition of infinite and the representation of missing values.

Boolean Parameters | Boolean parameters represent two states. The ON state (logically true) is represented by ON or a numerical value different from 0. The OFF state (logically untrue) is represented by OFF or the numerical value 0. A query responds with 0 or 1.
Example:
Setting command: SOURce:DM:CLOCk:STATe ON
Query: SOURce:DM:CLOCk:STATe?

Response: 1

Text | Text parameters observe the syntax rules for key words, i.e. they can be entered using a short or long form. Like any parameter, they have to be separated from the header by a white space. In the case of a query, the short form of the text is provided.
Example:
Setting command: TRIGger:SOURce EXTern
Query: TRIGger:SOURce?

Response: EXT

Strings | Strings must always be entered within quotation marks (' or ").
Example:
:SYST:REM:ADDR:SEC 1,"GSM900MS_NSig"
or
:SYST:REM:ADDR:SEC 1,'GSM900MS_Nsig'
Block data | Block data are a transmission format which is suitable for the transmission of large amounts of data. A command using a block data parameter with definite length has the following structure:
Example:
:HEADer:HEADer #45168xxxxxxxx
The hash symbol # introduces the data block. The next number indicates how many of the following digits describe the length of the data block. In the example the 4 following digits indicate the length to be 5168 bytes. The data bytes follow. During the transmission of these data bytes all End or other control signs are ignored until all bytes are transmitted.

A #0 combination introduces a data block of indefinite length. The use of the indefinite format requires a NL^END message to terminate the data block. This format is useful when the length of the transmission is not known or if speed or other considerations prevent segmentation of the data into blocks of definite length.


Overview of Syntax Elements

: | The colon separates the key words of a command. In a command line the separating semicolon marks the uppermost command level.
; | The semicolon separates two commands of a command line. It does not alter the path.
, | The comma separates several parameters of a command.
? | The question mark forms a query.
* | The asterisk marks a common command.
" | Quotation marks introduce a string and terminate it.
# | The hash sign # introduces binary, octal, hexadecimal and block data. Binary: #B10110 Octal: #O7612 Hexadecimal: #HF3A7 Block: #21312
 | A "white space" (ASCII-Code 0 to 9, 11 to 32 decimal, e.g. blank) separates header and parameter.


Introduction - Instrument Model and Command Processing

The block diagram in the figure below shows how GPIB bus commands are serviced in the instrument. The individual components work independently and simultaneously. They communicate with each other by means of so-called "messages".

Instrument model in the case of remote control via GPIB bus


Input Unit

The input unit receives commands character by character from the GPIB bus and collects them in the input buffer. The input unit sends a message to the command recognition as soon as the input buffer is full or as soon as it receives a delimiter, <PROGRAM MESSAGE TERMINATOR>, as defined in IEEE 488.2, or the interface message DCL.

If the input buffer is full, the GPIB bus traffic is stopped and the data received up to then is processed. Subsequently the GPIB bus traffic is continued. If, however, the buffer is not yet full when receiving the delimiter, the input unit can already receive the next command during command recognition and execution. The receipt of a DCL clears the input buffer and immediately initiates a message to the command recognition.


Command Recognition

The command recognition stage analyzes the data received from the input unit. It proceeds in the order in which it receives the data. Only a DCL is serviced with priority, e.g. a GET (Group Execute Trigger), e.g., is only executed after the commands received before. Each recognized command is immediately transferred to the data set but not executed immediately.

The command recognition detects syntax errors in the commands and transfers them to the status reporting system. The rest of a command line after a syntax error is ignored.

If the command recognition detects a delimiter or a DCL, it also requests the data set to perform the necessary instrument hardware settings. Subsequently it is immediately prepared to process further commands. This means that new commands can already be serviced while the hardware is still being set ("overlapping execution").


Data Set and Instrument Hardware

The expression "instrument hardware" denotes the part of the instrument fulfilling the actual instrument function - signal generation, measurement etc. The controller is not included.

The data set is a detailed software reproduction of the instrument hardware.

GPIB bus setting commands lead to an alteration in the data set. The data set management enters the new values (e.g. frequency) into the data set, however, it only passes them on to the hardware when requested by the command recognition. As this is only ever effected at the end of a command line, the order of the setting commands in the command line is not relevant.

The commands are only checked for their compatibility among each other and with the instrument hardware immediately before they are transmitted to the instrument hardware. If the detection is made that execution is not possible, an "execution error" is signalled to the status reporting system. All alterations of the data set are canceled, the instrument hardware is not reset. Due to the delayed checking and hardware setting, however, impermissible instrument states can be set for a short period of time within one command line without this leading to an error message (example: simultaneous activation of FM and PM). At the end of the command line, however, a permissible instrument state must have been reached again.

Before passing on the data to the hardware, the settling bit in the STATus:OPERation register is set. The hardware executes the settings and resets the bit again as soon as the new state has settled. This fact can be used to synchronize command servicing.

GPIB bus queries induce the data set management to send the desired data to the output unit.


Status Reporting System

The status reporting system collects information on the instrument state and makes it available to the output unit on request. The exact structure and function are described in section Overview - Status Reporting System.


Output Unit

The output unit collects the information requested by the controller, which it receives from the data set management. It processes it according to the SCPI rules and makes it available in the output buffer. If the information requested is longer, it is made available "in portions" without this being recognized by the controller.

If the instrument is addressed as a talker without the output buffer containing data or awaiting data from the data set management, the output unit sends the error message "Query UNTERMINATED" to the status reporting system. No data are sent on the GPIB bus, the controller waits until it has reached its time limit. This behavior is specified by SCPI.


Command Sequence and Command Synchronization

What was said above makes clear that overlapping execution is possible in principle for all commands. Equally, setting commands within one command line are not absolutely serviced in the order in which they have been received.

In order to make sure that commands are actually carried out in a certain order, each command must be sent in a separate command line, that is to say, with a separate IBWRT()-call.

In order to prevent an overlapping execution of commands, one of commands *OPC, *OPC? or *WAI must be used. All three commands cause a certain action only to be carried out after the hardware has been set and has settled. By suitable programming, the controller can be forced to wait for the respective action to occur.

Synchronization with *OPC, *OPC? and *WAI

Command | Action after the hardware has settled | Programming the controller
*OPC | Setting the operation-complete bit in the ESR | - Setting bit 0 in the ESE - Setting bit 5 in the SRE - Waiting for service request (SRQ)
*OPC? | Writing a "1" into the output buffer | Addressing the instrument as a talker
*WAI | Executing the next command | Sending the next command

Note:
The GPIB bus handshake is not stopped


Overview - Status Reporting System

The status reporting system stores all information on the present operating state of the instrument, and on errors which have occurred. This information is stored in the status registers and in the error queue. The status registers and the error queue can be queried via GPIB bus.

The information is of a hierarchical structure. The register status byte (STB) defined in IEEE 488.2 and its associated mask register service request enable (SRE) form the uppermost level. The STB receives its information from the standard event status register (ESR) which is also defined in IEEE 488.2 with the associated mask register standard event status enable (ESE) and registers STATus:OPERation and STATus:QUEStionable which are defined by SCPI and contain detailed information on the instrument.

The IST flag ("Individual STatus") and the parallel poll enable register (PPE) allocated to it are also part of the status reporting system. The IST flag, like the SRQ, combines the entire instrument status in a single bit. The PPE fulfills an analog function for the IST flag as the SRE for the service request.

The output buffer contains the messages the instrument returns to the controller. It is not part of the status reporting system but determines the value of the MAV bit in the STB and thus is represented in the figure The status register model.


Structure of an SCPI Status Register

Each standard SCPI register consists of 5 parts which each have a width of 16 bits and have different functions. The individual bits are independent of each other, i.e. each hardware status is assigned a bit number which is valid for all five part. Bit 15 (the most significant bit) is set to zero for all parts. Thus the contents of the register parts can be processed by the controller as positive integer.

The status register model

CONDition part | The CONDition part is permanently overwritten by the hardware or the sum bit of the next lower register. Its contents always reflect the current instrument status. This register part can only be read, but not be overwritten or cleared. Reading the CONDition register is nondestructive.
PTRansition part | The Positive-TRansition part acts as a transition filter. When a bit of the CONDition part is changed from 0 to 1, the associated PTR bit decides whether the EVENt bit is set to 1. PTR bit =1: the EVENt bit is set. PTR bit =0: the EVENt bit is not set. This status register part can be overwritten and read at will. Reading the PTRansition register is nondestructive.
NTRansition part | The Negative-TRansition part also acts as a transition filter. When a bit of the CONDition part is changed from 1 to 0, the associated NTR bit decides whether the EVENt bit is set to 1. NTR bit =1: the EVENt bit is set. NTR bit =0: the EVENt bit is not set. This part can be overwritten and read at will. Reading the PTRansition register is nondestructive. With these two transition register parts the user can define which state transition of the condition part (none, 0 to 1, 1 to 0 or both) is stored in the EVENt part.
EVENt part | The EVENt part indicates whether an event has occurred since the last reading, it is the "memory" of the condition part. It only indicates events passed on by the transition filters. It is permanently updated by the instrument. This part can only be read by the user. Reading the register clears it. This part is often equated with the entire register. The CMU implementation of the EVENt parts of all status registers differs from the SCPI specification: The bits in the EVENt part are directly set by the instrument as soon as the instrument state changes so that the setting condition becomes true. The CONDition, PTRansition, and NTRansition register parts are not needed. The EVENt part is cleared upon reading.
ENABle part | The ENABle part determines whether the associated EVENt bit contributes to the sum bit (cf. below). Each bit of the EVENt part is ANDed with the associated ENABle bit (symbol '&'). The results of all logical operations of this part are passed on to the sum bit via an OR function (symbol '+'). ENAB bit =0:the associated EVENt bit does not contribute to the sum bit ENAB bit =1:if the associated EVENT bit is "1", the sum bit is set to "1" as well. This part can be written into and read by the user at will. Its contents is not affected by reading.
Sum bit | As indicated above, the sum bit is obtained from the EVENt and ENABle part for each register. The result is then entered into a bit of the CONDition part of the higher-order register. The instrument automatically generates the sum bit for each register. Thus an event, e.g. a PLL that has not locked, can lead to a service request throughout all levels of the hierarchy.

Note:
The service request enable register SRE defined in IEEE 488.2 can be taken as ENABle part of the STB if the STB is structured according to SCPI. By analogy, the ESE can be taken as the ENABle part of the ESR.


Overview of the Status Registers

The figure below shows the status registers used in the CMU. The STATus:QUEStionable register is not used. In addition to the standard STATus:OPERation register, the CMU offers 30 independent STATus:OPERation:CMU:SUM1|2:CMU<nr> sub-registers (<nr>=1 ... 15).

Cascading registers The hierarchical structure of the STATus:OPERation register was designed with the aim of reporting and specifying the events generated during different measurements independently. Each sub-register receives entries from a particular combination of a function group and signalling mode (e.g. RF Non Signalling, GSM900-MS Signalling etc.). The function groups and modes are identified by means of their secondary address, an integer number between 0 and 29. Secondary address 0 is reserved for the CMU base system. The remaining secondary addresses can be arbitrarily assigned or queried via the SYSTem:REMote:ADDRess:SECondary command (see Introduction - Commands). The assignment between sub-registers and secondary addresses is as follows:

Sub-register | Secondary Address | Sub-register | Secondary Address
STAT:OPER:CMU:SUM1:CMU1 | 0 (reserved for CMU base system) | STAT:OPER:CMU:SUM2:CMU1 | 15
... | ... | ... | ...
STAT:OPER:CMU:SUM1:CMU15 | 14 | STAT:OPER:CMU:SUM2:CMU15 | 29

Contents of the sub-registers The higher-level STATus:OPERation registers summarize the sub-registers as shown in the figure below. E.g., if the corresponding ENABle bit is set, any EVENt reported in one of the STATus:OPERation:CMU:SUM1|2:CMU<nr> sub-registers sets the sum bit of the STATus:OPERation:CMU:SUM1|2 register to 1.

This means that the STATus:OPERation register indicates whether any event occurred, the lower-level STATus:OPERation:CMU:SUM1|2 registers indicate the function group and signalling mode in which the event occurred, the lowest-level STATus:OPERation:CMU:SUM1|2 registers indicate the nature of the individual events.

The meaning of the bits in function group RF Non Signalling is given below (see section STATus:OPERation Register). For other function groups refer to the relevant manuals.

Accessing the
sub-registers 		Every single status register can be configured and queried individually by means of the commands of the STATus:OPERation subsystem (see Introduction - Commands).

The status registers


Status Byte and Service Request Enable Register

The STB is already defined in IEEE 488.2. It provides a rough overview of the instrument status by collecting the pieces of information of the lower registers. It can thus be compared with the CONDition part of an SCPI register and assumes the highest level within the SCPI hierarchy. A special feature is that bit 6 acts as the sum bit of the remaining bits of the status byte.

The status byte is read out using the command "*STB?" or a serial poll.

The STB is linked to the SRE. The latter corresponds to the ENABle part of the SCPI registers in its function. Each bit of the STB is assigned a bit in the SRE. Bit 6 of the SRE is ignored. If a bit is set in the SRE and the associated bit in the STB changes from 0 to 1, a Service Request (SRQ) is generated on the GPIB bus, which triggers an interrupt in the controller if this is appropriately configured and can be further processed there.

The SRE can be set using command "*SRE" and read using "*SRE?".

Meaning of the bits used in the status byte

Bit no. | Meaning
2 | Error Queue not empty
 | This bit is set when an entry is made in the error queue. If this bit is enabled by the SRE, each entry of the error queue generates a Service Request. Thus an error can be recognized and specified in greater detail by polling the error queue. The poll provides an informative error message. This procedure is to be recommended since it considerably reduces the problems involved with GPIB bus control.
3 | QUEStionable status sum bit
 | This bit is set if an EVENt bit is set in the QUEStionable status register and the associated ENABle bit is set to 1. A set bit indicates a questionable instrument status, which can be specified in greater detail by polling the QUEStionable status register.
4 | MAV-Bit (Message AVailable)
 | This bit is set if a message is available in the output buffer which can be read. This bit can be used to enable data to be automatically read from the instrument to the controller (cf. annex D, program examples).
5 | ESB bit
 | Sum bit of the event status register. It is set if one of the bits in the event status register is set and enabled in the event status enable register. Setting of this bit indicates a serious error which can be specified in greater detail by polling the event status register.
6 | MSS-Bit (Master Status Summary bit)
 | This bit is set if the instrument triggers a service request. This is the case if one of the other bits of this register is set together with its mask bit in the service request enable register SRE.
7 | OPERation status register sum bit
 | This bit is set if an EVENt bit is set in the OPERation status register and the associated ENABle bit is set to 1. A set bit indicates that the instrument is just performing an action. The type of action can be queried by polling the OPERation status register.

More:

IST Flag and Parallel Poll Enable Register (PPE)

Event Status Register (ESR) and Event Status Enable Register (ESE)

STATus:OPERation Register

STATus:QUEStionable_Register


IST Flag and Parallel Poll Enable Register (PPE)

By analogy with the SRQ, the IST flag combines the entire status information in a single bit. It can be queried by means of a parallel poll (cf. Section Parallel Poll) or using the command "*IST?".

The parallel poll enable register (PPE) determines which bits of the STB contribute to the IST flag. The bits of the STB are ANDed with the corresponding bits of the PPE, with bit 6 being used as well in contrast to the SRE. The IST flag results from the ORing of all results. The PPE can be set using commands "*PRE" and read using command "*PRE?".


Event Status Register (ESR) and Event Status Enable Register (ESE)

The ESR is defined in IEEE 488.2. It can be compared with the EVENt part of an SCPI register. The event status register can be read out using command "*ESR?".

The ESE is the associated ENABle part. It can be set using the command "*ESE" and read using the command "*ESE?".

Meaning of the bits used in the event status register

Bit No. | Meaning
0 | Operation Complete
 | This bit is set on receipt of the command *OPC exactly when all previous commands have been executed.
2 | Query Error
 | This bit is set if either the controller wants to read data from the instrument without having sent a query, or if it does not fetch requested data and sends new instructions to the instrument instead. The cause is often a query which is faulty and hence cannot be executed.
3 | Device-dependent Error
 | This bit is set if a device-dependent error occurs. An error message with a number between -300 and -399 or a positive error number, which denotes the error in greater detail, is entered into the error queue (cf. SCPI Error Messages).
4 | Execution Error
 | This bit is set if a received command is syntactically correct but cannot be performed for other reasons. An error message with a number between -200 and -300, which denotes the error in greater detail, is entered into the error queue (cf. SCPI Error Messages).
5 | Command Error
 | This bit is set if a command which is undefined or syntactically incorrect is received. An error message with a number between -100 and -200, which denotes the error in greater detail, is entered into the error queue (cf. SCPI Error Messages).
6 | User Request
 | This bit is not used in the CMU.
7 | Power On (supply voltage on)
 | This bit is set on switching on the instrument.


STATus:OPERation Register

The CMU offers 30 independent STATus:OPERation:CMU:SUM1|2:CMU<nr> sub-registers (<nr>=1 ... 15) which are implemented in hierarchical form. The bits of the 30 STATus:OPERation registers are set only after the registers are assigned to a function group and measurement mode (see Overview of the Status Registers).

In the EVENt part, the STATus:OPERation register contains information on which actions the instrument has executed since the last readout. All five parts of the registers can be read using one of the commands of the subsystem STATus:OPERation:CMU:SUM1|2:CMU<nr>:... . Moreover, the EVENt part can be enabled and read by means of the STATus:OPERation:SYMBolic... commands, see section Symbolic Status Event Register Evaluation.

The bit assignment for the CMU base system which is always assigned to the ...SUM1:CMU1 sub-register (secondary address 0) is as follows:

Meaning of the bits used in the STATus:OPERation:CMU:SUM1:CMU1
sub-register assigned to the CMU base system

Bit-No. Meaning Symbol in
STATus:OPERation:SYMBolic...
4 Measurement Result is Invalid

This bit is set if a measurement caused invalid results, e.g. because of no input signal was available (see also section Retrieving Measurement Results).

MINV

5

System Error

SERR

6

Reference Frequency Not Locked

This bit is set if synchronization to the reference frequency failed (e.g. because of a missing or faulty external reference frequency). The CMU checks the synchronization approx. once per second and updates the RFNL bit. Alternatively, the synchronization can be queried via [SENSe:]SYNChronize:FREQuency:REFerence:LOCKed? (see Chapter 6)

RFNL

For function group RF Non Signalling, the bit assignment is as follows:

Meaning of the bits used in the STATus:OPERation:CMU:SUM1|2:CMU<nr> sub-register assigned to RF Non Signalling

Bit-No. | Meaning | Symbol in STATus:OPERation:SYMBolic...
0 | Overload This bit is set if the currently used input connector is overloaded. | IOV
4 | Measurement Result is Invalid This bit is set if a measurement caused invalid results, e.g. because no input signal was available (see also section Retrieving Measurement Results). | MINV
11 | RF Input Overdriven This bit is set if the RF input level at connector RF1, RF2 or RF 4 IN is larger than the specified RF Max. Level plus an appropriate margin. | RFIO
12 | RF Input Underdriven This bit is set while the RF input level at connector RF1, RF2 or RF 4 IN falls below the measurement range controlled by the specified RF Max. Level. | RFIU

For optional function groups refer to the relevant manuals.

Application example (see also description of Winbatch tool): The following command sequence shows how an event "Measurement Result is Invalid" is registered in the status reporting system and illustrates some of the tools that the CMU provides to monitor the instrument status.

...
CMUBASE: *CLS
Clear status reporting system.
CMUBASE: TRACE:REMOTE:MODE:SRQ ON
Include service requests sent by the CMU in the remote control report.
CMUBASE: TRACE:REMOTE:MODE:DISPLAY ON
Display remote report on screen.
CMUBASE: *SRE 128
Enable service request.
CMUGSMNS: STAT:OPER:SYMB:ENAB MINV
Enable event reporting for bit no. 4, MINV, in a different function group (GSMxxx-MS Non Signalling).
CMUGSMNS: READ:SCAL:NPOW?
Initiate a single-shot narrow-band power measurement using default settings and return results. In case of invalid measurement results (e.g. because no GSM input signal is applied to the input connectors of the CMU), a read symbol "S" for service request should appear on the screen.
CMUBASE: STAT:OPER:EVEN:SADD?
Check which function group reported an event. The query returns the GSM function group.
CMUGSMNS: STAT:OPER:SYMB?
Query events reported by the GSM function group: Bit MINV must be set


STATus:QUEStionable_Register

STATus:QUEStionable-Register

This register contains information on questionable instrument states. They can occur, e.g. if the instrument is operated outside its specified range. It can be queried using one of the commands ":STATus :QUEStionable:CONDition?" or ":STATus:QUEStionable[:EVENt]?".

The CMU does not use this register.


Application of the Status Reporting Systems

Application of the Status Reporting System

In order to effectively use the status reporting system, the information contained there must be transmitted to the controller and further processed. There are several methods which are outlined in the following.

More:

Service Request

Symbolic Status Event Register Evaluation

Serial Poll

Parallel Poll

Query by Means of Commands

Error Queue Query


Service Request

The instrument can send a service request (SRQ) to the controller. Usually this service request initiates an interrupt at the controller, to which the control program can react appropriately. As evident from the figure The status registers, an SRQ is always initiated if one or several of bits 2, 3, 4, 5 or 7 of the status byte are set and enabled in the SRE. Each of these bits combines the information of a further register, the error queue or the output buffer. The ENABle parts of the status registers can be set so that arbitrary bits in an arbitrary status register initiate an SRQ. In order to use the possibilities of the service request effectively, all bits should be set to "1" in the enable registers SRE and ESE.

Examples (cf. "The status registers"):

Use command "*OPC" to generate an SRQ

  • Set bit 0 in the ESE (Operation Complete)
  • Set bit 5 in the SRE (ESB)

After its settings have been completed, the instrument generates an SRQ.

Indication of an event (e.g. overloading of used input connector) by means of an SRQ with the controller:

  • Set bit 7 in the SRE (sum bit of the STATus:OPERation register)

The following steps depend on the secondary address (0 £ <SecAddr> £ 29) assigned to the function group and signalling mode used.

0 £ <SecAddr> £ 14
  • Set bit 8 in the STATus:OPERation:ENABle register.
  • Set bit <SecAddr>-1 in the STATus:OPERation:CMU:SUM1:ENABle register
  • Set bit 0 in the STATus:OPERation:CMU:SUM1:CMU
    <SecAddr>:ENABle register.
 15 £ <SecAddr> £ 29
  • Set bit 9 in the STATus:OPERation:ENABle register.
  • Set bit <SecAddr>-16 in the STATus:OPERation:CMU:SUM2:ENABle register
  • Set bit 0 in the STATus:OPERation:CMU:SUM2:CMU
    <SecAddr>:ENABle register.

When the event assigned to bit no. 0 of the STATus:OPERation:CMU:SUM1|2:CMU<SecAddr> register occurs (e.g. when the input connector is overloaded in function group RF Non Signalling) the instrument generates a SRQ.

The same procedure can be applied to find out which event caused an SRQ:

  • STB?
  • Query STAT:OPER:EVENT?
  • Query STAT:OPER:CMU:SUM1|2:EVENT? (function group, signalling mode)
  • Query STAT:OPER:CMU:SUM1|2:CMU1...15:EVENT? (measurement)

The SRQ is the only possibility for the instrument to become active on its own. Each controller program should set the instrument such that a service request is initiated in the case of malfunction. The program should react appropriately to the service request.


Symbolic Status Event Register Evaluation

The examples for status register handling given in section Service Request are based on a step-by-step evaluation of the STATus:OPERation register and its sub-registers. As a convenient alternative to this approach, the CMU provides commands for symbolic status event register evaluation. These commands are global (i.e. available in all function groups) and described in detail in Introduction - Commands. They organize and simplify the following actions:

STATus:OPERation:EVENt:SADDress? Return the next secondary address and associated function group where an event was reported.
STATus:OPERation:SYMBolic:ENABle
<Event_1>[,<Event_2>,...<Event_15>]
Enable the events of the parameter list up to the status byte, i.e. set the corresponding bits in the STATus:OPERation:ENABle register and in the sub-registers STATus:OPERation:CMU:SUM1|2:ENABle and STATus:OPERation:CMU:SUM1|2:CMU <SecAddr>:ENABle so that the events are reported in the status byte. <SecAddr> denotes the current secondary address, see also example in section Service Request.
STATus:OPERation:SYMBolic[:EVENt]?
Return all events reported in the current function group. The event symbols listed with the bit assignment of the STATus:OPERation... registers; for an example see STATus:OPERation Register.

See also program example for symbolic status register evaluation.


Serial Poll

In a serial poll, just as upon the command "*STB", the status byte of an instrument is queried. However, the query is made via interface messages and is thus clearly faster. The serial-poll method has already been defined in IEEE 488.1 and used to be the only standard possibility for different instruments to poll the status byte. The method also works for instruments which do not adhere to SCPI or IEEE 488.2.

The quick-BASIC command for executing a serial poll is "IBRSP()". The serial poll is mainly used to obtain a fast overview of the state of several instruments connected to the GPIB bus.


Parallel Poll

In a parallel poll, the controller uses a single command to request up to eight instruments to transmit one bit of information each on the data lines, i.e., to set the data line allocated to each instrument to a logical "0" or "1". In addition to the SRE register, which determines the conditions under which an SRQ is generated, there is a parallel poll enable register (PPE). This register is ANDed with the STB bit by bit, considering bit 6 as well. The results are ORed, the result is possibly inverted and then sent as a response to the parallel poll of the controller. The result can also be queried without parallel poll by means of the command "*ISTits?".

The instrument first has to be set for the parallel poll using the quick BASIC command "IBPPC()". This command allocates a data line to the instrument and determines whether the response is to be inverted. The parallel poll itself is executed using "IBRPP()".

The parallel poll method is mainly used to find out quickly which one of the instruments connected to the GPIB bus has sent a service request. To this effect, SRE and PPE must be set to the same value.


Query by Means of Commands

Each part of any status register can be read by means of queries. The individual commands are listed in chapter Remote Control - Commands. The returned value is always a number that represents the bit pattern of the register queried. This number is evaluated by the controller program.

Queries are usually used after an SRQ in order to obtain more detailed information on the cause of the SRQ.


Error Queue Query

Each error state in the instrument leads to an entry in the error queue. The entries of the error queue are detailed plain-text error messages that can be looked at in the ERROR menu via manual control or queried via the GPIB bus using command "SYSTem:ERRor?". Each call of "SYSTem:ERRor?" provides one entry from the error queue. If no error messages are stored there any more, the instrument responds with 0, "No error".

The error queue should be queried after every SRQ in the controller program as the entries describe the cause of an error more precisely than the status registers. Especially in the test phase of a controller program the error queue should be queried regularly since faulty commands from the controller to the instrument are recorded there as well.


Reset Values of the Status Reporting Systems

The table below comprises the different commands and events causing the status reporting system to be reset. None of the commands, except for *RST and SYSTem:PRESet influences the functional instrument settings. In particular, DCL does not change the instrument settings.

Resetting instrument functions

Event | Switching on supply voltage |  | DCL,SDC |  |  |
 | Power-On-Status-Clear |  | (Device Clear, Selected Device Clear) | *RST or SYSTem:PRESet | STATus:PRESet | *CLS
Effect | 0 | 1 |  |  |  |
Clear STB,ESR | — | yes | — | — | — | yes
Clear SRE,ESE | — | yes | — | — | — | —
Clear PPE | — | yes | — | — | — | —
Clear EVENt parts of the registers | — | yes | — | — | — | yes
Clear ENABle parts of all OPERation-and QUESTionable registers, Fill ENABle parts of all other registers with "1". | — | yes | — | — | yes | —
Fill PTRansition parts with “1" Clear NTRansition parts | — | yes | — | — | yes | —
Clear error queue | yes | yes | — | — | — | yes
Clear output buffer | yes | yes | yes | 1) | 1) | 1)
Clear command processing and input buffer | yes | yes | yes | — | — | —

1)Every command being the first in a command line, i.e. immediately following a <PROGRAM MESSAGE TERMINATOR> clears the output buffer.


Overview - Remote Control - Measurement Control

The CMU offers a variety of measurements which are arranged in function groups and measurement groups. All measurements are controlled according to the same basic concepts. The benefit of this structure lies in the close analogy of all function groups. Commands belonging to different measurements have the same structure and syntax.

The following sections are devoted to the principles of measurement control:

  • A measurement group can be split up into different subgroups by means of applications (optional, i.e. not available for every measurement group).
  • Four different measurement states are defined; they can be accessed with a set of measurement control commands.
  • The end of the measurement (or of a particular measurement stage) can be indicated by means of the event reporting system.
  • Statistical settings comprising the repetition mode, statistic count (optional), stop condition (optional), and display mode (optional) control how the measurement is performed. The possible measurement states depend on the repetition mode.
  • For many measurements it is possible to specify limits and perform a limit check.
  • The current status and the results of the measurement can be queried in a systematic way.

Some measurements do not require the full scheme. E.g., the function group RF Non Signalling described in this help system uses none of the features characterized as optional in the above enumeration. Examples for these features can be found in the operating manuals for digital network tests, e.g., GSMxxx-MS.


applications

Measurement Groups and Applications

Applications are different measurements belonging to the same measurement group. Each application is assigned its own set of configuration parameters. With few exceptions (e.g. some tolerance values), all parameters assigned to the applications are independent from each other. Thus, applications effectively split up a measurement group into various independent subgroups which can be configured individually and serviced in parallel.

The benefit of this feature is that the results of an application will not become invalid when another application in the same measurement group is started.

Applications are generally identified by the third-level keyword in a command while the measurement group is identified by the second-level keyword. Examples can be found in the operating manuals for the network tests.

RF measurement groups and applications

Measurement | Description
WPOWer | Wide-band peak power measurement of the RF input signal.
RFANalyzer | Average RF power over a sweep, measured with different filters.
NPOWer | Measurement of the RF signal power using a narrow-band filter with variable bandwidth.
POWer | Measurement of the RF signal power as a function of time with statistical evaluation.
SPECtrum | Measurement of the RF frequency spectrum with statistical evaluation.

The following measurement groups and applications are defined in the Audio function group (with option CMU-B41):

Audio measurement groups and applications

Measurement | Description
AFANalyzer | DC and AC voltage and Total Harmonic Distortion and Noise of a single-tone audio signal.
MULTitone | Analysis of a composite audio signal consisting of up to 20 individual fixed-frequency tones with configurable frequency and level including limit check.


Measurement Control Commands and States

Measurement control commands are used to switch over between the following four measurement states:

OFF | measurement is switched off, no results available (after STOP)
RUN | measurement is running
STOP | measurement has been stopped, valid results are preserved
STEP | measurement has been interrupted after a statistics cycle (in repetition mode Continuous or Counting with Stepping mode set in addition). The next cycle must be launched with a CONTinue command.

The STOP state corresponds to the HLT state indicated next to the softkeys controlling a measurement in manual operation. A STEP state is not defined in manual control.

The three measurement states OFF, STOP, and STEP can be mapped onto the standard SCPI state IDLE, the RUN state can be mapped onto the SCPI state INITiated. This and the relation between control commands and measurement states is shown in the following diagram:

Measurement states and control commands

The measurement control commands are supplemented by the measurement object, i.e.:

INITiate:<meas_obj> Starts a measurement in the repetition mode set via the CONFigure:<meas_obj>:CONTrol:REPetition command (single shot, continuous or counting mode, see section Measurement Statistics). The command resets the counters for the evaluation period and statistics (the latter is not used in RF measurements) to zero, furthermore, all measurement values are set invalid (INV).

As illustrated in the figure above, INITiate can be called in any measurement state. If the measurement is already running (RUN), INITiate aborts (ABORt) and restarts a running measurement.

The measurement reserves all necessary hardware resources and switches into the RUN state. If the measurement can not be started due to a resource conflict it remains in the OFF state, and the measurement status returned by the FETCh:<meas_obj>:STATus? is ERR. At the same time the SCPI error -213, Init ignored, is generated.

Possible resources
conflicts 		The RF connector is already allocated by another measurement or signal generator. The other measurement must be switched off first.

Due to the method used for the analysis, two measurements can not be evaluated at the same time.

Overlapping execution | INITiate is implemented as an overlapped command. In contrast to SCPI specifications, the *OPC command (see Common Commands ) can not be applied together with the INITiate command. The operation complete bit (bit no. 0 in the event status register, ESR) is set immediately after the command sequence INIT; *OPC, i.e. as soon as the measurement is started and not after the end of the first evaluation period.
The command CONFigure:<meas_obj>:EREPorting <Event>, <Mode> represents a more flexible tool for generating a service request or setting the operation complete bit after the end of a measurement (see section Event Reporting ).
READ command | Instead of INITiate, the READ command can be used to initiate a (single shot) measurement, see section Retrieving Measurement Results.
ABORt:<meas_obj> Aborts the current measurement immediately and switches over to the OFF state. All measurement values are set invalid (INV); the hardware resources are released for other measurements.

As illustrated in the figure above, ABORt can be called in any measurement state.

Sequential execution | ABORt is implemented as a sequential command. This means that ABORt is not complete until the measurement has released all resources and has changed to the OFF state.
STOP:<meas_obj>
Stops (halts) the measurement as quickly as possible; i.e. after the end of the current evaluation period (or statistics cycle, if cycles comprising several evaluation periods are defined). The measurement changes to the STOP state such that all corresponding measurement values are kept unchanged. The hardware resources are retained.

As illustrated in the figure above, STOP can be called in the measurement states RUN and STEP. If called in the OFF state the command causes an SCPI error -221, Settings conflict.

Sequential execution STOP is implemented as a sequential command. Execution of STOP is considered as complete as soon as the measurement state STOP is reached.

The STOP command causes no events which are set by the event reporting system (see section Event Reporting). This means that a service request must be explicitly requested by an *OPC command.

CONTinue:<meas_obj>
Resumes the measurement for the next measurement evaluation period and changes to the RUN state.

As illustrated in the figure above, CONTinue can be called in the measurement states STOP and STEP. If the previous measurement has been terminated (the measurement status returned by the FETCh:<meas_obj>:STATus? is RDY), CONTinue restarts the measurement and resets the counters for the evaluation period and statistics (the latter is not used for RF measurements) to zero.

In the other measurement states the command causes an SCPI error
-221, Settings conflict.

Overlapping execution | CONTinue is implemented as an overlapping command like INITiate. As a consequence, *OPC can not be used together with CONTinue.
Stepping mode | The stepping mode determines whether a measurement in the counting or continuous mode (see section Measurement Statistics) is interrupted after each evaluation period (or each statistics cycle, if cycles comprising several evaluation periods are defined) or not. This mode is set via the <Stepmode> parameter of the CONFigure:<meas_obj>:CONTrol:REPetition CONTinuous | 1 ... 10000, <StopCondition>, <Stepmode> command:
<Stepmode> = STEP

The measurement is interrupted ( measurement state STEP) after each evaluation period, and the event reporting system (see Event Reporting ) is invoked. The next measurement cycle must be started with the CONTinue:<meas_object> command.

<Stepmode> = NONE

The measurement runs according to its repetition mode. Event reporting is invoked only when the measurement stops (status = RDY).

Note:
STEP can be set in all repetition modes (single shot, continuous, counting). For a single shot measurement which is always stopped after one evaluation period, the stepping mode has no effect.

In function group RF Non Signalling, <meas_obj> can stand for any of the measurement objects POWer and SPECtrum.

Note: Some measurements rely upon the same system resources and cannot be performed simultaneously. The R&S CMU provides a mechanism to decide whether conflicting measurements are persistent or releasable; see section Task Priority Management.


Remote Control - Measurement Control - Event Reporting

Event Reporting

The event reporting system specifies in which way the CMU reports that a measurement or a measurement step has been correctly terminated, i.e., that the measurement status STEP or RDY has been reached. Event reporting is configured for each measurement group individually by means of the commands

CONFigure:<meas_obj>:EREPorting SRQ | SOPC | SRSQ | OFF

The parameters have the following meaning:

SRQ | Service request. A service request is generated (i.e. bit no. 6 (RQS/MSS) of the status byte (STB) is set) whenever the measurement status STEP or RDY is reached (see section Service Request).
SOPC | Single operation complete. The operation complete bit (bit no. 0 in the event status register) is set whenever the measurement status STEP or RDY is reached (see section Overview - Status Reporting System).
SRSQ | A service request is generated and the operation complete bit is set.
OFF | No special action is taken when the measurement status STEP or RDY is reached.

Note:
No action is taken if the STOP state is reached due to an explicit STOP command.

More:

Symbolic Measurement Ready Evaluation:


Symbolic Measurement Ready Evaluation

If event reporting is enabled (i.e. CONFigure:<meas_obj>:EREPorting is not set to OFF), each measurement that reaches the STEP or RDY status causes an entry in the measurement queue. The measurement queue can be queried by means of the SYSTem:MQUeue[:COMPlete]<spec>? commands described in Introduction - Commands.

Two different specifiers are provided:

<spec> = [:LIST]
Returns the complete list of all ready measurements and reset all entries in the measurement queue to NONE.
<spec> = :ITEM
Returns the next ready measurement in the list and reset the corresponding entry in the measurement queue to NONE.

Symbolic measurement ready evaluation is in order, e.g. to avoid inconsistencies when a FETCh...? command is used to retrieve measurement results (see section Retrieving Measurement Results).


Remote Control - Measurement Control - Measurement Status

Measurement Status

The status of the current measurement can be queried by means of the following command:

FETCh status | FETCh:<meas_obj>:STATus? Returns the current status of the measurement. The FETCh... command can be used as well to poll the progress of a measurement. The response to the FETCh... query has the format <Status>, <Counting_No>, <Statistic_No>.
<Status> | The first parameter in the response reports on the current status of the measurement. The measurement status returned is closely linked to the four measurement states described in section Measurement Control Commands and States:
OFF | measurement in the OFF state after *RST or ABORt
RUN | measurement in the RUN state after INITiate, CONTinue, or READ
STOP | measurement in the STOP state after STOP (stopped explicitly)
STEP | measurement in the STEP state due to <Stepmode> = STEP, valid measurement results
RDY | measurement in the STOP state because stopped according to the repetition mode and stop condition set.
ERR | measurement in the OFF state because it could not be started with INITiate or READ for lack of resources, e.g. because the RF connectors were already in use by another measurement.
<Counting_No> | The second parameter in the response returns the current value of the statistics counter (the number of the current statistics cycle) if the measurement is performed in the Counting mode:
0 ... 10000 | number of the current statistics cycle
NONE | no counter for statistics cycles used, i.e. a repetition mode other than Counting is set.
<Statistic_No> | The third parameter in the response returns the number of the current evaluation period (e.g. a burst length in the case of GSM Power vs Time or Modulation measurements) within a statistics cycle. For RF Non Signalling Measurements this counter is not used (response NONE).


Generator Control

The commands used for control of the CMU's RF and AF signal generators are analogous to the measurement control commands explained in section Event Reporting . The generators are in one of the following two generator states:

OFF | generator switched off, resources released
RUN | generator running

The RUN state corresponds to the status indication ON in the RF generator softkey (see section Measurement Menu Analyzer/Generator).

The relation between generator commands and generator states is shown in the following diagram:

Generator states and control commands

Generator control commands are recognized by the second-level keyword RFGenerator or AFGenerator. The generator control commands behave as follows:

INITiate:
RFGenerator

INITiate:
AFGenerator... 		Starts the generator, reserves all necessary hardware resources and changes to the generator state RUN.

As illustrated in the figure above, INITiate can be called in any generator state. If the generator is already running (RUN), INITiate has no effect.

If the generator can not be started due to a resource conflict it remains in the OFF state, and the measurement status returned by the FETCh:<meas_obj>:STATus? is ERR. At the same time the SCPI error
-213, Init ignored, is generated.

Possible resources
conflicts 		The RF connector is already allocated by another generator. The other generator must be switched off first.
Sequential execution | INITiate is implemented as a sequential command. The *OPC command (see Common Commands ) can be applied together with the INITiate command.
ABORt:
RFGenerator

ABORt:
AFGenerator... 		Switches the generator off, releases the hardware resources for other generators, and changes to the generator state RUN.

As illustrated in the figure above, ABORt can be called in any generator state. If the generator is switched off (OFF), ABORt has no effect.

Sequential execution | ABORt is implemented as a sequential command. The command is not terminated before the generator is completely switched off.

Note:
In some function groups (e.g. in function group Audio), several RF or AF generators can be used. Generators relying upon the same system resources cannot be switched on simultaneously. The R&S® CMU provides a mechanism to decide whether conflicting generators are persistent or releasable; see section Task Priority Management.


Remote Control - Measurement Control - Generator Status

Generator Status

The generator status can be queried by means of the FETCh...? command:

FETCh command | FETCh:<meas_obj>:STATus? Return the current generator status. The FETCh... command can be used to poll the generator status. The FETCh... query returns one of the following generator states:
OFF | generator is in the OFF state (default status after *RST or due to ABORt... command).
RUN | generator running (RUN state after INITiate... command).
ERR | generator is in the OFF state because it could not be started with an INITiate... command for lack of resources (e.g. the RF connector is already in use by another generator).


Measurement Statistics

The basic evaluation period for POWer and SPECtrum measurements (function group RF) corresponds to a sweep (see also General Settings). In Audio measurements, the evaluation period corresponds to the time until the system has settled and a valid result is available.

Together with the Statistic Count, the Repetition Mode defines how many evaluation periods are measured if the measurement is not stopped explicitly (measurement control commands STOP..., ABORT...) or by a limit failure. With remote control the three repetition modes Single Shot, Continuous and Counting are available (Counting is not available in manual control, see Introduction - Manual Operation).

In POWer and SPECtrum measurements, different traces corresponding to the result in the current evaluation period, the maximum, minimum, or average over a set of evaluation periods (bursts) are determined. These results can be queried independently.

Repetition mode in remote control

Setting

Description

Command

Statistic Count

Integer number of evaluation periods forming one statistics cycle.

CONFigure:<meas_obj>:CONTrol:STATistics
1 ... 1000 | NONE
(in RF: <meas_obj> = POWer | SPECtrum)

Repetition mode

Single Shot

The measurement is stopped after one statistics cycle.

CONFigure:<meas_obj>:CONTrol:REPetition
SINGleshot, <StopCondition>, <Stepmode>

Continuous

The measurement is continued until stopped explicitly or by a limit failure. Results are valid after one evaluation period and updated after the next evaluation period has been terminated. Average results are calculated according to the rules given in chapter 3.

CONFigure:<meas_obj>:CONTrol:REPetition
CONTinuous, <StopCondition>, <Stepmode>

Counting

Repeated single shot measurement with a definite number of evaluation periods.

The stepping mode (<Stepmode> = STEP | NONE) determines whether or not the measurement is stopped after each evaluation period or not, see Measurement Control Commands and States .

CONFigure:<meas_obj>:CONTrol:REPetition
1 ... 1000, <StopCondition>, <Stepmode>

A counting measurement with 1 evaluation period is equivalent to a single shot measurement..

Trace s

The specifiers [CURRent:], MAXimum, MINimum, and AVERage denote the traces for the current evaluation period, the maximum, minimum, extreme value, or average of a set of evaluation periods. They correspond to the Display Mode set in the measurement configuration menus.

In general all four traces are evaluated during the measurement. They are selected via the specifiers used as last keywords in the READ..., FETCh... or SAMPle... queries.

Measurement results:
READ:ARRay:<meas_obj>:<disp>?
READ:SUBarrays:<meas_obj>...<disp>?
...

Limit matching:
CALCULATE:ARRay:<meas_obj>:<disp>:
MATChing:LIMit?
....

<disp> = [:CURRent] | :AVERage |
:MAXimum | MINimum

Note: Some measurement groups (e.g. the WPOWer measurement in function group RF) use simplified statistical settings where the Statistic Count is always 1. It is still possible to select different repetition modes for these measurements.


Retrieving Measurement Results

General command
structure 		The results of a measurement can be retrieved by means of the FETCh, SAMPle or READ query. All three commands have the same structure:
FETCh<type>:<meas_obj>[:RESult]<spec>?
SAMPle<type>:<meas_obj>[:RESult]<spec>?

READ<type>:<meas_obj>[:RESult]<spec>?

The literals written in angle brackets have the following meaning:

<type> Measurement trace (:ARRay), scalar values ([:SCALar]) can be retrieved in the network tests; see the relevant operating manuals.

To limit the number of commands and simplify the program syntax, all scalar results determined in a measurement are generally read out with a single command. They are returned as a list of values separated by commas.

The length of the arrays depends on the measurement group and possibly on the configuration settings; see also Subarrays paragraph below.

<meas_obj> | Measurement group (measurement object): POWer | SPECtrum are used in RF Non Signalling mode.
<spec> | [:CURRent] current evaluation period, other statistical traces can be retrieved in the network tests.
Subarrays | Arrays generally consist of a large number of values representing the measurement trace over the whole time or frequency range. With the SUBarrays commands, the CMU provides a flexible tool for handling large amounts of data. These commands restrict a measurement to up to 32 subranges where either all measurement results or a single statistical value can be read out.
Subarray
configuration 		The subarrays are configured with the following commands:
CONFigure:SUBarrays:<meas_obj> <Mode>, <Start>, <Samples>
    {,<Start>, <Samples>}
<meas_obj> | Measurement group (measurement object). For examples refer to the manuals for the network tests.
<Mode> Statistics mode for all subranges. The following parameters can be set:
ALL

Return all measurement values (the number of values in every subrange is given by the <Samples> parameter).

ARIThmetical

Return the arithmetical mean value of the results in every subrange.

MINimum

Return the minimum of the results in every subrange.

MAXimum

Return the maximum of the results in every subrange.

IVAL

Return a single measurement value corresponding to the abscissa value <Start>. If <Start> is located between two test points with valid results then the result is calculated from the results at these two adjacent test points by linear interpolation. Ignore the <Samples> parameter.

<Start> | Start of current range (time or frequency or channel number).
<Samples> | Number of samples in current range.
The subranges may overlap but must be within the total range of the <meas_obj>. Test points outside this range are not measured (result NAN) and do not enter into the ARIThmetical, MINimum and MAXimum values.

By default, only one range corresponding to the total measurement range is used and all measurement values are returned.

Subarray results Subarray results are retrieved by means of FETCh, SAMPle or READ queries, with :SUBarrays inserted as a second-level keyword:
FETCh:SUBarrays<type>:<meas_obj>[:RESult]<spec>?
SAMPle:SUBarrays<type>:<meas_obj>[:RESult]<spec>?
READ:SUBarrays<type>:<meas_obj>[:RESult]<spec>?

In the default subarray configuration, these commands are identical with the FETCh, SAMPle or READ queries described above (i.e. all measurement results are read out).

FETCh command FETCh<type>:<meas_obj>[:RESult]<spec>?

Retrieves the latest valid measurement results.

If the FETCh query is used immediately after an INITialize... command, the first evaluation period is terminated before the query is executed so that a valid result can be acquired. If called up repeatedly after termination of the first evaluation period, the FETCh query may return the same results several times until they have been updated after the next period.

A FETCh returns the results without interaction with the measurement (unsynchronized query). In some cases this may cause inconsistent results to be read so that the SAMPle command should be used while the measurement is in the RUN state.

Measurement states | According to the definition given above the effect of the FETCh query depends on the measurement status and the history of the measurement:
Status | Valid Results? | Effect of FETCh...?
¹ OFF | Yes | Returns the current results.
OFF | No | Generates an SCPI error -230, Data corrupt or stale. This is why FETCh should not be used while the measurement is in the OFF state.
RUN | No | Waits until valid results are available and returns these results.
STOP | No | Generates an SCPI error -230, Data corrupt or stale. This scenario occurs, e.g. if the measurement is stopped explicitly before the first evaluation period has been terminated.

SAMPle command SAMPle<type>:<meas_obj>[:RESult]<spec>?

Retrieves the results of the current evaluation period. In single shot measurements, SAMPle is equivalent to READ.

In a continuous measurement, or in counting mode (see repetition mode in Measurement Statistics), SAMPle is executed only after termination of the current evaluation period. This implies that a single measurement result can be returned only once by a SAMPle query; if called up repeatedly, SAMPle will return the result of subsequent evaluation periods.

Due to this behavior, the SAMPle query is suitable for monitoring the progress of continuous measurements in time. Multiple identical results, which might be returned by repeated FETCh commands, are avoided.

A SAMPle query returns the results after interacting with the measurement (synchronized query). This means that only valid results are returned, inconsistencies are avoided.

Measurement states According to the definition given above the effect of the SAMPle query depends on the measurement status and the history of the measurement:

Status | Valid Results? | Effect of SAMPle...?
STOP | RDY | STEP | Yes | Returns the current results. In this case, the SAMPle command is equivalent to the FETCh command.
OFF | No | Generates an SCPI error -230, Data corrupt or stale. This is why SAMPle should not be used while the measurement is in the OFF state.
RUN | Yes | No | Waits until the end of the current evaluation period, returns the results, and resumes the measurement (unless the current evaluation period is the last to be measured).
STOP | No | Generates an SCPI error -230, Data corrupt or stale. This scenario occurs, e.g. if the measurement is stopped explicitly before the first evaluation period has been terminated.

READ command READ<type>:<meas_obj>[:RESult]<spec>?

Starts a new measurement, terminates the measurement and returns the results after one single shot. The READ...? query is equivalent to:

ABORt...;

INITiate...;

FETCh...?

The READ command preserves all configurations (such as event reporting, stop condition, statistics count...). READ initiates a measurement which is terminated after one single shot ( measurement state STOP, status RDY; if an error occurred, the status is ERR). However, it does not affect the repetition mode setting itself.

In case of no error (status RDY), the measurement can be continued by means of the CONTinue command. It will be performed with the repetition mode set before READ was executed.


Diagrammatic Overview of Measurement Control

The commands used to configure and control the measurements, to query the status of the measurement, and to retrieve the measurement results are closely linked to the settings for the repetition mode and stop condition. The various scenarios are most easily explained by means of a graphical representation of the measurements.

More:

Single Shot Measurements

Counting Measurements

Continuous Measurements


Continuous Measurements

Statistics cycles, stop condition: NONE

A continuous measurement with statistics cycles consisting of 100 bursts each is performed. Average results are calculated according to the rules given in section Calculation of average quantities. The measurement is started with the INITiate command. Results can be queried using the SAMPle...? command (status RUN). During the measurement FETCh...? may return inconsistent results. The measurement is configured via:
CONFigure:<meas_obj>:CONTrol <type> 100
CONFigure:<meas_obj>:CONTrol:REPetition CONTinuous,NONE,NONE
Statistics cycles, stop condition: SONerror

A continuous measurement with statistics cycles consisting of 100 evaluation periods each is performed. The measurement is started with the INITiate command. Results can be queried the SAMPle...? command (status RUN, STOP). During the measurement FETCh...? may return inconsistent results. If the stop condition is met during the first statistics cycle no valid result is available. The measurement is configured via:
CONFigure:<meas_obj>:CONTrol <type> 100
CONFigure:<meas_obj>:CONTrol:REPetition CONTinuous,SONerror,NONE
Statistics off, stop condition: NONE

A continuous measurement is performed. No statistics cycles are defined. The measurement is started with the INITiate command. Results can be queried using the SAMPle...? command (status RUN). During the measurement FETCh...? may return inconsistent results. The measurement is configured via:
CONFigure:<meas_obj>:CONTrol <type> OFF
CONFigure:<meas_obj>:CONTrol:REPetition CONTinuous,NONE,NONE
Statistics off, stop condition: SONerror

A continuous measurement is performed. No statistics cycles are defined. The measurement is started with the INITiate command. Results can be queried the SAMPle...? command (status RUN, STOP). During the measurement FETCh...? may return inconsistent results. The measurement is configured via:
CONFigure:<meas_obj>:CONTrol <type> OFF
CONFigure:<meas_obj>:CONTrol:REPetition CONTinuous,SONerror,NONE

Note:
The stepping mode can be set for continuous measurements as well (Parameter <Stepmode>=STEP, see section Counting Measurements). In this case, the system takes up the STEP status after each statistics cycle. It can be relaunched via the CONTinue command.


Counting Measurements

Stop condition: NONE

A counting measurement comprising 3 counts of measurements, each about a statistics cycle of 300 evaluation periods, is performed. The measurement is started with the INITiate command. The results can be queried using the SAMPle...? (status RUN, STEP or RDY) or FETCh...? (status STEP or RDY) commands. The measurement is configured via:
CONFigure:<meas_obj>:CONTrol <type>,300
CONFigure:<meas_obj>:CONTrol:REPetition 3,NONE,<Stepmode>

The STEP status occurs only if the stepping mode is set (<Stepmode> = STEP). In this case, the next cycle must be restarted via the CONTinue command.

Stop condition: SONerror

A counting measurement comprising counts of measurements, each about a statistics cycle of 300 evaluation periods, is performed. The measurement is started with the INITiate command. The results can be queried using the SAMPle...? (status RUN, STEP or RDY) or FETCh...? (status STEP or RDY) commands. The measurement is configured via:
CONFigure:<meas_obj>:CONTrol <type>,300
CONFigure:<meas_obj>:CONTrol:REPetition 3,SONerror,<Stepmode>

The STEP status occurs only if the stepping mode is set (<Stepmode> = STEP). In this case, the next cycle must be restarted via the CONTinue command.


Single Shot Measurements

Stop condition: NONE

A single shot measurement comprising 1000 evaluation periods with stop condition none is performed. The measurement is started with the INITiate command. The results can be queried using the SAMPle...? (status RUN or RDY) or FETCh...? (status RDY) commands. The measurement is configured via:
CONFigure:<meas_obj>:CONTrol <type>,1000
CONFigure:<meas_obj>:CONTrol:REPetitionSINGleshot,NONE,<Stepmode>

The <Stepmode> parameter has no effect.

Stop condition: SONerror

A single shot measurement comprising 1000 evaluation periods with stop condition SONerror is performed. The measurement is started with the INITiate command and stopped before the end of the statistics cycle. The results can be queried using the SAMPle...? (status RUN or STOP) or FETCh (status STOP) commands. The number of bursts measured can be queried using the FETCh:<meas_obj>:STATus? command. The measurement is configured via:
CONFigure:<meas_obj>:CONTrol <type>,1000

CONFigure:<meas_obj>:CONTrol:REPetitionSINGleshot,SONerror<Stepmode>

The <Stepmode> parameter has no effect.


Special Terms and Notation

Below we list some particular features in the syntax of the remote control commands. The general description of the SCPI command syntax can be found in section SCPI Introduction .

Description
of commands
The commands are arranged in tables; all of them are arranged in the same way. From top to bottom, the table rows contain the following entries:
  1. Complete command syntax including the parameter list and a short description of the command,
  2. List and description of the parameters with their default values, the units, and unit rings.
  3. Detailed description of the command, signalling state required for command execution, required firmware version.

Extensive lists of default values are annexed to the command description.

Order of commands
The commands are arranged according to their function. The general purpose of a command is described by the keyword in the second level. Lower-level keywords define the command in more detail. This means that commands with the same second-level, third-level etc. keywords are generally grouped together in the same sections.

Example:

CONFigure:POWer:FREQuency:CENTer <Frequency>

Commands with the keyword POWer in the second level belong to the power measurement. The keywords in the third and fourth levels indicate that the command defines the center analyzer frequency used in the power measurement.

Measurement object | The term measurement object denotes a group of remote control commands relating to the same group of measured quantities. E.g., all commands concerning the measurement of the signal power vs time form a common measurement object.
Combined measurements | To limit the number of remote control command and their parameters, scalar quantities of the same measurement object are always measured together and returned in lists.
Parameters | Many commands are supplemented by a parameter or a list of parameters. Parameters either provide alternative options (setting a or setting b or setting c ..., see special character "|"), or they form a list separated by commas (setting x,y).
<Par_Name> In the command tables and lists, parameters are generally described by a name (literal) written in angle brackets (<>). This literal merely serves as a parameters description; in an application program it must be replaced by one of the possible settings reported in the detailed parameter description.

Example:

CONFigure:POWer:CONTrol <Mode>,<Statistics>

with

<Mode> = SCALar | ARRay

<Statistics> = 1 to 10000 | NONE

possible command syntax: CONF:POW:CONT SCAL,OFF

NAN | NAN (not a number) is generally used to represent missing data, e.g. if a portion of a trace has not been acquired yet. It is also returned after invalid mathematical operations such as division by zero. As defined in the SCPI standard, NAN is represented as 9.91 E 37.
INV | INV (invalid) is returned if a limit check is performed without defining the appropriate tolerance values.
Upper / lower

case

Upper/lower case characters characterize the long and short form of the keywords in a command. The short form consists of all upper-case characters, the long form of all upper case plus all lower case characters. On the CMU, either the short form or the long form are allowed; mixed forms will generally not be recognized. Either the short form or the long form are permissible. The instrument itself does not distinguish upper case and lower case characters.
Special characters
| A vertical stroke in the parameter list characterizes alternative parameter settings. Only one of the parameters separated by | must be selected.

Example:

The following command has two alternative settings:

TRIGger:SEQuence:DEFault ON | OFF

[ ] Key words in square brackets can be omitted when composing the command header (see chapter 5 of the CMU manual, section "Structure of a Command"). The complete command must be recognized by the instrument for reasons of compatibility with the SCPI standard.

Parameters in square brackets are optional as well. They may be entered in the command or omitted.

{ } Braces or curly brackets enclose one or more parameters that may be included zero or more times.
<nr> | This symbol stands for a numeric suffix, e.g. an enumeration index for input and output connectors.
Lists of commands
Command: The Command column of the table contains all remote control commands arranged according to their function (configurations or measurement objects). Within a section, the commands are listed in alphabetical order.

Parameters: The Parameter column lists the parameters of the commands.

Remarks: The Remarks column gives additional information about the commands which

Have no query form (no query)

Have only a query form (query only)

Can be used both as setting commands and as queries (with query, this applies to all commands belonging to none of the two preceding categories)


Introduction - Commands

In the following, all remote-control commands for the Base system and the function groups RF and Audio will be presented in tabular form with their parameters and the ranges of numerical values. The section is organized as follows:

  • Common commands, commands for the Base system and the function groups RF and Audio are presented separately.

  • Within the measurement modes, first the general configuration and then the individual measurement groups are described.

Unless otherwise stated in the command description, all commands may be used for control of the CMU via GPIB interface or serial (RS-232) interface. An introduction to remote control according to the SCPI standard, the status registers of the CMU, and the operating concept and measurement control is given in Outline - Remote Control.


Common Commands

The common commands are taken from the IEEE 488.2 (IEC 625-2) standard. These commands have the same effect on different devices. The headers of these commands consist of "*" followed by three letters. Many common commands are related to the status reporting system which is described in detail in Introduction - Remote Control.

Common Commands

Command | Parameters | Remark
*CLS |  | no query
*ESE | 0 to 255 |
*ESR? |  | query only
*GTL |  | not IEEE 488.2 confirmed; see Addressed Commands
*IDN? |  | query only
*IST? |  | query only
*LLO | TRUE | FALSe | not IEEE 488.2 confirmed; see Interface Message , Universal Commands
*OPC |  |
*OPT? |  | query only
*PRE | 0 to 255 |
*PSC | 0 | 1 |
*RST |  | no query
*SEC | 0 to 30 | not IEEE 488.2 confirmed; see Subsystem MISC
*SRE | 0 to 255 |
*STB? |  | query only
*TST? |  | query only
*WAI |  |

*CLS | CLEAR STATUS sets the status byte (STB), the standard event register (ESR) and the EVENt-part of the QUEStionable and the OPERation register to zero. The command does not alter the mask and transition parts of the registers. It clears the output buffer.
*ESE 0 to 255 | EVENT STATUS ENABLE sets the event status enable register to the value indicated. The query *ESE? returns the contents of the event status enable register in decimal form.
*ESR? | STANDARD EVENT STATUS QUERY returns the contents of the event status register in decimal form (0 to 255) and subsequently sets the register to zero.
*IDN? | IDENTIFICATION QUERY queries the instrument identification.
*IST? | INDIVIDUAL STATUS QUERY returns the contents of the IST flag in decimal form (0 | 1). The IST-flag is the status bit which is sent during a parallel poll (see Introduction - Remote Control).
*OPC | OPERATION COMPLETE sets bit 0 in the event status register when all preceding commands have been executed. This bit can be used to initiate a service request (cf. Introduction - Remote Control).
*OPC? | OPERATION COMPLETE QUERY writes message "1" into the output buffer as soon as all preceding commands have been executed (cf. Introduction - Remote Control).
*OPT? | OPTION IDENTIFICATION QUERY queries the options included in the instrument and returns a list of the options installed. The response consists of Arbitrary ASCII response data according to IEEE 488.2. The options are returned at fixed positions in a comma-separated string. A zero is returned for options that are not installed.

Example:

0,0,0,0,B11,0,B21Var02,0,0,0,B41,B52Var02,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,PCMCIA,0,0,0,0,0,0,0,0,K20,K21,K22,K23,K24,K27,K28,K29,0,0,0,0,0,0,0,K42,K43,0,0,0,0,0,0,0,0,0,0,K83,K84,K85,K86,0,FMR5,AMD K6-2,64 MB,0,0,0,rxtx1,0,0,0,0,0

An alternative list of options can be queried via the command SYSTem:OPTions? See also description of Setup Options menu in Chapter 4.

The CMU hardware options are listed at the beginning of the output string, e.g.:

Pos. | Response | Description | Pos. | Response | Description
0 | B1/B2 | OCXO | 21 | B54Var02/Var14 | Sig. Mod. for GSM, TDMA, AMPS
1 | B5 | GSM Linkhandler (CRTU) | 22 | B56Var14 | Power PC for USU
2 | B6 | MAC/Speech Board (CRTU) | 23 | B56Var02/Var14 | Power PC
3 | B7 | I/Q-IF Interface (CRTU) | 24 | B66 | WCDMA L1 Copro
4 | B9 | Two auxiliary RF generators | 25 | B68 | WCDMA L1 Copro, fully fitted
5 | B11/B12 | OCXO | 26 | B71 | ABIS (CMU300)
6 | B17 | I/Q-IF Interface | 27 | B73 | A/B Board
7 | B21 | Universal Signalling Unit | 28 | B76 | WCDMA L1 Copro (CMU300)
8 | B21Var14 | USU for WCDMA, GPRS | 29 | B81 | cdmaOne LH
9 | B21Var02 | ULH for GMS, TDMA, AMPS | 30 | B82 | Access Board for B81/83
10 | B21Var02/Var14 | Universal Signalling Unit | 31 | B83 | CDMA2000 LH
11 | B41 | Audio option | 32 | B85 | Speech codec for B83
12 | B52 | Speech coder for CMU-B21 | 33 | B88 | HDR option for B83
13 | B52Var14 | Speech coder for USU | 34 | B91 | Second RF Channel
14 | B52Var02 | Speech coder for ULH | 35 | B95 | Add. RF Generator
15 | B52Var02/Var14 | Speech coder | 36 | U61 | Floppy disk
16 | B53 | Bluetooth | 37 | B62 |
17 | B53Var14 | Bluetooth for USU | 38 | U65 | DDC400 for WCDMA
18 | B53Var02 | Bluetooth for ULH | 39 | U75 | DDC400 for WCDMA Var04
19 | B53Var02/Var14 | Bluetooth | 40 | U99 | RF1 with RF2 Level Range
20 | B54Var14 | Sig. Mod. f. GSM, TDMA, AMPS | 41 | 0 | not used

The CMU software options are listed after the software options, e.g.:

Position | Response | Description | Position | Response | Description
42 | K0 | DemoPack | 62 | K43 | EGPRS Signalling
43 | K2 | GSM Activation (CRTU) | 63 | K45 | AMR GSM for CMU200
44 | K5 | CRTU-G Activation (CRTU) | 64 | K53 | Bluetooth
45 | K6 | WCDMA Activation (CRTU) | 65 | K65 | WCDMA UE TX Test (3GPP/FDD)
46 | K20 | GSM400-MS | 66 | K66 | WCDMA DL Generator
47 | K21 | GSM900-MS | 67 | K67 | WCDMA Signalling Band III
48 | K22 | GSM1800-MS | 68 | K68 | WCDMA Signalling Band I
49 | K23 | GSM1900-MS | 69 | K69 | WCDMA Signalling Band II
50 | K24 | GSM850-MS | 70 | K75 | WCDMA Node B Test (CMU300)
51 | K27 | IS 136-800-MS | 71 | K76 | WCDMA UL Generator (CMU300)
52 | K28 | IS 136-1900-MS | 72 | K81 | CDMA1-MS 800
53 | K29 | AMPS-MS | 73 | K82 | CDMA1-MS 1700/1900
54 | K30 | GSM400-BS | 74 | K83 | CDMA2000 450
55 | K31 | GSM900-BS | 75 | K84 | CDMA2000 800
56 | K32 | GSM1800-BS | 76 | K85 | CDMA2000 1700/1900
57 | K33 | GSM1900-BS | 77 | K86 | CDMA2000 2200
58 | K34 | GSM850-BS | 78 | K88 | 1xEV-DO
59 | K39 | MOC/MTC for GSM-BS |  |  |
60 | K41 | EDGE |  |  |
61 | K42 | GPRS Signalling |  |  |

The CMU hardware equipment is listed after the hardware options, e.g.:

Position | Response | Description | Position | Response | Description
79 | FMR5/6 | Front Module Controller | 82 | 0 | not used
80 | <CPU_Type> |  | 83 | 0 | not used
81 | <Memory> |  | 84 | 0 | not used

The CMU firmware versions are listed after the hardware equipment, e.g.:

Position | Response | Description | Position | Response | Description
85 | uP1 |  | 88 | 0 | not used
86 | uP2 |  | 89 | 0 | not used
87 | 0 | not used | 90 | 0 | not used

*PRE 0 to 255 | PARALLEL POLL REGISTER ENABLE sets parallel poll enable register to the value indicated. Query *PRE? returns the contents of the parallel poll enable register in decimal form.
*PSC 0 | 1 | POWER ON STATUS CLEAR determines whether the contents of the ENABle registers is maintained or reset when the instrument is switched on. *PSC = 0 causes the contents of the status registers to be maintained. Thus a service request can be triggered on switching on in the case of a corresponding configuration of status registers ESE and SRE. *PSC [image] 0 resets the registers. Query *PSC? reads out the contents of the power-on-status-clear flag. The response can be 0 or 1.
*RST | RESET sets the instrument to a defined default status. The command resets all function groups and test modes, restoring the default values defined for remote control operation. *RST is equivalent to SYSTem:RESet[:ALL]. The default settings are indicated in the description of commands.
*SRE 0 to 255 | SERVICE REQUEST ENABLE sets the service request enable register to the value indicated. Bit 6 (MSS mask bit) remains 0. This command determines under which conditions a service request is triggered. The query *SRE? returns the contents of the service request enable register in decimal form. Bit 6 is always 0.
*STB? | READ STATUS BYTE QUERY reads the contents of the status byte in decimal form.
*TST? | SELF TEST QUERY triggers selftests of the instrument and outputs an error code in decimal form (the output is zero in the current firmware version).
*WAI | WAIT-to-CONTINUE prevents servicing of the subsequent commands until all preceding commands have been executed and all signals have settled (see also Introduction - Remote Control and *OPC).


Base System Commands

CMU Base System Commands

The commands in the CMU base system are used to query the instrument state, perform general device configurations, set and query the status registers, reset the instrument, manage files and configure the reference frequency.


System Commands

The SYSTem subsystem contains the functions that are not related to instrument performance. All SYSTem commands are SCPI-confirmed.

More:

Error Queue

SCPI Version

Disable Non Volatile RAM

Measurement Equipment


Status Commands

The STATus subsystem controls the SCPI-defined status reporting structures. The purpose and definition of status registers is given in Outline - Remote Control, section "Status Reporting System". Unless otherwise stated, all the following commands are SCPI-confirmed.

More:

Event Part

CONDition part

Positive transition

Negative transition

Enable part

Event part

CONDition part

Positive transition

Negative transition

Enable part

Event part

CONDition part

Positive transition

Negative transition

Enable part

Query all operation registers

Clear all operation registers

Event part

CONDition part

Positive transition

Negative transition

Enable part

Reset status registers

Symbolic Status Event Register Evaluation


Setup - Basic Device Settings

The SETup subsystem contains the commands for global configuration of the remote control parameters, the serial interfaces, the options, date and time, the keyboard and beeper. It corresponds to the Setup menu opened via the SETUP key on the front panel.

More:

Subsystem Remote

Subsystem Communicate

Subsystem Options

Subsystem Time

Subsystem MISC

Subsystem MQUeue


Remote Control - CMU Base System Commands - Reset

Reset

The PRESet/RESet subsystem restores the (factory) default values for all instrument settings. It corresponds to the Reset menu opened via the RESET key on the front panel.

More:

Reset

Partial Reset


Remote Report - Subsystem TRACe

The TRACe subsystem determines whether the remote report is displayed on screen or written to a file. It corresponds to the Report... hotkeys on the bottom of the Remote screen.

More:

Local Lockout

Report Display

Report File

Show/Hide Error Messages

Show/Hide Service Requests

Report Lines for Output


File Manager - System MMEMory

The MMEMory system provides mass storage capabilities for the CMU. Part of the functionality of this system is included in the Data menu.

The mass storage of the CMU may be internal or external. The internal mass storage device is a section on the internal hard disk that is reserved for mass storage (directory c:\temp). The external mass storage device is either a floppy disk or a PCMCIA memory card, depending on the instrument configuration. The <msus> (mass storage unit specifier) parameter in the MMEMory commands denotes the root directory of the INTernal or EXTernal mass storage device.

The <FileName> parameter is a string. The contents of the string may contain characters for specifying subdirectories, e.g. "\TEMP\TRASH\test.txt" for the file named test.txt in the TEMP\TRASH subdirectory of the root directory or "TEMP\TRASH\test.txt" for the file named test.txt in the TEMP\TRASH subdirectory of the current directory, to be queried with MMEMory:DIRectory [:CURRent]?. The file name itself may contain the period as a separator for extensions.

Unless otherwise stated, all the following commands are SCPI-confirmed.

More:

View Info

Comment

Internal/External

Current Directory

Change Directory

Delete File

Remove Directory

Make Directory

Copy File

Move File

Rename File

Scan Disk

Transfer Data

Save all configurations

Save configurations in current function group and test mode

Recall all configurations

Recall configurations in current function group and test mode


Synchronization

The Synchronize subsystem contains the commands for configuring the reference frequency. It corresponds to the Reference Frequency softkey in the Sync. tab of the Connection Control menu. Note that this tab is available in every function group

More:

Reference Frequency

Ref. Frequency Source

Ref. Frequency Not Locked


Frequency Dependent Attenuation

The commands in the USER:CORRection subsystem define the external input and output attenuation factors as a function of the RF input (analyzer) and output (generator) frequency. The commands are valid for all function groups.

More:

Default Settings

User Correction Table Enable

User Correction Loss Table

User Correction at Specified Frequency

Sort Table


RF Measurement Commands

The listed commands belong to the RF function group.

More:

Subsystem Options

Configuration File Management – System MMEMory

Partial Reset

Connection Control

Power Measurements - POWer

Spectrum Measurements - SPECtrum

WPOWER

NPOWer

Symbolic Status Event Register Evaluation


Remote Control - RF Measurement Commands - RF Measurement Commands - Subsystem Options

Subsystem Options

The Options subsystem contains the commands for querying information on the instrument and the available options. It corresponds to the Options tab in the Setup menu opened via the SETUP key on the front panel.

More:

Device Info


Remote Control - RF Measurement Commands - RF Measurement Commands - Configuration File Management - System MMEMory

Configuration File Management – System MMEMory

The MMEMory system provides mass storage capabilities for the CMU. The functionality of this system is included in the Data menu.

The mass storage of the CMU may be internal or external. The internal mass storage device is a section on the internal hard disk that is reserved for mass storage (directory c:\temp). The external mass storage device is either a floppy disk or a PCMCIA memory card, depending on the instrument configuration. The <msus> (mass storage unit specifier) parameter in the MMEMory commands denotes the root directory of the INTernal or EXTernal mass storage device.

The <FileName> parameter is a string. The contents of the string may contain characters for specifying subdirectories, e.g. "\TEMP\TRASH\test.txt" for the file named test.txt in the TEMP\TRASH subdirectory of the root directory or "TEMP\TRASH\test.txt" for the file named test.txt in the TEMP\TRASH subdirectory of the current directory, to be queried with the base system command MMEMory:DIRectory [:CURRent]?. The file name itself may contain the period as a separator for extensions.

More:

Save configurations in current function group and test mode

Recall configurations in current function group and test mode


Remote Control - RF Measurement Commands - RF Measurement Commands - Partial Reset

Partial Reset

The RESet subsystem restores the (factory) default values for the current function group and test mode. It is similar to the Reset menu opened via the RESET key on the front panel.

SYSTem:RESet:CURRent

Description of command | FW vers.
This command sets all parameters of the current function group and test mode to default values. The command is available in all function groups. In contrast to the Reset menu the command restores the default values defined for remote control operation. In cases where remote and manual control use distinct settings (e.g. the repetition mode for many measurements), the manual control settings are left unchanged. | ³V 3.10


RF: Connection Control

Connection Control Commands

The following subsystems correspond to the Connection Control menu:

Subsystem LEVel (Input Level)

Subsystem TRIGger (Trigger Mode)

Subsystem RFANalyzer... (Analyzer Settings)

Measurement Control - Subsystem RFANalyzer

Subsystem RFANalyzer:CONTrol

Results - Subsystem RFANalyzer:POWer?

Subsystem RFGenerator

Subsystem RFGenerator (Generator Control)

Subsystem RFGenerator:... (Generator Settings)

Subsystem RFGenerator:MODulation (Frequency Modulation)

Subsystem RFGenerator:FHOPping (Frequency Hopping)

Subsystem RFGenerator:PULSe (Ramping)

Subsystem RFGenerator:BANDwidth (Bandwidth)

Subsystem RFGenerator:AUXTx... (Aux TX Signal)

Subsystem INPut, OUTPut, CORRection:LOSS (Connector /Ext. Att.)

Subsystem DM:CLOCk (Synchronization)

I/Q-IF Interface


Subsystem LEVel (Input Level)

The subsystem LEVel controls the level in the RF input signal path. It corresponds to the table section Input Level in the Analyzer tab of the Connection Control menu and the Analyzer Level - Reference hotkey in the Spectrum menu.

More:

Max. Level

Attenuation

Input level - Mode

Reference Level for Spectrum

Default Settings


Subsystem TRIGger (Trigger Mode)

The subsystem TRIGger determines the trigger mode. It corresponds to the table section Trigger in the Analyzer tab of the Connection Control menu and the Analyzer Level - Trigger... hotkeys in the Spectrum or Power menu.

More:

Source

Level-RF Power

Level-IF Power

Slope

Ext. Trigger (AUX 3/4)

Default Settings


Subsystem RFANalyzer... (Analyzer Settings)

The subsystem RFANalyzer... sets the RF analyzer to a definite frequency and bandwidth. The settings correspond to the Analyzer Settings in the Analyzer/Generator menu.

More:

Frequency

Bandwidth


Subsystem RFGenerator

The subsystem RFGenerator configures and controls the RF generator. It corresponds to the Generator tab in the popup menu Connect. Control. The generator generates two independent RF signals Tx and Aux Tx, referenced by the third-level keywords [:TX] and :AUXTx respectively.

More:

Default Settings – RF Generator

Default Settings – RF Generator:TX


Subsystem INPut, OUTPut, CORRection:LOSS ((( /Ext. Att.)

Subsystem INPut, OUTPut, CORRection:LOSS (Connectors /Ext. Att.)

The subsystems reported below contain the commands for configuration of the input and output connectors and the external attenuation factors. The subsystems correspond to the tab RF [image] in the Connection Control menu.

More:

RF Input

RF Output

Ext. Att. Input

Ext. Att. Output

RF Output

Ext. Att. Output


I/Q-IF Interface

The subsystem IQIF configures the signal paths for I/Q and IF signals provided by option CMU-B17, I/Q and IF Interfaces. It corresponds to the I/Q-IF tab of the Connection Control menu.

Hint: How to make sense out of parameter names
In all path configurations except bypass, both the I/Q and IF output are connected (to either the RF Unit, the Digital Unit or one of the I/Q-IF inputs). The paths differ in the connection of the input branches: The qualifier IO denotes a connected input (with connected output), XO denotes a disconnected input (with connected output). Many parameters of the IQIF commands are composed of two IO/XO qualifiers, the first one standing for the IF signal, the second for the I/Q signal.

Example:

The parameter IOXO denotes a connected IF input and a disconnected IF output, while both output branches are connected.

For more information see the menu description and the application examples in Chapter 4.

More:

I/Q-IF

RX Path

TX Path

Default Settings


Subsystem DM:CLOCk (Synchronization)

The subsystem DM:CLOCk sets a system clock frequency. This frequency is set in the Sync. tab of the Connection Control menu.

More:

REF OUT 2

Clock Frequency


Power Measurements - POWer

The subsystem POWer measures the RF signal power versus time. The subsystem corresponds to the measurement menu Power and the associated popup menu Power Configuration.

More:

Measurement Control - Subsystem POWer

Test Configuration

Subsystem POWer:FREQuency (Frequency/RBW)

Subsystem POWer:LEVel (Level)

Subsystem POWer:TIME

Results - Subsystem POWer...?


Spectrum Measurements - SPECtrum

The subsystem SPECtrum measures the RF frequency spectrum. The subsystem corresponds to the measurement menu Spectrum and the associated popup menu Spectrum Configuration.

More:

Measurement Control - Subsystem SPECtrum

Subsystem SPECtrum:CONTrol

Subsystem SPECtrum:FREQuency (Frequency/RBW)

Subsystem SPECtrum:LEVel (Level)

RF Spectrum Markers

Subsystem SUBarrays:SPECtrum

Results - Subsystem SPECtrum


WPOWER

The subsystem WPOWer measures the power of the signal transmitted by the mobile phone over a wide frequency range. It corresponds to the softkey Pow. Meter Wideband in the RF connector tab of the Connect. Control menu.

INITiate:WPOWer

Start new measure ment (RUN)

ABORt:WPOWer

Abort measurement and switch off (OFF)

STOP:WPOWer

Stop measurement (STOP)

CONTinue:WPOWer

Next measurement step (only counting mode) (RUN)

Description of command | FW vers.
These commands have no query form. They start or stop the measurement, setting it to the status given in the top right column. | ³V 3.10

More:

Event Reporting

Measurement

Test cycles


NPOWer (Function Group RF)

The subsystem NPOWer measures the power of an RF signal using a narrow-band filter with variable bandwidth. Gaussian filters with bandwidths between 10 Hz and 1 MHz are available. In addition, the measurement can be performed with the root-raised cosine filter specified in standard TIA/EIA-136.xxx or with an 1.4 MHz bandpass filter specified for CDMA measurements.

The NPOWer measurement is performed at the frequency set via [SENSe:]RFANalyzer:
FREQuency. The filter bandwidth (RBW) is set via [SENSe:]NPOWer:BWIDth[:RESolution]; it does not depend on the RBW defined for the POWer and SPECtrum measurement.

The CMU measures the average, maximum and minimum power of the RF signal in a basic evaluation period comprising a fixed number of samples (4096). An average of these Current results over a definite number of evaluation periods yields the Average results. The measurement time depends on the filter bandwidth but never exceeds the order of magnitude of 100 ms for a single evaluation period. The frequency of the RF signal is also measured, provided that is close enough to the measurement frequency set via [SENSe:]POWer :FREQuency:CENTer. The characteristics of the NPOWer measurement makes it particularly suitable for the analysis of CW signals where no measurement curves are needed. Compared to the Analyzer Power measurement (subsystem RFANalyzer), it provides a wider range of filters, additional statistical evaluations and an additional frequency counter.

Note:
The configuration of the RF input path ([SENSe:]LEVel:MAXimum, [SENSe:]LEVel:MODE) and the trigger settings (TRIGger[:SEQuence]:SOURce, TRIGger[:SEQuence]:THReshold) can have an effect on the NPOWer measurement.

INITiate:NPOWer

Start new measure ment (RUN)

ABORt:NPOWer

Abort measurement and switch off (OFF)

STOP:NPOWer

Stop measurement (STOP)

CONTinue:NPOWer

Next measurement step (only counting mode) (RUN)

Description of command | FW vers.
These commands have no query form. They start or stop the measurement, setting it to the status given in the top right column. | ³V 3.07

More:

Event Reporting

Measurement


Remote Control - RF Measurement Commands - Subsystem Options - Device Info

Device Info

SYSTem:OPTions:INFO:CURRent?

Response | Def. value | Default unit
Example: Rohde&Schwarz, CMU 200-1100.0008.02,840675/018, V3.50C:SP02 2004-02-05 'RF_NSig' | - | -
Description of command | FW vers.
This command returns the information on the device comprising the manufacturer, model, serial number and firmware version of the current function group. This command is always a query. | ³V 3.10


Remote Control - RF Measurement Commands - Symbolic Status Event Register Evaluation

Symbolic Status Event Register Evaluation

The following commands are used to retrieve the events reported in function group RF; see Symbolic Status Event Register Evaluation.

More:

Symbolic status evaluation

Symbolic status evaluation


Introduction - Remote Control Audio Generator and Analyzer

Audio measurements form a separate function group (Non Signalling mode) with associated secondary address. The Signalling mode is not available for audio measurements. However, it is possible to perform audio measurements while using the signalling modes from other function groups (e.g. establish a call to a mobile in function group GSM900-MS Signalling and switch over to perform additional audio measurements). Consequently, additional audio-related commands may be provided in other contexts (for example, see the ROUTe:SPENcoder... and ROUTe:SPDecoder... commands in the GSM-MS and other function groups).

The audio function group provides two independent measurements:

  • In a single-tone audio measurement, the CMU generates an audio signal at constant level and frequency (see section Measurement Menu Analyzer/Generator) and analyzes a single-tone audio input signal.
  • In a multitone measurement (see section Measurement Menu Audio Multitone , the CMU generates a composite audio signal consisting of up to 20 distinct test tones and analyzes an audio input signal containing the same tones.

Note:
The single-tone generator and the multitone audio measurement must not be running simultaneously. In manual control, this is ensured because the single-tone audio generator is automatically switched off upon swichover to the Multitone menu and vice versa. In remote control, the conflict must be resolved explicitly:
The single tone AF generator must be switched off before a multitone measurement is started.
A running multitone measurement must be aborted before the single tone AF generator is switched on.
In the case of two conflicting audio measurements, the READ..., FETCh..., SAMPle... commands will result in an error message.

Two independent audio circuits are provided for both single tone and multitone measurements:

  • In the primary audio circuit (subsystems AFANalyzer[:PRIMary] and AFGenerator[:PRIMary] for single tone measurements, MULTitone:AF1Channel for multitone measurements), the audio signals are applied to the connectors AF OUT (output, AF generator signal) and AF IN (input) on the CMU front panel. The [:PRIMary] single tone audio circuit corresponds to the Audio Analyzer/Generator menu and the associated configuration menu. The MULTitone:AF1Channel audio circuit corresponds to the AF Chan. One multitone application.
  • In the secondary audio circuit (subsystems AFANalyzer:SECondary and AFGenerator:SECondary for single tone measurements, MULTitone:AF2Channel for multitone measurements), the audio signals are applied to the connectors AUX 2 (output, AF generator signal) and AUX 1 (input) on the CMU front panel. The :SECondary single tone audio circuit can not be controlled manually. The MULTitone:AF2Channel audio circuit corresponds to the AF Chan. Two multitone application.

With the exception of the input and output connectors, the two audio circuits are identical. Configurations such as the input path (AFLevel) can be set independently. All remote control commands are analogous.

More:

Subsystem Options


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Configuration File Management - System MMEMory

Configuration File Management – System MMEMory

The MMEMory system provides mass storage capabilities for the CMU. The functionality of this system is included in the Data menu; see CMU200/300 operating manual.

The mass storage of the CMU may be internal or external. The internal mass storage device is a section on the internal hard disk that is reserved for mass storage (directory c:\temp). The external mass storage device is either a floppy disk or a PCMCIA memory card, depending on the instrument configuration. The <msus> (mass storage unit specifier) parameter in the MMEMory commands denotes the root directory of the INTernal or EXTernal mass storage device.

The <FileName> parameter is a string. The contents of the string may contain characters for specifying subdirectories, e.g. "\TEMP\TRASH\test.txt" for the file named test.txt in the TEMP\TRASH subdirectory of the root directory or "TEMP\TRASH\test.txt" for the file named test.txt in the TEMP\TRASH subdirectory of the current directory, to be queried with the base system command MMEMory:DIRectory [:CURRent]?. The file name itself may contain the period as a separator for extensions.

MMEMory:SAVE:CURRent <FileName> [,<msus>] Save configurations in current function group and test mode
Parameters | Parameter description | Def. value | Def. unit | FW vers.
"<FileName>", INTernal | EXTernal | Name of the config. file to be created Storage device of the config. file | – INTernal | – – | V 3.10
Command description
This command saves the configuration of the current function group and test mode to a configuration file. A "?" in the specified file name will be replaced by current numbers that are automatically incremented, starting with zero. The auto-increment function overwrites an existing file with a "9" in its file name. For instrument settings that may be different in manual and remote control (e.g. the repetition mode for many measurements) the manual setting is saved. The command is available in all function groups. This command is CMU-specific.

MMEMory:RECall:CURRent <FileName> [,<msus>] Recall configurations in current function group and test mode
Parameters | Parameter description | Def. value | Def. unit | FW vers.
"<FileName>", INTernal | EXTernal | Name of the config. file to be recalled Storage device of the config. file | – INTernal | – – | V 3.10
Command description
This command recalls the configuration of the current function group and test mode from a configuration file. The command is available in all function groups. This command is CMU-specific.


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Partial Reset

Partial Reset

The RESet subsystem restores the (factory) default values for the current function group and test mode. It is similar to the Reset menu opened via the RESET key on the front panel.

SYSTem:RESet:CURRent Partial Reset

Command description FW vers.

This command sets all parameters of the current function group and test mode to default values. The command is available in all function groups. In contrast to the Reset menu the command restores the default values defined for remote control operation. In cases where remote and manual control use distinct settings (e.g. the repetition mode for many measurements), the manual control settings are left unchanged. V 3.10


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem Options - Device Info

Device Info

SYSTem:OPTions:INFO:CURRent?

Response |  | Def. value | Def. unit
Example: | Rohde&Schwarz,CMU 200-1100.0008.02,840675/018, V3.10C:SP02 2002-09-05"Audio_NSig" | - | -

Description of command | FW vers.
This command returns the information on the device comprising the manufacturer, model, serial number and firmware version of the current function group. This command is always a query. | ³V 3.10


AFAnalyzer - AF Analyzer

The AF ANalyzer subsystem measures the single tone audio signal. It corresponds to the Analyzer softkey in the main menu Audio Analyzer/Generator and the associated output fields.

More:

Subsystem AFANalyzer - Measurement Control

Subsystem AFANalyzer...:CONTrol (Control)

Subsystem AFANalyzer...:FILTer (Filter)

Subsystem AFANalyzer... (Measured Values)


AFGenerator - AFGenerator

The subsystem AFGenerator configures and controls the AF generator. It corresponds to the measurement softkey Generator in the measurement menu Audio Analyzer/Generator and the associated input fields.

More:

AF Generator Control

Generator Status

Generator Level

Frequency

Generator Signal


Multitone Measurements (MULTitone)

The subsystem MULTitone measures the level of an audio test signal comprising up to 20 test tones. The subsystem corresponds to the measurement menu Multitone and the associated popup menu Multitone Configuration.

In analogy to the AFGenerator and AFANalyzer subsystems reported above, the Multitone measurement provides two independent circuits:

  • In the first audio channel (subsystem MULTitone:AF1Channel...), the audio signals are applied to the connectors AF OUT (output, AF generator signal) and AF IN (input) on the CMU front panel. The first audio channel corresponds to the Multitone menu, application AF Chan. One, and the associated configuration menu.
  • In the second audio channel (subsystem MULTitone:AF2Channel...), the audio signals are applied to the connectors AUX 2 (output, AF generator signal) and AUX 1 (input) on the CMU front panel. The second audio channel corresponds to the Multitone menu, application AF Chan. Two, and the associated configuration menu.

With the exception of the input and output connectors, the two audio circuits are identical. All remote control commands are analogous.

More:

Control of Measurement - Subsystem MULTitone

Test Configuration

Results - Subsystem MULTitone:...?


Introduction - Program Examples

The program examples in this section are intended to give a short introduction to GPIB bus programming of the CMU illustrating some of the concepts discussed in Chapter 5. For examples involving optional function groups (network tests) refer to the relevant manuals, e.g. CMU-K21/-K22/-K23.


Secondary Address Handling

The following example explains how to handle primary and secondary addressing and how to perform a simple measurement with the CMU. In the example, remote control via the National Instruments GPIB bus driver (NI-488.2) and the programming language C is used. Once the addresses are assigned, the same commands can be used in different function groups.

// Include header files
#include <string.h>

/*  NI488.2 header file */
#include <decl.h>

// GPIB board index
#define BdIndx                   0

// Primary address
#define pad                      20

// Secondary address for Base Definition (National Instruments specific)
#define sad_BASE                 96

// Secondary  Address for function groups definition
// (conforming to IEEE488.2)
#define _RF_NSig                  1
#define _GSM900MS_Sig             2
#define _GSM900MS_NSig            3
#define _GSM1800MS_Sig            4

#define sad_RF_NSig             sad_BASE + _RF_NSig
#define sad_GSM900MS_Sig        sad_BASE + _GSM900MS_Sig
#define sad_GSM900MS_NSig       sad_BASE + _GSM900MS_NSig
#define sad_GSM1800MS_Sig       sad_BASE + _GSM1800MS_Sig

// Timeout
#define tmo                     (int) 10

// EOT
#define eot                     (int) 1

// EOS
#define eos                     (int) 0

// Command definition for secondary address mapping
#define Map_Command             "SYST:REM:ADDR:SEC %d,\"%s\""
#define IdStr_RF_NSig                "RF_NSig"
#define IdStr_GSM900MS_Sig      "GSM900MS_Sig"
#define IdStr_GSM900MS_NSig     "GSM900MS_NSig"
#define IdStr_GSM1800MS_Sig    "GSM1800MS_Sig "

// Variable declarations
int h_BASE;
int h_RF_NSig;
int h_GSM900MS_Sig;
int h_GSM900MS_NSig;
int h_GSM1800MS_Sig;

char InBuffer [100];
char Command [100];

// Request of the basesystem handle
h_BASE = ibdev (BdIndx, pad, sad_BASE, tmo, eot, eos);

// Mapping of secondary addresses for the function groups
sprintf (Command, Map_Command, _RF_NSig,IdStr_RF_NSig);
ibwrt(h_BASE, Command, strlen(Command));
sprintf (Command, Map_Command, _GSM900MS_Sig, IdStr_GSM900MS_Sig);
ibwrt(h_BASE,Command, strlen(Command));
sprintf (Command, "Map_Command _GSM900MS_NSig, IdStr_GSM900MS_NSig);
ibwrt(h_BASE,Command, strlen(Command));
sprintf (Command, "Map_Command _GSM1800MS_Sig, IdStr_GSM1800MS_Sig);
ibwrt(h_BASE,Command, strlen(Command));

// Request of function group handles
h_RF_NSig = ibdev (BdIndx, pad, sad_RF_NSig, tmo, eot, eos);
h_GSM900MS_Sig = ibdev (BdIndx, pad, sad_GSM900MS_Sig, tmo, eot, eos);
h_GSM900MS_NSig = ibdev (BdIndx, pad, sad_GSM900MS_NSig, tmo, eot, eos);
h_GSM1800MS_Sig = ibdev (BdIndx, pad, sad_GSM1800MS_Sig, tmo, eot, eos);

More:

Simple Measurements


Simple Measurements

The following measurement examples require option CMU-K21/-K22/-K23 to be installed - see separate operating manual for GSM-MS mobile tests.

// Example for a GSM900 mobile with power and
// modulation measurement at PCL 5 and PCL 10
ibwrt(h_GSM900MS_Sig, "PROC:SIGN:MS:PCL 5", 18);
ibwrt(h_GSM900MS_Sig, "READ:SCAL:POW:RES?", 18);
ibrd (h_GSM900MS_Sig, InBuffer, sizeof (InBuffer));
...
ibwrt(h_GSM900MS_Sig, "READ:SCAL:MOD:RES?",18);
ibrd (h_GSM900MS_Sig, InBuffer, sizeof (InBuffer));
...
ibwrt(h_GSM900MS_Sig, "PROC:SIGN:MS:PCL 10",19);
ibwrt(h_GSM900MS_Sig, "READ:SCAL:POW:RES?",18);
ibrd (h_GSM900MS_Sig, InBuffer,sizeof (InBuffer));
...
ibwrt(h_GSM900MS_Sig, "READ:SCAL:MOD:RES?",18);
ibrd (h_GSM900MS_Sig, InBuffer,sizeof (InBuffer));
...
// Example for a GSM1800 mobile with a power and
// modulation measurement at PCL 5 and PCL 10
ibwrt(h_GSM1800MS_Sig, "PROC:SIGN:MS:PCL 5",18);
ibwrt(h_GSM1800MS_Sig, "READ:SCAL:POW:RES?",18);
ibrd (h_GSM1800MS_Sig, InBuffer,sizeof (InBuffer));
...
ibwrt(h_GSM1800MS_Sig, "READ:SCAL:MOD:RES?",18);
ibrd (h_GSM1800MS_Sig, InBuffer,sizeof (InBuffer));
...
ibwrt(h_GSM1800MS_Sig, "PROC:SIGN:MS:PCL 10",19);
ibwrt(h_GSM1800MS_Sig, "READ:SCAL:POW:RES?",18);
ibrd (h_GSM1800MS_Sig, InBuffer,sizeof (InBuffer));
...
ibwrt(h_GSM1800MS_Sig, "READ:SCAL:MOD:RES?",18);
ibrd (h_GSM1800MS_Sig, InBuffer,sizeof (InBuffer));


Measuring the I/Q Spectrum of a Mobile

GSM uses the GMSK modulation scheme with a symbol rate of 270.833 kBit/s and four different phases that can be occupied during one symbol interval. If a constant series of zeros or ones is transmitted, the rotation of the I/Q vector causes a side band at 270.833/4 Hz = 667.70825 Hz from the carrier. Compared to the side band, the original carrier frequency is suppressed by -30 dB to -40 dB. The following example program measures the carrier signal, the upper and the lower side band using the RF Spectrum and the RF Power vs Time measurement groups. No additional options are needed.

To keep the syntax as short and simple as possible, the programs were written with the aid of Winbatch, a batch job tool organizing and simplifying the transfer of commands and data between the controller and the instrument.

Winbatch uses device names such as CMUBASE, CMUGSMNS, CMUGSMSIG which are previously defined and assigned to the primary address, secondary address, and some general device settings. With these device names, a complete command line reads:

CMUBASE: <CMU_Command>

where <CMU_Command> may be any of the commands (setting commands or queries) specified within the function group and mode identified by the device name CMUBASE. Program sequences consisting of commands that are defined in several function groups and modes can be re-used with an exchanged device name.

In addition to these data transfer commands, Winbatch provides WHILE, GOTO, and IF statements to express conditions and define loops. Program examples utilizing these statements can be found in the manuals for network tests, e.g. GSM-MS. For the following example, configure your Winbatch settings such that CMUBASE is the device name for the CMU BASE system and CMURF denotes function group RF (Non Signalling).

ECHO ON

FPRINT ............................................................................
FPRINT    INITIALISATION ROUTINE:
FPRINT    ASK FOR THE IDENTIFIER OF THE CMU, RESET THE INSTRUMENT,
FPRINT    DEFINE THE SECONDARY ADDRESSES FOR ALL AVAILABLE FUNCTION GROUPS
FPRINT ............................................................................

CMUBASE: *IDN?
Identification query
CMUBASE: *RST;*OPC?
Reset the instrument; prevent the following command to be executed before *RST is complete
CMUBASE: *CLS
Clear output buffer, set status byte
CMUBASE: SYST:REM:ADDR:SEC 1,"RF_NSig"
Define function group RF Non Signalling; the CMU Base system is always assigned secondary address 0

FPRINT .............................................................................
FPRINT   CONNECTORS
FPRINT .............................................................................

CMURF: INP:STAT RF2
Define input connector RF2
CMURF: OUTP:STAT RF2
Define output connector RF2

FPRINT .............................................................................
FPRINT   RF GENERATOR SETTINGS
FPRINT .............................................................................

CMURF: SOUR:RFG:FREQ 900 MHZ
Set RF generator frequency
CMURF: SOUR:RFG:MOD SSB
Switch on frequency offset (single side band modulation)
CMURF: SOUR:RFG:MOD:SSB:FREQ 67.7 KHZ
Set offset frequency
CMURF: INIT:RFG;*OPC?
Switch on RF generator

FPRINT .............................................................................
FPRINT   SPECTRUM ANALYZER SETTINGS
FPRINT   REFERENCE LEVEL ONLY EXISTS IN THE MANUAL MODE (Defines display area)
FPRINT .............................................................................

CMURF: SENS:SPEC:FREQ:CENT 900 MHZ
Set center frequency for spectrum measurement
CMURF: SENS:SPEC:FREQ:SPAN 500 KHZ
Set frequency span
CMURF: SENS:SPEC:FREQ:BAND 20 KHZ
Set resolution bandwidth of the spectrum analyzer
CMURF: CONF:SPEC:CONT:REP SING,NONE,NONE
Single shot measurement, no stop on error

FPRINT .............................................................................
FPRINT   SPECTRUM MEASUREMENT AT 900 MHZ + OFFSET 67.7 KHZ, 1 POINT
FPRINT .............................................................................

CMURF: CONF:ARR:SPEC:RANG 900.0677 MHZ,1
Select single measurement point at 900.0677 MHz
CMURF: READ:ARR:SPEC?
Start single shot spectrum measurement, wait until it is terminated, and return result (1 value)

FPRINT .............................................................................
FPRINT   HAVE A LOOK AT SPECIFIC OFFSETS (SUPPRESSED CARRIER AT 900 MHZ)
FPRINT .............................................................................

CMURF: CONF:ARR:SPEC:RANG 900 MHZ,1
Select single measurement point
CMURF: READ:ARR:SPEC?
Start single shot spectrum measurement, wait until it is terminated, and return result (1 value)

FPRINT .............................................................................
FPRINT   HAVE A LOOK AT SPECIFIC OFFSETS (THE OTHER SIDEBAND 900 MHZ - 67.7 KHZ)
FPRINT .............................................................................

CMURF: CONF:ARR:SPEC:RANG 899.9323 MHZ,1
Select single measurement point
CMURF: READ:ARR:SPEC?
Start single shot spectrum measurement, wait until it is terminated, and return result (1 value)

FPRINT .............................................................................

CMURF: ABOR:SPEC
Abort spectrum measurement and free resources

FPRINT .............................................................................
FPRINT   PRODUCE A RAMPED SIGNAL
FPRINT .............................................................................

CMURF: SOUR:RFG:PULS:STAT ON;*OPC?
Select pulsed signal (as opposed to CW)

FPRINT .............................................................................
FPRINT   CONFIGURE THE POWER/T MEASUREMENT
FPRINT .............................................................................

CMURF: SENS:POW:FREQ:CENT 900.0677 MHZ
Set center frequency for power vs. time measurement
CMURF: SENS:POW:FREQ:BAND 20 KHZ
Set resolution bandwidth of the RF analyzer
CMURF: SENS:POW:TIME:SPAN 1MS
Set evaluation time of power measurement
CMURF: TRIG:SOUR IFP
Trigger meas. by IF signal level (recommended)
CMURF: LEV:MAX -10
Set expected maximum input level
CMURF: CONF:ARR:POW:RANG 3E-4,1
Select single measurement point at 0.3 ms
CMURF: CONF:POW:CONT:REP SING,NONE,NONE
Single shot measurement, no stop on error
CMURF: SYST:ERR?
Read error queue
CMURF: INIT:POW
Initiate power vs. time measurement
CMURF: READ:ARR:POW?
Start single shot measurement, wait until it is terminated, and return result (1 value)

FPRINT .............................................................................
FPRINT   HAVE A LOOK AT SPECIFIC OFFSETS (SUPPRESSED CARRIER AT 900 MHZ)
FPRINT .............................................................................

CMURF: SENS:POW:FREQ:CENT 900 MHZ
Set center frequency for power vs. time measurement
CMURF: READ:ARR:POW?
Start single shot measurement, wait until it is terminated, and return result (1 value)

FPRINT .............................................................................
FPRINT   HAVE A LOOK AT SPECIFIC OFFSETS (THE OTHER SIDEBAND 900 MHZ - 67.7 KHZ)
FPRINT .............................................................................

CMURF: SENS:POW:FREQ:CENT 899.9323 MHZ
Set center frequency for power vs. time measurement
CMURF: READ:ARR:POW?
Start single shot measurement, wait until it is terminated, and return result (1 value)
SETLOCAL
Quit remote control mode


Symbolic Status Event Register Evaluation

The following example program shows how the EVENt part of the STATus:OPERation registers can be read using the commands for symbolic status register evaluation typed in boldface. The program provokes and evaluates the event Reference Frequency Not Locked (RFNL) which is reported by bit no. 6 of the STATus:OPERation:CMU:SUM1:CMU1 sub-register assigned to the CMU base system (see Symbolic Status Event Register Evaluation and STATus:OPERation Register).

CMUBASE: *RST;*OPC? | Reset the instrument; prevent the following command from being executed before *RST is complete
CMUBASE: *CLS | Clear output buffer, set status byte
CMUBASE: CONF:SYNC:FREQ:REF:MODE? |
CMUBASE: CONF:SYNC:FREQ:REF:MODE EXT | Provoke event -> Reference Frequency Not Locked (external reference frequency selected but no external input signal available)
CMUBASE: TRACE:REMOTE:MODE:FILE ON | Remote trace to file
CMUBASE: TRACE:REMOTE:MODE:DISPLAY ON | Remote trace display ON
CMUBASE: TRACE:REMOTE:MODE:SRQ ON | Display SRQ event on remote trace window
CMUBASE: STATUS:PRESET | Reset status register system
CMUBASE: *STB? | Check status byte
CMUBASE: *SRE? | Check service request enable
CMUBASE: *SRE 128 | Service request for OPERATION register
CMUBASE: *STB? | Check status byte
CMUBASE: STAT:OPER:SYMB:ENAB? | Check symbolic status register enable --> NONE
CMUBASE: STAT:OPER:SYMB:ENAB RFNL | Enable symbolic status register evaluation (event Reference Frequency Not Locked = RFNL )
[l_LOOP] |
if CMUBASE: *STB? <> 0 goto read_event | Read STB Bit 7 is set (that is SRQ)
PAUSE 2000 | Wait 2 seconds
goto l_LOOP |
[read_event] |
CMUBASE: STAT:OPER:EVENT:SADD? | Eval. which SecAddr causes the Event? --> CMUBASE
CMUBASE: STAT:OPER:SYMB? | Eval. which bit (event) causes SRQ --> RFNL
CMUBASE: *STB? |
CMUBASE: *STB? |
goto l_LOOP |


Tips and Tricks for CMU Programming

The following section is intended to give hints for efficient programming and to point out frequent mistakes that may impair the system performance.

1. Avoid Frequent DLL Swapping

Many CMU function groups use the same commands enabling program parts to be reused in different contexts. As a consequence, commands may be repeated several times within a program that addresses several function groups. The CMU is designed for multi-mode operation, however, changing from one function group to another generally absorbs system capacity for loading new software modules. It is therefore advisable to group the commands so that the number of function group swaps is minimized.

Instead of | GSM900MS_Sig: <Setting_A> | write | GSM900MS_Sig: <Setting_A>
 | GSM400MS_Sig: <Setting_A> |  | GSM900MS_Sig: <Setting_B>
 | ... |  | ...
 | GSM900MS_Sig: <Setting_B> |  | GSM400MS_Sig: <Setting_A>
 | GSM400MS_Sig: <Setting_B> |  | GSM400MS_Sig: <Setting_B>


Introduction - Maintenance and Interfaces

The following section contains information on the maintenance of the CMU.

Please follow the instructions in the service manual and in the installation instructions provided with the parts when exchanging modules or ordering spare parts. The order no. for spare parts can be found in the service manual.

The address of our support center and a list of all Rohde & Schwarz service centers can be found at the beginning of this manual.

The service manual contains more information on troubleshooting, repair, exchange of modules (including battery exchange, adjustment of the OCXO oscillator) and calibration.


Introduction - Maintenance

The CMU does not require any special maintenance. Remove any dust on the instrument by means of a soft cloth. Make sure that the air vents are not obstructed.


Cleaning the Outside

The outside of the instrument is suitably cleaned using a soft, line-free dust cloth.

 Caution!
Never use solvents such as thinners, acetone and similar things, as they may damage the front panel labeling or plastic parts.


Storing and Packing

The CMU can be stored in the temperature range quoted in the data sheet. When stored for an extended period of time the instrument should be protected against dust.

The original packing should be used, particularly the protective covers at the front and rear, when the instrument is transported or dispatched. If the original packing is no longer available, use a sturdy cardboard box of suitable size and carefully wrap the instrument to protect it against mechanical damage.


GPIB Bus Interface

The instrument is equipped with a GPIB bus (IEC/IEEE-bus) connection. The interface connector labeled IEEE 488 / IEC 625 is located on the rear panel of the instrument. A controller for remote control can be connected via the GPIB bus interface using a shielded cable.

More:

Characteristics of the Interface

Bus Lines

Interface Messages


Characteristics of the Interface

  • 8-bit parallel data transfer,
  • bidirectional data transfer,
  • three-line handshake,
  • high data transfer rate of max. 350 kByte/s,
  • up to 15 devices can be connected,
  • maximum length of the connecting cables 15 m. The length of a single connecting cable should not exceed 2 m, if many devices are used, it should not exceed 1 m.,
  • wired OR if several instruments are connected in parallel.

Pin Assigment of the GPIB bus interface


Bus Lines

1.Data bus with 8 lines D0 to D7

The transmission is bit-parallel and byte-serial in the ASCII/ISO code. D0 is the least significant bit, D7 the most significant bit.

2.Control bus with 5 lines

IFC (Interface Clear),

active LOW resets the interfaces of the instruments connected to the default setting.

ATN (Attention),

active LOW signals the transmission of interface messages

inactive HIGH signals the transmission of device messages.

SRQ (Service Request),

active LOW enables the connected device to send a service request to the controller.

REN (Remote Enable),

active LOW permits switchover to remote control.

EOI (End or Identify),

has two functions in connection with ATN:

ATN=HIGH | active LOW marks the end of data transmission.
ATN=LOW | active LOW triggers a parallel poll.

3.Handshake bus with three lines

DAV (Data Valid),

active LOW signals a valid data byte on the data bus.

NRFD (Not Ready For Data),

active LOW signals that one of the connected devices is not ready for data transfer.

NDAC (Not Data Accepted),

active LOW signals that the instrument connected is accepting the data on the data bus.


Interface Messages (HW)

Interface Messages

Interface messages are transmitted to the instrument on the data lines, with the attention line being active (LOW). They serve to communicate between controller and instrument.

Universal Commands

Universal commands are encoded in the range 10 through 1F hex. They are effective for all instruments connected to the bus without pervious addressing.

Universal Commands

Command | QuickBASIC command | Effect on the instrument
DCL(Device Clear) | IBCMD (controller%, CHR$(20)) | Aborts processing of the commands just received and sets the command processing software to a defined initial state. Does not change the instrument setting.
IFC(Interface Clear) | IBSIC (controller%) | Resets the interfaces to the default setting.
LLO(Local Lockout) | IBCMD (controller%, CHR$(17)) | Locks switchover from remote control to Local (manual control) by means of the front panel keys

Addressed Commands

Addressed commands are encoded in the range 00 through 0F hex. They are only effective for instruments addressed as listeners.

Addressed Commands

Command | QuickBASIC command | Effect on the instrument
GTL(Go to Local) | IBLOC (device%) | Transition to the "Local" state (manual control).

Note:
The CMU can not be configured as a high-speed HS488 listener; the commands CFE (Configure Enable) and CFGn (Configure) are not supported.


Serial Interfaces (COM 1, COM 2)

The CMU is equipped with two serial RS-232-C interfaces. The two 9-pin standard Sub-D male connectors are labeled COM 1 and COM 2 and located on the rear panel. A controller for remote control can be connected to this interface.

The two RS-232 interfaces provide two independent channels which can be active simultaneously. The interfaces are activated and configured in the Setup - Remote menu or via remote control using the SYSTem:COMMunicate:SERial... commands.

More:

Interface characteristics

Signal lines

Transmission Parameters

Interface functions

Handshake


Interface characteristics

  • Serial data transmission in asynchronous mode,
  • Bidirectional data transmission on two separate lines,
  • Transmission rate selectable from 110 to 115200 baud,
  • Logical 0 signal from +3 V to +15 V,
  • Logical 1 signal from -15 V to -3 V,
  • Hardware handshake RTS/CTS or software handshake XON/XOFF available.

Pin assignment of the RS-232-C interface

Designation | Abbreviation | Pin (9-pin male) | Pin (25-pin male)
Data Carrier Detect | DCD | 1 | 8
Receive Data | RxD | 2 | 3
Transmit Data | TxD | 3 | 2
Data Terminal Ready | DTR | 4 | 20
Signal Ground | GND | 5 | 7
Data Set Ready | DSR | 6 | 6
Request To Send | RTS | 7 | 4
Clear To Send | CTS | 8 | 5
Ring Indicator | RI | 9 | 22


Signal lines

1. Data lines

RxD (Receive Data) - Input data.

Data transfer is bit-serial in the ASCII code, starting with the least significant bit (LSB).

TxD (Transmit Data) - Output data.

Data transfer is bit-serial in the ASCII code, starting with the least significant bit (LSB). The two data lines RxD and TxD are a minimum requirement for data transfer. The following control lines are necessary in addition if a hardware handshake is to be used.

2. Control and message lines

DCD (Data Carrier Detect)

active LOW.

Input; using this signal the data terminal recognizes that the modem of the remote station receives valid data with a sufficient signal level. DCD is used to disable the receiver in the data terminal and prevent reading of false data if the modem cannot interpret the signals of the remote station.

DTR (Data Terminal Ready)

active LOW,

Output; with DTR, the instrument indicates that it is ready to receive data.

DSR (Data Set Ready)

active LOW,

Input; DSR indicates to the instrument that the remote station is ready to receive data.

RTS (Request To Send)

active LOW.

Output; with RTS, the instrument indicates that it is ready to receive data. The RTS line controls whether the instrument is ready to receive data or not.

CTS (Clear To Send)

active LOW.

Input; CTS tells the instrument that the remote station is ready to receive data.

RI (Ring Indicator)

active LOW.

Input; RI is used by a modem to indicate that a remote station wants to set up a connection.


Transmission Parameters

In order to ensure error-free and correct data transmission, the parameters of the instrument and the controller must be set identically. The parameters of the RS-232 interface can be set in the Setup - Remote menu or using the command group SYSTem:COMMunicate...

Transmission parameters of the RS-232 interface

Parameter | Default | Description / Parameter Range
Baud rate | 19200 Baud | The instrument allows baud rates between 110 and 115200 baud to be set, see Remote-control Settings - Setup-Remote
Data bits | 8 | Data transmission is in the 7- or 8-bit ASCII code, starting with the least significant bit (LSB).
Start bit (no setting parameter) | 1 | Each data byte begins with a start bit. The falling edge of the start bit indicates the beginning of the data byte.
Parity bit | None | A parity bit can be transmitted for error protection. The settings No parity, even or odd parity are allowed.
Stop bit | 1 | Transmission of a data byte is terminated by one or two stop bits. The sum of data bits and stop bits must be equal to 9.

Example:

Transmission of character 'A' (41 Hex) in 8-bit ASCII code with even parity and one stop bit:


Interface functions

For interface control, some control characters from the ASCII code range of 0 to 20 hex are predefined and can be transmitted via the interface.

Control strings or control characters of the RS-232-C interface

Control Character | Function
Break (at least 1 character only log 0) | Reset instrument
0Dhex, 0Ahex | Terminator <CR>, <LF> Switchover between local/remote


Handshake

Software handshake

In case of a software handshake data transfer is controlled using the two control characters XON / XOFF:

  • The CMU uses the control character XON to indicate that it is ready to receive data.
  • If the receive buffer is full it sends the XOFF character via the interface to the controller. The controller interrupts data output until it receives another XON from the CMU.
  • In the same way the controller indicates to the CMU that it is ready to receive data.

Connection between instrument and controller (Null-modem cable)

The connection of the instrument to a controller is made with a so-called null-modem cable. Here, the data, control and signalling lines must be crossed. The wiring diagram on the left applies to a controller with a 9-pin or 25-pin configuration.

Wiring of the data lines for software handshake

Hardware handshake

In case of a hardware handshake, the instrument signals that it is ready for reception via line DTR and RTS. A logic '0' means "ready" and a '1' means "not ready". The RTS line is always active (logical '0'), provided that the serial interface is switched on. The DTR line controls whether the analyzer is ready for reception or not.

The CTS or DSR lines (see signal lines) tell the instrument whether the remote station is ready for reception or not. A logical '0' on both lines switches on data transmission, a logical '1' on both lines stops data transmission of the generator. The TxD line is used for data transfer.

Connection between instrument and controller (Null-modem cable)

The connection of the instrument to a controller is made with a so-called null-modem cable. Here, the data, control and signalling lines must be crossed. The wiring diagram on the left applies to a controller with a 9-pin or 25-pin configuration.

Wiring of the data, control and message lines for hardware handshake


Connectors for Peripherals

Printer Connector (LPT)

Monitor Connector (MONITOR)

Keyboard Connector (USB)


Printer Connector (LPT)

The 25-pin standard Sub-D female connector LPT on the rear panel of the CMU is intended for connecting a printer. The interface is CENTRONICS compatible.

Pin assignment of the LPT connector

Pin | Signal | Input (I) Output (O) | Description
1 | STROBE | O | Impulse for transfer of a data byte, 1µs pulse width at minimum (active LOW)
2 | D0 | O | Data line 0
3 | D1 | O | Data line 1
4 | D2 | O | Data line 2
5 | D3 | O | Data line 3
6 | D4 | O | Data line 4
7 | D5 | O | Data line 5
8 | D6 | O | Data line 6
9 | D7 | O | Data line 7
10 | ACK | I | Indicates that the printer is ready to receive the next byte (active LOW)
11 | BUSY | I | Signal active if the printer is unable to receive data
12 | PE | I | The signal is activated if no printer paper is available (active HIGH).
13 | SELECT | I | The signal is activated when the printer is selected (active HIGH).
14 | AUTOFEED | O | If the signal is active the printer inserts a line feed after each line (active LOW).
15 | ERROR | I | The signal is activated if no printer paper is available or an error occurred (active LOW).
16 | INIT | O | Initializing the printer (active LOW)
17 | SELECT IN | O | If the signal is active the codes DC1/DC3 are ignored by the printer (active LOW).
18 - 25 | GND |  | Connected to ground


Monitor Connector (MONITOR)

The 15-pin Sub-D female connector MONITOR at the rear panel of the CMU is intended for connecting an external VGA monitor.

Pin assignment of the MONITOR connector

Pin No. | Signal
1 | RED (output)
2 | GREEN (output)
3 | BLUE (output)
4 | MID2 (NC)
5 | NC
6 | R-GND
7 | G-GND
8 | B-GND
9 | NC
10 | GND
11 | MID0 (NC)
12 | MID1 (NC)
13 | HSYNC (output)
14 | VSYNC (output)
15 | NC


Keyboard Connector (KEYBOARD)

Keyboard Connector (USB)

Double Universal Serial Bus connector of type A (master USB), used to connect an external keyboard.

USB Connector

Note: The USB connector is intended for keyboard connection but not for other USB pointing or storage devices.


Signal Inputs and Outputs

The following inputs and outputs are located on the front and rear panel of the instrument:

RF Connectors

Inputs and Outputs for the Reference Frequency (REF...)

AF Connector SPEECH (Optional)

IF Signal

Service Connector

Auxiliary Connectors

Abis Connector (CMU300 with Option CMU-B71 only)

I/Q CH1 Connector (CMU200 with Option CMU-B17 only)

IF3 Connectors (CMU200 with Option CMU-B17 only)


RF Connectors

The N sockets on the front panel labeled RF1, RF 2, RF 3 OUT and RF4 IN are used as inputs and outputs for RF signals. The maximum permitted input levels are listed in the data sheet.

Bidirectional RF connectors
Unidirectional RF connectors

RF connectors


Inputs and Outputs for the Reference Frequency (REF...)

The BNC sockets on the rear panel labeled REF IN, REF OUT 1 and REF OUT2 are used for synchronization of the CMU with external devices.

REF IN | This input is used to synchronize the CMU to other instruments. The frequency of the external reference signal fed in at REF IN must be set in the Sync. tab of the Connection Control menu or via the CONFigure:SYNChronize:FREQuency:REFerence command.
REF OUT 1 | A signal for synchronization of other instruments is available at this output connector. This signal is either the reference frequency of the CMU or the signal applied to the input REF IN (see Sync. tab of the Connection Control menu).
REF OUT 2 | A clock signal applied to this output and can be used for synchronizing external devices. The clock frequency can be selected from a list of network-specific frequencies in the Sync. tab of the Connection Control menu.

Inputs and outputs for reference frequency


AF Connector SPEECH (Optional)

The 9-pin Sub-D female connector SPEECH on the front panel of the instrument can be used for connecting a handset to the signalling unit.

AF connector SPEECH

Pin No. | Signal | Input (I) / Output (O) / Bidirectional (B) | Description
1 | GND | B |
2 | LH1HAND SETIN | I | AF signals to signalling unit 1
3 | LH1HAND SETOUT | O | AF signals from signalling unit 1
4 | GND | B |
5 | LH2HAND SETIN | I | Signals to signalling unit 2
6 | LH2HAND SETOUT | O | Signals from signalling unit 2
7 | GND | B |
8 | +5VKEYB | O | Power supply +5.2 V, max. 100 mA
9 | GND | B |


IF Signal

One BNC connector providing an IF signal is located on the rear panel of the CMU.

IF3 RX CH1 connector (BNC socket), provides an IF signal from the RXTX board 1 for monitoring purposes.

IF signal output


Service Connector

A 9-pin Sub-D female connector SERVICE for the modules RXTX Boards is located on the rear panel. This connector is intended for internal tests only and must not be used as a signal input or output.

SERVICE connector


Auxiliary Connectors

A 9-pin SUB-D female connector AUX on the rear panel provides a +5.2 V supply. The pin assignment is as follows:

AUX connector

Pin | Signal | Input (I) / Output (O) / Bidirectional (B) | Description
1 | GND | B | GND
2 | +5VKEYB | O | Power supply +5.2 V, max. 100 mA
3 | GND | B | GND
4 | I2CSDA | B | For future extensions
5 | I2CSCL | O | For future extensions
6 | GND | B | GND
7 | RESERVE4 | B |
8 | RESERVE5 | B |
9 | RESERVE6 | B |

The 15-pin SUB-D female connector AUX 3 on the front panel is used as an input or output for status, control, and trigger signals. These signals are applied to particular (in some function groups: selectable) pins of the AUX 3 connector (refer to the corresponding menu).

The pin assignment of the AUX 3 connector is as follows:

AUX3 connector

Pin | Signal | Input (I) / Output (A) / Bidirectional (B) | Description
1 | GND | B |
2 | TBUS1 | O | Timing output A Test signal CH1 GSMxxx-MS Signalling: Frame trigger (see GSMxxx-MS operating manual) Bluetooth Signalling: Signalling trigger (see Bluetooth (CMU-K53) manual
3 | TBUS2 | O | Timing output B
4 | TBUS3 | O | Timing output C
5 | TBUS4 | O | Timing output D
6 | TBUS5 | I | External trigger input CMU300: External trigger signal for wired synchronization
7 | TBUS6 | I | External trigger B
8 | TBUS7 | I | External trigger A External trigger signal CH1 input for Spectrum and Power measurements
9 | GND | B | GND
10 | GND | B | GND
11 | GND | B | GND
12 | GND | B | GND
13 | GND | B | GND
14 | GND | B | GND
15 | GND | B | GND

The 15-pin SUB-D female connector AUX 4 on the rear panel is used as an input or output for status, control, and trigger signals. These signals are applied to definite pins of the AUX 4 connector (refer to the corresponding menu).

The pin assignment of the AUX 4 connector is as follows:

AUX4 connector

Pin | Signal | Input (I) / Output / Bidirectional (B) | Description
1 | GND | B | GND
2 | GND | B | GND
3 | GND | B | GND
4 | GND | B | GND
5 | GND | B | GND
6 | GND | B | GND
7 | GND | B | GND
8 | GND | B | GND
9 | TBUS8 | B | Status/control/trigger signal
10 | TBUS9 | B | Status/control/trigger signal
11 | TBUS10 | B | Status/control/trigger signal
12 | TBUS11 | B | Status/control/trigger signal
13 | TBUS12 | B | Status/control/trigger signal
14 | TBUS13 | B | Status/control/trigger signal
15 | TBUS14 | B | Status/control/trigger signal


Abis Connector (CMU300 with Option CMU-B71 only)

Abis Connector
(CMU300 with Option CMU-B71 only)

A 9-pin SUB-D female connector ABIS on the rear panel provides a symmetric (balanced) input of the Abis Interface Unit for CMU (option CMU.B71; for CMU300 only).

The pin assignment is as follows:

Abis Connector

Pin | Signal | Input (I) / Output (O) / Bidirectional (B) | Description
1 | – | – | Not connected
2 | – | – | Not connected
3 | – | – | Not connected
4 | – | – | Not connected
5 | ABIS RX | I | Symmetric Abis input
6 | ABIS RX | I | Symmetric Abis input
7 | ABIS TX | O | For future extensions
8 | ABIS TX | O | For future extensions
9 | GND | B | GND


I/Q CH1 Connector (CMU200 with Option CMU-B17 only)

I/Q CH1 Connector
(CMU200 with Option CMU-B17 only)

A 15-pin SUB-D female connector I/Q CH1 provides the inputs and outputs for I/Q signals (option CMU-B17).

The pin assignment is as follows:

I/Q CH1 Connector

Pin | Signal | Input (I) / Output (O) / Bidirectional (B) | Description
1 | GND | – | –
2 | MOD_ I_ IN | I | I input, TX path, max ±0.5 V, impedance 50 Ohm
3 | MOD_Q_IN | I | Q input, TX path, max ±0.5 V, impedance 50 Ohm
4 | GND | – | –
5 | MOD_I_OUT | O | I output, TX path, max ±0.5 V, impedance 50 Ohm
6 | MOD_Q_OUT | O | Q output, TX path, max ±0.5 V, impedance 50 Ohm
7 | GND | – | –
8 | DEMOD_I_IN | I | I input, RX path, max ±0.5 V, impedance 50 Ohm
9 | DEMOD_Q_IN | I | Q input, RX path, max ±0.5 V, impedance 50 Ohm
10 | GND | – | –
11 | DEMOD_I_OUT | O | I output, RX path, max ±0.5 V, impedance 50 Ohm
12 | DEMOD_Q_OUT | O | Q output, RX path, max ±0.5 V, impedance 50 Ohm
13 | GND | – | –
14 | – | – | –
15 | – | – | –


IF3 Connectors (CMU200 with Option CMU-B17 only)

IF3 Connectors
(CMU200 with Option CMU-B17 only)

Four BNC connectors provide the inputs and outputs for IF signals (option CMU-B17). The BNC shield of all these connectors is connected to GND.

IF3 Connectors

The remaining specifications are as follows:

Connector | Function
IF3 RX CH1 IN | IF input, RX path, f= 7,68 MHz or 10,7 MHz; max level +2 dBm PEP; impedance 50 Ohm
IF3 RX CH1 OUT | IF output, RX path, f= 7,68 MHz or 10,7 MHz; max level +4 dBm PEP; impedance 50 Ohm
IF3 TX CH1 IN | IF input, TX path, f= 15,36 MHz or 13,85 MHz; max level +3 dBm PEP for WCDMA, max level –5 dBm for GSM; impedance 50 Ohm
IF3 TX CH1 OUT | IF output, TX path, f= 15,36 MHz or 13,85 MHz; max level +3 dBm PEP for WCDMA, max level –5 dBm for GSM; impedance 50 Ohm


SCPI Error Messages

SCPI error messages are the same in all SCPI instruments. The errors are assigned negative numbers. The standard text of the error message is often supplemented by a comment from the CMU which provides more detailed information (device-dependent information). Since this part depends on the individual situation, it often contains more relevant information than the standard text.

More:

No error

Command error

Execution error

Device-specific error

Query error - error upon data request


No error

Error code | Explanation
0 | No error This message is output when there are no entries in the error queue.


Command error

The following errors cause bit 5 in the ESR register to be set.

Error code | Explanation
-100 | Command error Generic error message that cannot detect a more specific error.
-101 | Invalid character The command contains a character which is invalid for that type.
-102 | Syntax error The data type received is not accepted at this position.
-103 | Invalid separator The semicolon was omitted after a program message unit.
-104 | Data type error The recognized data element is of the wrong type (e.g. character data instead of numeric data)
-105 | GET not allowed A GET was received within a program message.
-108 | Parameter not allowed The command contains parameters at a position where they are not accepted.
-109 | Missing parameter The command does not contain the required parameters.
-111 | Header separator error A character which is not a legal header separator was encountered while parsing the header; for example, no white space followed the header.
-112 | Program mnemonic too long The header contains more than 12 characters.
-113 | Undefined header The sent command header has not been defined.
-114 | Header suffix out of range The command contains an illegal numeric suffix.
-120 | Numeric data error An invalid character for the data type being parsed was encountered.
-121 | Invalid character in number The command contains an illegal numeric suffix.
-123 | Exponent too large The magnitude of the exponent is too large.
-124 | Too many digits The decimal numeric data element contains too many digits.
-128 | Numeric data not allowed The command contains a numeric data element the device does not accept in this position.
-131 | Invalid suffix The suffix is not appropriate for this command.
-134 | Suffix too long The suffix contains more than 12 characters.
-138 | Suffix not allowed A suffix is not allowed for this command or at this point of the command.
-141 | Invalid character data The character data element contains an invalid character or the element is not valid for this command.
-144 | Character data too long The character data element contains more than 12 characters.
-148 | Character data not allowed The character data is prohibited for this command or at this point of the command.
-151 | Invalid string data A string data element was expected, but was invalid for some reason.
-158 | String data not allowed The command contains a legal string data element which is not allowed at this point.
-161 | Invalid block data The command contains illegal block data, e.g. no numeric data element is sent after the introductory #.
-168 | Block data not allowed The command contains legal block data which are not allowed at this point.
-171 | Invalid expression The expression data element was invalid; for example, unmatched parentheses or an illegal character.
-178 | Expression data not allowed A legal expression data was encountered but was not allowed by the device at this point in parsing.
-180 | Macro error An error occurred when defining a macro or executing a macro.


Execution error

The following errors cause bit 4 in the ESR register to be set.

Error code | Explanation
-200 | Execution error An execution error as defined in IEEE 488.2, has occurred.
-203 | Command protected
-211 | Trigger ignored A triggering signal was received and recognized by the device but was ignored because of timing considerations.
-212 | Arm ignored An arming signal was received and recognized by the device but was ignored.
-213 | Init ignored A request for a measurement initiation was ignored as another measurement was already in progress.
-221 | Settings conflict A setting contradicts another setting. The last attempted setting was not executed.
-222 | Data out of range A value of the transmitted command was outside the legal range.
-223 | Too much data More data were sent by the host than the CMU can handle.
-224 | Illegal parameter value An exact value, from a list of possible values, was expected but not received.
-225 | Out of memory The CMU software has insufficient memory to perform the requested operation.
-230 | Data corrupt or stale Possibly invalid data; new reading started but not completed since last access.
-240 | Hardware error A legal program command or a query could not be executed because of a hardware problem in the device.
-241 | Hardware missing A legal program command or a query could not be executed because of a missing device hardware.
-250 | Mass storage error A mass storage error occurred.
-251 | Missing mass storage A legal program command or a query could not be executed because of missing mass storage.
-252 | Missing media A legal program command or a query could not be executed because of missing media; for example, no floppy disk.
-253 | Corrupt media A legal program command or a query could not be executed because of corrupt media; for example, bad floppy disk or wrong format.
-254 | Media full A legal program command or a query could not be executed because of the media was full; for example, no room on the floppy disk.
-255 | Directory full The specified directory is full - no more files can be written.
-256 | File name not found A file with the specified name does not exist.
-257 | File name error The specified file name cannot be used, e.g. because the file does not exist (reading, clearing) or already exists (writing, generation).
-258 | Media protected A legal program command or a query could not be executed because the media was protected.


Query error - error upon data request

When the following error codes are output, bit 2 is set in the ESR register.

Error code | Explanation
-400 | Query error
-410 | Query INTERRUPTED The query was interrupted. Example: a query is followed by new data before a response was completely sent.
-420 | Query UNTERMINATED An incomplete query was received. Example: the device is addressed to talk although the received query was incomplete.
-430 | Query DEADLOCKED A condition causing a DEADLOCKED query error occurred. Example: both input and output buffer are full and the device can not continue.
-440 | Query UNTERMINATED after indefinite response A query was received in the same program message after a query requesting an indefinite response was execute.


Device-specific error

The following errors cause bit 3 in the ESR register to be set.

Error code | Explanation
-300 | Device-specific error
-310 | System error An unspecified system error has occurred.
-311 | Memory error An error was detected in the device's memory.
-313 | Calibration memory lost Nonvolatile calibration data have been lost.
-314 | Save/recall memory lost Nonvolatile saved data have been lost.
-315 | Configuration memory lost Nonvolatile configuration data saved by the device have been lost.
-330 | Self-test failed An error occurred during the internal self test.
-350 | Queue overflow Error code entered in the queue in lieu of the code when the queue is full. It indicates that an error occurred but was not recorded in the queue. The original error message is lost.
-360 | Communication error An unspecified communication error was detected.
-361 | Parity error in program message Parity bit was not correct when data were received on a serial port.
-362 | Framing error in program message No stop bit was detected when data were received on a serial port.
-363 | Input buffer overrun Software or hardware input buffer on serial port overflows with data caused by improper or nonexistent pacing.


Starting the Online Help

Universal Radio Communication Tester

R&S®CMU200/CMU300

About this Help System

This Help system explains the manual and remote control of the Universal Radio Communication Tester R&S CMU. All functions of the graphical user interface and their use, all remote-control commands for the Base system and for the function groups RF and Audio Generator and Analyzer (option CMU-B41) are described in detail.

The Help is intended as a complement or an alternative to the printed manual. The table of contents, the index and the full text search make it easy to quickly find reference information on any topic needed.

System requirements:

The browsers that support WebHelp or *.chm files include Internet Explorer 4.0 or later and Netscape Navigator 4.0 or later. WebHelp works with browsers that support Java 1.02 or later.


AFAnalyzer

INITiate:AFANalyzer[:PRIMary]

INITiate:AFANalyzer:SECondary

Start new AF measurement RUN

STOP:AFANalyzer[:PRIMary]

STOP:AFANalyzer:SECondary

Stop AF measurement after current evaluation period STOP

ABORt:AFANalyzer[:PRIMary]

ABORt:AFANalyzer:SECondary

Abort and switch off AF analyzer OFF

CONTinue:AFANalyzer[:PRIMary]

CONTinue:AFANalyzer:SECondary

Next measurement step (only stepping mode) RUN

Description of command | FW vers.
These commands have no query form. They start and stop the AF analyzer, setting it to the status given in the top right column. | ³V 2.10


AF Generator Control

INITiate:AFGenerator[:PRIMary]

INITiate:AFGenerator:SECondary

Start AF generator, reserve resources RUN

ABORt:AFGenerator:[PRIMary]

ABORt:AFGenerator:SECondary

Switch off AF generator, release resources OFF

Description of command | FW vers.
These commands have no query form. They start and stop the AF generator, setting it to the status given in the top right column. | ³V 2.10

Note:
A running multitone measurement must be aborted before the single tone AF generator is switched on. See note in section. Introduction - Remote Control Audio Generator and Analyzer.


AF Generator Lead

CONFigure:MULTitone:AF1Channel:AFGLead <Time>

CONFigure:MULTitone:AF2Channel:AFGLead <Time>

<Time> | Description of parameters | Def. value | Def. unit
0 s to 0.1 s | Holdoff time | 0.014 | s

Description of command | FW vers.
This command defines a holdoff time for the AF generator. | V 3.0


AF Max. Level

[SENSe:]AFLevel:MAXimum <Level>

<Level> | Description of parameters | Def. value
0 V to +30 V | Maximum audio input voltage | 1

Description of command | FW vers.
This command defines the maximum expected AF input level. | V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFANalyzer...:CONTrol (Control) - AF Path Coupling

AF Path Coupling

CONFigure:AFANalyzer[:PRIMary]:CONTrol:COUPling <Coupling>

CONFigure:AFANalyzer:SECondary:CONTrol:COUPling <Coupling>

<Coupling> | Description of parameters | Def. value | Def. unit
AC | DC | AC coupling of AF path DC coupling of AF path | AC ([:PRIMary] channel) DC (:SECondary channel) | -

Description of command | FW vers.
These commands determine the AF path coupling for measurements using the AF analyzer. In firmware versions <3.05, the commands are replaced by two equivalent CONFigure:...COUPling commands. | ³V 3.05


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Control of Measurement - Subsystem MULTitone - AF Path Coupling

AF Path Coupling

CONFigure:MULTitone:AF1Channel:COUPling <Coupling>

CONFigure:MULTitone:AF2Channel:COUPling <Coupling>

<Coupling> | Description of parameters | Def. value | Def. unit
AC | DC | AC coupling of AF path DC coupling of AF path | AC (:AF1Channel) DC (:AF2Channel) | -

Description of command | FW vers.
This command determines the AF path coupling for multitone measurements. | V 3.05


AF Reference Level

CONFigure:MULTitone:AF1Channel:RLEVel <Voltage>

CONFigure:MULTitone:AF2Channel:RLEVel <Voltage>

<Voltage> | Description of parameters | Def. value | Def. unit
0.001 V to 5.000 V | Reference Level | 0.010 | V

Description of command | FW vers.
This command defines the AF reference level, i.e. the 0-dB line in the test diagram. | V 3.0


Band Pass, AC Coupling

CONFigure:MULTitone:AF1Channel:FILTer:BPASs:ACCoupling

CONFigure:MULTitone:AF2Channel:FILTer:BPASs:ACCoupling

<Bandpass>

<Bandpass> | Description of parameters | Def. value | Def. unit
BP01 | BP02 | BP03 | BP04 | BP05 | BP06 | BP07 | BP08 | BP09 | BP10 | BP11 | BP12 | BP13 | BP14 | BP15 | BP16 | BP17 | BP 18 | CMU band pass filter with a bandwidth of 0 Hz to 250 Hz 6 Hz to 250 Hz 50 Hz to 250 Hz 0 Hz to 3000 Hz 6 Hz to 3000 Hz 50 Hz to 3000 Hz 300 Hz to 3000 Hz 0 Hz to 4000 Hz 6 Hz to 4000 Hz 50 Hz to 4000 Hz 300 Hz to 4000 Hz 0 Hz to 15000 Hz 6 Hz to 15000 Hz 50 Hz to 15000 Hz 300 Hz to 15000 Hz 0 Hz to 21000 Hz 6 Hz to 21000 Hz 50 Hz to 21000 Hz | BP16 | -

Description of command | FW vers.
This command selects the band pass filter to be used if the AF path coupling is set to AC (see CONFigure:AFANalyzer[:PRIMary]:COUPling command). | V 3.0


Band Pass, DC Coupling

CONFigure:MULTitone:AF1Channel:FILTer:BPASs:DCCoupling

CONFigure:MULTitone:AF2Channel:FILTer:BPASs:DCCoupling

<Bandpass>

<Bandpass> | Description of parameters | Def. value | Def. unit
BP02 | BP03 | BP05 | BP06 | BP07 | BP09 | BP10 | BP11 | BP13 | BP14 | BP15 | BP17 | BP18 | CMU band pass filter with a bandwidth of 6 Hz to 250 Hz 50 Hz to 250 Hz 6 Hz to 3000 Hz 50 Hz to 3000 Hz 300 Hz to 3000 Hz 6 Hz to 4000 Hz 50 Hz to 4000 Hz 300 Hz to 4000 Hz 6 Hz to 15000 Hz 50 Hz to 15000 Hz 300 Hz to 15000 Hz 6 Hz to 21000 Hz 50 Hz to 21000 Hz | BP17 | -

Description of command | FW vers.
This command selects the band pass filter to be used if the AF path coupling is set to DC (see CONFigure:AFANalyzer[:PRIMary]:COUPling command). | V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFANalyzer...:FILTer (Filter) - Bandwidth

Bandwidth

CONFigure:AFANalyzer[:PRIMary]:FILTer:VBPass:BWIDth <Bandwidth>

CONFigure:AFANalyzer:SECondary:FILTer:VBPass:BWIDth <Bandwidth>

<Bandwidth> | Description of parameters | Def. value | Def. unit
10 Hz to 1000 Hz | Bandwidth of band pass | 200 | Hz

Description of command | FW vers.
This command determines the bandwidth of the variable band pass filter. | ³V 2.12


Bandwidth (AC Coup.)

CONFigure:AFANalyzer[:PRIMary]:FILTer:BPASs:ACCoupling <Band pass>

CONFigure:AFANalyzer:SECondary:FILTer:BPASs:ACCoupling <Band pass>

<Band pass> | Description of parameters | Def. value | Def. unit
BP01 | BP02 | BP03 | BP04 | BP05 | BP06 | BP07 | BP08 | BP09 | BP10 | BP11 | BP12 | BP13 | BP14 | BP15 | BP16 | BP17 | BP18 | CMU band pass filter with a bandwidth of 0 Hz to 250 Hz 6 Hz to 250 Hz 50 Hz to 250 Hz 0 Hz to 3000 Hz 6 Hz to 3000 Hz 50 Hz to 3000 Hz 300 Hz to 3000 Hz 0 Hz to 4000 Hz 6 Hz to 4000 Hz 50 Hz to 4000 Hz 300 Hz to 4000 Hz 0 Hz to 15000 Hz 6 Hz to 15000 Hz 50 Hz to 15000 Hz 300 Hz to 15000 Hz 0 Hz to 21000 Hz 6 Hz to 21000 Hz 50 Hz to 21000 Hz | BP16 | -

Description of command | FW vers.
This command selects the first band pass in the AF analyzer to be used if the AF path coupling is set to AC (see CONFigure:AFANalyzer...:COUPling command). | ³V 2.12

Note:
In firmware versions ³ V2.12 but <V3.05, the CONFigure:AFANalyzer... :FILTer:BPASs commands replace the CONFigure:AFANalyzer... :FILTer:BPASs:ACCoupling and CONFigure:AFANalyzer...:FILTer: BPASs:DCCoupling commands. No distinction is made between AC and DC path coupling.


Bandwidth (DC Coup.)

CONFigure:AFANalyzer[:PRIMary]:FILTer:BPASs:DCCoupling <Band pass>

CONFigure:AFANalyzer:SECondary:FILTer:BPASs:DCCoupling <Band pass>

<Band pass> | Description of parameters | Def. value | Def. unit
BP02 | BP03 | BP05 | BP06 | BP07 | BP09 | BP10 | BP11 | BP13 | BP14 | BP15 | BP17 | BP18 | CMU band pass filter with a bandwidth of 6 Hz to 250 Hz 50 Hz to 250 Hz 6 Hz to 3000 Hz 50 Hz to 3000 Hz 300 Hz to 3000 Hz 6 Hz to 4000 Hz 50 Hz to 4000 Hz 300 Hz to 4000 Hz 6 Hz to 15000 Hz 50 Hz to 15000 Hz 300 Hz to 15000 Hz 6 Hz to 21000 Hz 50 Hz to 21000 Hz | BP17 | -

Description of command | FW vers.
This command selects the first band pass in the AF analyzer to be used if the AF path coupling is set to DC (see CONFigure:AFANalyzer...:COUPling command). | V 3.05

Note:
In firmware versions ³ V2.12 but <V3.05, the CONFigure:AFANalyzer... :FILTer:BPASs commands replace the CONFigure:AFANalyzer... :FILTer:BPASs:ACCoupling and CONFigure:AFANalyzer...:FILTer: BPASs:DCCoupling commands. No distinction is made between AC and DC path coupling. In firmware V3.00, no band pass selection is possible if DC path coupling is set. The CMU always uses a default band pass with a bandwidth of 6 Hz to 21000 Hz (BP17).


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFANalyzer - Measurement Control - Measurement Status

Measurement Status

FETCh:AFANalyzer[:PRIMary]:STATus?

FETCh:AFANalyzer:SECondary:STATus?

Return | Description of parameters | Def. value | Def. unit
OFF | RUN | STOP | ERR | STEP | RDY , 1 to 10000 | NONE | Measurement in the OFF state (*RST or ABORt) Running (after INITiate, CONTinue or READ) Stopped (STOP) OFF (could not be started) Stepping mode (<stepmode> = STEP) Stopped according to repetition mode and stop condition Counter for current statistics cycle No counting mode set | OFF NONE | - -

Description of command | FW vers.
This command is always a query. It returns the status of the measurement (see Introduction - Manual Operation and Outline - Remote Control) and the number of the current statistics cycle. | ³V 2.10


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFANalyzer...:CONTrol (Control) - Test Cycles

Test Cycles

CONFigure:AFANalyzer[:PRIMary]:CONTrol:REPetition

CONFigure:AFANalyzer:SECondary:CONTrol:REPetition

<Repetition>, <StopCondition>, <Stepmode>

<Repetition> | Description of parameters | Def. value | Def. unit
CONTinuous | SINGleshot | 1 to 10000 | Continuous measurement (until STOP or ABORt) Single shot measurement (until Status = RDY) Multiple measurement (counting, until Status = STEP | RDY) | SING | -
<StopCondition> | Description of parameters | Def. value | Def. unit
NONE | Continue measurement even in case of error | NONE | -
<Stepmode> | Description of parameters | Def. value | Def. unit
STEP | NONE | Interrupt measurement after each statistic cycle Continue measurement according to its rep. mode | NONE | -

Description of command | FW vers.
This command determines the number of statistics cycles and the stepping mode for the measurement. A stop condition is not available. | ³V 2.10

Note:
In the case of READ commands (READ: to) the <Repetition> parameter has no effect; the measurement is always stopped after a single shot.


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Control of Measurement - Subsystem MULTitone - Measurement Status

Measurement Status

FETCh:MULTitone:AF1Channel:STATus?

FETCh:MULTitone:AF2Channel:STATus?

Ret. values | Description of parameters | Def. value | Def. unit
OFF | RUN | STOP | ERR | STEP | RDY, 1 to 10000 | NONE | Measurement in the OFF state (*RST or ABORt) Running (after INITiate, CONTinue or READ) Stopped (STOP) OFF (could not be started) Stepping mode (<stepmode>=STEP) Stopped according to repetition mode and stop condition Counter for current statistics cycle No counting mode set | OFF NONE | - -

Description of command | FW vers.
This command is always a query. It returns the status of the measurement (see Introduction - Manual Operation and Outline - Remote Control). | V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Test Cycles

Test Cycles

CONFigure:MULTitone:AF1Channel:CONTrol:REPetition

CONFigure:MULTitone:AF2Channel:CONTrol:REPetition

<Repetition>, <StopCond>, <Stepmode>

<Repetition>

Description of parameters

Def. value

Def. unit

CONTinuous |
SINGleshot |

1 to 1000,

Continuous measurement (until STOP or ABORT)
Single shot measurement (until Status = RDY)
Multiple measurement
(counting, until Status = STEP | RDY)

SING

-

<StopCond>

Description of parameters

Def. value

Def. unit

SONerror |
NONE,

Stop measurement in case of error (stop on error)
Continue measurement even in case of error

NONE

-

<Stepmode>

Description of parameters

Def. value

Def. unit

STEP |
NONE

Interrupt measurement after each statistics cycle
Continue measurement according to its rep. mode

NONE

-

Description of command | FW vers.
This command determines the number of statistics cycles, the stop condition and the stepping mode for the measurement. | V 3.0

Note:
In the case of READ commands (READ:...), the <Repetition> parameter has no effect; the measurement is always stopped after a single shot.


Control of Measurement - Subsystem MULTitone

T he subsystem MULTitone controls the measurement. It corresponds to the softkey AF Chan. One in the measurement menu Multitone and some of the associated hotkeys.

More:

Start/Stop MULTitone Measurement

Event Reporting

Measurement Status

Grid on/off

AF Path Coupling

AF Reference Level

Result

AF Generator Lead


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFLevel - AF Input Level - Default Settings

Default Settings

[SENSe:]AFLevel:DEFault

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | The parameters are set to their default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem to their default values (the setting OFF results in an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Default Settings

Default Settings

DEFault:MULTitone:AF1Channel:LIMit:LINE <Enable>

DEFault:MULTitone:AF2Channel:LIMit:LINE <Enable>

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | The parameters are set to their default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem to their default values (the setting OFF results in an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Default Settings

Default Settings

DEFault:MULTitone:LIMit:LINE <Enable>

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | The parameters are set to their default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem (including AF1Channel and AF2Channel) to their default values (the setting OFF results in an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Default Settings

Default Settings

DEFault:MULTitone:AF1Channel:TDEFinition <Enable>

DEFault:MULTitone:AF2Channel:TDEFinition <Enable>

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | The parameters are set to their default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem to their default values (the setting OFF results in an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Default Settings

Default Settings

DEFault:MULTitone:TDEFinition <Enable>

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | The parameters are set to their default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem (including AF1Channel and AF2Channel) to their default values (the setting OFF results in an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Default Settings

Default Settings

DEFault:MULTitone:AF1Channel:FILTer <Enable>

DEFault:MULTitone:AF2Channel:FILTer <Enable>

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | The parameters are set to their default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem to their default values (the setting OFF results in an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Default Settings

Default Settings

DEFault:MULTitone:FILTer <Enable>

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | The parameters are set to their default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem (including AF1Channel and AF2Channel) to their default values (the setting OFF results in an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Definition of Subarrays

Definition of Subarrays

CONFigure:SUBarrays:MULTitone:AF1Channel

CONFigure:SUBarrays:MULTitone:AF2Channel

<Mode>,<Start>,<Samples>{,<Start>,<Samples>}

<Mode> | Description of parameters | Def. value | Def. unit
ALL | ARIThmetical | MINimum | MAXimum | IVAL, | Return all measurement values Return arithm. mean value in every range Return minimum value in every range Return maximum value in every range Return single interpolated value at <Start> | ALL | -
<Start> | Description of parameters | Def. value | Def. unit
1 to 20, | Start test tone in current range | 1 | -
<Samples> | Description of parameters | Def. value | Def. unit
1 to 20 | Number of test tones in current range | 20 | -

Description of command

FW vers.

This command configures the READ:SUBarrays:MULTitone:AF1Channel..., FETCh:SUBarrays:MULTitone:AF1Channel..., and SAMPle:SUBarrays:MULTitone:AF1Channel commands. It restricts the measurement to up to 32 subranges where either all measurement results (the number of which is given by the <Samples> parameter) or a single statistical value is returned.

For <Mode> = IVAL, the <Samples> parameter is ignored and the CMU returns a single measurement value corresponding to the abscissa value <Start>. If <Start> is located between two test points with valid results then the result is calculated from the results at these two adjacent test points by linear interpolation.

The subranges are subsets of the full range of test tones defined via CONFigure:MULTitone:AF1Channel:TONE<nr>. Each subrange contains all test tones between the start test tone (test tone no. <Start>) and test tone no.
<Start>+<Samples>-1. Test points inside this range that are disabled are not measured (result NAN) and do not enter into the ARIThmetical, MINimum and MAXimum values.

By default, only one range corresponding to the total measurement range is used and all measurement values are returned.

V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFANalyzer - Measurement Control - Event Reporting

Event Reporting

CONFigure:AFANalyzer[:PRIMary]:EREPorting <Mode>

CONFigure:AFANalyzer:SECondary:EREPorting<Mode>

<Mode> | Description of parameters | Def. value | Def. unit
SRQ | SOPC | SRSQ | OFF | Service request Single operation complete SRQ and SRSQ No reporting | OFF | -

Description of command | FW vers.
This command defines the events generated when the measurement is terminated or stopped (Event Reporting ) | ³V 2.10


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Control of Measurement - Subsystem MULTitone - Event Reporting

Event Reporting

CONFigure:MULTitone:AF1Channel:EREPorting <Mode>

CONFigure:MULTitone:AF2Channel:EREPorting <Mode>

<Mode> | Description of parameters | Def. value | Def. unit
SRQ | SOPC | SRSQ | OFF | Service request Single operation complete SRQ and SOPC No reporting | OFF | -

Description of command | FW vers.
This command defines the events generated when the measurement is terminated or stopped (Event Reporting ). | V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFANalyzer...:CONTrol (Control) - Frequency

Frequency

CONFigure:AFANalyzer[:PRIMary]:CONTrol:DISTortion[:FREQuency] <Frequency>

CONFigure:AFANalyzer:SECondary:CONTrol:DISTortion[:FREQuency] <Frequency>

<Frequency> | Description of parameters | Def. value | Def. unit
20 Hz to 20000 Hz | Reference frequency for distortion measurement | 1000 | Hz

Description of command | FW vers.
This command determines the reference frequency for the harmonic distortion measurement. | ³V 2.10


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFANalyzer...:FILTer (Filter) - Frequency

Frequency

CONFigure:AFANalyzer[:PRIMary]:FILTer:VBPass:CFRequency <Center>

CONFigure:AFANalyzer:SECondary:FILTer:VBPass:CFRequency <Center>

<Center> | Description of parameters | Def. value | Def. unit
20 Hz to 20000 Hz | Center frequency of band pass | 1000 | Hz

Description of command | FW vers.
This command determines the center frequency of the variable band pass. | ³V 2.12


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - AFGenerator - AFGenerator - Frequency

Frequency

SOURce:AFGenerator[:PRIMary]:FREQuency <Frequency>

SOURce:AFGenerator:SECondary:FREQuency <Frequency>

<Frequency> | Description of parameters | Def. value | Def. unit
20 Hz to 20 kHz | AF-Generator frequency | 1000 | Hz

Description of command | FW vers.
This command determines the AF generator frequency. | ³V 2.10


Generator Level

SOURce:AFGenerator[:PRIMary]:LEVel <Level>

SOURce:AFGenerator:SECondary:LEVel <Level>

<Level> | Description of parameters | Def. value | Def. unit
0 V to 5 V | AF generator voltage | 1 | V

Description of command | FW vers.
This command defines the RMS voltage of the generated AC audio signal or the constant DC voltage, depending on the selected signal type (see command SOURce:AFGenerator...SMODe). | ³V 2.10


Generator Signal

SOURce:AFGenerator[:PRIMary]:SMODe <Signal>

SOURce:AFGenerator:SECondary:SMODe <Signal>

<Frequency> | Description of parameters | Def. value | Def. unit
AF | DC | AF generator signal type | AC | -

Description of command | FW vers.
This command determines whether the AF generator signal is an AC or DC signal. | ³V 3.10


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - AFGenerator - AFGenerator - Generator Status

Generator Status

FETCh:AFGenerator[:PRIMary]:STATus?

FETCh:AFGenerator:SECondary:STATus?

Return | Description of parameters | Def. value | Def. unit
OFF | RUN | ERR | Generator switched off (ABORt, *RST or OFF due to conflict of resources) Running (INITiate) Switched off (could not be started) | OFF | -

Description of command | FW vers.
This command is always a query. It returns the current generator status. | ³V 2.10


Grid on/off

DISPlay:MULTitone:AF1Channel:GRID <Enable>

DISPlay:MULTitone:AF2Channel:GRID <Enable>

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | Switch on grid lines Switch off grid lines | ON | -

Description of command | FW vers.
This command switches the grid lines in the test diagrams on or off. | V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Subsystem AFLevel - AF Input Level - Input level - Mode

Input level - Mode

[SENSe:]AFLevel[:PRIMary]:MODE <Mode>

[SENSe:]AFLevel:SECondary:MODE <Mode>

<Mode> | Description of parameters | Def. value | Def. unit
MANual | AUTomatic | Manual setting Automatic setting corresponding to average power of signal applied | AUT | -

Description of command | FW vers.
This command defines the mode for setting the maximum input level. | V 3.0


Level Selection

CONFigure:MULTitone:AF1Channel:TDEFinition:MODE <Mode>

CONFigure:MULTitone:AF2Channel:TDEFinition:MODE <Mode>

<Mode> | Description of parameters | Def. value | Def. unit
SEParate | TLEVel | Use separate levels for each tone Use total level | SEParate | -

Description of command

FW vers.

This command defines how the voltage of each of the test tones is determined.

  • In the default setting SEParate, the levels of all tones are defined separately and may differ from each other (see command CONFigure:MULTitone:...:TDEFinition above).
  • In the setting TLEV, the total AF generator level of 200 mV (see command CONFigure:MULTitone:...:TDEFinition:TLEVel below) is evenly distributed among all 20 enabled test tones. Test tones can still be enabled or disabled and their frequency can be changed (see CONF:MULT:...TDEF... commands above), but level settings will be ignored as long as TLEV remains effective.

V 3.0


Limit Matching

CALCulate[:SCALar]:MULTitone:AF1Channel:TONE<nr>:MATChing:LIMit?

CALCulate[:SCALar]:MULTitone:AF2Channel:TONE<nr>:MATChing:LIMit?

Returned result | Value range | Def. value | Def. unit
Limit matching at tone <nr> | NMAU | NMAL | INV | OK | INV | -

Description of command | FW vers.
This command is always a query. It indicates whether and in which way the error limits at tone <nr> (<nr> = 1 to 20) have been exceeded. | V 3.0

The following messages may be returned for test tone <nr>:
NMAU | Underflow of tolerance value | not matching, underflow
NMAL | Tolerance value exceeded | not matching, overflow
INV | Measurement invalid | invalid
OK | all tolerances matched |


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Results - Subsystem MULTitone:...? - Limit Matching, Overall

Limit Matching, Overall

CALCulate[:SCALar]:MULTitone:AF1Channel:MATChing:LIMit?

CALCulate[:SCALar]:MULTitone:AF2Channel:MATChing:LIMit?

Returned result | Value range | Def. value | Def. unit
Limit matching at tone 1, ..., Limit matching at tone 20 | For tones 1 to 20: NMAU | NMAL | INV | OK | INV | -

Description of command | FW vers.
This command is always a query. It indicates whether and in which way the error limits at all test tones 1 to 20 have been exceeded. The output string contains 20 values separated by commas. | V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Results - Subsystem MULTitone:...? - Limit Matching, Overall

Limit Matching, Overall

CALCulate:ARRay:MULTitone:AF1Channel:MATChing:LIMit?

CALCulate:ARRay:MULTitone:AF2Channel:MATChing:LIMit?

Returned result | Value range | Def. value | Def. unit
20 bit field, 20 bit field | Indicator for upper limit matching at tone 1 to 20 Indicator for lower limit matching at tone 1 to 20 | NAN NAN | - -

Description of command | FW vers.
This command is always a query. Any bit of the two returned fields that is set indicates that the limits at the corresponding point are exceeded. | V 3.0


Lower Limit, Single Point

CONFigure:MULTitone:AF1Channel:TONE<nr>:LIMit:LINE:ASYMmetric:LOWer

CONFigure:MULTitone:AF2Channel:TONE<nr>:LIMit:LINE:ASYMmetric:LOWer

<Limit>, <Enable>

<Limit> | Description of parameters | Def. value | Def. unit
-80 dB to +80 dB, | Lower limit line at tone <nr> | See below | dB
<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | Enable lower limit line at tone <nr> | ON | -

Description of command | FW vers.
This command configures the lower limit and enables the limit check at one of 20 test tones that can be defined via CONFigure:MULTitone:AF1Channel:TONE<nr>. The test tones are numbered by <nr> = 1 to 20. The default limits at all test points are quoted in the previous command. | V 3.0


Lower Limits, Overall

CONFigure:MULTitone:AF1Channel:LIMit:LINE:ASYMmetric:LOWer

CONFigure:MULTitone:AF2Channel:LIMit:LINE:ASYMmetric:LOWer

<Limit_1>, <Enable_1>, ... <Limit_20>, <Enable_20>

<Limit_nr> | Description of parameters | Def. value | Def. unit
-80 dB to +80 dB, | Lower limit line at tone <nr> | See below | dB
<Enable_nr> | Description of parameters | Def. value | Def. unit
ON | OFF | Enable lower limit line at tone <nr> | ON | -

Description of command | FW vers.
This command configures the lower limit lines and enables the limit check at the 20 test tones that can be defined via CONFigure:MULTitone:AF1Channel:TONE<nr>. | V 3.0

By default, the limit check is switched on at all tones and the following limit lines apply:
Tone <nr> | Limit Line/[dB] | Enable | Tone <nr> | Limit Line/[dB] | Enable
1 | -13.5 | ON | 11 | +1.6 | ON
2 | -10.2 | ON | 12 | +2.3 | ON
3 | -7.8 | ON | 13 | +2.9 | ON
4 | -5.9 | ON | 14 | +3.5 | ON
5 | -4.3 | ON | 15 | +4.0 | ON
6 | -3.0 | ON | 16 | +4.6 | ON
7 | -1.9 | ON | 17 | +5.0 | ON
8 | -0.9 | ON | 18 | +5.0 | ON
9 | 0.0 | ON | 19 | +5.0 | ON
10 | +0.8 | ON | 20 | +5.0 | ON


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Results - Subsystem MULTitone:...? - Multitone Results

Multitone Results

READ[:SCALar]:MULTitone:AF1Channel:TONE<nr>?

READ[:SCALar]:MULTitone:AF2Channel:TONE<nr>?

Start single shot measurement and return results RUN

FETCh[:SCALar]:MULTitone:AF1Channel:TONE<nr>?

FETCh[:SCALar]:MULTitone:AF2Channel:TONE<nr>?

Read results (unsynchronized) RUN

SAMPle[:SCALar]:MULTitone:AF1Channel:TONE<nr>?

SAMPle[:SCALar]:MULTitone:AF2Channel:TONE<nr>?

Read results (synchronized) RUN

Returned values | Description of parameters | Def. value | Def. unit
-100.0 dB to +20.0 dB | AF response at point <nr> | NAN | dB

Description of command | FW vers.
These commands are always queries. They return the audio level at test tones <nr> (<nr> = 1 to 20) defined via CONFigure:MULTitone:AF1Channel:TONE<nr>. | V 3.0


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Results - Subsystem MULTitone:...? - Multitone Results

Multitone Results

READ:ARRay:MULTitone:AF1Channel?

READ:ARRay:MULTitone:AF2Channel?

Start single shot measurement and return results RUN

FETCh:ARRay:MULTitone:AF1Channel?

FETCh:ARRay:MULTitone:AF2Channel?

Read meas. results (unsynchronized) RUN

SAMPle:ARRay:MULTitone:AF1Channel?

SAMPle:ARRay:MULTitone:AF2Channel?

Read results (synchronized) RUN

Returned values | Description of parameters | Def. value | Def. unit
-100.0 dB to +20.0 dB, ... -100.0 dB to +20.0 dB | FreqResp[1], 1st value for AF response ... FreqResp[20], 20th value for AF resp. | NAN ... NAN | dB ... dB

Description of command | FW vers.
These commands are always queries. They return the audio level at the 20 test tones defined via CONFigure:MULTitone:AF1Channel:TONE<nr>. | V 3.0


Path Configuration - Subsystem MULTitone:AF1Channel:FILTer

The subsystem MULTitone:AF1Channel:FILTer configures the voice-processing equipment used for the Multitone measurement. The subsystem corresponds to the Filters tab of the popup menu Multitone Configuration.


Reduce Measurement Time

CONFigure:AFANalyzer[:PRIMary]:MTReduce <Mode>, <Frequency>

CONFigure:AFANalyzer:SECondary:MTReduce

<Mode> | Description of parameters | Def. value | Def. unit
LOWF | EXPF | Measurement time according to lowest frequency (10 kHz) Measurement time according to <Frequency> | LOWF | -
<Frequency> | Description of parameters | Def. value | Def. unit
10 Hz to 20 kHz | Expected frequency of the audio input signal | 100 | Hz

Description of command | FW vers.
This command is to reduce the measurement time the audio analyzer uses to calculate the measurement results (<Mode>=EXPF); see section Subsystem AFANalyzer... (Measured Values). The measurement time must be adapted to the period of the input signal, which is the reverse of the frequency. Therefore, the audio measurement can be accelerated for high-frequency signals. In the LOWF mode, <Frequency> is not taken into account. | V 3.0


Result

CONFigure:MULTitone:AF1Channel:RMODe <Reference>

CONFigure:MULTitone:AF2Channel:RMODe <Reference>

<Reference> | Description of parameters | Def. value | Def. unit
RLEV | TON<nr> | Results relative to the reference level Results relative to level at test tone <nr>, where <nr> = 1 to 20 | TON4 | -

Description of command

FW vers.

This command defines the reference value for the results of the Multitone measurement. The reference level is defined via CONFigure:MULTitone:AF1Channel:RLEVel. To choose one of the test tones no. 1 to 20, it must be enabled via the CONFigure:MULTitone:AF1Channel:
TDEFinition:TONE<nr> command.

V 3.0


Results - Subsystem MULTitone:...?

The subsystem MULTitone:...? measures the AF input level, returns the results and compares them with the tolerance values. The subsystem corresponds to the various output elements in the measurement menu Multitone.

More:

Multitone Results

Multitone Results

Subarray Results

Limit Matching

Limit Matching, Overall

Limit Matching, Overall


Scalar Results

READ[:SCALar]:AFANalyzer[:PRIMary]?

READ[:SCALar]:AFANalyzer:SECondary?

Start single shot meas. and return results

FETCh[:SCALar]:AFANalyzer[:PRIMary]?

FETCh[:SCALar]:AFANalyzer:SECondary?

Read out meas. results (unsynchronized)

SAMPle[:SCALar]:AFANalyzer[:PRIMary]?

SAMPle[:SCALar]:AFANalyzer:SECondary?

Read out meas. results (synchron.)

Return | Description of parameters | Def. value | Def. unit
PeakVoltage1 RMSVoltage1 DCVoltage Distortion PeakVoltage2 RMSVoltage2 Frequency | 0 V to 42.4 V 0 V to 30 V -30 V to 30 V 0% to 100% 0 V to 42.4 V 0 V to 30 V 10 Hz to 204.8 kHz | NAN NAN NAN NAN NAN NAN NAN | V V V % V V Hz

Description of command

FW vers.

These commands are always queries. They start a measurement and output all scalar measurement results (see also Subsystem AFANalyzer...:FILTer (Filter)). These are:

  • Peak1 and RMS1 value of AC voltage after first band pass and the weighting filter
  • DC voltage
  • Total harmonic distortion
  • Peak2 and RMS2 value of AC voltage after first band pass and second band pass
  • (variable band pass)
  • Frequency counter

³V 2.10
³V 2.12
(last 3 output values)


Start/Stop MULTitone Measurement

INITiate:MULTitone:AF1Channel

INITiate:MULTitone:AF2Channel

Start new measurement RUN

ABORt:MULTitone:AF1Channel

ABORt:MULTitone:AF2Channel

Abort running measurement and switch off OFF

STOP:MULTitone:AF1Channel

STOP:MULTitone:AF2Channel

Stop measurement after current stat. Cycle STOP

CONTinue:MULTitone:AF1Channel

CONTinue:MULTitone:AF2Channel

Next measurement step (only stepping mode) RUN

Description of command | FW vers.
These commands have no query form. They start and stop the measurement, setting it to the status indicated in the top right column. | V 3.0

Note:
The single tone AF generator must be switched off before a multitone measurement is started. See note in section Audio Generator and Analyzer – Option CMU-B41 .


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Results - Subsystem MULTitone:...? - Subarray Results

Subarray Results

READ:SUBarrays:MULTitone:AF1Channel?

READ:SUBarrays:MULTitone:AF2Channel?

Start single shot measurement and return results RUN

FETCh:SUBarrays:MULTitone:AF1Channel?

FETCh:SUBarrays:MULTitone:AF2Channel?

Read meas. results (unsynchronized) RUN

SAMPle:SUBarrays:MULTitone:AF1Channel?

SAMPle:SUBarrays:MULTitone:AF2Channel?

Read results (synchronized) RUN

Ret. values per subrange | Description of parameters | Def. value | Def. unit
-100.0 dB to +20.0 dB, ... -100.0 dB to +20.0 dB | FreqResp[1], 1st value for AF response ... FreqResp[n], nth value for AF response | NAN ... NAN | dB ... dB

Description of command

FW vers.

These commands are always queries. They return the audio level in the subranges defined by means of the CONFigure:SUBarrays:MULTitone:AF1Channel command. In the default setting of the configuration command the READ:SUBarrays..., FETCh:SUBarrays..., and SAMPle:SUBarrays... command group is equivalent to the READ:ARRay..., FETCh:ARRay..., and SAMPle:ARRay... command group described above.

The CONFigure:SUBarrays:MULTitone:AF1Channel command defines a maximum of 32 subranges. If one of the statistical modes (ARIThmetical, MINimum, MAXimum) or IVAL is set, only one value is returned by subrange.

V 3.0


Subsystem AFANalyzer...:CONTrol (Control)

The subsystem AFANalyzer:...CONTrol defines the scope of the audio analysis and sets the reference frequency for the distortion measurement. The settings are provided in the Control and Distortion tabs of the Analyzer Configuration popup menu.

More:

Test Cycles

Frequency

AF Path Coupling


Subsystem AFANalyzer...:FILTer (Filter)

he subsystem AFANalyzer:...FILTer configures the input path of the AF analyzer. The subsystem corresponds to the Filter tab in the Analyzer Configuration menu. The input path of the AF analyzer is as shown below:

AF analyzer input path configuration

More:

Frequency

Bandwidth

Weighting Filter

Bandwidth (AC Coup.)

Bandwidth (DC Coup.)


Subsystem AFANalyzer... (Measured Values)

The subsystem AFANalyzer... starts the audio analysis and returns the results.

More:

Scalar Results


Subsystem AFANalyzer - Measurement Control

The subsystem AFANalyzer controls the single-tone audio analysis.

More:

AFAnalyzer

Event Reporting

Measurement Status

Reduce Measurement Time


Subsystem AFLevel - AF Input Level

The subsystem AFLevel configures the input path for both channels of the single tone and the Multitone audio measurement. In manual control the single tone measurement uses the [:PRIMary] settings. In the Multitone measurement the AFLevel subsystem corresponds to the Analyzer Level softkey with the hotkeys Mode and AF Max. Level. Note that the AFLevel[:PRIMary] and AFLevel:SECondary settings are valid for both single tone and multitone measurements (see table below).

Audio Channel

Manual Control, Menu

Remote control keyword

AFLevel keyword

Single tone, channel 1 Analyzer/Generator
[:PRIMary]
[:PRIMary]
Single tone, channel 2 -
:SECondary
:SECondary
Multitone, channel 1 Multitone, AF Chan. One
AF1Channel
[:PRIMary]
Multitone, channel 2 Multitone, AF Chan. Two
AF2Channel
:SECondary

More:

Input level - Mode

AF Max. Level

Default Settings


Subsystem MULTitone:...CONTrol

The subsystem MULTitone:...CONTrol defines the scope of the measurement. It corresponds to the Control tab in the popup menu Multitone Configuration.


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Introduction - Remote Control Audio Generator and Analyzer - Subsystem Options

Subsystem Options

The Options subsystem contains the commands for querying information on the instrument and the available options. It corresponds to the Options tab in the Setup menu opened via the SETUP key on the front panel.

More:

Device Info


Subsystem SUBarrays:MULTitone:...

The subsystem SUBarrays:MULTitone:... defines the measurement range and the type of output values.


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Multitonea Measurements (MULTitone) - Test Configuration

Test Configuration

The commands of the following subsystems configure the Multitone measurement. They correspond to the Audio Multitone Configuration popup menu .

More:

Subsystem MULTitone:...CONTrol

Test Cycles

Subsystem SUBarrays:MULTitone:...

Definition of Subarrays

Tolerance values - Subsystem MULTitone:...LIMit

Upper Limit, Overall

Upper Limit, Single Point

Lower Limits, Overall

Lower Limit, Single Point

Default Settings

Default Settings

Test Tones - Subsystem MULTitone:...TDEFinition

Test Tones

Test Tones

Level Selection

Total Level

Default Settings

Default Settings

Path Configuration - Subsystem MULTitone:AF1Channel:FILTer

Band Pass, DC Coupling

Band Pass, AC Coupling

Weighting

Default Settings

Default Settings


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Test Tones

Test Tones

CONFigure:MULTitone:AF1Channel:TDEFinition

CONFigure:MULTitone:AF2Channel:TDEFinition

<Freq_1>, <Lev_1>, <Enable_1>, ... <Freq_20>, <Lev_20>, <Enable_20>

<Freq_nr> | Description of parameters | Def. value | Def. unit
10 Hz to 15999 Hz, | Frequency of test tone <nr> | See below | Hz
<Lev_nr> | Description of parameters | Def. value | Def. unit
1.0 m V to 5.0 V, | Level at test tone <nr> | See below | V
<Enable_nr> | Description of parameters | Def. value | Def. unit
ON | OFF | Switch on / off test tone <nr> | See below | -

Description of command | FW vers.
This command enables and configures up to 20 test tones. The minimum frequency spacing between two tones is 1 Hz. The sum of all test tones must not exceed the maximum AF generator level quoted in the data sheet. | V 3.0

The following default test tones are provided:
Tone <nr> | Frequency/[Hz] | Level/[V] | Enable | Tone <nr> | Frequency/[Hz] | Level/[V] | Enable
1 | 300 | 0.01 | ON | 11 | 1700 | 0.01 | ON
2 | 440 | 0.01 | ON | 12 | 1840 | 0.01 | ON
3 | 580 | 0.01 | ON | 13 | 1980 | 0.01 | ON
4 | 720 | 0.01 | ON | 14 | 2120 | 0.01 | ON
5 | 860 | 0.01 | ON | 15 | 2260 | 0.01 | ON
6 | 1004 | 0.01 | ON | 16 | 2400 | 0.01 | ON
7 | 1140 | 0.01 | ON | 17 | 2540 | 0.01 | ON
8 | 1280 | 0.01 | ON | 18 | 2680 | 0.01 | ON
9 | 1420 | 0.01 | ON | 19 | 2820 | 0.01 | ON
10 | 1560 | 0.01 | ON | 20 | 3000 | 0.01 | ON

Note:
If the level of all test tones is derived from a total level (TLEVel setting in the CONFigure:MULTitone:AF1Channel:TDEFinition:MODE command), the individual level settings are ignored. The <Frequency> and <Enable> parameter settings are still effective.


Remote Control - Audio Generator and Analyzer (with Option CMU-B41) - Test Configuration - Test Tones

Test Tones

CONFigure:MULTitone:AF1Channel:TDEFinition:TONE<nr>

CONFigure:MULTitone:AF2Channel:TDEFinition:TONE<nr>

<Frequency>, <Level>, <Enable>

<Frequency> | Description of parameters | Def. value | Def. unit
10 Hz to 15999 Hz, | Frequency of test tone <nr> | See below | Hz
<Level> | Description of parameters | Def. value | Def. unit
0.0 V to 5.0 V, | AF level test tone <nr> | See below | V
<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | Switch on / off test tone <nr> | See below | -

Description of command | FW vers.
This command enables and configures one of up to 20 test tones (<nr> = 1 to 20). The default values for all test tones are given in the previous command. | V 3.0

Note:
If the level of all test tones is derived from a total level (TLEVel setting in the CONFigure:MULTitone:AF1Channel:TDEFinition:MODE command), the <Level> setting is ignored. The <Frequency> and <Enable> parameter setting is still effective.


Test Tones - Subsystem MULTitone:...TDEFinition

The subsystem MULTitone:...TDEFinition configures the audio test signal used for the Multitone measurement. The subsystem corresponds to the Tone Def. tab of the popup menu Multitone Configuration.


Tolerance values - Subsystem MULTitone:...LIMit

The subsystem MULTitone:...LIMit defines tolerance values for the Multitone measurement. The subsystem corresponds to the Limits tab of the popup menu Multitone Configuration.


Total Level

CONFigure:MULTitone:AF1Channel:TDEFinition:TLEVel <Total_Level>

CONFigure:MULTitone:AF2Channel:TDEFinition:TLEVel <Total_Level>

<Total_Level> | Description of parameters | Def. value | Def. unit
0.0 V to 5.0 V | Total level/voltage (sum of all test tones) | 0.200 | V

Description of command | FW vers.
This command defines the total AF generator level that is evenly distributed among all enabled test tones. The total level setting comes into effect after the level selection mode is set to TLEV (see CONFigure:MULTitone:...TDEFinition:MODe command above). The total level must not exceed the maximum AF generator level quoted in the data sheet. | V 3.0


Upper Limit, Overall

CONFigure:MULTitone:AF1Channel:LIMit:LINE:ASYMmetric:UPPer

CONFigure:MULTitone:AF2Channel:LIMit:LINE:ASYMmetric:UPPer

<Limit_1>, <Enable_1>, ... <Limit_20>, <Enable_20>

<Limit_nr> | Description of parameters | Def. value | Def. unit
-80 dB to +80 dB, | Upper limit line at tone <nr> | See below | dB
<Enable_nr> | Description of parameters | Def. value | Def. unit
ON | OFF | Enable upper limit line at tone <nr> | ON | -

Description of command | FW vers.
This command configures the upper limit lines and enables the limit check at the 20 test tones that can be defined via CONFigure:MULTitone:AF1Channel:TONE<nr>. | V 3.0

By default, the limit check is switched on at all tones and the following limit lines apply:
Tone <nr> | Limit Line/[dB] | Enable | Tone <nr> | Limit Line/[dB] | Enable
1 | -9.5 | ON | 11 | +5.6 | ON
2 | -6.2 | ON | 12 | +6.3 | ON
3 | -3.8 | ON | 13 | +6.9 | ON
4 | -1.9 | ON | 14 | +7.5 | ON
5 | -0.3 | ON | 15 | +8.0 | ON
6 | +1.0 | ON | 16 | +8.6 | ON
7 | +2.1 | ON | 17 | +9.1 | ON
8 | +3.1 | ON | 18 | +9.6 | ON
9 | +4.0 | ON | 19 | +10.0 | ON
10 | +4.8 | ON | 20 | +10.5 | ON


Upper Limit, Single Point

CONFigure:MULTitone:AF1Channel:TONE<nr>:LIMit:LINE:ASYMmetric:UPPer

CONFigure:MULTitone:AF2Channel:TONE<nr>:LIMit:LINE:ASYMmetric:UPPer

<Limit>, <Enable>

<Limit> | Description of parameters | Def. value | Def. unit
-80 dB to +80 dB, | Upper limit line at tone <nr> | See below | dB
<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | Enable upper limit line at tone <nr> | ON | -

Description of command | FW vers.
This command configures the upper limit and enables the limit check at one of 20 test tones that can be defined via CONFigure:MULTitone:AF1Channel:TONE<nr>. The test tones are numbered by <nr> = 1 to 20. The default limits at all test points are quoted in the previous command. | V 3.0


Weighting

CONFigure:MULTitone:AF1Channel:FILTer:WEIGhting <Weighting>

CONFigure:MULTitone:AF2Channel:FILTer:WEIGhting <Weighting>

<Weighting> | Description of parameters | Def. value | Def. unit
CME | CCI | OFF | Switch on C-message weighted filter Switch on CCITT weighting filter No weighting filter | OFF | -

Description of command | FW vers.
This command selects the weighting filter to be included in the AF input signal path. | V 3.0


Weighting Filter

CONFigure:AFANalyzer[:PRIMary]:FILTer:WEIGhting <Weighting>

CONFigure:AFANalyzer:SECondary:FILTer:WEIGhting <Weighting>

<Weighting> | Description of parameters | Def. value | Def. unit
CME | CCI | OFF | Switch on C-message weighted filter Switch on CCITT weighting filter No weighting filter | OFF | -

Description of command | FW vers.
This command selects the weighting filter after the fixed band pass (see Subsystem AFANalyzer...:FILTer (Filter)). | ³V 2.12


Go to Local

*GTL

Description of command

This command has no query form. It switches the instrument immediately back to local mode (manual control). The CMU opens the menu of the current running measurement; see also section Return to Manual Control in Chapter 5. This command can be used instead of the addressed command GTL is a serial connection is used.


Go to Remote

SYTem:GTRMode:COMPatible <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Connection or call dropped on local to remote switchover/ generator switched off Current signalling state or generator state maintained | ON | -

Description of command

FW vers.

This command defines the behavior of the CMU in a local to remote transition. The command is valid for all function groups and test modes, however, its effect depends on the test mode (Signalling or Non Signalling tests):

Signalling

In the ON setting, the connection or call is dropped and the CMU returns to its default signalling state (e.g. SOFF in the GSMxxx-MS function groups). In the OFF setting, all signalling states are maintained. This makes it possible to switch the instrument to remote control without dropping a call or connection. See also operating manuals for the different network tests.

Non Signalling

In the ON setting, all generators are switched off. In the OFF setting, the current operating state of all generators is maintained.

³V 3.05


Local Lockout

*LLO <Boolean>

<Boolean> | Parameter description | Def. value | Default unit
FALSe | TRUE | Hitting any front panel key switches to manual control Front panel keys locked | FALSe | -

Description of command | FW vers.
This command has no query form. It locks the front panel keys to prevent an inadvertent switchover to manual control. If TRUE is set, the hotkeys to control the remote screen are still active. The parameter FALSe re-activates all front panel keys for switchover to manual control. This command can be used instead of the universal command LLO is a serial connection is used. | V 3.10


Remote Control - CMU Base System Commands - Reset - Partial Reset

Partial Reset

SYSTem:RESet:CURRent

Description of command

FW vers.

This command sets all parameters of the current function group and test mode to default values. The command is available in all function groups. In contrast to the Reset menu the command restores the default values defined for remote control operation. In cases where remote and manual control use distinct settings (e.g. the repetition mode for many measurements), the manual control settings are left unchanged.

V 3.10


Remote Control - CMU Base System Commands - Reset - Reset

Reset

SYSTem:PRESet[:ALL]

SYSTem:RESet[:ALL]

Description of command

FW vers.

This command sets all parameters of the instrument to default values. The commands differ for instrument settings with distinct default values in manual and remote control (e.g. the repetition mode for many measurements):

SYST:PRES restores the default values for manual control, leaving the current remote control parameters unchanged.

SYST:RES (available for FW vers. ≥3.10) restores the default values for remote control leaving the current manual control parameters unchanged. This command is equivalent to *RST.

³V 1.20


Default Settings

DEFault:USER:CORRection:LOSS <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | The parameters are set to default values Some or all parameters are not set to default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON, this command sets all parameters of the user correction loss subsystem to their default values (the setting OFF results in an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

³V 3.60


Sort Table

SORT:USER:CORRection:LOSS:TABLe

Description of command | FW vers.
This command sorts the frequency table. Sorting has no effect to the user correction. | ³V 3.60


User Correction at Specified Frequency

User Correction Loss at Specified Frequency

CONFigure:USER:CORRection:LOSS:TABLe:LINE<nr>
<Frequency[nr]>,<Correction RF1[nr]>,<Correction RF2[nr]>,<Correction RF3 Out[nr]>,<Correction RF4 In[nr]>

Parameters | Parameter description | Def. value | Default unit
10 MHz to 2700 MHz | OFF, –50 dB .... +90 dB | OFF, –50 dB .... +90 dB | OFF, –50 dB .... +90 dB | OFF, –50 dB .... +90 dB | OFF | Correction frequency setting <nr>. Attenuation correction value for RF1<nr>. Attenuation correction value for RF2 <nr>. Attenuation correction value for RF3 Out <nr>. Attenuation correction value for RF4 In <nr> | OFF OFF OFF OFF OFF | Hz dB dB dB dB

Description of command | FW vers.
This command defines the attenuation correction values for each of the RF connectors at the frequency specified by means of the numeric suffix <nr>. Note: Setting the frequency to OFF will disable the entire user correction at this frequency. | ³V 3.60


User Correction Loss Table

CONFigure:USER:CORRection:LOSS:TABLe?
<Frequency[1]>,<Correction RF1[f1]>,<Correction RF2[f1]>,<Correction RF3 Out[f1]>,<Correction RF4 In[f1]>
<Frequency[2]>,<Correction RF1[f2]>,<Correction RF2[f2]>,<Correction RF3 Out[f2]>,<Correction RF4 In[f2]>
,....
<Frequency[25]>,<Correction RF1[f25]>,<Correction RF2[f25]>,<Correction RF3 Out[f25]>,<Correction RF4 In[f25]>

Parameters | Parameter description | Def. value | Default unit
10 MHz to 2700 MHz | OFF, –50 dB .... +90 dB | OFF, –50 dB .... +90 dB | OFF, –50 dB .... +90 dB | OFF, –50 dB .... +90 dB | OFF, 10MHz to 2700MHz | OFF , –50dB .... +90dB | OFF, –50dB .... +90dB | OFF, –50dB .... +90dB | OFF, –50dB .... +90dB | OFF, ... 10MHz to 2700MHz | OFF, –50dB .... +90dB | OFF, –50dB .... +90dB | OFF, –50dB .... +90dB | OFF, –50dB .... +90dB | OFF | f1 or OFF if no frequency is specified User correction for RF1 @ f1 User correction for RF2 @ f1 User correction for RF3 Out @ f1 User correction for RF4 In @ f1 f2 or OFF if no frequency is specified User correction for RF1 @ f2 User correction for RF2 @ f2 User correction for RF3 Out @ f2 User correction for RF4 In @ f2 ... f25 or OFF if no frequency is specified User correction for RF1 @ f25 User correction for RF2 @ f25 User correction for RF3 Out @ f25 User correction for RF4 In @ f25 | OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF .... OFF OFF OFF OFF OFF | Hz dB dB dB dB Hz dB dB dB dB ... Hz dB dB dB dB

Description of command | FW vers.
This command is always a query. It returns the whole content of the user correction loss table. | ³V 3.60


User Correction Table Enable

CONFigure:USER:CORRection:LOSS:TABLe:ENABle <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | The user correction table is active The user correction table is inactive | OFF | -

Description of command | FW vers.
This command enables or disables the entire user correction table. | ³V 3.60


Change Directory

MMEMory:CDIRectory [<DirName>], [<msus>]

<DirName> | Parameter description | Def. value | Def. unit
"<DirectoryName>", INTernal | EXTernal | Name of the directory to be accessed Internal or external storage device | "\USERDATA\SAVE" | -

Description of command

FW vers.

This command has no query form. It sets the directory specified via <DirName> as default directory. If this parameter is omitted, the directory is set to the USERDATA\SAVE subdirectory of the INTernal or EXTernal root directory, depending on the current MMEMory:MSIS [<msus>] settings. V 3.05


Comment

MMEMory:COMMent <Comment>

<Comment> | Parameter description | Def. value | Def. unit
"<160 characters max.>" | Commentstring | " " | -

Description of command | FW vers.
This command defines a comment for a CMU configuration file. The comment is saved to the file generated via MMEMory:SAVE[:ALL] <FileName>[,<msus>] or MMEMory:SAVE:CURRent <FileName>[,<msus>]. The command is CMU-specific. | V 3.10


Copy File

MMEMory:COPY <FileSource>, <msus1>, <FileDest>, <msus2> | <FileSource>, <FileDest>

Parameters | Parameter description | Def. value | Def. unit
"<FileSource>", INTernal | EXTernal, "<FileDest>", INTernal | EXTernal | Name of the file to be copied Storage device of the source file Name of the new file Storage device of the new file | - INTernal - INTernal (see also MMEMory:MSIS [<msus>] command | - - - -

Description of command | FW vers.
This command has no query form. It copies the contents of an existing file or directory to a new one. | V 3.05


Current Directory

MMEMory:DIRectory[:CURRent]?

Returned value | Parameter description | Def. value | Def. unit
INT | EXT "<DirectoryName>" | Internal or external storage device Name and path of the current directory in DOS convention. | INT "\USERDATA\SAVE" | -

Description of command

FW vers.

This command is always a query and returns the current directory name and path. Possible return strings are INT, " " (for the internal root directory) or INT, "\TEMP\TRASH" (for the \TEMP\TRASH subdirectory of the internal root directory). This command is CMU-specific.

The current directory is set to default when the base system is booted but left unchanged when the base system is reset (*RST, SYSTem:RESet:CURRent).

V 3.05


Delete File

MMEMory:DELete <FileName> [,<msus>]

Parameters | Parameter description | Def. value | Def. unit
"<FileName>", INTernal | EXTernal | Name of the file to be deleted Storage device of the file to be deleted | - INTernal (see also MMEMory:MSIS [<msus>] command | - -

Description of command | FW vers.
This command has no query form. It removes a single file from the specified mass storage device. | V 3.05


Internal/External

MMEMory:MSIS [<msus>]

<msus> | Parameter description | Def. value | Def. unit
INTernal | EXTernal | Internal memory (hard disk) External memory (floppy disk or PCMCIA memory card)Kommentar | INTernal | -

Description of command | FW vers.
This Mass Storage IS command resets the default mass storage parameter <msus> for all MMEmory commands. | V 3.05


Make Directory

MMEMory:MKDir <DirName> [,<msus>]

Parameters | Parameter description | Def. value | Def. unit
"<DirectoryName>", INTernal | EXTernal | Name of the directory to be created Storage device of the directory | - INTernal (see also MMEMory:MSIS [<msus>] command | - -

Description of command | FW vers.
This command has no query form. It creates a new subdirectory in the current directory. The command is CMU-specific. | V 3.05


Move File

MMEMory:MOVE <FileSource>, <msus1>, <FileDest>, <msus2> | <FileSource>, <FileDest>

Parameters | Parameter description | Def. value | Def. unit
"<FileSource>", INTernal | EXTernal, "<FileDest>", INTernal | EXTernal | Name of the file to be renamed Storage device of the source file Name of the new file Storage device of the new file | - INTernal - INTernal (see also MMEMory:MSIS [<msus>] command | - - - -

Description of command | FW vers.
This command has no query form. It moves an existing file to another file name and mass storage device. | V 3.05


Recall all configurations

MMEMory:RECall[:ALL] <FileName> [,<msus>

Parameters | Parameter description | Def. value | Def. unit
"<FileName>", INTernal | EXTernal | Name of the config. file to be recalled Storage device of the config. file | - INTernal | - -

Description of command | FW vers.
This command recalls the configuration of all function groups and test modes stored in a configuration file. This command is CMU-specific. | V 3.10


Recall configurations in current function group and test mode

MMEMory:RECall:CURRent <FileName> [,<msus>

Parameters | Parameter description | Def. value | Def. unit
"<FileName>", INTernal | EXTernal | Name of the config. file to be recalled Storage device of the config. file | - INTernal | - -

Description of command | FW vers.
This command recalls the configuration of the current function group and test mode from a configuration file. The command is available in all function groups. This command is CMU-specific. | V 3.10


Remove Directory

MMEMory:RMDir <DirName> [,<msus>]

Parameters | Parameter description | Def. value | Def. unit
"<DirectoryName>", INTernal | EXTernal | Name of the directory to be removed Storage device of the directory | - INTernal (see also MMEMory:MSIS [<msus>] command | - -

Description of command | FW vers.
This command has no query form. It removes a directory with all its contents and subdirectories from the specified mass storage device. The command is CMU-specific. | V 3.05


Rename File

MMEMory:REName <FileSource>, <FileDest> [,<msus>]

Parameters | Parameter description | Def. value | Def. unit
"<FileSource>", INTernal | EXTernal, "<FileDest>", INTernal | EXTernal | Name of the file to be renamed Storage device of the source file Name of the new file Storage device of the new file | - INTernal - INTernal (see also MMEMory:MSIS [<msus>] command | - - - -

Description of command | FW vers.
This command has no query form. It renames an existing file. This command is CMU-specific. | V 3.10


Save all configurations

MMEMory:SAVE[:ALL] <FileName> [,<msus>]

Parameters | Parameter description | Def. value | Def. unit
"<FileName>", INTernal | EXTernal | Name of the config. file to be created Storage device of the config. file | - INTernal | - -

Description of command | FW vers.
This command saves the configuration of all function groups and test modes to a single configuration file. A "?" in the specified file name will be replaced by current numbers that are automatically incremented, starting with zero. The auto-increment function overwrites an existing file with a "9" in its file name. For instrument settings that may be different in manual and remote control (e.g. the repetition mode for many measurements) the manual setting is saved. This command is CMU-specific. | V 3.10


Save configurations in current function group and test mode

MMEMory:SAVE:CURRent <FileName> [,<msus>]

Parameters | Parameter description | Def. value | Def. unit
"<FileName>", INTernal | EXTernal | Name of the config. file to be created Storage device of the config. file | - INTernal | - -

Description of command | FW vers.
This command saves the configuration of the current function group and test mode to a configuration file. A "?" in the specified file name will be replaced by current numbers that are automatically incremented, starting with zero. The auto-increment function overwrites an existing file with a "9" in its file name. For instrument settings that may be different in manual and remote control (e.g. the repetition mode for many measurements) the manual setting is saved. The command is available in all function groups. This command is CMU-specific. | V 3.10


Scan Disk

MMEMory:SCAN?

Rückgabe | Parameter description | Def. value | Def. unit
INT | EXT, D , "<SubdirectoryName1>", "<SubdirectoryName2>", ... , F , "<FileName1>", "<FileName2>", ... , | Storage device List of subdirectory names List of file names | - | -

Description of command | FW vers.
This command is always a query and lists the contents of the current directory. Subdirectories and files are listed in alphabetical order. The first entry specifies the mass storage device (internal or external), entries after "D" denote the subdirectories, entries after "F" denote the files. This command is CMU-specific. | V 3.05


Transfer Data

MMEMory:DATA <FileName> ,<Data>

Parameters | Parameter description | Def. value | Def. unit
"<FileName>", <Data> | Name of the destination file Data to be transferred to the CMU | - - | - -
Parameters for query | Parameter description | Def. value | Def. unit
"<FileName>" | Name of the source file | - | -

Description of command

FW vers.

This command loads <data> from the controller into the file <FileName> stored in the current directory of the current CMU mass storage device. <data> is in 488.2 block format. The data may be transferred via GPIB bus or via serial interface.

The query form is MMEMory:DATA? <FileName> with the response being the associated <data> in block format. In this form the command transfers data from the current CMU mass storage device to the controller.

Instead of the entire data transferred the remote protocol contains a string indicating the length of the block data in bytes, e.g. <DEF BLOCK (Length = 19)>.

V 3.05


View Info

MMEMory:INFO? <FileName> [,<msus>]

<FileName> | Parameter description | Def. value | Def. unit
"<8 dig.max>.<3dig.>" | Name of the file to be inquired in DOS (8.3) convention. | - | -
<msus> | Parameter description | Def. value | Def. unit
INTernal | EXTernal | Internal memory (hard disk) External memory (floppy disk or PCMCIA memory card)Kommentar | INTernal | -
Returned info | Parameter description | Def. value | Def. unit
<Year>,<Month>,<Day>, <Hour>,<Min>,<Sec>, <Size>, <Version>, "<Comment>" | Date when the file was stored Time when the file was stored File size in byte File version number Comment string stored with the file | - - - " " " " | y, m, d h, min, s byte - -

Description of command | FW vers.
This command retrieves information about a file stored on the external or internal mass memory. The <msus> parameter must be specified if information on an external file is needed and the internal memory contains a file of the same name. Alternatively, msus may be specified with the command MMEMory:MSIS [<msus>]. This command is CMU-specific. The <Version> and <Comment> output parameters are reserved for future extensions. | V 3.05


Check event reporting

STATus:OPERation:EVENt:SADDress?

Response | Parameter description | Def. Value | Default Unit
1 to 30, "Fgrp" | "Next" secondary address Corresponding function group name (or "", if no event was reported) | 31 "" | - -

Description of command

FW vers.

This command is always a query. It checks the STATus:OPERation:CMU:SUM<nr>:EVENt sum registers (<nr> = 1 | 2), returns the next secondary address and function group string where an event was reported, and deletes the entry in the EVENt register. If applied repeatedly, the command checks the secondary addresses in ascending order (i.e. the events are not queried chronologically).

The command is global; it is available in all function groups. Possible responses are:

  • 1,"RF_NSig"
  • An event was reported in function group RF (currently assigned to secondary address 1).
  • 31,""
  • No (further) event reported.

³V 2.10


Clear all operation registers

STATus:OPERation:CMU:CLEar

Description of command | FW vers.
This command clears the EVENt parts of all STATus:OPERation:CMU:SUM<nr>:CMU<nr_event> registers (<nr> = 1 to 2; <nr_event> = 1 to 15). | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - CONDition part

CONDition part

STATus:OPERation:CONDition?

Response | Parameter description | Def. value | Default unit
0 to 32767 | Condition part | - | -

Description of command | FW vers.
This command queries the contents of the CONDition part of the STATus:OPERation register. Reading this register is nondestructive. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - CONDition part

CONDition part

STATus:OPERation:CMU:SUM<nr>:CONDition?

Response | Parameter description | Def. value | Default unit
0 to 32767 | Condition part | - | -

Description of command | FW vers.
This command queries the contents of the CONDition part of the STATus:OPERation:CMU:SUM<nr> register (<nr> = 1,2). Reading this register is nondestructive. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - CONDition part

CONDition part

STATus:OPERation:CMU:SUM<nr>:CMU<nr_event>:CONDition?

Response | Parameter description | Def. value | Default unit
0 to 32767 | Condition part | - | -

Description of command | FW vers.
This command queries the contents of the CONDition part of the STATus:OPERation:CMU:SUM<nr>:CMU<nr_event> register (<nr> = 1 to 2; <nr_event> = 1 to 15). Reading this register is nondestructive. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - CONDition part

CONDition part

STATus:QUEStionable:CONDition?

Response | Parameter description | Def. value | Default unit
0 to 32767 | Condition part | - | -

Description of command | FW vers.
This command queries the contents of the CONDition part of the STATus:QUEStionable register. Reading this register is nondestructive. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Enable part

Enable part

STATus:OPERation:ENABle <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Enable part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the ENABle part of the STATus:OPERation register. If a bit is set the corresponding event is reported in the summary bit of the status byte. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Enable part

Enable part

STATus:OPERation:CMU:SUM<nr>:ENABle <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Enable part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the ENABle part of the STATus:OPERation:CMU:SUM<nr> register (<nr> = 1,2). If a bit is set the corresponding event is reported in the summary bit of the status byte. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Enable part

Enable part

STATus:OPERation:CMU:SUM<nr>:CMU<nr_event>:ENABle <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Enable part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the ENABle part of the STATus:OPERation:CMU:SUM<nr>:CMU<nr_event> register (<nr> = 1 to 2; <nr_event> = 1 to 15). If a bit is set the corresponding event is reported in the summary bit of the status byte. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Enable part

Enable part

STATus:QUEStionable:ENABle <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Enable part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the ENABle part of the STATus:QUEStionable register. If a bit is set the corresponding event is reported in the summary bit of the status byte. | ³V 1.20


Event Part

STATus:OPERation[:EVENt]?

Response | Parameter description | Def. value | Default unit
0 to 32767 | Event part | - | -

Description of command | FW vers.
This command queries and deletes the contents of the EVENt part of the STATus:OPERation register. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Event part

Event part

STATus:OPERation:CMU:SUM<nr>[:EVENt]?

Response | Parameter description | Def. value | Default unit
0 to 32767 | Event part | - | -

Description of command | FW vers.
This command queries and deletes the contents of the EVENt part of the STATus:OPERation:CMU:SUM<nr> register (<nr> = 1,2). | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Event part

Event part

STATus:OPERation:CMU:SUM<nr>:CMU<nr_event>[:EVENt]?

Response | Parameter description | Def. value | Default unit
0 to 32767 | Event part | - | -

Description of command | FW vers.
This command queries and deletes the contents of the EVENt part of the STATus:OPERation:CMU:SUM<nr>:CMU<nr_event> register (<nr> = 1 to 2; <nr_event> = 1 to 15). | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Event part

Event part

STATus:QUEStionable[:EVENt]?

Response | Parameter description | Def. value | Default unit
0 to 32767 | Event part | - | -

Description of command | FW vers.
This command queries and deletes the contents of the EVENt part of the STATus:QUEStionable register. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Negative transition

Negative transition

STATus:OPERation:NTRansition <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Negative transition part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the NTRansition part of the STATus:OPERation register. If a bit is set the corresponding 1-to-0 transition in the CONDition part (indicating that an event in the hardware disappeared) is entered into the EVENt part. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Negative transition

Negative transition

STATus:OPERation:CMU:SUM<nr>:NTRansition <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Negative transition part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the NTRansition part of the STATus:OPERation:CMU:SUM<nr> register (<nr> = 1,2). If a bit is set the corresponding 1-to-0 transition in the CONDition part (indicating that an event in the hardware disappeared) is entered into the EVENt part. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Negative transition

Negative transition

STATus:OPERation:CMU:SUM<nr>:CMU<nr_event>:NTRansition <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Negative transition part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the NTRansition part of the STATus:OPERation:CMU:SUM<nr>:CMU<nr_event> register (<nr> = 1 to 2; <nr_event> = 1 to 15). If a bit is set the corresponding 1-to-0 transition in the CONDition part (indicating that an event in the hardware disappeared) is entered into the EVENt part. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Negative transition

Negative transition

STATus:QUEStionable:NTRansition <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Negative transition part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the NTRansition part of the STATus:QUEStionable register. If a bit is set the corresponding 1-to-0 transition in the CONDition part (indicating that an event in the hardware disappeared) is entered into the EVENt part. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Positive transition

Positive transition

STATus:OPERation:PTRansition <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Positive transition part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the PTRansition part of the STATus:OPERation register. If a bit is set the corresponding 0-to-1 transition in the CONDition part (indicating that an event in the hardware occurred) is entered into the EVENt part. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Positive transition

Positive transition

STATus:OPERation:CMU:SUM<nr>:PTRansition <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Positive transition part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the PTRansition part of the STATus:OPERation:CMU:SUM<nr> register (<nr> = 1,2). If a bit is set the corresponding 0-to-1 transition in the CONDition part (indicating that an event in the hardware occurred) is entered into the EVENt part. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Positive transition

Positive transition

STATus:OPERation:CMU:SUM<nr>:CMU<nr_event>:PTRansition <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Positive transition part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the PTRansition part of the STATus:OPERation:CMU:SUM<nr>:CMU<nr_event> register (<nr> = 1 to 2; <nr_event> = 1 to 15). If a bit is set the corresponding 0-to-1 transition in the CONDition part (indicating that an event in the hardware occurred) is entered into the EVENt part. | ³V 1.20


Remote Control - CMU Base System Commands - Status Commands - Positive transition

Positive transition

STATus:QUEStionable:PTRansition <Number>

<Number> | Parameter description | Def. value | Default unit
0 to 32767 | Positive transition part | - | -

Description of command | FW vers.
This command enters a number to be interpreted as a bit pattern in the PTRansition part of the STATus:QUEStionable register. If a bit is set the corresponding 0-to-1 transition in the CONDition part (indicating that an event in the hardware occurred) is entered into the EVENt part. | ³V 1.20


Query all operation registers

STATus:OPERation:CMU:ALL?

Response | Parameter description | Def. value | Default unit
0 to 32767, ... , 0 to 32767 | Event part of all CMU operation registers | - | -

Description of command | FW vers.
This command queries the EVENt parts of all STATus:OPERation:CMU:SUM<nr>:CMU<nr_event> registers. The result is returned as a list of 30 integer values separated by commas. | ³V 1.20


Reset status registers

STATus:PRESet

Description of command

FW vers.

This command sets the transition filters (PTRansition and NTRansition filters) and the ENABle registers of the STATus:OPERation and the STATus:QUEStionable registers to defined values:

  • PTRansition is set to 32767 (0x7FFF), i.e. all hardware events are detected and transferred to the EVENt register.
  • NTRansition is set to 0, i.e. a hardware event that disappears does not cause any change in the EVENt register.

The ENABle registers are also set to 0 so that events are not reported in the status byte.

³V 1.20


Remote Control - CMU Base System Commands - Symbolic Status Event Register Evaluation - Symbolic status evaluation

Symbolic status evaluation

STATus:OPERation:SYMBolic:ENABle <Event>{,<Event>}

Parameter list | Parameter description | Def. Value | Default Unit
<Event>{,<Event>} | NONE | List of symbols for events to be reported No event reported | NONE | -

Description of command | FW vers.
This command enables event reporting for one or several events in the current function group, i.e. it sets the corresponding bits in the STATus:OPERation:CMU: SUM<nr>:CMU<nr_event>:ENABle register (<nr> = 1 | 2, <nr_event> denotes the current function group) and in all sum registers up to the status byte. The events and the corresponding symbols for each function group are listed in chapter 5 of the relevant manuals (see section Status Registers). The symbols may be entered in arbitrary order. | ³V 2.10


Remote Control - CMU Base System Commands - Symbolic Status Event Register Evaluation - Symbolic status evaluation

Symbolic status evaluation

STATus:OPERation:SYMBolic[:EVENt]?

Response | Parameter description | Def. Value | Default Unit
NONE | <Event>{,<Event>} | No event in the current function group List of reported events | NONE | -

Description of command | FW vers.
This command is always a query. It lists the events reported in the current function groups and deletes these events in the STATus:OPERation:CMU:SUM<nr>:CMU<nr_event>:EVENt register as well as in all sum registers. | ³V 2.10


Remote Control - CMU Base System Commands - Status Commands - Symbolic Status Event Register Evaluation

Symbolic Status Event Register Evaluation

The following commands are used to retrieve the events reported and the corresponding function groups; see section Symbolic Status Event Register Evaluation in Outline - Remote Control.

More:

Check event reporting

Symbolic status evaluation

Symbolic status evaluation


Ref. Frequency Not Locked

[SENSe:]SYNChronize:FREQuency:REFerence:LOCKed?

Response | Parameter description | Def. value | Default unit
ON | OFF | Synchronization to reference frequency achieved Synchronization to reference frequency failed | - - | - -

Description of command

FW vers.

This command is always a query. It indicates whether the CMU is synchronized to the (external) reference frequency.

Note:

After activating the external reference frequency (command CONFigure:SYNChronize :FREQuency:REFerence:MODE EXTernal) it is necessary to allow for a setting time (~1 s) until the CMU has synchronized. In this case it is recommended to check whether the reference frequency is locked before starting a measurement in remote control mode.

³V 3.10


Ref. Frequency Source

CONFigure:SYNChronize:FREQuency:REFerence:MODE <Mode>

<Mode> | Parameter description | Def. value | Default unit
INTernal | EXTernal | Internal reference frequency used External reference frequency used | INT | -

Description of command | FW vers.
The command defines the source of the synchronization signal. After activating the external reference frequency (e.g. after a reset of the base system where the reference frequency is set to INTernal) it is necessary to allow for a setting time (~1 s) until the CMU has synchronized. The query [SENSe:]SYNChronize:FREQuency:REFerence:LOCKed? indicates whether the reference frequency is locked. A partial reset of all function groups with the exception of the base system does not reset the source of the reference frequency. | ³V 1.12


Remote Control - CMU Base System Commands - Synchronization - Reference Frequency

Reference Frequency

CONFigure:SYNChronize:FREQuency:REFerence <Frequency>

<Frequency> | Parameter description | Def. value | Default unit
10 kHz to 52 MHz | Reference frequency | 10 MHz | Hz

Description of command | FW vers.
The command defines the frequency of the synchronization signal. | ³V 1.12


Remote Control - CMU Base System Commands - Subsystem Communicate - Application

Application

SYSTem:COMMunicate:SERial<1|2>:APPLication?

Response | Parameter description | Def. value | Default unit
TRAN | REM | PRIN | Transfer Remote control Printer control (future extension) | dep. on SCPI connection (port) and printer settings | -

Description of command | FW vers.
This command is always a query. It returns the current application (connection) of the serial (RS-232) interface. The numeric suffix distinguishes the two interfaces COM1 and COM2. | ³V 1.20


Baud Rate

SYSTem:COMMunicate:SERial<1|2>[:RECeive]:BAUD <Baudrate>

<Baudrate> | Parameter description | Def. value | Default unit
110 | 300 | 600 | 1200 | 2400 | 4800 | 9600 | 19200 | baud rate | 9600 | baud

Description of command | FW vers.
This command sets the baud rate of the serial interface no. 1 or 2 (connectors COM 1 or COM 2). If a COM port is selected as an GPIB connector, the default transmission rate is 19200 baud. | ³V 1.20


Complete Measurement Queue

SYSTem:MQUeue[:COMPlete][:LIST]?

Response | Parameter description | Def. value | Default unit
<FGroup_Mode>, <MeasObject>, ... | Function group and test mode Ready measurement | "NONE", "NONE" | -

Description of command

FW vers.

This command is always a query. It returns and deletes the contents of the complete measurement queue. The individual results are returned in chronological order (first in first out). Examples of possible responses are:

  • 'RF_NSig','POWer','RF_NSig','SPECtrum'

Power and spectrum measurement ready in function group RF Non Signalling.

  • 'NONE', 'NONE'
  • No ready measurements reported

³V2.10


Current Time

SYSTem:TIMe[:TIMe] <Hour>,<Minute>,<Second> or

SYSTem:TIMe <Hour>,<Minute>,<Second>

Parameters | Parameter description | Def. value | Default unit
<Hour>, <Minute>, <Second> | Hours (0 to 23) Minutes (0 to 59) Seconds (0 to 59) | - - - | h min s

Description of command | FW vers.
This command sets the internal system time of the CMU. | ³V 1.20


Data bits

SYSTem:COMMunicate:SERial<1|2>[:RECeive]:BITS <DataBits> s

<DataBits> | Parameter description | Def. value | Default unit
7 | 8 | Number of data bits | 8 | -

Description of command | FW vers.
This command sets the number of data bits of the serial interface no. 1 or 2 (connectors COM 1 or COM 2). The sum of data bits and stop bits must be equal to 9. The default value is 7 if the serial interface is used for data transfer (see SYSTem:COMMunicate:SERial<1 | 2>:APPLication?). | ³V 1.20


Remote Control - CMU Base System Commands - Subsystem Time - Date

Date

SYSTem:TIMe:DATe <Year>,<Month>,<Day> or

SYSTem:DATE <Year>,<Month>,<Day>

Parameters | Parameter description | Def. value | Default unit
<Year>, <Month>, <Day> | Four-digit year (1980 to 2099) Month (1 to 12) Day (1 to 31) | - - - | -

Description of command | FW vers.
This command sets the internal system date of the CMU. | ³V 1.20


Remote Control - CMU Base System Commands - Subsystem Options - Device Info

Device Info

SYSTem:OPTions:INFO?

Response | Def. value | Default unit
Example: ROHDE&SCHWARZ,CMU 200,840675/018, V3.50B 2003-01 | - | -

Description of command | FW vers.
This command returns the information on the device comprising the manufacturer, model, serial number and base system firmware version. This command is always a query and is equivalent to the common command *IDN? | ³V 1.20


Disable Non Volatile RAM

SYSTem:NONVolatile:DISable

Description of command | FW vers.
This command has no query form. It prevents the CMU from saving measurement settings to the non volatile ram. This improves the system performance but implies that the current settings will not be saved for later sessions. Disabling the non volatile ram is recommended for instruments equipped with an FMR 6 Front Module controller that are operated in remote control mode. | ³V 3.0

Note:
There is no way to cancel the effect of the SYSTem:NONVolatile:DISable command within the current session, even is the CMU is switched to manual control (Local). To re-enable the non volatile ram, the CMU must be rebooted.


Error Queue

SYSTem:ERRor?

Response | Parameter description | Def. value | Default unit
-32768 to +32768 and error string Ex.: -230,"Data corrupt or stale" | Error message | 0, "No error" | -

Description of command | FW vers.
This command queries the next entry from the error/event queue and deletes it. Positive error numbers are instrument-dependent; negative error numbers are reserved by the SCPI standard, see SCPI Error Messages. If the error queue is empty, the error number 0, "No error" is returned. | ³V 1.20


Key Beep

SYSTem:MISC:KBEep <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Key beep on Key beep off | OFF | -

Description of command | FW vers.
This command switches the acoustic signal of the CMU on or off. | ³V 1.20


Keyboard

SYSTem:MISC:KEYBoard <Country>

<Country> | Parameter description | Def. value | Default unit
US | GR | American keyboard German keyboard | US | -

Description of command | FW vers.
This command selects the driver for the external keyboard. | ³V 1.20


Measurement Equipment

SYSTem:OPTions:MEQuipment?

Response | Parameter description | Def. value | Default unit
<Stock_No>, <Mod_index> | NAN, NAN, … | Part no. and modification index of hardware equipment Hardware equipment not available | NAN, NAN, … | -
Description of command | FW vers.
This command queries the hardware equipment of the CMU. Each board or hardware option is listed with its stock number and modification index. The equipment is returned in the following order: Reference Board RF1RF2 Frontend RXTX Board (several items for board and modules) Additional RF Generator Digital Board (several items for board and modules) OCXO Reference Oscillator IQ/IF Interface Audio Board (several items for board and modules) Universal Signalling Unit (several items for board and modules) | ³V 3.50


Next Entry in Measurement Queue

SYSTem:MQUeue[:COMPlete]:ITEM?

Response | Parameter description | Def. value | Default unit
<FGroup_Mode>, <MeasObject> | Function group and test mode Ready measurement | "NONE", "NONE" | -

Description of command | FW vers.
This command is always a query. It returns and deletes the oldest ready measurement in the measurement queue. | ³V2.10


Remote Control - CMU Base System Commands - Subsystem Options - Options

Options

SYSTem:OPTions?

Response | Parameter description | Def. value | Def. unit
HWO, "B11/12","B11", "B17",NAN, "B21","available",... SWO, "K0",NAN, "K20","enabled", "K21","3x10.c05 available", HWE, "CPU(FMR)", "FMR5" ... FWV, “uP1","V7.00 26.08.02", "uP2",NAN | Identifier for hardware options 1st option, 2nd option, not available. 3rd option, available Identifier for software options 1st option, not available 2nd option, enabled 3rd option, available but not enabled Identifier for hardware equipment 1st equipment ... Identifier for firmware versions 1st option, 2nd option, 3, 4 ... | - | -

Description of command

FW vers.

This command returns a list of all options and equipment available in the instrument, equivalent to the list overview in the Setup – Options tab. It is always a query.

An alternative list of options (following IEEE 488.2 conventions) can be queried via the common command *OPT?

³V 1.20


Parity

SYSTem:COMMunicate:SERial<1|2>[:RECeive]:PARity[:TYPE] <Parity>

<Parity> | Parameter description | Def. value | Default unit
NONE ODD EVEN | no parity odd parity even parity | NONE | -

Description of command | FW vers.
This command sets the parity of the serial interface no. 1 or 2 (connectors COM 1 or COM 2). | ³V 1.20


Remote Control - CMU Base System Commands - Subsystem Remote - Primary Address

Primary Address

SYSTem:REMote:ADDRess:PRIMary <Addr>

<Addr> | Parameter description | Def. value | Default unit
0 to 30 | Primary address to the GPIB (IEEE) bus | 20 | -

Description of command | FW vers.
This command sets the primary address of the GPIB driver which is used to address the device (CMU). It is equivalent to SYSTem:COMMunicate:GPIB[:SELF]:ADDRess (see below). | ³V 1.20


Remote Control - CMU Base System Commands - Subsystem Communicate - Primary Address

Primary Address

SYSTem:COMMunicate:GPIB[:SELF]:ADDRess <Addr>

<Addr> | Parameter description | Def. value | Default unit
0 to 30 | Primary address to the GPIB (IEEE) bus | 20 | -

Description of command | FW vers.
This command sets the primary address of the GPIB driver which is used to address the device (CMU). It is equivalent to SYSTem:REMote:ADDRess:PRIMary (see above). | ³V 1.20


Remote Debug Mode

SYSTem:REMote:RDMode <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Activate remote debug mode Activate ordinary remote mode | OFF *) | -

Description of command | FW vers.
This command enables or disables the remote debug mode. *) The remote debug mode is not changed after *RST but reset when the CMU is re-started. | ³V 3.60


SCPI Version

SYSTem:VERSion?

Response | Parameter description | Def. value | Default unit
YYYY.V Ex.: 1999.0 | SCPI version of CMU | - | -

Description of command | FW vers.
This command queries the SCPI version number to which the instrument complies. YYYY is the year of SCPI compliance, V is the version number within the year. | ³V 1.20


Secondary Unmap

Unmap all Secondary Addresses

SYSTem:REMote:ADDRess:SECondary:UNMap

Description of command | FW vers.
This command has no query form. It clears the mapping between all secondary addresses and function groups (see SYSTem:REMote:ADDRess:SECondary or *SEC). The CMU base system (function group BASE) is always mapped to secondary address 0; this assignment cannot be cleared. | ³V 3.50


Remote Control - CMU Base System Commands - Subsystem Remote - Secondary Address

Secondary Address

SYSTem:REMote:ADDRess:SECondary <Addr>,<FGrp>

<Addr>,<FGrp> | Parameter description | Def. value | Default unit
1 to 29, “FGrp_name" | NONe | Secondary address of the function group Name of the function group or NONE if the secondary address is not to be mapped | Configuration specific | -

Description of command | FW vers.
This command assigns the secondary addresses to the remote control modes (function groups) of the GPIB driver (compare next command). If a secondary address is successively assigned to different function groups, the previous assignments are overwritten. The function group names are quoted at the beginning of chapter 5 of each network test manual; some examples are: | ³V 1.17

FGrp_name | Function Group | FGrp_name | Function Group
BASE | CMU base system | AUDIO_NSig | Audio Generator and Analyzer
RF_NSig | RF Non Signalling | IS136800MS_NSig | TDMA800-MS Non Signalling
GSM900MS_NSig | GSM900-MS Non Signalling | IS136800MS_Sig | TDMA800-MS Signalling
GSM900MS_Sig | GSM900-MS Signalling | IS1361900MS_NSig | TDMA1900-MS Non Signalling
GSM1800MS_NSig | GSM1800-MS Non Signalling | IS1361900MS_NSig | TDMA1900-MS Signalling
GSM1800MS_Sig | GSM1800-MS Signalling | AMPSMS_NSig | AMPS-MS Non Signalling
GSM1900MS_NSig | GSM1900-MS Non Signalling | AMPSMS_Sig | AMPS-MS Signalling
The CMU base system (function group BASE) is always assigned to secondary address 0; the assignment cannot be changed by the SYSTem:REMote:ADDRess:SECondary command. A program example illustrating how to adapt the secondary addresses to the requirements of a specific driver can be found in Introduction - Program Examples.

Example:
Setting: | SYST:REM:ADDR:SEC 2,"GSM900MS_NSig"
 | SYST:REM:ADDR:SEC 1,NONE
Query: | SYST:REM:ADDR:SEC? 2
--> Response: | "GSM900MS_NSig"
Query: | SYST:REM:ADDR:SEC? 1
--> Response: | NONE
Query: | SYST:REM:ADDR:SEC?
--> Response: | NONE,"GSM900MS_NSig", ... (30 returned values)


Remote Control - CMU Base System Commands - Subsystem Remote - Secondary Address

Secondary Address

*SEC <Addr>

<Addr> | Parameter description | Def. value | Default unit
0 to 29 | Secondary address | 0 | -

Description of command | FW vers.
This command has no query form. It switches over to the specified secondary address. It is required if the serial interface is used for remote control (software switchover, RS-232 remote interface, see previous command and section Setting the Device Address). | ³V 1.20


Stop bits

SYSTem:COMMunicate:SERial<1|2>[:RECeive]:STOP <StopBits>

<StopBits> | Parameter description | Def. value | Default unit
1 | 2 | number of stop bits | 1 | -

Description of command | FW vers.
This command sets the number of stop bits of the serial interface no. 1 or 2 (connectors COM 1 or COM 2). The sum of data bits and stop bits must be equal to 9. The default value is 7 if the serial interface is used for data transfer (see SYSTem:COMMunicate:SERial<1 | 2>:APPLication?). | ³V 1.20


Subsystem Communicate

The COMMunicate subsystem contains the commands for configuration of the remote serial interfaces. It corresponds to the Communicate tab in the Setup menu opened via the SETUP key on the front panel. The parameters set in this subsystem are explained in more detail in section GPIB Bus Interface

More:

Primary Address

Application

Baud Rate

Data bits

Stop bits

Parity

Transmission Protocol


Subsystem GTRMode (Local to Remote Switchover)

The GTRMode subsystem determines the behavior of the CMU in a local to remote transition. This subsystem has no equivalent in manual control.


Subsystem MISC

The MISC subsystem sets the acoustic signal and selecting the external keyboard assignment. It corresponds to the Misc. tab in the Setup menu opened via the SETUP key on the front panel.

More:

Key Beep

Keyboard

Subsystem GTRMode (Local to Remote Switchover)

Go to Remote

Go to Local


Subsystem MQUeue

The MQUeue subsystem contains the commands for symbolic measurement ready evaluation. These commands are used to query the contents of the measurement queue. To activate the measurement queue, event reporting must not be switched off; see section Event Reporting .

More:

Complete Measurement Queue

Next Entry in Measurement Queue


Remote Control - CMU Base System Commands - Setup - Basic Device Settings - Subsystem Options

Subsystem Options

The Options subsystem contains the commands for querying information on the instrument and the available options. It corresponds to the Options tab in the Setup menu opened via the SETUP key on the front panel.

More:

Device Info

Options


Subsystem Remote

The REMote subsystem contains the commands for configuration of the remote control parameters. It corresponds to the Remote tab in the Setup menu opened via the SETUP key on the front panel.

More:

Primary Address

Secondary Address

Secondary Address (*SEC)

Unmap all Secondary Addresses

Task Priority Management

Remote Debug Mode


Subsystem Time

The Time subsystem contains the commands for the current time and date. It corresponds to the Time tab in the Setup menu opened via the SETUP key on the front panel.

More:

Time Zone

Current Time

Date


Task Prirority Management

Task Priority Management

SYSTem:REMote:TPManagement <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | All measurements and generators are releasable All measurements and generators are persistent | –*) | -

Description of command | FW vers.
This command determines the behavior of the R&S® CMU if conflicting measurements or generators are run in parallel. *) A reset does not change the task priority management setting. . | ³V 3.60


Time Zone

SYSTem:TZONe <Hour>[,<Minute>] or

SYSTem:TIMe:TZONe <Hour>[,<Minute>]

Parameters | Parameter description | Def. value | Default unit
<Hour> <Minute> | Integer value between -12 and +12 -59 to +59 (optional) | +1 0 | -

Description of command | FW vers.
This command defines the time zone via the time offset from Greenwich mean time. A time offset of +1 h (default setting) corresponds to Middle European time. | ³V 1.20


Transmission Protocol

SYSTem:COMMunicate:SERial<1|2>:TRANsmit:PACE <Pace>

<Pace> | Parameter description | Def. value | Default unit
XON ACK NONE | Xon/Xoff - protocol Hardware protocol with CTS/RTS lines No protocol set | XON | -

Description of command | FW vers.
This command sets the handshake protocol of the serial interface no. 1 or 2 (connectors COM 1 or COM 2). | ³V 1.20


Report Display

TRACe:REMote:MODE:DISPlay <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Remote report displayed on screen Remote report not displayed | OFF | -

Description of command | FW vers.
This command qualifies whether the remote report is displayed on screen. The remote report is a useful debugging tool. | V 3.05


Report File

TRACe:REMote:MODE:FILE <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Remote report stored Remote report not stored | OFF | -

Description of command | FW vers.
This command qualifies whether the remote report is written to a file named Remote.trc in the INTERNAL directory of the internal hard disk. | V 3.05


Report Lines for Output

TRACe:REMote:MODE:OUTLines <Enable>

<Enable> | Parameter description | Def. value | Default unit
1 to 4 | Maximum number of lines | 4 | -

Description of command | FW vers.
This command defines the maximum number of lines available for each output string in the remote report screen. If the output string of a query (e.g. READ:ARRay:POWer? in the RF function group) is longer than the specified number of lines, it is truncated and the last three characters are replaced by "...". | V 3.08


Show/Hide Error Messages

TRACe:REMote:MODE:ERRor <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Show or hide error messages | ON | -

Description of command | FW vers.
This command qualifies whether error messages (marked by a "E !" symbol on a red square) are included in the remote report. | V 3.08


Show/Hide Service Requests

TRACe:REMote:MODE:SQR <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Show or hide SRQs | OFF | -

Description of command | FW vers.
This command qualifies whether a message is written to the remote report whenever the CMU sends a service request to the controller. The message symbolizes the contents of the status byte (e.g. ERR, OPR, MAV, OPER,...) and is marked by a red "S" symbol. | V 3.08


Remote Control - RF Measurement Commands - Subsystem INPut, OUTPut, CORRection:LOSS ((( /Ext. Att.) - Ext. Att. Input

Ext. Att. Input

[SENSe:]CORRection:LOSS:INPut<nr>[:MAGNitude] <Absorption>

SOURce:CORRection:LOSS:INPut<nr>[:MAGNitude] <Absorption>

<Absorption> | Parameter description | Def. value | Default unit
-50 dB to +90 dB | External input attenuation | 0.0 | dB

Description of command | FW vers.
This commands assigns an external attenuation value to the inputs of the instrument. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem INPut, OUTPut, CORRection:LOSS ((( /Ext. Att.) - Ext. Att. Output

Ext. Att. Output

[SENSe:]CORRection:LOSS:OUTPut<nr>[:TX][:MAGNitude] <Absorption>
SOURce:CORRection:LOSS:OUTPut<nr>[:TX][:MAGNitude] <Absorption>

<Absorption> | Parameter description | Def. value | Default unit
-50 dB to +90 dB | External output attenuation | 0.0 | dB

Description of command | FW vers.
This command assigns an external attenuation value to the outputs of the instrument. An external attenuation of x dB increases the Tx signal level (SOURce:RFGenerator[:TX]:LEVel) by x dB. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem INPut, OUTPut, CORRection:LOSS ((( /Ext. Att.) - Ext. Att. Output

Ext. Att. Output (Aux Tx)

[SENSe:]CORRection:LOSS:OUTPut<nr>:AUXTx[:MAGNitude] <Absorption>
SOURce:CORRection:LOSS:OUTPut<nr>:AUXTx[:MAGNitude] <Absorption>

<Absorption> | Parameter description | Def. value | Default unit
–50 dB to +90 dB | Value for external attenuation at output <nr>, where <nr> = 1,2 | 0.0 | dB

Description of command | FW vers.
This command assigns an external attenuation value to the outputs of the instrument. An external attenuation of x dB increases the Aux Tx signal level (SOURce:RFGenerator:AUXTx:LEVel) by x dB. | ³V 3.40


Remote Control - RF Measurement Commands - Subsystem INPut, OUTPut, CORRection:LOSS ((( /Ext. Att.) - RF Input

RF Input

INPut[:STATe] <State>

<State> | Parameter description | Def. value | Default unit
RF1 RF2 RF4 | Connector RF1 used as input Connector RF2 used as input Connector RF4 IN used as input | RF2 | -

Description of command

FW vers.

This command determines the connector to be used for incoming RF signals.

The bidirectional connectors RF 1 and RF 2 can be used both as input and output connectors in the same measurement (see OUTPut[:STATe]).

Only one input and one output may be active at a time, which is why the currently active one is automatically deactivated on switchover.

³V 1.15


Remote Control - RF Measurement Commands - Subsystem INPut, OUTPut, CORRection:LOSS ((( /Ext. Att.) - RF Output

RF Output

OUTPut[:TX][:STATe] <State>

<State> | Parameter description | Def. value | Default unit
RF1 RF2 RF3 | Connector RF1 used as output Connector RF2 used as output Connector RF3 OUT used as output | RF2 | -

Description of command | FW vers.
This command selects the connector to be used for outgoing RF signals. The bidirectional connectors RF 1 and RF 2 can be used both as input and output connectors in the same measurement. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem INPut, OUTPut, CORRection:LOSS ((( /Ext. Att.) - RF Output

RF Output (Aux Tx)

OUTPut:AUXTx[:STATe] <State>

<State> | Parameter description | Def. value | Default unit
RF1 RF2 | Connector RF1 used as output Connector RF2 used as output | RF2 | -

Description of command | FW vers.
This command determines the output connector to be used for the generated Aux Tx signal. The bidirectional connectors RF 1 and RF 2 can be used both as input and output connectors in the same measurement. | ³V 3.40


Remote Control - RF Measurement Commands - I/Q-IF Interface - Default Settings

Default Settings

IQIF:DEFault <Enable>

<Enable> | Parameter description | Def. value | Def. unit
ON | OFF | The parameters are set to their default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem to their default values (the setting OFF causes an error message).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

³V 3.10


Remote Control - RF Measurement Commands - I/Q-IF Interface - I/Q-IF

I/Q-IF

CONFigure:IQIF:RXTXcombined <Scenario>

<Scenario> | Parameter description | Def. value | Def. unit
BYP BYIQ XOIO IOIO IOXO FPAT UDEF | RX/TX Bypass, RXPath = BYP, TXPath = BYP Bypass w. I/Q-OF OUT, RXPath = TXPath =BYIQ I/Q IN/OUT, RXPath = TXPath = XOIO IF IN_I/Q IN/OUT, RXPath = TXPath = IOIO IF IN/OUT, RXPath = TXPath = IOXO Fading Path, RXPath = BYP, TXPath = XOIO User-defined scenario, can not be set but may be returned by the query CONF:IQIF:RXTX? | BYP | -

Description of command

FW vers.

This command selects the I/Q-IF test scenario, overwriting the current RX and TX path settings (see commands CONFigure:IQIF:RXPath and CONFigure:IQIF:TXPath below). Six different predefined test scenarios with fixed RX and TX path are provided. Additional scenarios may be defined by selecting any other combination of RX and RX paths.

Note:

UDEF is not provided as a setting parameter. If the RX/TX path combination defined via CONFigure:IQIF:RXPath and CONFigure:IQIF:TXPath doesn't correspond to any of the predefined scenarios, then a user-defined scenario is set implicitly, i.e. the query CONF:IQIF:RXTX? returns the value UDEF.

³V 3.10


Remote Control - RF Measurement Commands - I/Q-IF Interface - RX Path

RX Path

CONFigure:IQIF:RXPath <Path>

<Path> | Parameter description | Def. value | Def. unit
BYP BYIQ XOIO IOIO IOXO | Bypass Bypass w. I/Q-IF OUT I/Q IN/OUT IF IN_I/Q IN/OUT IF IN/OUT | BYP | -

Description of command | FW vers.
This command selects the RX signal path, leaving the TX path (see command CONFigure:IQIF:TXPath below) unchanged but adapting the I/Q-IF test scenario to the new RX/TX path combination: If the combination corresponds to a predefined scenario, then CONFigure:IQIF:RXTXcombined is set to the predefined scenario; otherwise it is set to UDEF. | ³V 3.10


Remote Control - RF Measurement Commands - I/Q-IF Interface - TX Path

TX Path

CONFigure:IQIF:TXPath <Path>

<Path> | Parameter description | Def. value | Def. unit
BYP BYIQ XOIO IOIO IOXO | Bypass Bypass w. I/Q-IF OUT I/Q IN/OUT IF IN_I/Q IN/OUT IF IN/OUT | BYP | -

Description of command | FW vers.
This command selects the TX signal path, leaving the RX path (see command CONFigure:IQIF:RXPath above) unchanged but adapting the I/Q-IF test scenario to the new RX/TX path combination: If the combination corresponds to a predefined scenario, then CONFigure:IQIF:RXTXcombined is set to the predefined scenario; otherwise it is set to UDEF. | ³V 3.10


Attenuation

[SENSe:]LEVel:ATTenuation <Mode>

<Mode> | Parameter description | Def. value | Default unit
NORMal | LNOise | LDIStortion | Normal Low noise (level at mixer 10 dB higher than in normal setting) Low distortion factor (level at mixer 10 dB lower than in normal setting) | NORMal | -

Description of command | FW vers.
This command defines the attenuation or gain of the input measurement path. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem LEVel (Input Level) - Default Settings

Default Settings

[SENSe:]LEVel:DEFault <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | The parameters are set to their default values All or some parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem to their default values (the setting OFF has no effect).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

³V 1.15


Remote Control - RF Measurement Commands - Subsystem LEVel (Input Level) - Input level - Mode

Input level - Mode

[SENSe:]LEVel:MODE <Mode>

<Mode> | Description of parameters | Def. value | Def. unit
MANual | AUTomatic | Manual setting Automatic setting corresponding to average power of signal applied | AUT | -

Description of command | FW vers.
This command defines the mode for setting the maximum input level. |


Max. Level

[SENSe:]LEVel:MAXimum <Level>

<Level> | Parameter description | Def. value | Default unit
-40 dBm to +53 dBm -54 dBm to 39 dBm -77 dBm to 0 dBm | Max. input level for RF 1 Max. input level for RF 2 Max. input level for RF 4 IN | 0.0 0.0 0.0 | dBm dBm dBm

Description of command | FW vers.
This command defines the expected maximum RF input level and sets the input measurement path accordingly. The value range depends on the used RF input and the external attenuation. | ³V 1.15


Reference Level for Spectrum

[SENSe:]LEVel:REFerence <Level>

<Level> | Parameter description | Def. value | Default unit
-100 dBm to +53 dBm -100 dBm to +39 dBm -100 dBm to 0 dBm | Reference level for RF 1 Reference level for RF 2 Reference level for RF 4 IN | +30 +30 0.0 | dBm

Description of command | FW vers.
This command defines the reference level for Spectrum measurements. | ³V 1.20


Remote Control - RF Measurement Commands - Subsystem RFANalyzer... (Analyzer Settings) - Bandwidth

Bandwidth

[SENSe:]RFANalyzer:BANDwidth[:RESolution] <Bandwidth>

[SENSe:]RFANalyzer:BWIDth[:RESolution] <Bandwidth>

<Bandwidth> | Parameter description | Def. value | Default unit
10 Hz to 1 MHz | WIDE | Bandwidths of the analyzer (the values are rounded in the steps 1 | 2 | 3 | 5) | WIDE | -

Description of command | FW vers.
This command defines the bandwidth of the analyzer. If WIDE is set no restriction is placed on the input frequency and level. | ³V 1.15


Remote Control - RF Measurement Commands - Measurement Control - Subsystem RFANalyzer - Measurement status

Measurement status

FETCh:RFANalyzer:STATus?

Returned value | Parameter description | Def. value | Def. unit
OFF | RUN | STOP | ERR | STEP | RDY, 1 to 10000 | NONE, | Measurement in the OFF state (*RST or ABORt) Running (after INITiate, CONTinue or READ) Stopped (STOP) OFF (could not be started) Stepping mode (<stepmode>=STEP) Stopped according to repetition mode and stop condition Counter for current evaluation period Counter not used | OFF NONE | - -

Description of command | FW vers.
This command is always a query. It returns the status of the measurement (see Introduction - Manual Operation and Outline - Remote Control). | ³V 1.15


Duration of power measurement

CONFigure:RFANalyzer:POWer:RTIMe <Time>

<Time> | Parameter description | Def. value | Def. unit
0 to 1 | Duration of measurement. Accuracy: ± 5E-10 s | 20E-3 | s

Description of command | FW vers.
This command defines the time period during which the peak power is determined. With the time 0, the power is immediately measured on the measurement start, i.e. the instantaneous value is measured. | ³V 1.15


Remote Control - RF Measurement Commands - Measurement Control - Subsystem RFANalyzer - Event Reporting

Event Reporting

CONFigure:RFANalyzer:EREPorting <Mode>

<Mode> | Parameter description | Def. value | Def. unit
SRQ | SOPC | SRSQ | OFF | Service request Single operation complete SRQ and SRSQ No reporting | OFF | -

Description of command | FW vers.
This command defines the events generated when the measurement is terminated or stopped (Event Reporting ). | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem RFANalyzer... (Analyzer Settings) - Frequency

Frequency

[SENSe:]RFANalyzer:FREQuency <Frequency>

<Frequency> | Parameter description | Def. value | Default unit
50 kHz to 2.7 GHz | Frequency (0.1 Hz resolution) | 1 GHz | Hz

Description of command | FW vers.
This command defines the input frequency of the analyzer. The usable frequency range exceeds the specified range, see data sheet. | ³V 1.15


Measurement Control - Subsystem RFANalyzer

The subsystem RFANalyzer controls the RF analyzer. The subsystem corresponds to the Analyzer Power softkey in the Analyzer/Generator Menu .

More:

Start/Stop RFAnalyzer Measurement

Event Reporting

Measurement status


Results - Subsystem RFANalyzer:POWer?

The subsystem RFANalyzer:POWer starts the analyzer power measurement and returns the results. The subsystem corresponds to the Analyzer Power panel in the Analyzer/Generator menu.

More:

Scalar measurement results


Scalar measurement results

READ[:SCALar]:RFANalyzer:POWer?

Start single shot measurement and return results

FETCh[:SCALar]:RFANalyzer:POWer?

Read out measurement results (unsynchronized)

SAMPle[:SCALar]:RFANalyzer:POWer?

Read out measurement results (synchronized)

Returned value | Description | Def. value | Default unit
-120.0 dBm to 47.0 dBm | RMS power of the RF input signal (PEP) | NAN | dBm

Description of command | FW vers.
These commands are always queries. They start a measurement and return the scalar measurement result. | ³V 1.15


Start/Stop RFAnalyzer Measurement

INITiate:RFANalyzer

Start new measurement RUN

ABORt:RFANalyzer

Abort running measurement and switch off OFF

STOP:RFANalyzer

Stop measurement after current evaluation period STOP

CONTinue:RFANalyzer

Next measurement step (only stepping mode) RUN

Description of command | FW vers.
These commands have no query form. They start or stop the measurement, setting it to the status indicated in the top right column. | ³V 1.15


Subsystem RFANalyzer:CONTrol

The subsystem RFANalyzer:CONTrol defines the statistics of the RF analyzer power measurement. The subsystem corresponds to the Repetition hotkey associated with the Analyzer Power softkey in the Analyzer/Generator menu.

More:

Test cycles

Duration of power measurement


Remote Control - RF Measurement Commands - Subsystem RFANalyzer:CONTrol - Test cycles

Test cycles

CONFigure:RFANalyzer:CONTrol:REPetition <Repetition> ,<StopCondition> ,<Stepmode>

<Repetition>

Parameter description

Def. value

Def. unit

CONTinuous |
SINGleshot |

1 to 10000

Continuous measurement (until STOP or ABORT)
Single shot measurement (until Status = RDY)
Multiple measurement
(counting, until Status = STEP | RDY)

SING

-

<StopCondition>

Parameter description

Def. value

Def. unit

NONE

Continue measurement even in case of error

NONE

-

<Stepmode>

Description of parameters

Def. value

Def. unit

STEP |
NONE

Interrupt measurement after each statistics cycle
Continue measurement according to its rep. Mode

NONE

-

Description of command | FW vers.
This command determines the number of statistics cycles and the stepping mode for the measurement. A stop condition is not available. | ³V 1.15

Note:
In the case of READ commands (READ: to ) the <Repetition> parameter has no effect; the measurement is always stopped after a single shot.


Remote Control - RF Measurement Commands - Subsystem RFGenerator:MODulation (Frequency Modulation) - AF Frequency

AF Frequency

SOURce:RFGenerator:MODulation:SSB:FREQuency <Deviation>

<Deviation> | Parameter description | Def. value | Def. unit
-300 kHz to +300 kHz 0 kHz to +300 kHz | SSB frequency offset (resolution 1 kHz) AM modulation frequency | 1000 1000 | Hz Hz

Description of command | FW vers.
This command generates an AF frequency which defines either a frequency offset (if SOUR:RFG:MOD is set to SSB) or an AM modulation frequency (if SOUR:RFG:MOD is set to AM). A frequency offset can be either positive or negative; modulation frequencies must be positive. | V 1.15, V 2.15 (AM)


Remote Control - RF Measurement Commands - Subsystem RFGenerator:BANDwidth (Bandwidth) - Bandwidth

Bandwidth

SOURce:RFGenerator:BANDwidth <Bandwidth>
SOURce:RFGenerator:BWIDth <Bandwidth>

<Bandwidth> | Parameter description | Def. value | Default unit
OFF | F30Khz | F300khz | Off (broadband) 30 kHz bandwidth 300 kHz bandwidth | F300 | -

Description of command | FW vers.
This command defines the bandwidth of the modulation filter. | ³V 1.15


Start/Stop Aux Tx Generator

I NITiate:RFGenerator[:AUXTx]

Start Aux Tx generator, reserve resources -> RUN

ABORt:RFGenerator[:AUXTx]

Switch off Aux Tx generator, release resources -> OFF

Description of command | FW vers.
These commands have no query form. They start or stop the RF generator for the Aux Tx signal, setting it to the status indicated in the top right column. | ³V 3.50


Default Settings: AUXTx

Default Settings

DEFault:RFGenerator:AUXTx

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | The parameters are set to default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the RFGenerator:AUXTx subsystem to default values. The setting OFF results in an error message.

If used as a query the command returns whether all parameters are set to default values (ON) or not (OFF).

³V 3.40


Default Settings - RF Generator

Default Settings – RF Generator

DEFault:RFGenerator

<Enable> | Parameter description | Def. value | Def. unit
ON | OFF | The parameters are set to default values Some or all parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the RFGenerator subsystem to default values. The setting OFF results in an error message.

If used as a query the command returns whether all parameters are set to default values (ON) or not (OFF).

³V 3.40


Default Settings - RF Generator:TX

Default Settings – RF Generator:TX

DEFault:RFGenerator:TX

<Enable>

Parameter description

Def. value

Def. unit

ON |
OFF

The parameters are set to default values
Some or all parameters differ from the default values

ON

-

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the RFGenerator subsystem excluding the RFGenerator:AUXTx settings to default values. The setting OFF results in an error message.

If used as a query the command returns whether all parameters are set to default values (ON) or not (OFF).

³V 3.40


FM Deviation

SOURce:RFGenerator:MODulation:FM:Deviation <Deviation>

<Deviation> | Parameter description | Def. value | Def. unit
0 Hz to 500.00 kHz | FM deviation (1-Hz resolution) | 1000 | Hz

Description of command | FW vers.
This command defines the frequency deviation of the FM modulated RF signal, i.e. the maximum amount by which the frequency of the modulated RF signal differs from the carrier frequency. | V 3.50


FM Frequency

SOURce:RFGenerator:MODulation:FM:FREQuency <Frequency>

<Frequency> | Parameter description | Def. value | Def. unit
1 Hz to +50.000 kHz | FM frequency (1-Hz resolution) | 1000 | Hz

Description of command | FW vers.
This command defines how fast the frequency of the FM modulated RF signal changes. | V 3.50


Remote Control - RF Measurement Commands - Subsystem RFGenerator:... (Generator Settings) - Frequency

Frequency

SOURce:RFGenerator[:TX]:FREQuency <Frequency>

<Frequency> | Parameter description | Def. value | Def. unit
100 kHz to 2.7 GHz | Output frequency (resolution 0.1 Hz) | 1200 MHz | Hz

Description of command | FW vers.
This command defines the output frequency of the RF generator. The usable frequency range exceeds the specified range, see data sheet. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem RFGenerator:AUXTx... (Aux TX Signal) - Frequency

Frequency

SOURce:RFGenerator:AUXTx:FREQuency <Frequency>

<Frequency> | Parameter description | Def. value | Default unit
350 MHz to 550 MHz | 700 MHz to 1100 MHz | 1400 MHz to 2200 MHz | Aux Tx frequency | 350 MHz | Hz

Description of command | FW vers.
This command defines the frequency of the generated Aux Tx signal. The resolution is 200 kHz; all values entered are rounded to 200 kHz steps. If a value between the three distinct frequency bands is entered, the instrument generates an error message. | ³V 3.40


Remote Control - RF Measurement Commands - Subsystem RFGenerator:FHOPping (Frequency Hopping) - Frequency Hopping

Frequency Hopping

SOURce:RFGenerator:FHOPping:STATe <State>

<State> | Parameter description | Def. value | Def. unit
OFF | ON | No frequency hopping Frequency hopping active (between the frequencies set via SOUR:RFG:FREQ and SOUR:RFG:FHOP:FREQ) | OFF | -

Description of command | FW vers.
This command switches the hopping output frequency of the RF generator on or off. | ³V 1.15


Generator status: AUXTx

Generator Status (Aux Tx)

FETCh:RFGenerator[:AUXTx]:STATus?

Returned value | Parameter description | Def. value | Def. unit
OFF | RUN | ERR | Generator switched off (ABORt or *RST) Running (INITiate) Switched off (could not be started) | OFF | -

Description of command | FW vers.
This command is always a query. It returns the current Aux Tx generator status. | ³V 3.50


Generator status: TX

Generator status

FETCh:RFGenerator[:TX]:STATus?

Returned value | Parameter description | Def. value | Def. unit
OFF | RUN | ERR | Generator switched off (ABORt or *RST) Running (INITiate) Switched off (could not be started) | OFF | -

Description of command | FW vers.
This command is always a query. It returns the current Tx generator status. | ³V 1.15


Hopping Frequency

SOURce:RFGenerator:FHOPping:FREQuency <Frequency>

<Frequency> | Parameter description | Def. value | Def. unit
absolute: 100.0 kHz to 2.7 GHz relative: depending on normal frequency | Hopping frequency (in multiples of 0.1 Hz) within the rated generator frequency range | 0 MHz (Hopping off) | Hz

Description of command | FW vers.
This command defines the hopping output frequency of the RF generator. This alternative frequency and the frequency set via SOUR:RFG:FREQ are used for hopping. The command SOUR:RFG:FHOP:FREQ:MODE qualifies whether the value is meant to be relative to SOUR:RFG:FREQ or absolute. | ³V 1.15


Hopping Mode

SOURce:RFGenerator:FHOPping:FREQuency:MODE <Mode>

<Mode> | Parameter description | Def. value | Def. unit
ABSolute | RELative | Hopping frequency Absolute with respect to the RF generator frequency Relative to the RF generator frequency | RELative | -

Description of command | FW vers.
This command qualifies whether the frequency set using SOUR:RFG:FHOP:FREQ is meant to be relative to SOUR:RFG:FREQ or absolute. | ³V 1.15


Modulation

SOURce:RFGenerator:MODulation <State>

<State> | Parameter description | Def. value | Def. unit
OFF | SSB | AM FM | No modulation, continuous wave RF output signal shifted by a constant offset frequency Amplitude-modulation Frequency modulation (incompatible with Aux Tx signal) | OFF | -

Description of command

FW vers.

This command determines the modulation of the RF output signal.

  • In the SSB mode, the frequency of the RF output signal is shifted by the frequency defined via CONF:RFG:MOD:SSB:FREQ.

  • In the AM mode, the signal is modulated with the frequency defined via CONF:RFG:MOD:SSB:FREQ and with the modulation index defined via CONF:RFG:MOD:[AM]:IND; see below.

  • In the FM mode, the RF signal has a frequency deviation defined via SOURce:RFGenerator:MODulation:FM:DEViation. The frequency of the modulated signal periodically changes with the frequency defined via SOURce:RFGenerator:MODulation:FM:FREQuency.

V 1.15,
V 2.15 (AM)
V3.50 (FM)


Modulation Index

SOURce:RFGenerator:MODulation[:AM]:INDex <Mod_Index>

<Mod_Index> | Parameter description | Def. value | Def. unit
0 % to 100 % | Modulation index | 100 | %

Description of command | FW vers.
This command defines the modulation index for AM modulation, i.e. the amplitude ration between the modulating AM signal to the RF carrier signal in percent. | V 1.15, V 2.15 (AM)


Remote Control - RF Measurement Commands - Subsystem RFGenerator:PULSe (Ramping) - Ramping

Ramping

SOURce:RFGenerator:PULSe:STATe <State>

<State> | Parameter description | Def. value | Def. unit
OFF | ON | CW signal Pulsed signal with 577 ms burst length | OFF | -

Description of command | FW vers.
This command determines whether the RF generator generates a CW signal or a GSM-like burst signal. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem RFGenerator:... (Generator Settings) - RF Level

RF Generator Level

SOURce:RFGenerator[:TX]:LEVel <Level>

<Level> | Parameter description | Def. value | Def. unit
-137.0 to -27.0 dBm -137.0 to -10.0 dBm -90.0 to +13.0 dBm | RF generator level at output RF1 RF generator level at output RF2 RF generator level at output RF3 OUT | -27.0 -27.0 -27.0 | dBm dBm dBm

Description of command | FW vers.
This command defines the RF generator level. The permissible value range depends on the RF output used and of the external attenuation (see [SENSe:]CORRection:LOSS:OUTPut<nr>[:MAGNitude]). Moreover, in the SSB mode (see command SOURce:RFGenerator:MODulation SSB), the level ranges for all three connectors are shifted by -2 dB, and the the default value for RF1 OUT is -29.0 dBm. The level ranges are also modified if the Tx and Aux Tx signals are both active and superimposed at the same connector. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem RFGenerator:AUXTx... (Aux TX Signal) - RF Level

RF Level (Aux Tx)

SOURce:RFGenerator:AUXTx:LEVel <Level>

<Level> | Parameter description | Def. value | Default unit
–122 dBm to –72 dBm –110 dBm to –60 dBm | Aux Tx output level at RF1 Aux Tx output level at RF2 | –72.0 –72.0 | dBm dBm

Description of command | FW vers.
This command defines the Aux Tx signal level. The resolution is 1 dBm; all values entered are rounded to integer dBm steps. The value range depends on the used RF output of the CMU and the external attenuation. Moreover, in the SSB mode (see command SOURce:RFGenerator:MODulation SSB), the level ranges for all three connectors are shifted by –2 dB. The level ranges are also modified if the Tx and Aux Tx signals are both active and superimposed at the same connector. | ³V 3.40


Start/Stop RF Generator

I NITiate:RFGenerator[:TX]

Start RF generator, reserve resources RUN

ABORt:RFGenerator[:TX]

Switch off RF generator, release resources OFF

Description of command | FW vers.
These commands have no query form. They start or stop the RF generator for the Tx signal, setting it to the status indicated in the top right column. | ³V 1.15


Subsystem RFGenerator:LSMode (Low Spur Mode)

The subsystem RFGenerator:LSMode selects the mode to reduce the phase noise of the RF generator signal. It corresponds to the Low Spur Mode setting in the Generator tab of the Connection Control menu.

SOURce:RFGenerator:LSMode:STATe <State>

<State> | Parameter description | Def. value | Def. unit
OFF | ON | Low spur mode off or on | OFF | -

Description of command | FW vers.
This command selects the mode to reduce the phase noise of the RF generator signal. | V 3.50


Subsystem RFGenerator:... (Generator Settings)

Subsystem RFGenerator[:TX]... (TX Generator Settings)

The subsystem RFGenerator[:TX]... determines the level and frequency of the RF generator. The settings are provided in the Generator tab of the Connection Control menu.

More:

RF Level

Frequency


Subsystem RFGenerator:AUXTx... (Aux TX Signal)

Subsystem RFGenerator:AUXTx...
(Aux TX Signal)

The subsystem RFGenerator:AUXTx configures the auxiliary generator signal Aux Tx (only with option CMU-B95, Additional RF Generator). It corresponds to the Generator Aux Tx section in the Generator tab of the Connection Control menu.

Aux Tx is an additional RF signal generated by the CMU that can be applied to the one of the RF connectors RF1 or RF2. It is possible to superimpose both RF signals at the same output connector or use different connectors (commands OUTPut[:TX][:STATe] and OUTPut:AUXTx[:STATe]). Moreover, it is possible to assign independent external attenuation factors to both signals ([SENSe:]CORRection:LOSS:OUTPut<nr>[:TX][:MAGNitude], SOURce:CORRection:LOSS:OUTPut <nr>[:TX][:MAGNitude], [SENSe:]CORRection:LOSS:OUTPut<nr>:AUXTx[:MAGNitude], SOURce:CORRection:LOSS:OUTPut<nr>:AUXTx[:MAGNitude]).

Aux Tx is generated with the modulation settings of the primary TX signal (...RFGenerator:MODulation...) but with no frequency hopping or ramping.

More:

Default Settings

Start/Stop AUXTx generator

Generator Status

RF Level

Frequency


Subsystem RFGenerator:BANDwidth (Bandwidth)

The subsystem RFGenerator:BANDwidth sets the bandwidth of the modulation filter. It corresponds to the Modulation Filter setting in the Generator tab of the Connection Control menu.

More:

Bandwidth


Subsystem RFGenerator:FHOPping (Frequency Hopping)

The subsystem RFGenerator:FHOPping determines the frequency hopping of the internal RF generator. It corresponds to the Frequency Hopping settings in the Generator tab of the Connection Control menu.

More:

Frequency Hopping

Hopping Frequency

Hopping Mode


Subsystem RFGenerator (Generator Control)

The subsystem RFGenerator controls the RF generator providing the Tx signal. It corresponds to the Generator Tx – Generator Control function in the Generator tab of the Connection Control menu.

More:

Start/Stop RF Generator Measurement

Generator status


Subsystem RFGenerator:MODulation (Frequency Modulation)

The subsystem RFGenerator:MODulation determines the frequency modulation of the internal RF generator. It corresponds to the Modulation settings in the Generator tab of the Connection Control menu.

More:

Modulation

AF Frequency

Modulation Index

FM Frequency

FM Deviation


Subsystem RFGenerator:PULSe (Ramping)

The subsystem RFGenerator:PULSe determines the ramping mode of the internal RF generator. It corresponds to the Ramping setting in the Generator tab of the Connection Control menu.

More:

Ramping


Clock Frequency

SOURce:DM:CLOCk:FREQuency <Frequency>

<Frequency> | Parameter description | Def. value | Def. unit
1.219 MHz to 40.000 MHz | Frequency of network-specific system clock | 13 | MHz

Description of command |  |  |  |  |  |  | FW vers.
This command defines the frequency at the output REF OUT2. In FW V2.15ff, the frequency entered is rounded to the following discrete values: |  |  |  |  |  |  | ³V 1.15
40.000 MHz, | 20.000 MHz, | 13.333 MHz, | 10.000 MHz, | 8.000 MHz, | 6.667 MHz, | 5.714 MHz, |
5.000 MHz, | 4.444 MHz, | 4.000 MHz, | 3.636 MHz, | 3.333 MHz, | 3.077 MHz, | 2.857 MHz, |
2.667 MHz, | 2.500 MHz, | 2.353 MHz, | 2.222 MHz, | 2.105 MHz, | 2.000 MHz, | 1.905 MHz, |
1.818 MHz, | 1.739 MHz, | 1.667 MHz, | 1.600 MHz, | 1.538 MHz, | 1.481 MHz, | 1.429 MHz, |
1.379 MHz, | 1.333 MHz, | 1.290 MHz, | 1.250 MHz |  |  |  |


Remote Control - RF Measurement Commands - Subsystem DM:CLOCk (Synchronization) - REF OUT 2

REF OUT 2

SOURce:DM:CLOCk:STATe <Mode>

<Mode> | Parameter description | Def. value | Def. unit
ON | OFF | Switch system clock on/off | OFF | -

Description of command | FW vers.
This command switches the system clock at the output REF OUT 2 on or off. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem TRIGger (Trigger Mode) - Default Settings

Default Settings

TRIGger[:SEQuence]:DEFault <Enable>

<Enable> | Description of parameters | Def. value | Def. unit
ON | OFF | The parameters are set to their default values All or some parameters differ from the default values | ON | -

Description of command

FW vers.

If used as a setting command with the parameter ON this command sets all parameters of the subsystem to their default values (the setting OFF has no effect).

If used as a query the command returns whether all parameters are set to their default values (ON) or not (OFF).

V 1.15


Remote Control - RF Measurement Commands - Subsystem TRIGger (Trigger Mode) - Ext. Trigger (AUX 3/4)

Ext. Trigger (AUX 3/4)

TRIGger[:SEQuence]:SOURce:EXTernal <Source>

<Source> | Description of parameters | Def. value | Def. unit
PIN6 | PIN7 | PIN8 | Pin for external trigger signal | PIN8 | -

Description of command | FW vers.
This command determines the pins on the AUX 3 or AUX4 connectors used for the external trigger signal. The setting only has effect if the trigger source is an External signal. | V 3.10


Level - IF Power

TRIGger[:SEQuence]:THReshold:IFPower <Threshold>

<Threshold> | Parameter description | Def. value | Default unit
-47 dB to 0 dB | IF power threshold | -26 | dB

Description of command | FW vers.
This command sets the IF signal level at which the measurement is triggered. The IF power threshold is defined relative to the maximum RF input level; see [SENSe:]LEVel:MAXimum. The setting has effect for trigger source IFPower only (see TRIG:SEQ:SOUR). | ³V 3.10


Level - RF Power

TRIGger[:SEQuence]:THReshold:RFPower <Threshold>

<Threshold> | Parameter description | Def. value | Default unit
LOW | MEDium | HIGH | Low trigger threshold (RF Max. Level – 26 dB) Medium trigger threshold (RF Max. Level – 16 dB) High trigger threshold (RF Max. Level – 6 dB) | MEDium | -

Description of command | FW vers.
This command sets the RF input signal level at which the measurement is triggered relative to the maximum RF input level; see [SENSe:]LEVel:MAXimum. The setting takes effect for trigger source RFPower only (see TRIG:SEQ:SOUR). | ³V 3.10


Remote Control - RF Measurement Commands - Subsystem TRIGger (Trigger Mode) - Slope

Slope

TRIGger[:SEQuence]:SLOPe <Slope>

<Slope> | Parameter description | Def. value | Default unit
POSitive | NEGative | Rising slope Falling slope | POS | -

Description of command | FW vers.
This command qualifies whether the trigger event occurs on the Rising Edge or on the Falling Edge of the trigger signal. The setting has no influence on free run measurements (trigger source IMMediate). | ³V 1.15


Source

TRIGger[:SEQuence]:SOURce <Source>

<Source>

Parameter description

Def. value

Default unit

IMMediate |

RFPower |

IFPower |

EXTern

Free run, continuous measurement
(without reference to input signal)

Trigger by RF signal level (TRIG:SEQ:THR:RFP)

Trigger by IF signal level (TRIG:SEQ:THR:IFP)

External trigger signal fed in via connector AUX3

IMM

-

Description of command | FW vers.
This command determines the source of the trigger event for the measurements. | ³V 1.15


Remote Control - RF Measurement Commands - NPOWer (Function Group RF) - Event Reporting

Event Reporting

CONFigure:NPOWer:EREPorting <Mode>

<Mode> | Parameter description | Def. value | Default unit
SRQ | SOPC | SRSQ | OFF | Service request Single operation complete SRQ and SOPC No reporting | OFF | -

Description of command | FW vers.
This command defines the events generated when the measurement is terminated or stopped (event reporting, see Chapter 5). | ³V 3.07


Remote Control - RF Measurement Commands - NPOWer (Function Group RF) - Measurement

Measurement

FETCh:NPOWer:STATus?

<Return> | Parameter description | Def. value | Default unit
OFF | RUN | STOP | ERR | STEP | RDY, 1 ... 10000 | NONE 1 to 1000 | NONE | Measurement in the OFF state (*RST or ABORt) Running (after INITiate, CONTinue or READ) Stopped (STOP) OFF (could not be started) Stepping mode (<stepmode>=STEP) Stopped according to repetition mode and stop condition Counter for current statistics cycle No counting mode set Counter for current evaluation period within a cycle Statistic count set to off | OFF NONE NONE | - - -

Description of command | FW vers.
This command is always a query. It returns the status of the measurement (see chapters 3 and 5 of CMU operating manual). | ³V 3.07


Remote Control - RF Measurement Commands - Subsystem NPOWer:FREQuency (RBW) - RBW

RBW

[SENSe:]NPOWer:BWIDth[:RESolution] <Bandwidth>

<Bandwidth> | Description of parameters | Def. value | Def. unit
10 Hz to 1 MHz | TDMA | CDMA | Bandwidths of power measurement (the values are rounded in 1 | 2 | 3 | 5 steps) TDMA or CDMA filter | 300 kHz | -

Description of command | FW vers.
This command defines the bandwidth of the power measurement. The TDMA filter is a matched (root-raised cosine) filter specified in standard TIA/EIA-136xxx for the test of modulation parameters. The CDMA filter is a 1.4 MHz bandpass filter specified for cdmaOne and CDMA2000 tests. | ³V 3.07


Scope of Measurement

CONFigure:NPOWer:CONTrol <Statistics>, <Repetition>,<StopCond>,<Stepmode>

<Statistics> | Parameter description | Def. value | Def. unit
1 to 1000 | NONE | No. of evaluation periods within a statistics cycle Statistics off | 1 | -
<Repetition> | Parameter description | Def. value | Def. unit
CONTinuous | SINGleshot | 1 ... 10000 | Continuous measurement (until STOP or ABORT) Single shot measurement (until Status = RDY) Multiple measurement (counting, until Status = STEP | RDY) | SING | -
<StopCondition> | Parameter description | Def. value | Def. unit
SONerror | NONE | Start measurement in case of error (stop on error) Continue measurement even in case of error | NONE | -
<Stepmode> | Description of parameters | Def. value | Def. unit
STEP | NONE | Interrupt measurement after each statistics cycle Continue measurement according to its rep. mode | NONE | -

Description of command | FW vers.
This command defines the statistic count, repetition mode, stop condition, and stepping mode for the measurement. | ³V 3.07


Remote Control - RF Measurement Commands - Subsystem NPOWer:CONTrol - Statistic Count

Statistic Count

CONFigure:NPOWer:CONTrol:STATistics <Statistics>

<Statistics> | Parameter description | Def. value | Def. unit
1 to 1000 | NONE | No. of evaluation periods within a statistics cycle Statistics off | 1 | -

Description of command | FW vers.
This command defines the number of evaluation periods that represent one statistics cycle. | ³V 3.07


Subsystem NPOWer? - Measured Values

The subsystem NPOWer? retrieves the results of the narrow-band power measurement.

READ[:SCALar]:NPOWer?

Start single shot measurement and return results

FETCh[:SCALar]:NPOWer?

Read out measurement results (unsynchronized)

SAMPle[:SCALar]:NPOWer?

Read out measurement results (synchronized)

Returned value | Parameter description | Def. value | Default unit
Avg. Power of Current Evaluation period, Min. Power of Current Evaluation period, Max. Power of Current Evaluation period, Avg. Power of the entire measurement, Min. Power of the entire measurement, Max. Power of the entire measurement Frequency | –137 dBm to +53 dBm –137 dBm to +53 dBm –137 dBm to +53 dBm –137 dBm to +53 dBm –137 dBm to +53 dBm –137 dBm to +53 dBm 10 kHz to 2.7 GHz | NAN NAN NAN NAN NAN NAN NAN | dBm dBm dBm dBm dBm dBm Hz

Description of command | FW vers.
These commands are always queries. They start the NPOWer measurement and return the results. As the CMU is capable of determining frequencies with an accuracy of 0.1 Hz, the frequency is returned in exponential representation and with a 10-digit mantissa. | ³V 3.07


Subsystem NPOWer:CONTrol

The subsystem NPOWer:CONTrol defines the repetition mode, statistic count, stop condition, and stepping mode of the NPOWer measurement.

More:

Scope of Measurement

Statistic Count

Test cycles


Subsystem NPOWer:FREQuency (RBW)

The subsystem NPOWer:FREQuency sets the filter bandwidth of the narrow-band power measurement.

More:

RBW

Subsystem NPOWer? - Measured Values


Remote Control - RF Measurement Commands - Subsystem NPOWer:CONTrol - Test cycles

Test cycles

CONFigure:NPOWer:CONTrol:REPetition <Repetition>,<StopCond>,<Stepmode>

<Repetition>

Parameter description

Def. value

Def. unit

CONTinuous |
SINGleshot |

1 ... 10000

Continuous measurement (until STOP or ABORT)
Single shot measurement (until Status = RDY)
Multiple measurement
(counting, until Status = STEP | RDY)

SING

-

<StopCondition>

Parameter description

Def. value

Def. unit

SONerror |
NONE

Start measurement in case of error (stop on error)
Continue measurement even in case of error

NONE

-

<Stepmode>

Description of parameters

Def. value

Def. unit

STEP |
NONE

Interrupt measurement after each statistics cycle
Continue measurement according to its rep. mode

NONE

-

Description of command

FW vers.

This command determines the repetition mode, the stop condition and the stepping mode for the measurement.

Note:

In the case of READ commands (READ:...), the <Repetition> parameter has no effect; the measurement is always stopped after a single shot.

³V 3.07


Remote Control - RF Measurement Commands - Subsystem POWer:TIME - Definition of Subarrays

Definition of Subarrays

CONFigure:SUBarrays:POWer

<Mode>,<Start>,<Samples>{,<Start>,<Samples>}

<Mode> | Description of parameters | Def. value | Def. unit
ALL | ARIThmetical | MINimum | MAXimum | IVAL, | Return all measurement values Return arithm. mean value in every subrange Return minimum value in every subrange Return maximum value in every subrange Return single interpolated value at <Start> | ALL | -
<Start> | Description of parameters | Def. value | Def. unit
-15 s to 15 s, | Start time in current range | Min | s
<Samples> | Description of parameters | Def. value | Def. unit
1 to 500 | Number of samples in current subrange | Max | -

Description of command

FW vers.

This command configures the READ:SUBarrays:POWer..., FETCh:SUBarrays:POWer..., and SAMPle:SUBarrays:POWer commands. It restricts the measurement to up to 32 subranges where either all measurement results (the number of which is given by the second numerical parameter) or a single statistical value is returned. The subranges are defined by the start time and the number of test points to be measured.

For <Mode> = IVAL, the <Samples> parameter is ignored and the CMU returns a single measurement value corresponding to the abscissa value <Start>. If <Start> is located between two test points with valid results then the result is calculated from the results at these two adjacent test points by linear interpolation.

The subranges may overlap but must be within the total range of the POWer measurement defined via [SENSe:]POWer:TIME:DELay and [SENSe:]POWer:TIME:SPAN. Test points outside this range are not measured (result NAN) and do not enter into the ARIThmetical, MINimum and MAXimum values.

By default, only one range corresponding to the total measurement range is used and all measurement values are returned.

V 3.0


Delay

[SENSe:]POWer:TIME:DELay <Delay>

<Delay> | Parameter description | Def. value | Default unit
See below | Delay time between trigger time and start of the measurement | -10.0 µs | s

Description of command | FW vers.
This command defines the time when the measurement is started relative to the trigger time. The permissible range of delays depends on the span and bandwidth, e.g.: - 152.9 µs to 142.9 µs (bandwidth 1 MHz, span 10 µs) - 15.7919207 s to 5.7919207 s (bandwidth 10 Hz, span 10 s ) | ³V 1.15


Event reporting of the measurement

CONFigure:POWer:EREPorting <Mode>

<Mode> | Parameter description | Def. value | Def. unit
SRQ | SOPC | SRSQ | OFF | Service request Single operation complete SRQ and SOPC No reporting | OFF | -

Description of command | FW vers.
This command defines the events generated when the measurement is terminated or stopped (Event Reporting ). | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem POWer:FREQuency (Frequency/RBW) - Frequency

Frequency

[SENSe:]POWer:FREQuency:CENTer <Frequency>

<Frequency> | Parameter description | Def. value | Default unit
10 kHz to 2.7 GHz | Frequency (0.1 Hz resolution) | 1000 MHz | Hz

Description of command | FW vers.
This command defines the input frequency of the analyzer. | ³V 1.15


Remote Control - RF Measurement Commands - Test Configuration - Grid

Grid

DISPlay:POWer:CONTrol:GRID <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Switch on grid lines Switch off grid lines | ON | -

Description of command | FW vers.
This command switches the grid lines on or off in the test diagram. | ³V 1.15


Measurement Control - Subsystem POWer

The subsystem POWer controls the power measurement. The subsystem corresponds to the Power main softkey.

More:

Start/Stop POWer Measurement

Event reporting of the measurement

Measurement status


Remote Control - RF Measurement Commands - Test Configuration - Measurement cycles

Measurement cycles

CONFigure:POWer:CONTrol:REPetition <Repetition> ,<StopCondition> ,<Stepmode>

<Repetition> | Parameter description | Def. value | Def. unit
CONTinuous | SINGleshot | 1 to 10000 | Continuous measurement (until STOP or ABORT) Single shot measurement (until Status = RDY) Multiple measurement (counting, until Status = STEP | RDY) | SING | -
<StopCondition> | Parameter description | Def. value | Def. unit
NONE | Continue measurement even in case of error | NONE | -
<Stepmode> | Description of parameters | Def. value | Def. unit
STEP | NONE | Interrupt measurement after each statistics cycle Continue measurement according to its rep. mode | NONE | -

Description of command | FW vers.
This command defines the repetition mode and the stepping mode for the measurement. A stop condition is not available. | ³V 1.15

Note:
In the case of READ commands (READ: to ) the <Repetition> parameter has no effect; the measurement is always stopped after a single shot.


Remote Control - RF Measurement Commands - Measurement Control - Subsystem POWer - Measurement status

Measurement status

FETCh:POWer:STATus?

Returned value | Parameter description | Def. value | Def. unit
OFF | RUN | STOP | ERR | STEP | RDY, 0 to 10000 | NONE 1 to 1000 | NONE | Measurement in the OFF state (*RST or ABORt) Running (after INITiate, CONTinue or READ) Stopped (STOP) OFF (could not be started) Stepping mode (<stepmode>=STEP) Stopped according to repetition mode and stop condition Counter for measurement cycles Counter not used Counter for current evaluation period within a cycle Statistic count set to off | OFF NONE NONE | – – –

Description of command | FW vers.
This command is always a query. It returns the status of the measurement (see Introduction - Manual Operation and Outline - Remote Control). | ³V 1.15


Power Results

READ:ARRay:POWer[:CURRent]?Power Results
READ:ARRay:POWer:AVERage?
READ:ARRay:POWer:MAXimum?
READ:ARRay:POWer:MINimum?

Start single shot measurement and return results (RUN)

FETCh:ARRay:POWer[:CURRent]?
FETCh:ARRay:POWer:AVERage?
FETCh:ARRay:POWer:MAXimum?
FETCh:ARRay:POWer:MINimum?

Read measurement results (unsynchronized) (RUN)

SAMPle:ARRay:POWer[:CURRent]?
SAMPle:ARRay:POWer:AVERage?
SAMPle:ARRay:POWer:MAXimum?
SAMPle:ARRay:POWer:MINimum?

Read results (synchronized) (RUN)

Returned value | Parameter description | Def. value | Default unit
-128.0 dBm to + 48.0 dBm, ..., -128.0 dBm to + 48.0 dBm | 1st value for power 500th value for power | NAN NAN | dBm dBm

Description of command | FW vers.
These commands are always queries. They return the power values versus time at 1000 equidistant test points. The measurement range is defined via [SENSe:]POWer:TIME:DELay and [SENSe:]POWer:TIME:SPAN. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem POWer:LEVel (Level) - Range

Range

[SENSe:]POWer:LEVel:RANGe <Range>

<Range> | Parameter description | Def. value | Default unit
10.0 dB to 100.0 dB | Level range of the power measurement | 100.0 dB | -

Description of command | FW vers.
This command defines the level range of the Power measurement. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem POWer:FREQuency (Frequency/RBW) - RBW

RBW

[SENSe:]POWer:FREQuency:BANDwidth[:RESolution] <Bandwidth>

[SENSe:]POWer:FREQuency:BWIDth[:RESolution] <Bandwidth>

<Bandwidth> | Parameter description | Def. value | Default unit
10 Hz to 1 MHz | Bandwidths of power measurement (the values are rounded in the steps 1 | 2 | 3 | 5) | 300 kHz | -

Description of command | FW vers.
This command defines the bandwidth of the power measurement. | ³V 1.15


Results - Subsystem POWer...?

The subsystem POWer...? starts the power measurement and returns the results. The subsystem corresponds to the graphical measurement menu Power.

More:

Power Results

Subarray Results


Remote Control - RF Measurement Commands - Test Configuration - Scope of measurement

Scope of measurement

CONFigure:POWer:CONTrol <Mode>

<Mode> | Desciption of parameters | Def. value | Def. unit
SCALar | ARRay | Scalar values only (incl. limit matching) Scalar measured values and arrays | ARRay | -
<Statistics> | Desciption of parameters | Def. value | Def. unit
1 to 1000 | NONE | Number of sweeps per statistics cycle Statistics off (equivalent to 1) | 1 | -

Description of command | FW vers.
This command specifies the type of measured values. | ³V 1.15


Span

[SENSe:]POWer:TIME:SPAN <Span>

<Span> | Parameter description | Def. value | Default unit
10 µs to 10 s | Span of the power measurement | 100 µs | s

Description of command | FW vers.
This command defines the span (i.e. the total evaluation time) of the Power measurement. The permissible spans depend on the selected bandwidth. | ³V 1.15


Start/Stop POWer Measurement

INITiate:POWer

Start new measurement RUN

ABORt:POWer

Abort running measurement and switch off OFF

STOP:POWer

Stop measurement after current evaluation period STOP

CONTinue:POWer

Next measurement step (only stepping mode) RUN

Description of command | FW vers.
These commands have no query form. They start or stop the measurement, setting it to the status indicated in the top right column. | ³V 1.15


Remote Control - RF Measurement Commands - Results - Subsystem POWer...? - Subarray Results

Subarray Results

READ:SUBarrays:POWer[:CURRent]?
READ:SUBarrays:POWer:AVERage?
READ:SUBarrays:POWer:MAXimum?
READ:SUBarrays:POWer:MINimum?

Start single shot measurement and return results RUN

FETCh:SUBarrays:POWer[:CURRent]?
FETCh:SUBarrays:POWer:AVERage?
FETCh:SUBarrays:POWer:MAXimum?
FETCh:SUBarrays:POWer:MINimum?

Read meas. results (unsynchronized) RUN

SAMPle:SUBarrays:POWer[:CURRent]?
SAMPle:SUBarrays:POWer:AVERage?
SAMPle:SUBarrays:POWer:MAXimum?
SAMPle:SUBarrays:POWer:MINimum?

Read results (synchronized) RUN

Ret. values by subrange | Description of parameters | Def. value | Def. unit
-128.0 dBm to + 48.0 dBm ... -128.0 dBm to + 48.0 dBm | Power[1], 1st value for power ... Power[x], xth value for power | NAN ... NAN | dBm ... dBm

Description of command

FW vers.

These commands are always queries. They return the power versus time in the subranges defined by means of the CONFigure:SUBarrays:POWer command. In the default setting of the configuration command the READ:SUBarrays..., FETCh:SUBarrays..., and SAMPle:SUBarrays... command group is equivalent to the READ:ARRay..., FETCh:ARRay..., and SAMPle:ARRay... command group described above.

The CONFigure:SUBarrays:POWer command defines a maximum of 32 subranges. If one of the statistical modes (ARIThmetical, MINimum, MAXimum) or IVAL is set, only one value is returned by subrange.

V 3.0


Subsystem POWer:CONTrol (Control)

The subsystem POWer:CONTrol defines the scope of the Power measurement. The subsystem corresponds to the Control tab of the Power Configuration menu.


Subsystem POWer:FREQuency (Frequency/RBW)

The subsystem POWer:FREQuency sets the frequency and resolution bandwidth of the Power measurement. The subsystem corresponds to the Analyzer Settings softkey in the graphical measurement menu Power.

More:

Frequency

RBW


Subsystem POWer:LEVel (Level)

The subsystem POWer:LEVel sets the level range displayed. The subsystem corresponds to the Level Scale hotkey in the graphical measurement menu Power.

More:

Range


Subsystem POWer:TIME

The subsystem POWer:TIME configures the time axis. The subsystem corresponds to the Time Scale hotkey in the graphical measurement menu Power.

More:

Delay

Span

Timeout for triggered measurements

Subsystem SUBarrays:POWer

Definition of Subarrays


Subsystem SUBarrays:POWer

The subsystem SUBarrays:POWer defines the measurement range and the type of output values.


Remote Control - RF Measurement Commands - Power Measurements - POWer - Test Configuration

Test Configuration

The commands in the following subsystems configure the Power measurement. They correspond to the Power Configuration popup menu.

More:

Subsystem POWer:CONTrol (Control)

Scope of measurement

Measurement cycles

Grid


Timeout for triggered measurements

CONFigure:POWer:CONTrol:TIMeout <Timeout>

<Timeout> | Parameter description | Def. value | Default unit
1 s to 60 s | Timeout period after which the measurement is aborted | 10 s | s

Description of command | FW vers.
This command defines a timeout period after which the measurement is aborted (e.g. if no trigger event could be detected). | ³V 1.15


Center / Span / Start

[SENSe:]SPECtrum:FREQuency:CENTer <Frequency>

[SENSe:]SPECtrum:FREQuency:SPAN <Frequency>

[SENSe:]SPECtrum:FREQuency:STARt <Frequency>

[SENSe:]SPECtrum:FREQuency:STOP <Frequency>

<Frequency> | Parameter description | Def. value | Default unit
10.0 MHz to 2.7 GHz 0.00001 MHz to 2.690 GHz 10 MHz to 2.7 GHz 10.00001 MHz to 2.7 GHz | Center frequency Frequency span Start frequency Stop frequency | 1105 2190 10 2200 | MHz MHz MHz MHz

Description of command | FW vers.
This command sets the center frequency and span or the start and stop frequency of the spectrum analyzer. Start and stop frequency are used for calculation of the other two frequencies. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem SPECtrum:LEVel (Level) - Definition of Subarrays

Definition of Subarrays

CONFigure:SUBarrays:SPECtrum <Mode>,<Start>,<Samples>{,<Start>,<Samples>}

<Mode> | Description of parameters | Def. value | Def. unit
ALL | ARIThmetical | MINimum | MAXimum | IVAL, | Return all measurement values Return arithm. mean value in every subrange Return minimum value in every subrange Return maximum value in every subrange Return single interpolated value at <Start> | ALL | -
<Start> | Description of parameters | Def. value | Def. unit
10 MHz to 2.69999999 GHz, | Start frequency in current range | Min | Hz
<Samples> | Description of parameters | Def. value | Def. unit
1 to 560 | Number of samples in current subrange | Max | -

Description of command

FW vers.

This command configures the READ:SUBarrays:SPECtrum..., FETCh:SUBarrays:SPECtrum..., and SAMPle:SUBarrays:SPECtrum commands. It restricts the measurement to up to 32 subranges where either all measurement results (the number of which is given by the second numerical parameter) or a single statistical value is returned. The subranges are defined by the start frequency and the number of test points to be measured.

For <Mode> = IVAL, the <Samples> parameter is ignored and the CMU returns a single measurement value corresponding to the abscissa value <Start>. If <Start> is located between two test points with valid results then the result is calculated from the results at these two adjacent test points by linear interpolation.

The subranges may overlap but must be within the total range of the SPECtrum measurement defined by the commands [SENSe:]SPECtrum:FREQuency:CENTer and [SENSe:]SPECtrum: FREQuency:SPAN or by [SENSe:]SPECtrum:FREQuency:STARt and [SENSe:]SPECtrum: FREQuency:STOP. Test points outside this range are not measured (result NAN) and do not enter into the ARIThmetical, MINimum and MAXimum values.

By default, only one range corresponding to the total measurement range is used and all measurement values are returned.

V 3.0


Remote Control - RF Measurement Commands - Measurement Control - Subsystem SPECtrum - Detect Mode

Detect Mode

[SENSe:]SPECtrum:DETector <Mode>

<Mode> | Desciption of parameters | Def. value | Def. unit
PEAK | RMS | Meas. curve interpolated from maximum values Meas. curve interpolated from RMS averaged values | PEAK | -

Description of command | FW vers.
This command defines how the measurement curve is calculated from the entire set of measurement points. | V 3.05


Remote Control - RF Measurement Commands - Measurement Control - Subsystem SPECtrum - Event Reporting

Event Reporting

CONFigure:SPECtrum:EREPorting <Mode>

<Mode> | Parameter description | Def. value | Def. unit
SRQ | SOPC | SRSQ | OFF | Service request Single operation complete SRQ and SOPC No reporting | OFF | -

Description of command | FW vers.
This command defines the events generated when the measurement is terminated or stopped (Event Reporting ). | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem SPECtrum:CONTrol - Grid

Grid

DISPlay:SPECtrum:CONTrol:GRID <Enable>

<Enable> | Parameter description | Def. value | Default unit
ON | OFF | Switch on grid lines Switch off grid lines | ON | -

Description of command | FW vers.
This command switches the grid lines on or off in the test diagram. | ³V 1.15


Measurement Control - Subsystem SPECtrum

The subsystem SPECtrum controls the spectrum measurement. It corresponds to the Spectrum. softkey in the measurement menu Spectrum.

More:

Start/Stop SPEctrum Measurement

Event Reporting

Measurement status

Detect Mode

Test Configuration


Remote Control - RF Measurement Commands - Subsystem SPECtrum:CONTrol - Measurement cycles

Measurement cycles

CONFigure:SPECtrum:CONTrol:REPetition <Repetition> ,<StopCondition> ,<Stepmode>

<Repetition>

Parameter description

Def. value

Def. unit

CONTinuous |
SINGleshot |

1 to 10000

Continuous measurement (until STOP or ABORT)
Single shot measurement (until Status = RDY)
Multiple measurement
(counting, until Status = STEP | RDY)

SING

-

<StopCondition>

Parameter description

Def. value

Def. unit

NONE

Continue measurement in case of error

NONE

-

<Stepmode>

Description of parameters

Def. value

Def. unit

STEP |
NONE

Interrupt measurement after each statistics cycle
Continue measurement according to its rep. mode

NONE

-

Description of command | FW vers.
This command defines the repetition mode and the stepping mode for the measurement. A stop condition is not available. | ³V 1.15

Note:
In the case of READ commands (READ: to ) the <Repetition> parameter has no effect; the measurement is always stopped after a single shot.


Remote Control - RF Measurement Commands - Measurement Control - Subsystem SPECtrum - Measurement status

Measurement status

FETCh:SPECtrum:STATus?

Returned value | Parameter description | Def. value | Def. unit
OFF | RUN | STOP | ERR | STEP | RDY, 0 to 10000 | NONE 1 to 1000 | NONE | Measurement in the OFF state (*RST or ABORt) Running (after INITiate, CONTinue or READ) Stopped (STOP) OFF (could not be started) Stepping mode (<stepmode>=STEP) Stopped according to repetition mode and stop condition Counter for measurement cycles Counter not used Counter for current evaluation period within a cycle Statistic count set to off | OFF NONE NONE | – – –

Description of command | FW vers.
This command is always a query. It returns the status of the measurement (see Introduction - Manual Operation and Outline - Remote Control). | ³V 1.15


Peak Search

FETCh:SPECtrum:MARKer:PEAK?

Response | Description of parameters | Def. value | Def. unit
<Start Frequency> to <Stop Frequency>1), –128.0 dBm to +48 dBm | Frequency at the peak Peak level of the spectrum trace | NAN, NAN | Hz, dBm

Description of command

FW vers.

This command places the reference marker to the maximum of the trace and returns the marker frequency and the peak level. NAN, NAN is returned if no Spectrum measurement is running. The command also affects the reference marker in manual control.

1) The frequency range for the Spectrum measurement is set via [SENSe:]SPECtrum:FREQuency:STARt and [SENSe:]SPECtrum:FREQuency:STOP.

V 3.53


Remote Control - RF Measurement Commands - Subsystem SPECtrum:LEVel (Level) - Range

Range

[SENSe:]SPECtrum:LEVel:RANGe <Range>

<Range> | Parameter description | Def. value | Default unit
10.0 dB to 100.0 dB | Level range for the spectrum measurement. | 100.0 dB | -

Description of command | FW vers.
This command defines the level range for the spectrum measurement. | ³V 1.15


Remote Control - RF Measurement Commands - Subsystem SPECtrum:FREQuency (Frequency/RBW) - RBW

RBW

[SENSe:]SPECtrum:FREQuency:BANDwidth[:RESolution] <Bandwidth>

[SENSe:]SPECtrum:FREQuency:BWIDth[:RESolution] <Bandwidth>

<Bandwidth> | Parameter description | Def. value | Default unit
10 Hz to 1 MHz | AUTO | Bandwidths of measurement (the values are rounded in the steps 1 | 2 | 3 | 5) | AUTO | -

Description of command | FW vers.
This command defines the bandwidth of the spectrum measurement. The range of the bandwidth is shifted and increased along with the span of the measurement. | ³V 1.15


Relative Marker Values

Relative (Delta) Marker Values

FETCh:SPECtrum:MARKer:RELative? <x1 position>, <x2 position>

<x1 position> | Desciption of parameters | Def. value | Def. unit
<Start Frequency> to <Stop Frequency>1) | Frequency of delta marker 1 | - | Hz
Response | Description of parameters | Def. value | Def. unit
–128.0 dBm to +48 dBm | Reference marker level | NAN | dBm
<x2 position> | Desciption of parameters | Def. value | Def. unit
<Start Frequency> to <Stop Frequency>1) | Frequency of delta marker 2 | - | Hz
Response | Description of parameters | Def. value | Def. unit
–128.0 dBm to +48 dBm | Difference between marker levels | NAN | dBm

Description of command

FW vers.

This command sets virtual delta markers 1 and 2 to the specified x-positions and returns the difference of the two marker levels level (marker 1) – level (marker 2). The command doesn’t affect the relative (delta) markers 1 and 2 in manual control.

1) The frequency range for the Spectrum measurement is set via [SENSe:]SPECtrum:FREQuency:STARt and [SENSe:]SPECtrum:FREQuency:STOP.

V 3.53


Reference Marker Value

FETCh:SPECtrum:MARKer:ABSolute? <x position>

<x position> | Desciption of parameters | Def. value | Def. unit
<Start Frequency> to <Stop Frequency>1) | Frequency of reference marker | - | Hz
Response | Description of parameters | Def. value | Def. unit
–128.0 dBm to +48 dBm | Reference marker level | NAN | dBm

Description of command

FW vers.

This command sets a virtual reference marker to the specified <x position> and returns the measured RF level at this position. The command doesn’t affect the reference marker in manual control.

1) The frequency range for the Spectrum measurement is set via [SENSe:]SPECtrum:FREQuency:STARt and [SENSe:]SPECtrum:FREQuency:STOP.

V 3.53


Results - Subsystem SPECtrum

The subsystem SPECtrum starts the Spectrum measurement and returns the results. The subsystem corresponds to the various output elements in the graphical measurement menu Spectrum.

More:

Spectrum Results

Subarray Results


Remote Control - RF Measurement Commands - Subsystem SPECtrum:CONTrol - Scope of measurement

Scope of measurement

CONFigure:SPECtrum:CONTrol <Mode>, <Statistics>

<Mode> | Desciption of parameters | Def. value | Def. unit
SCALar | ARRay | Scalar values only (incl. limit matching) Scalar measured values and arrays | ARRay | -
<Statistics> | Description of parameters | Def. value | Def. unit
1 to 1000 | NONE | Number of sweeps per statistics cycle Statistics off (equivalent to 1) | 1 | -

Description of command | FW vers.
This command specifies the type of measured values and defines the number of sweeps forming a statistics cycle. | ³V 1.15³


Spectrum Results

READ:ARRay:SPECtrum[:CURRent]?Spectrum Results
READ:ARRay:SPECtrum:AVERage?
READ:ARRay:SPECtrum:MAXimum?
READ:ARRay:SPECtrum:MINimum?

Start single shot measurement and return results (RUN)

FETCh:ARRay:SPECtrum[:CURRent]?
FETCh:ARRay:SPECtrum:AVERage?
FETCh:ARRay:SPECtrum:MAXimum?
FETCh:ARRay:SPECtrum:MINimum?

Read meas. results (unsynchronized) (RUN)

SAMPle:ARRay:SPECtrum[:CURRent]?
SAMPle:ARRay:SPECtrum:AVERage?
SAMPle:ARRay:SPECtrum:MAXimum?
SAMPle:ARRay:SPECtrum:MINimum?

Read results (synchronized) (RUN)

Returned value | Parameter description | Def. value | Default unit
-128.0 dBm to + 48.0 dBm ... -128.0 dBm to + 48.0 dBm | 1st power value 560th power value | NAN NAN | dBm dBm

Description of command | FW vers.
These commands are always queries. They return the results of the spectrum measurement at 560 equidistant test points. The measurement range is defined by the commands [SENSe:]SPECtrum:FREQuency:CENTer and [SENSe:]SPECtrum:FREQuency: SPAN or by [SENSe:]SPECtrum:FREQuency:STARt and [SENSe:]SPECtrum: FREQuency:STOP. | ³V 1.15

Note:
The number of test points may be reduced at very narrow measurement ranges.


Start/Stop SPEctrum Measurement

INITiate:SPECtrum

Start new measurement RUN

ABORt:SPECtrum

Abort running measurement and switch off OFF

STOP:SPECtrum

Stop measurement after current evaluation period STOP

CONTinue:SPECtrum

Next measurement step (only stepping mode) RUN

Description of command | FW vers.
These commands have no query form. They start or stop the measurement, setting it to the status indicated in the top right column. | ³V 1.15


Remote Control - RF Measurement Commands - Results - Subsystem SPECtrum - Subarray Results

Subarray Results

READ:SUBarrays:SPECtrum[:CURRent]?

READ:SUBarrays:SPECtrum:AVERage?

READ:SUBarrays:SPECtrum:MAXimum?

READ:SUBarrays:SPECtrum:MINimum?

Start single shot meas. and return results RUN

FETCh:SUBarrays:SPECtrum[:CURRent]?

FETCh:SUBarrays:SPECtrum:AVERage?

FETCh:SUBarrays:SPECtrum:MAXimum?

FETCh:SUBarrays:SPECtrum:MINimum?

Read meas. results (unsynchronized) RUN

SAMPle:SUBarrays:SPECtrum[:CURRent]?

SAMPle:SUBarrays:SPECtrum:AVERage?

SAMPle:SUBarrays:SPECtrum:MAXimum?

SAMPle:SUBarrays:SPECtrum:MINimum?

Read results (synchronized) RUN

Ret. values by subrange | Description of parameters | Def. value | Def. unit
-128.0 dBm to + 48.0 dBm ... -128.0 dBm to + 48.0 dBm | Power[1], 1st value for power ... Power[x], xth value for power | NAN ... NAN | dBm ... dBm

Description of command

FW vers.

These commands are always queries. They return the power versus frequency in the subranges defined by means of the CONFigure:SUBarrays:SPECtrum command. In the default setting of the configuration command the READ:SUBarrays..., FETCh:SUBarrays..., and SAMPle:SUBarrays... command group is equivalent to the READ:ARRay..., FETCh:ARRay..., and SAMPle:ARRay... command group described above.

The CONFigure:SUBarrays:SPECtrum command defines a maximum of 32 subranges. If one of the statistical modes (ARIThmetical, MINimum, MAXimum) or IVAL is set, only one value is returned by subrange.

The calculation of CURRent, AVERage, MINimum, and MAXimum results is explained in Chapter 3 (see Display Mode).

V 3.0


Subsystem SPECtrum:MARKer

RF SPECtrum Markers

The commands in the SPECtrum:MARKer subsystem query trace values and perform a peak search.

More:

Relative (Delta) Marker

Reference Marker

Peak Search


Subsystem SPECtrum:CONTrol

The subsystem SPECtrum:CONTrol defines the scope of the spectrum measurement. It corresponds to the tab Control in the popup menu Spectrum Configuration.

More:

Scope of measurement

Measurement cycles

Grid


Subsystem SPECtrum:FREQuency (Frequency/RBW)

The subsystem SPECtrum:FREQuency defines the display range of the frequency axis and the resolution bandwidth. The subsystem corresponds to the Analyzer Settings softkey in the graphical Measurement Menu Spectrum .

More:

Center / Span / Start

RBW


Subsystem SPECtrum:LEVel (Level)

The subsystem POWer:LEVel sets the level range of the Spectrum measurement. The subsystem corresponds to the Level Scale hotkey in the graphical measurement menu Spectrum.

More:

Range


Subsystem SUBarrays:SPECtrum

The subsystem SUBarrays:SPECtrum defines the measurement range and the type of output values.

More:

Definition of Subarrays


Remote Control - RF Measurement Commands - Measurement Control - Subsystem SPECtrum - Test Configuration

Test Configuration

The commands in the following subsystems configure the Spectrum measurement. They correspond to the Spectrum Configuration popup menu.


Remote Control - RF Measurement Commands - Symbolic Status Event Register Evaluation - Symbolic status evaluation

Symbolic status evaluation

STATus:OPERation:SYMBolic:ENABle <Event>{,<Event>}

Parameter list | Parameter description | Def. Value | Default Unit
<Event>{,<Event>} | NONE | List of symbols for events to be reported No event reported | NONE | -

Description of command | FW vers.
This command enables event reporting for one or several events in the RF function group, i.e. it sets the corresponding bits in the STATus:OPERation:CMU: SUM<nr>:CMU<nr_event>:ENABle register (<nr> = 1 | 2, <nr_event> denotes the RF function group) and in all sum registers up to the status byte. The events and the corresponding symbols for function group RF are listed in Chapter 5 (see section Status Registers). The symbols may be entered in arbitrary order. | V 3.05


Remote Control - RF Measurement Commands - Symbolic Status Event Register Evaluation - Symbolic status evaluation

Symbolic status evaluation

STATus:OPERation:SYMBolic[:EVENt]?

Response | Parameter description | Def. Value | Default Unit
NONE | <Event>{,<Event>} | No event in the RF function group List of reported events | NONE | -

Description of command | FW vers.
This command is always a query. It lists the events reported in the RF function group and deletes these events in the STATus:OPERation:CMU:SUM<nr> :CMU<nr_event>:EVENt register as well as in all sum registers. | V 3.05


Remote Control - RF Measurement Commands - WPOWER - Event Reporting

Event Reporting

CONFigure:WPOWer:EREPorting <Mode>

<Mode> | Parameter description | Def. value | Default unit
SRQ | SOPC | SRSQ | OFF | Service request Single operation complete SRQ and SOPC No reporting | OFF | -

Description of command | FW vers.
This command defines the events generated when the measurement is terminated or stopped (event reporting, see Chapter 5). | ³V 3.10


Remote Control - RF Measurement Commands - WPOWER - Measurement

Measurement

FETCh:WPOWer:STATus?

<Return> | Parameter description | Def. value | Default unit
OFF | RUN | STOP | ERR | STEP | RDY, 1 ... 10000 | NONE | Measurement in the OFF state (*RST or ABORt) Running (after INITiate, CONTinue or READ) Stopped (STOP) OFF (could not be started) Stepping mode (<stepmode>=STEP) Stopped according to repetition mode and stop condition Counter for current statistics cycle No counting mode set | OFF NONE | -

Description of command | FW vers.
This command is always a query. It returns the status of the measurement (see chapters 3 and 5 of CMU operating manual). | ³V 3.10


Subsystem WPOWer

The subsystem WPOWer? retrieves the results of the wideband power measurement.

More:

WPOWer Measured Values


Remote Control - RF Measurement Commands - WPOWER - Test cycles

Test cycles

CONFigure:WPOWer:CONTrol:REPetition <Repetition>,<StopCond>,<Stepmode>

<Repetition>

Parameter description

Def. value

Def. unit

CONTinuous |
SINGleshot |

1 to 10000

Continuous measurement (until STOP or ABORT)
Single shot measurement (until Status = RDY)
Multiple measurement
(counting, until Status = STEP | RDY)

SING

-

<StopCondition>

Parameter description

Def. value

Def. unit

SONerror |
NONE

Start measurement in case of error (stop on error)
Continue measurement even in case of error

NONE

-

<Stepmode>

Description of parameters

Def. value

Def. unit

STEP |
NONE

Interrupt measurement after each statistics cycle
Continue measurement according to its rep. mode

NONE

-

Description of command

FW vers.

This command determines the number of statistics cycles, the stop condition and the stepping mode for the measurement.

Note:

In the case of READ commands (READ:...), the <Repetition> parameter has no effect; the measurement is always stopped after a single shot.

³V 3.10


WPOWer Measured Values

READ[:SCALar]:WPOWer?

Start single shot measurement and return results

FETCh[:SCALar]:WPOWer?

Read out measurement results (unsynchronized)

SAMPle[:SCALar]:WPOWer?

Read out measurement results (synchronized)

Returned value | Parameter description | Def. value | Default unit
0 dBm to +55 dBm –10 dBm to +35 dBm –35 dBm to +2 dBm | Maximum RF power at RF1 Maximum RF power at RF2 Maximum RF power at RF 4 IN | NAN | dBm

Description of command | FW vers.
These commands are always queries. They start the measurement of the maximum RF power (peak power, not averaged) and return the result. | ³V 3.10


Activating an input field and a digit

  • To activate the input field press the associated softkey.

The input field appears with a blue frame. The symbol for the rotary knob appears at the top right of the input field.

The input field is in start mode, indicated by a small white triangle on a gray background. From the start mode, it can be switched to either insert or overwrite mode.


Activating the input field and auxiliary editor
  • To activate the input field press the associated softkey. If the softkey is assigned to a panel with several controls, use the cursor key to select the desired input field.
  • Press or turn the rotary knob to open the auxiliary editor associated to the input field.

The auxiliary editor is used to edit a name that may extend over several lines. The cursor is placed at the end of the current character string.


Assignment of numerical keys and alphanumeric characters

Key | Character (upper case) | Character (lower case)
7 abc | A B C 7 Ä Æ Å Ç | a b c 7 ä æ å ç
8 def | D E F 8 É | d e f 8 é è
9 ghi | G H I 9 | g h i 9 ì
4 jkl | J K L 4 | j k l 4
5 mno | M N O 5 Ñ Ö | m n o 5 ñ ö õ
6 pqr | P Q R 6 | p q r 6 ß
1 stu | S T U 1 Ü | s t u 1 ü ù
2 vwx | V W X 2 | v w x 2
3 yz | Y Z 3 | y z 3
0 _µW | space µ W 0 £ $ ¥ € | space µ WW 0 £ $ ¥ €
. * mark | \ _* , : ; ' " ? ( ) | \ _* , : ; ' " ? ( )
- # symb | - # / ( ) < = > % & | - # / ( ) < = > % &
UNIT.. | Upper / lower case | Upper / lower case

The full character set may be restricted if required for reasons of compatibility (e.g. for input fields defining file names).

The most important possible inputs using the rotary knob or the digital keys are described in the following.


Manual Operation - Dialog Elements in the Menu - Input of Numbers - Confirming/discarding the input

Confirming/discarding the input

The behavior of the editors depends on whether the values were entered in the insert or in the overwrite mode:

  • If only the overwrite mode was used to define the input value no confirmation is necessary. The input value is valid as soon as another softkey or hotkey is pressed.
  • If the insert mode is used, or if it was used before swapping over to the overwrite mode, the input must be confirmed with the ENTER key or by pressing the rotary knob. By pressing ESCAPE or another softkey, the input will be discarded and the previous value restored.

If the number entered conflicts with the resolution of the CMU, it will be rounded to the maximum number of digits allowed.


Manual Operation - Dialog Elements in the Menu - Input of alphanumerical characters - Confirming/discarding the input

Confirming/discarding the input

  • Use the [image] (ESCAPE) key or another softkey to abort character input and deactivate the input field and the softkey.
  • Use the [image] (ENTER) key to confirm the character input.

If the syntax specified is invalid (e.g. an invalid file name was defined), an error message of the type Filename syntax <name> is invalid Cancel / Re-edit is displayed. Otherwise the edited character string is written to the input field in the menu.

  • Press another softkey or change the menu to close the auxiliary editor.


Error message during input

If the value defined in the input field is too high or too low, a window with the error message “<numerical value> is out of range. <permissible maximum value> is limit." will appear together with three buttons:

Accept | Permissible maximum value accepted for input field,
Re-edit | New entry
Cancel | Last valid input value is retained.


Expanding menu tables

Expanding menu tables usually cover the whole popup menu or tab so they are active as soon as the menu is opened. The right-hand fields of a menu table (white background) can be edited. Table lines without any input option but with a black triangle are headers with several sub-items that can be expanded or compressed:

  • To move to a line use the rotary knob.
  • Press ENTER to select a line and start editing. Numerical values can be entered as described in section Input of Numbers. Alternative settings can be selected using the rotary knob.
  • Press ENTER to confirm an entry and quit the table line.
  • Press ESCAPE or another key to discard your entry and release the table line.
  • Select a header line and press the rotary knob to expand (show) or compress (hide) a table section. Press the ON/OFF key to expand all compressed tables in the menu.


Further control keys

The keys of the CONTROL group extend the functions of numerical input.

  • Use the [image] (insert) key to change between the modes insert and overwrite.

In the insert mode, the cursor appears in the input field.

  • Use the [image] (backspace) key to delete the character to the left of the cursor (in insert mode).
  • Use the [image] (delete) key to delete the highlighted character (in overwrite mode) and the digit right from the cursor key (in insert mode).
  • Use the [image] (clear) key to delete all characters.


Input using the numerical keypad - Insert Mode

  • In the start mode, type one of the number keys of the numerical keypad.

The previous numeric value of the editor is completely replaced. The CMU changes to the insert mode characterized by a cursor symbol. Further digits are inserted to the left of the cursor.

  • Entries made in insert mode via the numerical keypad must always be confirmed using the ENTER key or by pressing the rotary knob.


Input using the numerical keysA

Input using the numerical keys
  • Press one of the numerical keys to write a character to the current cursor position.
  • To change a character, position the cursor to the desired character using the left [image] or right [image] arrow key and overwrite the character.
  • Press a numerical key repeatedly to access the different characters assigned to it.
  • Press the UNIT key plus a numerical key to switch to the upper case character set.
  • Confirm the input using the ENTER key.

If the syntax specified is invalid (e.g. an invalid file name was defined), an error message of the type Filename syntax <name> is invalid Cancel / Re-edit is displayed. Otherwise the edited character string is written to the input field in the menu.

  • Press another softkey or change the menu to close the auxiliary editor.


Input using the rotary knob

  • After opening the auxiliary editor, turn the rotary knob in either direction. A list of all valid (upper and lower case) characters for the current input field is opened.
  • Turn the rotary knob and select the character to be written to the cursor position in the auxiliary editor. Selected characters are shown in inverse video.
  • Press the rotary knob to confirm your selection and enter the selected character into the auxiliary editor.
  • Select a character and turn the rotary knob to increment/decrement the character in alphabetical order.


Input using the rotary knob - Overwrite mode

  • In the start mode, turn the rotary knob to activate the overwrite mode and vary the last digit of the current number.
  • Use the left [image] or right [image] arrow key to switch between the decimal places of the indicated number.
  • Increment/decrement the active digit by turning the rotary knob.

    The individual digits can be varied without restriction. Incrementing a "9" produces 0 and causes the next higher digit to be incremented by 1. The editor behaves analogously when a "0" is decremented.

An Enter symbol at the bottom right of the input field indicates that the current value has yet to be written to the CMU software.

  • Confirm the entry and terminate the input using the ENTER key or by pressing the rotary knob or another softkey or ...
  • Press ESCAPE to discard the entry.


Insert/overwrite

The keys of the CONTROL group extend the functions of character input.

  • Use the [image] (insert) key to change between the modes insert and delete.

In insert mode, the cursor appears in the input field.

  • Use the [image] (backspace) key to delete the character to the left of the cursor.
  • Use the [image] (delete) key to delete the inversely displayed character (in overwrite mode).
  • Use the [image] (clear) key to delete all characters.


List fields - selection 1 out of n

List fields provide a choice of several text lines in a rectangular window:

  • Select one out of several list fields using the cursor keys .
  • To select a line use the rotary knob. If a line beyond the edge of the list is to be selected, the whole list will be shifted (scroll function).

For operation of list fields see table above.


Operation of select fields

Action | Key operation
Select field group / list | Cursor keys , softkey
Select single field, command button, or line in list field or table | Rotary knob
Switch on or off single field or line in list field | On/Off key, in the case of buttons also rotary knob, ENTER key
Confirmation (if required) | ENTER key


Pull-down list fields

Pull-down list fields are similar to the list fields described above as far as their function and operation is concerned; however, they are compressed into one line in the popup menu.

  • Press the associated softkey (if available) or use the cursor keys to select the list. Press ENTER or the rotary knob to expand the list (expand in upward or downward direction depending on the space available).
  • To select a line use the rotary knob.
  • Press ENTER to confirm your selection and close the list.
  • Press ESCAPE or another key to discard your selection and close the list.


Application Destination

Application/Destination toggles between the overview of available GSM networks and a view of the directories available for storing the log file (*.LOG). The Destination view is analogous to the Arrange tab.

Remote control
-


Buffer Writing

The checkboxes in the Buffer Writing column control data recording in the five different GSM networks supported by the instrument.

If buffer writing is enabled for a particular GSM network (box checked), the GSM layer 3 uplink and downlink messages transferred during a GSM-MS Signalling test session are stored in a ring buffer. The buffer size corresponds to approx. 3200 messages. Message types that are connected with information displayed in the CMU measurement menus, e.g. the MS receiver reports, are not recorded. Recording is continued even after a handover or a change of the network.

The contents of the ring buffer can be written to a binary file any time (even while Buffer Writing is enabled); see Save to File softkey below. Saving the buffer contents clears the buffer. On the other hand the buffer is not cleared when Buffer Writing is enabled.

Remote control:
The commands for the layer 3 message log belong to the GSMxxx-MS Signalling function groups:
MMEMory:L3Msg:BWRiting ON | OFF


Data Handling (Data) - Saving Configurations (Data - Save) - Change Destination

Change Destination

The Change Dest. softkey opens a dialog to specify the name and path of the created configuration file and enter a Comment to be stored with the file.

Editing the Change Destination dialog is optional: By default, the CMU stores configuration files to the directory INTERNAL\USERDATA\SAVE and uses the file names DATASET??.SAV where the question mark is replaced by current numbers that are automatically incremented, starting with zero (auto-increment function). To create more than 100 different configuration files, another name or destination must be specified. The information stored in a configuration file can not be edited.

Note: A third question mark in the file name extends the auto-increment function so that up to 999 configuration files can be stored. Keep in mind the memory of the internal hard disk when using this feature.

Selecting OK to Save closes the dialog window and stores the inputs made. Pressing Cancel or Change Dest. again without selecting OK to Rename closes the dialog box, discarding all inputs made.

Remote control
The path, directory, file name and comment of an existing configuration file can be changed using the MMEMory commands.


Data Handling (Data) - Layer 3 Message Log (Data - Logging) - Change Destination

Change Destination

The Change Dest. softkey opens a dialog to specify the name and path of the created log file.

Editing the Change Destination dialog is optional: By default, the CMU stores log files to the directory INTERNAL\LOG and uses the file names GSM_L3_?.LOG where the question mark is replaced by current numbers that are automatically incremented, starting with zero (auto-increment function). To create more than 10 different log files, another name or destination must be specified.

Note: A second or third question mark in the file name extends the auto-increment function so that up to 999 logging files can be stored. Keep in mind the memory of the internal hard disk when using this feature.

Selecting OK to Save closes the dialog window and stores the inputs made. Pressing Cancel or Change Dest. again without selecting OK to Rename closes the dialog box, discarding all inputs made.

Remote control
The commands for the layer 3 message log belong to the GSMxxx-MS Signalling function groups:
MMEMory:L3Msg:CDEStination <FileName> [,<msus>]


File Selection

The stored files can be selected from a tree view in the center of the menu. The tree can be expanded and compressed using the roll-key and the ON/OFF key (see Chapter 3, Expanding menu tables). It starts from the nodes for the EXTERNAL and INTERNAL mass storage devices:

EXTERNAL Root directory of the external storage device. Depending on the instrument configuration, this can be a floppy disk or a PCMCIA memory card, inserted in slot 0 (right side) of the PCMCIA interface. The Data menu does not discriminate between the two slots. If an attempt is made to expand the EXTERNAL directory while no external storage device is present, the CMU displays the following message:

  • Accept the message, insert a suitable storage device and try again to expand the EXTERNAL directory and view ist contents.
INTERNAL Root directory of the section on the internal hard disk that is reserved for mass storage.


Content Destination

Content/Destination toggles between the configuration tree and a view of the directories available for storing the configuration file (*.SAV). The Destination view is analogous to the Arrange tab.

Remote control
-


Copy

The Copy softkey stores the selected file or directory into the Paste Buffer so it can be copied to other directories or storage devices (see Paste softkey below). The original file or directory is not deleted, so the Copy function duplicates a file or a directory with all its contents.

Remote control
No direct equivalent. To replace the Copy/Paste mechanism use the command
MMEMory:COPY <FileSource>[,<msus1>], <FileDest> [,<msus2>]


Delete

The Delete softkey deletes the selected file or directory. Before an individual file is deleted, the CMU generates a warning:

Before a directory is deleted, the CMU generates a similar warning:

Selecting Yes deletes the file or directory; selecting No closes the warning messages without deleting.

Remote control
MMEMory:DELete <FileName>, [INTernal | EXTernal]
MMEMory:RMDir <DirName>, [INTernal | EXTernal]


Dir. View Content

Dir. View/Content toggles between the directory view and the overview of function groups and test modes contained in a configuration file (*.SAV). The Content view is available for configuration files only:

The Content view shows the path and name of the configuration file and all function groups and test modes contained in the file. The tree view is for information only. It is analogous to the trees in the Reset menu and in the Save and Recall tabs of the Data menu, however, it only shows the function groups and test modes actually contained in the configuration file so that all rectangular symbols are black.

Remote control
-


File indication - Paste Buffer

The output field above the tree view shows the path and name of the selected file. The Paste Buffer field below the tree view shows the path and name of a file that has been cut or copied to be pasted into another directory.

Remote control
MMEMory:MSIS INTernal | EXTernal


Filename

If the data is to be written to a file, a file name can be specified in the Filename input field. By default, print files are stored with the file name defined in the Setup -Print tab. The question marks (??) in this default name is are replaced by current numbers starting with zero (auto-increment function). If a file name used before is specified, or if a file where the question mark has been replaced by "99" is already stored in the target directory, a message box Print: overwrite existing file Yes/No pops up. Pressing No aborts the print procedure and closes the Print popup menu.

Note: A third question mark in the file name extends the auto-increment function so that up to 999 print files can be stored. Keep in mind the memory of the internal hard disk when using this feature.


File selection

The stored files can be selected from a tree view in the center of the menu. The tree can be expanded and compressed using the roll-key and the ON/OFF key (see Chapter 3, Expanding menu tables). By default, configuration files are stored in the directory INTERNAL\USERDATA\SAVE and with the file names DATASET?.SAV, where the question mark is replaced by a current number.


Data Handling (Data) - File Manager (Data - Arrange) - Make Directory

Make Directory

The Make Directory softkey creates a new directory. The name and path of the new directory are entered into a Make Directory dialog box; see Rename Directory above.

Remote control
MMEMory:MKDir <Dir_Name>[,<msus>]


OK to Recall

OK to Recall recalls the selected configuration file and activates the stored settings for the function groups and test modes selected in the configuration tree.

The active function group, test mode and measurement menu is stored with the Base system settings when a configuration file is created. As a consequence the behavior of the CMU after a recall depends on whether or not the Base system settings are also recalled:

  • After a recall including the base system settings the CMU enters the function group, test mode and measurement menu stored in the configuration file.
  • After a recall excluding the base system (or a recall of a configuration file without base system information) the CMU returns to its current function group.

Note:
Recalling only a configuration of the active function group is faster because no additional software modules must be loaded.
Before recalling and activating a configuration file, the instrument checks whether the settings are compatible with its current hardware configuration and software versions. If an incompatibility is detected, the configuration file is not recalled and an error message is generated. Configuration files are upward compatible and can be re-used in later firmware versions.

Remote control
MMEMory:RECall:CURRent <FileName> [,<msus>]
MMEMory:RECall[:ALL] <FileName> [,<msus>]


OK to Save

OK to Save saves the current configuration in all function groups and test modes selected in the configuration tree to the configuration file specified via Change Dest.

Note:
Saving only the configuration of the active function group is faster because no additional software modules must be loaded.

Remote control
MMEMory:SAVE:CURRent <FileName> [,<msus>]
MMEMory:SAVE[:ALL] <FileName> [,<msus>]


Paste

The Paste softkey stores the file or directory copied into the Paste Buffer to the current directory. It is disabled (grayed) if the Paste Buffer is empty. A copied file can be stored several times to different directories and storage devices. Pasting the file does not affect the Paste Buffer.

If the current directory contains a file or subdirectory with the same name; a warning is generated:

Selecting Yes overwrites the existing file or directory; selecting No closes the warning message without pasting the content of the buffer.

Remote control
No direct equivalent. To replace the Copy/Paste mechanism use the command
MMEMory:COPY <FileSource>[,<msus1>], <FileDest> [,<msus2>]


Save to File

Save to File saves the current ring buffer content to the log file specified via Change Dest. and clears the ring buffer.

Note:
The contents of the ring buffer are also saved when the instrument is shut down, i.e. after pressing Alt+F4 on instruments equipped with a FMR 5 or during the normal shutdown process (ON/STANDBY key; "Shutdown in progress...") on instruments equipped with a FMR 6. To distinguish files created during shutdown from ordinary log files they are named GSM_L3_?.SAV where the ? is auto-incremented.

Remote control
The commands for the layer 3 message log belong to the GSMxxx-MS Signalling function groups:
MMEMory:L3Msg:SAVe <FileName> [,<msus>]
MMEMory:L3Msg:BEMPty?


Selection of function groups

All function groups and test modes available on the instrument are arranged in a tree view showing the function groups and test modes to be saved to a configuration file. When the popup is opened, the configuration tree is expanded and the active function group and test mode is selected. The tree view is identical to the tree in the Reset menu.

The Base system is part of every software configuration and therefore selected by default irrespective of the current function group and mode. It is possible though to exclude the base system settings from the configuration file by deselecting the Base node.

Note:
If the base system is excluded from the configuration, the current function group, test mode and measurement menu are not stored to the configuration file. In this case it can be useful to write this information to the file comment; see Change Dest. softkey below.


Source Content

Source/Content toggles between the directory view and the overview of function groups and test modes contained in a configuration file (configuration tree).

The configuration tree can be used for a partial recall of instrument settings: On recalling a configuration file, only the settings in the function groups and test modes selected in the configuration tree are overwritten. By default all function groups and test modes stored in the configuration file are selected.

Remote control
-


View Info Rename

The View Info/Rename softkey opens a dialog to display and edit file information or assign a new name to the selected file or to a subdirectory.

The labeling of the softkey and its function depends on the selected node in the directory view:

  • If a file is selected the softkey reads View Info/Rename. It opens a popup window showing the Root directory, the Directory plus other file information. The file Name and a Comment to be stored with the file can be edited. This can be done with the DATA keys on the front panel and the auxiliary editor (see Chapter 3) or even more conveniently using an external keyboard. The Status shows either File OK (for configuration files *.SAV) or Not a compatible file type (for all other file types).

  • If a directory is selected, no particular information is needed so the softkey reads Rename. It opens a popup window to rename and move the directory by editing the Path and the Directory name. The path can be entered according to DOS conventions, if so desired. Rename is disabled (grayed) while the EXTERNAL and INTERNAL root directories or the reserved directories Log, Userdata, Print, Remote, Save are selected (the reserved directories are used internally to store important info files). Moreover, the maximum number of directory levels below the EXTERNAL and INTERNAL root directories is 5.

Selecting OK to Rename closes the dialog windows and renames the file or directory. Pressing Cancel or View Info/Rename again without selecting OK to Rename closes the dialog box without renaming the file.

Remote control
MMEMory:INFO? <FileName> [,<msus>]
MMEMory:MOVE <FileSource>[,<msus1>], <FileDest> [,<msus2>]


Functions - Selftest (Maintenance) - Selftest - Report

Report

The Report softkey activates the Report table, e.g. for scrolling.

Remote control
-


Functions - Selftest (Maintenance) - Selftest - Select

Select

The Select softkey selects the type of selftest or correction procedure to be performed.

Note:
The Select drop-down list always contains all entries listed below. If the selftest is started for a board that is not available in the unit, a message "<Board_Name> board is not available" is displayed.

System Info | Provides information on the system memory and the hardware and software configuration. If System Info is selected and the Test activated (see below), the CMU lists all deliverable hardware and software options in the report table and indicates whether they are available on your CMU.
System Identity | Scans all modules and stores the part numbers and production data to file c:\identity.dat. In addition the available software versions are written to the log file C:\INTERNAL\LOG\VERSION.LOG.
Continuous Selftest | Continuous combined System Selftest and Internal RF Loop selftest. The continuous selftest is repeated until it is explicitly switched off.
System Selftest | Tests all modules one after another and displays a pass/fail message.
Internal RF Loop Test | Test of frequencies and levels at connectors RF1 and RF2 using the CMU's internal RF generator and analyzer with internal RF coupling.
1->4/3->2 RF Loop T. | Test of frequencies and levels for the RF path between the connectors RF1 –> RF4 IN and RF3 OUT –> RF2. For this test, special external N coax cables (included in service kit CMU-Z3) must be used to close the RF path.

The remaining tests are selftests for individual modules, e.g. Linkhandler (all models of Universal Linkhandler and Universal Signalling Unit), Front End, Reference Board, Digital Board, RXTX Board 1, Audio Board, I/Q-IF Board (Option CMU-B17), Aux Tx Board (Option CMU-B95). Besides, the following correction procedures are available:

Audio Board Calib. Improves the accuracy of Audio measurements (with option CMU-B41).

FM Modulation Calib.

Improves the accuracy of measurements on FM-modulated signals (e.g. for Bluetooth (CMU-K53), AMPS (CMU-K29)).

An FM modulation calibration is also required for generating an FM modulated RF signal in function group RF. To this end, it is sufficient to perform the calibration once after installing the RF software; the CMU will store the calibration data.

Correction Filter Cal.

Improves the accuracy of WCDMA modulation measurements (only with options CMU-K65/…/-K69 (CMU200) or CMU-K75/-K76 (CMU300) and CMU-Z6, see operating instructions for CMU-Z6, stock no. 1150.0199.12).

L1CoPro TX Calib.

Improves the level accuracy of the downlink WCDMA generator (option CMU-K66). Both the TX and the RX path are calibrated. The calibration is particularly important if power measurements at fixed target power are performed; it compensates for a systematic offset of approx. 12 dB.

Internal Aux Tx Loop Test

Same as Internal RF Loop Test, but for the Aux Tx signal (option CMU-B99).

IF 3 Selftest

Internal evaluation if the IF3 level, only available for RXTX board versions with TAZ >= 13.00.

Note: Notice messages after firmware updates
In most cases firmware updates don’t affect the accuracy of the measurements. There are some exceptions where a correction procedure must be executed after the firmware update. The R&S CMU displays a notice message whenever this happens. The box contains the name of the required correction procedure and appears during startup until the correction has been performed.

Remote control
-


Functions - Selftest (Maintenance) - Selftest - Test

Test

The Test softkey controls the selftest of the type selected via the Select softkey and displays the results in the Report table.

The status of the selftest (RUN, OFF, HLT) is indicated on the left side of the softkey. It can be changed after softkey selection (press once) by means of the ON/OFF key.

A short description of the current test appears in the Status output field; its progress is shown in the Progress bar.

Remote control
-


Hotkey Assign.

Hotkey
Assign. 		The Hotkey Assign. hotkey activates the assign mode used to assign a softkey to the function group, signalling mode and measurement menu currently selected.

The six softkeys of the Menu Select menu belonging to Hotkeys Set 1 have a default assignment. In normal mode, each hotkey gives direct access to the menu assigned to it. Another two sets, each containing six softkeys, can be accessed by pressing the Hotkeys Set 2 or Hotkeys Set 3 hotkeys, respectively.

In the assign mode, the Hotkey Assign. softkey turns into Exit Assign softkey and Hotkey Assignment is displayed in the header of the Menu Select menu.

  • To assign a softkey (or to change the current assignment), select the desired function group, mode and menu, and press Hotkey Assign. followed by the softkey. Press Exit Assign. to quit the assign mode.
  • To cancel a hotkey assignment, press Hotkey Assign. followed by the DEL (delete) key and the softkey. Press Exit Assign. to quit the assign mode.

Note 1:
An empty configuration (all hotkeys de-assigned) will not be stored after Exit Assign. Instead the CMU restores the default hotkey assignment of the current function group.

Note 2:
A user-defined assignment is retained even after a Reset of all function groups (Reset key).

Remote control
The CMU uses extended addressing: The instrument itself is identified by the primary GPIB address. Moreover, a secondary address must be assigned to any combination of a function group and a signalling mode. This is done with the command

SYSTem:REMote:ADDRess:SECondary <Addr>,<FGrp>

Primary and secondary address handling is described in the remote control sections (in particular, refer to section Outline - Remote Control and the program examples in the manual, section Introduction - Program Examples).


Hotkeys Set 1

Hotkeys
Set 1

The Hotkeys Set 1 hotkey selects the softkey set 1 for display. The hotkey is active in normal mode and in assign mode; see description of previous hotkey.

The two hotkeys Hotkeys Set 2 and Hotkeys Set 3 are analogous to Hotkeys Set 1.


Selection Table - Function Groups

The left half of the Selection table contains all function groups available on the instrument. The CMU performs general RF measurements accessible via the function group:

RF RF measurements, see below in this section

If equipped with option CMU-B41, it provides AF measurements via the function group:

Audio Audio generator and analyzer including multitone measurements, see below in this section

It is a versatile measuring instrument for a large variety of digital and analog network tests (all of them are optional, see separate manuals). For a complete list of deliverable network tests please refer to the data sheet.


Selection Table - Test Modes and Menus

When a function group is selected, the measurements within this group are displayed in the right half of the table. A measurement generally consists of measurement menus and specific configuration menus. A complete graphical overview of all menus of the CMU basic system and the function groups RF and Audio can be found at the end of section Overview - RF Measurements in this online help.

Most of the optional network test function groups are divided into the two independent test modes:

Non Signalling Module tests; measurements without transmission of signalling parameters and call setup.

Signalling Measurements with signalling and call setup to the device under test.

The test modes form the header lines of expandable table sections. A measurement may be available in both test modes of a function group, therefore, to uniquely define a measurement, it is necessary to specify its name, the test mode (if applicable) and the function group.

Example In the figure Menu Select, the Power measurement is selected. This measurement belongs to the Signalling test mode in function group GSM400-MS. Another Power measurement belongs to the Non Signalling test mode of the same function group.


Softkey Labeling

Audio
Multitone

The labeling of each softkey on the right side of the menu contains the function group, an icon indicating the test mode, and the measurement assigned to the softkey. The function of the softkeys is as follows:
  • In normal mode, pressing a softkey calls up the corresponding measurement.
  • In assign mode, pressing a softkey assigns this softkey to the measurement selected in the Selection table. Pressing the DEL (delete) key and then the softkey cancels the current assignment.


AF Connector Overview

The figure below the result table shows the destination of the input signals fed in via AF IN and AUX 1 and the signal sources for the two audio output connectors AF OUT and AUX 2.

  • For standalone audio measurements and network tests in Non Signalling mode the routing of input and output signals is fixed: The connectors AF IN and AF OUT are used as input and output for the primary audio circuit (Analyzer 1, Generator 1). AUX 1 and AUX 2 are used as input and output for the secondary audio circuit (Analyzer 2, Generator 2).
  • If network tests are performed in Signalling mode and a speech codec is available, the routing of input and output signals is is a function of the Speech Decoder output destination. For more information refer to the network test manuals.


Generator Settings (Analyzer Configuration - Generator)

The Generator tab defines the properties of the generated AF signals. The settings can be defined independently for the two AF generators.

Analyzer Configuration - Generator

Default Settings | The Default Settings switch assigns default values to all settings in the Generator tab (the default values are quoted in the command description in chapter 6 of this manual). In addition, default switches for the two independent generators are provided.

Remote Control
-

Level Level defines the generator level in mV. The meaning of the entered level depends on the generator signal type (see Signal below):
  • If the generated signal is an AC signal, Level denotes the effective (RMS averaged) voltage.
  • If the generated signal is an DC signal, Level denotes the constant DC voltage.

Remote control
SOURce:AFGenerator:<Applic>:LEVel <Level>

Signal | Signal qualifies whether the generated audio signal is a DC or an AC signal.

Remote control
SOURce:AFGenerator:<Applic>:SMODe DC | AC

Frequency | Frequency sets the frequency of the generated AF audio signal in Hz. The hotkey is disabled if the generated signal is a DC signal.

Remote control
SOURce:AFGenerator:<Applic>:FREQuency <Frequency>


Input Path Configuration - Analyzer Configuration - Filter

The Filter tab configures the different filter stages for the AF analyzer. The input path for measuring the AC component of the AF signal is as shown below:

AF analyzer input path configuration

Analyzer Configuration - Filter

Default Settings | The Default Settings switch assigns default values to all settings in the Filter tab (the default values are quoted in the command description in chapter 6 of this manual).

Remote Control
CONFigure:Power:CONTrol:DEFault SCALar | ARRay

Bandpass The CMU provides a broad selection of bandwidths with lower cutoff frequencies between 0 Hz and 300 Hz and upper cutoff frequencies between 250 Hz and 21 kHz (see command description).

The Bandpass section sets the bandwidth of the fixed band pass (see figure above).

Bandwidth (AC Coup.) | Bandwidth to be used if the AF path coupling is set to AC (see Measurement Control (Analyzer Configuration - Control))
Bandwidth (DC Coup.) | Bandwidth to be used if the AF path coupling is set to DC
Note:
If the AF Path Coupling is set to DC, the audio analyzer receives the complete AF input signal including a possible DC component. To avoid measurement inaccuracies, band pass filters with a lower cutoff ³ 6 Hz are available only.

Remote control
CONFigure:AFANalyzer:<Applic>:FILTer:BPASs:ACCoupling
CONFigure:AFANalyzer:<Applic>:FILTer:BPASs:DCCoupling

Weighting | The Weighting section selects a weighting filter to be switched into the AF signal path after the fixed band pass (see figure above).
C-Message | Switch on C-message weighted filter
CCITT | Switch on CCITT weighting filter
Off | No weighting filter

Remote control
CONFigure:AFANalyzer:<Applic>:FILTer:WEIGhting

Bandpass
(variable) 		The Bandpass (variable) section sets the center frequency and the bandwidth of the variable band pass.

Note:
The variable band pass settings affect the results for AC Voltage (Peak) 2 and AC Voltage (RMS) 2 only (see figure above). These quantities are available in remote control but not displayed in the Analyzer/Generator menu.

Remote control
CONFigure:AFANalyzer:<Applic>:FILTer:VBPass:CFRequency
CONFigure:AFANalyzer:<Applic>:FILTer:VBPass:BWIDth


Input Path Configuration (Multitone Configuration - Filter)

The Filter tab configures the receive path of the CMU for the Multitone measurement (see figure below). All parameters can be set independently for the two AF channels 1 and 2.

Signal path for Multitone measurements

The audio receive path of the CMU may contain the following filter stages:

AF Path Coupling | Capacitor stage to block the DC component of the AF input signal including a possible DC offset of the input amplifier. With DC coupling, the complete AF input signal is measured.
Weighting | Weighting filter according to CCITT or C-message weighted filter.
Band Pass | Audio band pass filter with selectable bandwidth to limit the input frequencies to a definite audio band and eliminate unwanted signal components. The allowed bandwidth depends on the AF Path Coupling.

The audio results are generated at the end of the audio receive path, after the audio signal has passed all filter stages that are switched on.

Multitone Configuration - Filter

Default All Settings The Default All Settings switch assigns default values to all fields in the Filter tab (the default values are quoted in the command description in chapter 6 of this manual). Two additional default switches reset all AF Channel 1 or all AF Channel 2 settings, respectively.

Remote control
DEFault:MULTitone:FILTer ON | OFF
DEFault:MULTitone:AFxChannel:FILTer ON | OFF (x = 1,2)

AF Channel 1 | The table section AF Channel 1 defines the input path for the Multitone measurement. The following settings are provided:
Band pass | Selection of the bandwidth of the CMU's audio band pass. A separate band pass can be selected for AC coupling and DC coupling.
Weighting | Use of a C-message weighted filter (C-Message), a CCITT weighting filter or none of these filters (OFF).
The CMU provides a broad selection of bandwidths with lower cutoff frequencies between 0 Hz and 300 Hz and upper cutoff frequencies between 250 Hz and 21 kHz (see command description in Chapter 6).
Note:
If the AF Path Coupling is set to DC (see section Measurement Control (Analyzer Configuration - Control)), the audio analyzer receives the complete AF input signal including a possible DC component. To avoid measurement inaccuracies, a band pass with a lower cutoff ³ 6 Hz must be used.

Remote control
CONFigure:MULTitone:AFxChannel:FILTer:BPASs:DCCoupling <Bandwidth>
CONFigure:MULTitone:AFxChannel:FILTer:BPASs:ACCoupling <Bandwidth>
CONFigure:MULTitone:AFxChannel:FILTer:BPASs:WEIGhting CME | CCI | OFF (x = 1,2)


Limit Lines (Multitone Configuration - Limit Lines)

The Limit Lines tab defines upper and lower limits for the audio level at all test tones and enables or disables the limit check. All parameters can be set independently for the two AF channels 1 and 2.

Multitone Configuration - Limit Lines

Default Settings The Default All Settings switch assigns default values to all fields in the Limit Lines tab (the default values are quoted in the command description in chapter 6 of this manual). Two additional default switches reset all AF Channel 1 or all AF Channel 2 settings, respectively.

Remote control
DEFault:MULTitone:LIMit:LINE ON | OFF
DEFault:MULTitone:AFxChannel:LIMit:LINE ON | OFF (x = 1,2)

Upper Limit Line/
Lower Limit Line 		Upper and lower limit lines for all 20 test points can be defined separately in the two table sections Upper Limit Line and Lower Limit Line.

The tone nos. and the corresponding frequencies are indicated in the two left columns of the table as defined in the Tone Def. tab (see Test Tones (Multitone Configuration - Tone Def.)). For each tone, the upper and lower limit can be entered as a single value in dB. The corresponding Enable checkbox switches the limit line in the test diagram and the limit check on (if checked) or off.

Remote control
CONFigure:MULTitone:AFxChannel:LIMit:LINE:ASYMmetric:UPPer <Limit_1>, <Enable_1>...
CONFigure:MULTitone:AFxChannel:TONE<nr>:LIMit:LINE:ASYMmetric:UPPer <Limit>, <Enable>
CONFigure:MULTitone:AFxChannel:LIMit:LINE:ASYMmetric:LOWer <Limit_1>, <Enable_1>...
CONFigure:MULTitone:AFxChannel:TONE<nr>:LIMit:LINE:ASYMmetric:LOWer <Limit>, <Enable> (x = 1,2)


Measurement Configurations ( Audio Multitone Configuration)

The popup menu Multitone Configuration contains four tabs which determine the parameters of the Multitone measurement including the error tolerances.

The popup menu Multitone Configuration is activated by pressing the main softkey (labeled AF Chan. One or AF Chan. Two, depending of the application selected) in the measurement menu Multitone twice. It is possible to change between the tabs by pressing the associated hotkeys.

More:

Measurement Control (Audio Multitone Configuration - Control)

Limit Lines)

Test Tones (Multitone Configuration - Tone Def.)

Input Path Configuration (Multitone Configuration - Filter)


Measurement Control (Audio Multitone Configuration - Control)

The Control tab controls the Multitone measurement by determining

  • The Repetition mode
  • The Stop Condition for the measurement
  • The AC or DC input Path Coupling
  • A settling time for the AF generator (AF Generator Lead)
  • The 0-dB line in the graphical diagram (AF Ref. Level)
  • Reference value for all levels in the graphical diagram (Result)

Besides, it configures the measurement diagram by adding or removing the Grid. All parameters can be set independently for the two AF channels 1 and 2.

Multitone Configuration - Control

Default Settings | The Default switch assigns default values to all settings in the Control tab (the default values are quoted in the command description in chapter 6 of this manual). Two additional default switches reset all AF Channel 1 or all AF Channel 2 settings, respectively.

Remote Control
CONFigure:MULTitone:AFxChannel:CONTrol:REPetition
DEF, DEF, DEF (x = 1,2)

Repetition | The Repetition field determines the repetition mode, see explanations given in section Measurement Configurations (Power Configuration) for the Power measurement. In Audio, one statistics cycle is terminated when the system has settled and a valid result is available.

Remote control
CONFigure:MULTitone:AFxChannel:CONTrol:REPetition (x = 1,2)
CONTinuous | SINGleshot | 1 ... 10000,NONE,<Stepmode>

Stop Condition | Stop Condition table defines a stop condition for the measurement:
None | Continue measurement even if tolerance is exceeded.
On Limit Failure | Stop measurement if tolerance is exceeded.

Remote control
CONFigure:MULTitone:AFxChannel:CONTrol:REPetition (x = 1,2)
CONTinuous | SINGleshot | 1 ... 10000,NONE,<Stepmode>

AF Path
Coupling 		AF Path Coupling sets the input path for measurement of the AC or AC and DC component of the AF signal:
AC | DC component of the measured AF signal (including a possible DC offset of the input amplifier) blocked. This ensures accurate measurement of the AC component. The DC component, however, can not be measured.
DC | Measurement of the complete AF input signal (DC plus AC components).
Note:
The AF path coupling has an impact on the allowed filter settings; see section Input Path Configuration (Multitone Configuration - Filter).

Remote control
CONFigure:MULTitone:AFxChannel:COUPling AC | DC
(x = 1,2)

AF Generator Lead | AF Generator Lead defines a settling time for the measurement to be applied after a change of the generator settings. A small value accelerates the measurement but may impair its accuracy.

Remote control
CONFigure:MULTitone:AFxChannel:AFGLead <Time> (x = 1,2)

AF Ref. Level | AF Ref. Level defines an audio reference level. The reference level is entered as an RMS voltage (in mV) and defines the 0 dB line of the test diagram provided that Relative to Ref. Lev. is selected as Result Mode (see below).

Remote control
CONFigure:MULTitone:AFxChannel:RLEVel <Voltage> (x = 1,2)

Result | The Result function defines the reference value for all measurement results. This corresponds to the 0 dB reference line in the diagram.
Relative to Ref. Lev. | All results are referenced to the AF Ref. Level; see above
Relative to Tone 1

...

All results are referenced to the measurement result at tone 1 (if available)
Relative to Tone 20 | All results are referenced to the measurement result at tone 20 (if available)
The measurement is taken at up to 20 audio frequencies (tone 1 to 20) which can be defined and switched on or off in the Tone Def. tab of the configuration menu (see Test Tones (Multitone Configuration - Tone Def.)).

Remote control
CONFigure:MULTitone:AFxChannel:RMODe RLEV | TON<nr> (x = 1,2)


Measurement Menu Audio Multitone

The graphical measurement menu Multitone shows the results of the multitone audio measurement.

To perform an Multitone measurement, the CMU generates a composite audio signal that represents the superposition of up to 20 individual fixed-frequency tones with configurable frequency and level. An audio signal containing the same tones can be analyzed in a single measurement and displayed in a bar chart.

The Multitone measurement is thus a fast method to determine the level of up to 20 different tones at known frequencies and to perform a limit check for all results. Possible applications are also frequency response and intermodulation measurements.

  • The main softkey AF Chan. One, which changes to AF Chan. Two if the corresponding application is selected, controls the Multitone measurement, indicates its status (RUN | HLT | OFF) and opens the configuration menu Multitone Configuration (press twice). The hotkeys associated with the main softkey define the scope of the Multitone measurement.
  • The other softkeys to the right of the test diagram are combined with various hotkeys (e.g. the hotkeys AF Max. Level and Mode belong to the softkey Analyzer Level). If a softkey is selected and an associated hotkey is pressed, a popup window will appear which indicates the current setting and enables an entry (for an example, see section Measurement Menu (Power) - Test settings).

The measurement menu Multitone is opened via the main menu Menu Select (with the associated key at the front of the instrument) or from the Analyzer/Generator menu using the Multitone hotkey.

More:

Test Settings

Measurement Results


Functions - Options and Extensions - Measurement Menu Analyzer/Generator - Measurement Results

Measurement Results

The test settings of the current Audio measurement and the results are displayed in the tables in the center of the menu.

Display of test settings and measurement results (Audio)


Functions - Options and Extensions - Measurement Menu Audio Multitone - Measurement Results

Measurement Results

The Multitone measurement menu displays the individual levels at up to 14 out of 20 different test tones, corresponding to 20 (not necessarily distinct) audio input frequencies. The results and the test settings are indicated in two parameter lines and the actual test diagram (bar graph) with its axis labels:

Parameter lines

Test tone no. and
frequency response

Bar graph with upper and lower limit lines

Test tone voltage
and frequency

Display of measurement results (Multitone)

Parameter lines | The first parameter line contains the following settings and results:
AF Max. Level | Maximum AF input level in mV as set by means of the AF Max. Levels softkey described in section Test Settings.
AF Result Mode | Reference value for all levels as set in the configuration menu (see section Measurement Control (Audio Multitone Configuration - Control))
Total Level | Sum of the individual levels of all test tones measured in mV.
 | The second parameter line contains the following settings:
AF Analyzer Input | Input connector used for the Multitone measurement. In the AF Chan. One application, AF IN is used.
AF Generator Output | Output connector used for the Multitone measurement. In the AF Chan. One application, AF OUT is used.
AF Ref. Lvl | 0-dB line in the test diagram as set in the configuration menu (see section Measurement Control (Audio Multitone Configuration - Control)).
 | Remote control The settings are read out using the query corresponding to the setting command (setting command with appended question mark).

Bar graph The bar graph shows the AF level in dB at a maximum of 14 out of 20 different audio frequencies corresponding to a continuous range of test tones configured in the Tone Def. tab of the configuration menu (see Test Tones (Multitone Configuration - Tone Def.)). If a test tone is disabled in the configuration menu, the corresponding bar is omitted.

Frequency axis (abscissa) The range of test tones (no. 1 to 14, 2 to 15 etc.) to be viewed can be selected via the Display - Tone Scale hotkey in the section Test Settings. The bars representing the level of the different tones are equidistantly distributed over the whole diagram width. This optimizes the readability of the diagram but implies that the abscissa scale is not necessarily linear. Therefore, the frequency and voltage of every single test tone is displayed below the frequency axis.

Frequency response axis (ordinate) The ordinate can be arbitrarily scaled by setting a maximum and minimum value (both in dB). With a fixed ordinate, the adjustable 0 dB reference line (see Level Scale hotkey in the section Test Settings) allows to shift the whole diagram vertically.

Remote control
READ:ARRay:MULTitone:AFxChannel? etc.
READ[:SCALar]:MULTitone:AFxChannel:TONE<nr>? etc. (x = 1,2)

Limit Check The upper and lower limit lines for each test point defined in the Limit Lines tab of the configuration menu (see Limit Lines (Multitone Configuration - Limit Lines)) correspond to the two red step functions in the diagram. If the result at a particular test point exceeds the upper limit (falls below the lower limit), the corresponding section of the upper (lower) bar across the bottom of the diagram turns red.

Remote control
CALCulate:ARRay:MULTitone:AFxChannel:MATChing:LIMit?
CALCulate[:SCALar]:MULTitone:AFxChannel:TONE<nr>:MATChing:LIMit?
CALCulate[:SCALar]:MULTitone:AFxChannel:MATChing:LIMit?
(x = 1,2)


Results

The table and output fields in the left half of the table show the results for both audio circuits (applications Analyzer 1 and Analyzer 2). If an analyzer is switched off (see measurement control softkey ANALYZER I), OFF is indicated above the corresponding output column and the output fields show invalid results ("---").

The values in the AF Voltage table represent the measured voltages of the AF signals:

Peak ½

RMS ½

DC

Frequency

Distortion

Peak value of the AC component of the measured AF signal in V. The numbers 1 and 2 denote two different input paths for AF signals with different filter configuration.

Effective (RMS-averaged) value of the AC component of the measured AF signal in V.

DC component of the measured AF signal in V.

Frequency of the measured AC signal.

Ratio of the measured AF signal with a notched-out reference frequency to the complete measured AF signal in percent. The reference frequency of the distortion measurement set in the Distortion tab of the configuration menu is indicated in brackets below the output field. If the reference frequency is equal to the fundamental frequency of the AF signal, the Distortion value corresponds to the Total Harmonic Distortion and Noise. To avoid suppression of the first harmonic, the bandwidth of the notch filter is automatically adjusted to be smaller than the reference frequency.

Remote control
READ[:SCALar]:AFANalyzer:<Applic>[:RESult]?
FETCh[:SCALar]:AFANalyzer:<Applic>[:RESult]?
SAMPle[:SCALar]:AFANalyzer:<Applic>[:RESult]?


Settings

The Settings table gives an overview of the configuration of the current measurements. This includes the settings made via the softkeys and hotkeys of the Audio menu.

Remote control
Settings are read out using the query corresponding to the setting command (setting command with appended question mark). See section Test Settings.


Functions - Options and Extensions - Measurement Menu Analyzer/Generator - Test Settings

Test Settings

The basic settings for the Audio measurement are directly accessible from the measurement menu via softkey/hotkey combinations. The entry of values is described in section Measurement Menu (Power) - Test settings.

Many of the basic settings are also accessible from the Analyzer Configuration popup menu. They are explained in more detail in section Measurement Configurations (Analyzer Configuration) .

Analyzer 1
         The Analyzer 1/2 softkey (which changes to Analyzer 2, depending on the application selected) controls the audio measurement (RUN / HLT / OFF) and indicates its status. This status can be changed after softkey selection (pressing once) by means of the ON/OFF key or the CONT/HALT key. The status can be set independently for all Audio applications.

Remote control
INITiate:AFANalyzer:<Applic>
STOP:AFANalyzer:<Applic>
ABORt:AFANalyzer:<Applic>
CONTinue:AFANalyzer:<Applic>

FETCh:AFANalyzer:<Applic>:STATus?
Measurement
configuration 		Pressing the Analyzer softkey twice opens the popup menu Analyzer Configuration. Besides, the measurement control softkey provides hotkeys to define the scope of the measurement. All these settings are described in more detail in section Measurement Control (Analyzer Configuration - Control) .
Appli-
cation 		The Application softkey selects the audio measurement application.

The results of both applications Analyzer 1 and Analyzer 2 are indicated in the corresponding columns of the output tables; see section Measurement Results . The Settings table shows the measurement configurations for both applications. On the other hand, all softkeys and hotkeys in the measurement menu belong to the current application.

Analyzer 1
         Analyzer 1 selects the primary audio circuit where the audio signals are applied to the connectors AF OUT (output, AF generator signal) and AF IN (input) on the CMU front panel.

Remote control
The Analyzer 1 application is selected by the keyword [:PRIMary] in the 3rd level of the analyzer commands, e.g. INITiate:AFANalyzer[:PRIMary].

Analyzer 2 | Analyzer 2 selects the secondary audio circuit where the audio signals are applied to the connectors AUX 2 (output, AF generator signal) and AUX 1 (input) on the CMU front panel.
 | Remote control The Analyzer 2 application is selected by the keyword :SECondary in the 3rd level of the analyzer commands, e.g. INITiate:AFANalyzer:SECondary.
Analyzer Level | The Analyzer Level softkey controls the level in the AF input signal path.

AF Max. Level | The AF Max. Level hotkey sets the maximum expected AF input level. Levels exceeding this value can not be measured.
 | Remote control [SENSe:]AFLEVel:MAXimum <Level>

Error messages

If the value set for Manual Level is too high or too low, a window with the error message "<Max_Level> is out of range. <permissible max. value> is limit." and three fields will appear:

Accept

Re-edit

Cancel

 The permissible max. value is accepted as maximum input level.

The Manual Level is entered once again.

The last valid input value is maintained.

AF Mode | The AF Mode hotkey determines how the input level is defined.
Manual Auto | Manual input of maximum input level via Manual Level (in mV). Automatic setting of maximum input level (autoranging) according to average power of applied AF signal (plus an appropriate overload margin).

Note1:
A maximum input level can be entered even if automatic level setting (autoranging) is selected. It serves as a start value for the autoranging algorithm and is important to ensure safe switchover to manual setting.

Note2:
The AF Max. Level and AF Mode settings supersede the corresponding settings in the Multitone menu (Analyzer 1/2).

Remote control
[SENSE:]AFLevel:MODE MANual | AUTomatic

Generator
         The Generator softkey controls the audio generator and defines the properties of the generated DC or sinusoidal AC signal. The three hotkeys for the primary and secondary audio circuit (Gen. 1/Gen. 2) are analogous.

The generator settings are also provided in the Analyzer Configuration menu; see section Generator Settings (Analyzer Configuration - Generator) .
GSM900
MS Sign. 		The hotkey switches back to the previous GSM function group.
This hotkey is available if the Analyzer/Generator menu is opened from a GSM function group. The hotkey is labeled with the calling function group and test mode, which is also displayed in the menu header.

Remote control
All function groups for network tests are referenced by their secondary addresses.


Functions - Options and Extensions - Measurement Menu Audio Multitone - Test Settings

Test Settings

The Multitone measurement can be configured by means of the softkeys and hotkeys in the graphical measurement menu.

AF Chan.
One

The AF Chan. One softkey controls the Multitone measurement and indicates its status (RUN | HLT | OFF). This status can be changed after softkey selection (pressing once) by means of the ON/OFF key or the CONT/HALT key.

AF Chan. One changes to AF Chan. Two if the corresponding application is selected.

Remote control
INITiate:MULTitone:AFxChannel
ABORt:MULTitone:AFxChannel
STOP:MULTitone:AFxChannel
CONTINUE:MULTitone:AFxChannel
FETCh:MULTitone:AFxChannel:STATus? (x = 1,2)

Measurement configuration | Pressing the AF Chan. One softkey twice opens the popup menus Multitone Configuration (see Measurement Control (Audio Multitone Configuration - Control)). Besides, a number of hotkeys defining the scope of the measurement are associated with the AF Chan. One softkey. All settings are also provided in the Control tab of the Multitone Configuration menu; see section Measurement Control (Audio Multitone Configuration - Control).

Application

The Application softkey activates one of the applications of the Multitone measurement. The two applications represent two independent audio circuits. Both circuits are identical except for the input and output connectors. Configurations such as the input path (Analyzer Level) can be set independently. Changing the application will also change the measurement control softkey AF Chan. One / AF Chan. Two.

AF Chan. One

The AF Chan. One hotkey selects the Multitone measurement on channel one. This means that the audio signals are applied to the connectors AF IN (CMU input) and AF OUT (CMU output) on the front panel.

Remote control
Audio channel no. one is identified by the third-level keyword AF1Channel.

AF Chan. Two

The AF Chan. Two hotkey selects the Multitone measurement on channel two. This means that the audio signals are applied to the connectors AUX 1 (CMU input) and AUX 2 (CMU output) on the CMU front panel.

Remote control
Audio channel no. two is identified by the third-level keyword AF2Channel.

Analyzer Level

The Analyzer Level softkey controls the level in the AF input signal path for both applications of the Multitone measurement.

AF Max. Level

The AF Max. Level hotkey sets the maximum expected input level in mV. Two independent values can be set for the two applications AF Chan. One (Analyzer 1) and AF Chan. Two (Analyzer 2). The setting is applied if the AF Mode (see softkey below) is set to Manual.
Note:
The AF Max. Level setting supersedes the corresponding level set in the Control tab of the Analyzer Configuration menu; see section Measurement Control (Analyzer Configuration - Control).

Remote control
[SENSE:]AFLevel:<Applic>:MAXimum <Level>
[SENSE:]AFLevel:SECondary:MAXimum <Level>

AF Mode

The AF Mode hotkey determines how the input level is defined.
Manual | Manual input via AF Max. Level hotkey
Auto | Automatic setting according to the average power of the applied AF signal.
Two independent values can be set for the two applications AF Chan. One (Analyzer 1) and AF Chan. Two (Analyzer 2).
Note:
The AF Mode setting supersedes the corresponding setting in the Control tab of the Analyzer Configuration menu; see section Measurement Control (Analyzer Configuration - Control).

Remote control
[SENSE:]AFLevel:<Applic>:MODE MANual | AUTomatic
[SENSE:]AFLevel:SECondary:MODE MANual | AUTomatic

Generator
Level

The Generator Level softkey defines the level of the AF multitone signal.

The generator level settings are described in more detail in section Test Tones (Multitone Configuration - Tone Def.).

Display

The Display softkey scales or shifts the graphical display.

Level Scale

The Level Scale hotkey defines the level scale of the Multitone test diagram (ordinate scale). The level scale merely represents a display configuration that doesn't have any impact on the measurement or on the input signal path.

The level scale is calculated from a maximum value (Max.) and a Span:

  • The Max value defines the upper edge of the diagram.
  • The difference Max - Span defines the lower edge of the diagram.
  • The number of horizontal grid lines (corresponding to 10, 15, or 16 cells) and the ordinate labeling is adapted to the range.

Remote control
no remote control command; screen configuration only

Tone Scale

The Tone Scale hotkey selects the display range (abscissa scale) of the test diagram. The range comprises 14 test tones which must be in consecutive order. This condition leaves the following options:
Tone 1 to 14 ....

Display all results between tone 1 and tone 14

Tone 7 to 20

Display all results between tone 7 and tone 20

If a tone is within the selected range but disabled in the Tone Def. tab of the configuration menu (see section Test Tones (Multitone Configuration - Tone Def.)), the corresponding result is not indicated, i.e. the bar is omitted and a gap occurs in the test diagram.

Remote control
no remote control command; screen configuration only

Default Scale

The Default Scale hotkey cancels all display configurations made and activates the default settings.

Remote control
no remote control command; screen configuration only

Menus

The Menus softkey displays the hotkey bar for switching over to the other measurement menus.


Test Tones (Multitone Configuration - Tone Def.)

The Tone Def. tab configures the audio test signal generated by the CMU. This signal is composed of up to 20 test tones with different frequencies and levels. All parameters can be set independently for the two AF channels 1 and 2.

Multitone Configuration - Tone Def.

Default Settings The Default All Settings switch assigns default values to all fields in the Tone Def. tab (the default values are quoted in the command description in chapter 6 of this manual). Two additional default switches reset all AF Channel 1 or all AF Channel 2 settings, respectively.

Remote control
DEFault:MULTitone:FILTer ON | OFF
DEFault:MULTitone:AFxChannel:FILTer ON | OFF (x = 1,2)

Level Handling:

Total Level

The Total Level parameter defines the sum of the individual voltages of all enabled tones. The meaning of the total level depends on the Level Selection setting, see below. The Total Level entered in the Manual column must not exceed the maximum level of the AF generator quoted in the data sheet.

Remote control
CONFigure:MULTitone:AFxChannel:TDEFinition:TLEVel (x = 1,2)

Level Selection | The Level Selection table section defines how the voltage of each of the test tones is determined:
Use separate levels for each tone | The Total Level is ignored. It can still be edited for future measurements where the Level Selection parameter is set to Manual.
Use Total Level | The Total Level entered in the Manual column is evenly distributed among all test tones. This means that the level of each test tone enabled via the AF Gen. switch in the Tone Definitions table is set to Total Level / n where n is the number of test tones enabled (n = 1 to 20).

Remote control
CONFigure:MULTitone:AFxChannel:TDEFinition:MODE (x = 1,2)
SEParate | TLEVel

Tone Definitions The Tone Definitions table assigns an audio frequency (in Hz) and RMS voltage (in mV) to each of the 20 test tones.

The frequencies must be multiples of 1 Hz. It is possible, however, to define several tones at the same frequency, or to number the tones in arbitrary order: The x-axis is scaled by the number of the test tones, not by their frequency. The RMS voltages (levels) of different tones may coincide and can vary within the range quoted in the remote control command description in Introduction - Commands. The sum of all test tones must not exceed the maximum level of the AF generator quoted in the data sheet.

Note:
The voltages of all test tones enabled can be set manually or automatically, depending on the setting of the Level Selection parameter described above.
The AF Gen. checkbox switches the tone in the audio signal and the corresponding bar in the test diagram on (if checked) or off.

Remote control
CONFigure:MULTitone:AFxChannel:TDEFinition <Freq_1>,<Level_1>,<Enable_1>,...
CONFigure:MULTitone:AFxChannel:TDEFinition:TONE<nr> <Freq>,<Level>,<Enable>,... (x = 1,2)


1. CMU 200 / CMU-B17 in combination with SMIQ / SMIQ-B14

IQ/IF scenario: Fading Path or Bypass w. I/Q IF OUT

IQ/IF scenario: Bypass w. I/Q IF OUT

The CMU incl. option CMU-B17 in combination with R&S signal generator SMIQ incl. IQ fading simulator option SMIQB14 can be used for receiver Bit Error Rate tests under fading conditions. The IQ output of CMU-B17 transmitter (TX) path feeds the signal into SMIQ's IQ input. The SMIQ forwards the faded RF signal directly to the receiver (RX) of the DUT. The illustrated test setups depend on the test scenario selected on option CMU-B17.

For more information please refer to R&S application note 1MA07_0E: SMIQ as Fading Simulator for External Signals.


1. Default setting: Bypass mode for RF tests with maximum accuracy

  • The path loss due to the inserted board CMU-B17 will be corrected automatically during the mandatory calibration procedure after installation of the option.

  • The option has no influence on transmitted and received signals.


2. CMU 200 / CMU-B17 in combination with fading simulator ABFS

IQ/IF scenario: Fading Path

The CMU 200 incl. option CMU-B17 can be used in combination with the IQ fading simulator R&S ABFS for receiver tests under fading conditions. In this case the signal is routed to the DUT via the CMU's RF interface.

Additional information for GSM:

To avoid unwanted influences on the fading profile it is highly recommended:

  • To set all timeslots to the same level.
  • To configure the TX signal of the CMU with the same RF frequencies and RF levels for both TCH and BCCH.
  • To switch hopping off.


2. Scenarios for I/Q-IF signal monitoring

  • Monitoring of uplink and downlink signals via IF or I/Q outputs possible.
  • The insertion loss of option CMU-B17 will be corrected during the calibration procedure.
  • This mode can be used for fading applications.


3. Interruption of I/Q or IF signal paths for external signal processing

Fading Path scenario:

  • The Fading Path scenario can be used for connecting an external baseband-fading simulator (pls. see next chapter, CMU200 and ABFS).
  • The transmitted signal can be routed to the fading simulator via IF or IQ outputs.
  • Additionally it is possible to return the faded signal via IQ input.

I/Q IN/OUT scenario

IF IN_I/Q IN/OUT scenario

IF IN/OUT scenario


Application Examples

The following section is intended as a short introduction to possible applications of option CMU-B17. For detailed information refer to the relevant application notes.

More:

Bit Error Rate Measurements on Digital Receivers under Fading Conditions

CMU200 as I/Q Generator and RF Analyzer

CMU200 as RF Generator and I/Q Analyzer


Bit Error Rate Measurements on Digital Receivers under Fading Conditions

1. CMU 200 / CMU-B17 in combination with SMIQ / SMIQ-B14

2. CMU 200 / CMU-B17 in combination with fading simulator ABFS


CMU200 as I/Q Generator and RF Analyzer

Another important application is the generation of IQ signals meeting the relevant standards. It is possible to generate complex signals that may even originate from a real signalling sequence. Most mobile radio chipsets comprise an RF chip and a baseband chip that communicate with each other via an analog IQ interface. The CMU-B17 IQ-interface can then be used to access the two chips. In mobile radio development, different teams are often required for this purpose and the new testing feature via the IQ interfaces allows development work to be divided in space and time.

IQ/IF scenario: Bypass w. I/Q IF OUT


CMU200 as RF Generator and I/Q Analyzer

If IQ signals are applied to the receive section of the tester, signal analysis can be performed in the same manner as when analyzing an RF signal. In this test setup, a modulation analysis is useful since it assesses the quality of an IQ signal. The modulation analysis measures quantities such as the I/Q offset and I/Q imbalance, which are directly related to the I/Q signals. In addition, it provides more complex evaluations such as the error vector magnitude (EVM).

IQ/IF scenario: User defined: RX Path: I/Q IN/OUT TX Path: Bypass


I/Q-IF Test Scenarios

A short overview of test scenarios with the necessary RX and TX path settings is given in the table in section TX Path. The following examples illustrate the functionality in more detail.

The list of scenarios is not necessarily complete: Depending on the application, it is possible to define customized, User defined test scenarios.

More:

1. Default setting: Bypass mode for RF tests with maximum accuracy

2. Scenarios for I/Q-IF signal monitoring

3. Interruption of I/Q or IF signal paths for external signal processing


Auto-increment function

A question mark within the file name is replaced by current numbers that are automatically incremented, starting with zero. The file name PRINT?? means that the first file stored will be PRINT00, the next one will be PRINT01 etc. To create more than 100 different print files, another name or destination must be specified.

Note: A third question mark in the file name extends the auto-increment function so that up to 999 print files can be stored. Keep in mind the memory of the internal hard disk when using this feature.

Remote control
-


Functions - Print Menu (PRINT Menu) - Print Menu - Comment

Comment

The input field Comment contains a comment (comprising up to 160 characters) for the current output. This field is not available if a *.wmf output is generated. When the output is sent to a printer the comment is written across the upper edge of the page.


Destination

The Destination select field permits to specify the output destination for the data:

Printer | Output to external printer connected via the parallel or one of the serial interfaces. The printer is configured in the Setup -Print tab.
Internal | Storing in the current printer format to directory Internal\userdata\print\<Dir> where <Dir> is the target directory specified in the Filename Default input field of the Setup - Print tab. If <Dir> is not explicitly defined, the files are written to Internal\userdata\print.
Internal WMF | Storing in *.wmf format.
External | Storing in the current printer format to the <Dir> target directory (see Internal above) on the PCMCIA card (slot 0, right-hand slot) or floppy disk (with option CMU-U61). A message box Please insert disc ! Repeat ? Yes/No pops up if no storage medium is inserted in the drive. To print, insert the appropriate medium and confirm with Yes.
External WMF | Storing in *.wmf format to the PCMCIA card or floppy disk; see above.

Note:
To make processing of the generated data files easier, we recommend to use the External output destination.


Filename Default

The Filename Default section defines a default file name and directory for an output that is written to an internal or external storage medium.

It is possible to specify a path separated from the filename by a backslash "\" in order to create a directory structure on the storage medium. This path is relative to directory Internal\userdata\print of the CMU hard disk (Internal storage) or the root directory of the External storage medium.


Header

The Header section defines and activates header for the printed page.

Print header | Print the header defined in the Header Text input field when a page is printed. An additional comment for every single page can be defined in the Print popup menu (see Print Menu).
Header Text | Input field for a header with a maximum length of two lines.
Print Date & Time | Inclusion of the current date and time in the header, provided that a header is to be printed.


OK-Button

Ok | The Ok button starts the data output and closes the Print menu. To cancel the print process while preserving the current settings and close the Print menu press the PRINT key again.
 | Remote control -


Page Settings

The Page Settings section activates the input of the page settings for the selected printer

Resolution | Fixed 150 dpi printer resolution
Paper Size | Selection of ISO A4 or US LETTER paper
Black & White print | Color (check box off) or black & white printer


Printer

The Printer table section selects a printer type and the printer port. The connection of a printer is described in chapter 1 of the operating manual.


Printer format

The current printer format is indicated below the Comment input field. To change this format, open the Setup -print tab to select another printer.


Print Mode

The Print Mode select field permits to specify the data type for the output:

Screen-Dump (Landscape) Copy of the current display in landscape format

An example of a screen-dump copy is shown in a preview to the right of the select field.


Reset/Cancel

Reset

The Reset button resets all settings in the selected function groups and test modes.

A box pops up to confirm the reset. While the reset is performed, the message Reset in progress is displayed. All running measurements are aborted and a connection to a DUT is dropped. Then the Reset popup window is closed and the CMU returns to the function group and test mode that was active when the reset was initiated.

Note:
A reset of the active function group is faster because no additional software modules must be loaded. Additive function groups (e.g. an Audio function group which complements a GSM function group) are reset together with the selected function groups.

A reset of all instrument settings can also be performed during the startup procedure.

The reset button restores the default values for manual control. In cases where the remote control commands use distinct default values (e.g. the repetition modes) only the manual default values are restored:

Remote control
SYSTem:PRESet[:ALL] (base system)

Compare:
SYSTem:RESet[:ALL] (default parameters in remote control, base system)
SYSTem:RESet:CURRent (default param. in remote control, all function groups).

Cancel

The Cancel button cancels the selection that has been made and closes the menu. Cancel is selected by default when the Reset menu is opened.

Remote control
-


Selection of the Settings

All function groups and test modes available on the instrument are arranged in a tree view. When the popup is opened, this configuration tree is expanded and the active function group and test mode is selected.

Nodes containing subnodes (e.g. function groups containing the test modes Non Signalling and Signalling) are marked with rectangular symbols, lowest-level nodes (e.g. the individual test modes within a function group) with smaller, quadratic symbols:

The node is deselected
The node is partially selected, i.e. some but not all of the subnodes are selected
The entire node is selected, i.e. all of the subnodes are selected

The controls in the Reset window are manipulated with the roll-key, the cursor keys and the ENTER key:

 | Toggle between the Cancel and the Reset buttons
 | Toggle between the control buttons (Cancel, Reset) and the tree view
Roll-key | Toggles between the Cancel and the Reset buttons (when turned) or activates a button (when pressed). In the tree view, the roll-key moves the control frame up and down (when turned) or expands/compresses a node (when pressed). Pressing the roll-key on a lowest-level node selects or deselects the node.
ENTER | Activates a button or selects/deselects a node including all subnodes.


Analyzer/Generator - Configuration

The popup menu Analyzer/Generator Configuration configures the RF analyzer measurements. It is opened by pressing the Analyzer Power measurement control softkey in the Analyzer/Generator menu twice.

In the Control tab of the Analyzer/Generator Configuration menu both power measurement applications of the Analyzer/Generator menu can be configured independently. The tab defines:

  • The center Frequency of the RF analyzer
  • The Repetition mode
  • The Statistic Count for the measurement (for the Power Meter Freq. Sel. measurement only)
  • The Resolution Bandwidth of the measurement filter

Analyzer/Generator Configuration - Control

More:

Default Settings

Frequency

Resolution Bandwidth

Repetition

Statistic Count


Analyzer/Generator Menu - Measurement Results

Analyzer/Generator Menu – Measurement Results

The results displayed in the Analyzer/Generator menu depend on the selected application. All results are obtained at a definite frequency and resolution bandwidth; see Analyzer Settings softkey.

Analyzer Level:

The result for the Analyzer Level application appears in a single output field.

The indicated Power is the power of the RF input signal measured at the selected frequency and RBW and averaged over a basic evaluation period/sweep of 4096 samples. The result is updated after each sweep.

Pow. Meter Freq. Sel.:

The results for the frequency selective power meter (Pow. Meter Freq. Sel.) application are displayed in several groups of output fields. All results are obtained at the selected frequency and RBW. The statistical evaluation is based on a basic evaluation period/sweep of 4096 samples and on the statistics cycle (Statistic Count) defined in the configuration menu.

Power (Curr.) | Average, minimum and maximum power of the RF input signal in the current sweep
Power (Avg.) | Average, minimum and maximum of the Power (Curr.) values: The Maximum (Minimum) value is the largest (smallest) power ever measured in the current measurement. Average is the average over all Average – Power (Curr.) values in the current measurement, obtained according to the averaging rules described in Chapter 3, section General Settings.
Statistic Count | Number of sweeps per statistics cycle. The colored bar indicates the relative measurement progress in the statistics cycle
Frequency | Frequency of the RF input signal. The frequency can be measured with an accuracy of 0.1 Hz.


Analyzer/Generator Menu - Test Settings

Analyzer/Generator Menu – Test Settings

The main menu Analyzer/Generator is opened from the main menu Menu Select (with associated key at front of instrument). It can also be accessed from the other measurement menus of the function group RF via the Ana./Gen. hotkey.

The settings for the Analyzer/Generator menu are accessible via softkey/hotkey combinations. If a softkey (located in the softkey bar on the right side of the menu) is selected and an associated hotkey (displayed across the bottom of the menu) is pressed, a popup window indicating the current setting and enabling an entry will appear.

More:

Analyzer Settings

Analyzer Power

Measurement configuration

Application

Analyzer Level

Analyzer Settings

Generator Tx Aux Tx

Settings table


Functions - RF Measurements (RF) - Analyzer/Generator Menu - Test Settings - Analyzer Level

Analyzer Level

The Analyzer Level softkey controls the level in the RF input signal path and provides the trigger settings for the current measurement.

The input level and trigger settings are general settings and therefore also provided in the Connection Control menu.


Functions - RF Measurements (RF) - Power Measurements - Analyzer Power

Analyzer Power

Analyzer Power is an application in the Analyzer/Generator menu. The measurement yields the average power of an RF input signal over a sweep; see section Analyzer/Generator Menu – Measurement Results.

A wide range of measurement filters including a wideband filter is available. The accuracy of the Analyzer Power (including the wideband power) measurement is enhanced if the center frequency of the analyzer matches the frequency of the measured signal.

The characteristics of the Analyzer Power measurement makes it particularly suitable for the analysis of CW signals where no measurement curves are needed.


Functions - RF Measurements (RF) - Analyzer/Generator Menu - Test Settings - Analyzer Power

Analyzer Power

The Analyzer Power softkey (which changes to Power Meter Freq. Sel., depending on the application selected) controls the measurement application and indicates its state (RUN | HLT | OFF). This state can be changed after softkey selection (pressing once) by means of the ON/OFF key or the CONT/HALT key. The state can be set independently for all three applications.

Remote control
INITiate:RFANalyzer
ABORt:RFANalyzer
STOP:RFANalyzer
CONTinue:RFANalyzer
FETCh:RFANalyzer:STATus?
FETCh[:SCALar]:RFANalyzer:POWer? etc.


Functions - RF Measurements (RF) - Analyzer/Generator Menu - Test Settings - Analyzer Settings

Analyzer Settings

The Analyzer Settings softkey displays a hotkey bar including the hotkey labeled Frequency.

Frequency
         The Frequency hotkey opens the input window Frequency.
Input windows indicate the current parameter value (in this case: the current RF input frequency) or a list of the possible settings. Parameters are changed by
  • Overwriting/incrementing numerical values (for numerical parameters)
  • Selecting from the list of parameters (for select parameters)

Each Analyzer/Generator application is controlled by means of the measurement control softkey below the Connect. Control softkey and the associated hotkeys.


Functions - RF Measurements (RF) - Analyzer/Generator Menu - Test Settings - Analyzer Settings

Analyzer Settings

The Analyzer Settings softkey determines the center frequency of the RF analyzer and the resolution bandwidth of the measurement filter. The settings are specific to the Analyzer/Generator menu and also provided in the Control tab of the Analyzer/Generator Configuration menu.


Functions - RF Measurements (RF) - Analyzer/Generator Menu - Test Settings - Application

Application

The Application softkey selects the measurement application. The measurement control softkey (second softkey below Connect. Control) indicates the current application. Some of the hotkeys associated with the different softkeys, the Setup table, and the results in the Analyzer/Generator menu also vary as a function of the application.

Analyzer Power | The Analyzer Power hotkey selects the measurement of the peak power using a filter with variable bandwidth or a wideband filter. In this application no statistical evaluation of the results is provided.
 | Remote control The Analyzer Power application corresponds to the RFANalyzer subsystem.

Pow. Meter Freq. Sel. | The Pow. Meter Freq. Sel. hotkey selects the measurement of the peak and average power using a wide selection of narrow-band (and therefore frequency selective) filters. In this application a statistical evaluation of the results is provided.
 | Remote control The Pow. Meter Freq. Sel. application corresponds to the NPOWer subsystem.


Functions - RF Measurements (RF) - Analyzer/Generator - Configuration - Default Settings

Default Settings

The Default All Settings switch assigns default values to all settings in the Control tab. In addition, default switches for the individual applications are provided.

Remote control
–


Functions - RF Measurements (RF) - Analyzer/Generator - Configuration - Frequency

Frequency

Frequency defines the center frequency of the RF analyzer. This setting is valid for both Analyzer/Generator measurement applications.

Remote control
[SENSe:]RFANalyzer:FREQuency <Frequency>


Functions - RF Measurements (RF) - Analyzer/Generator Menu - Test Settings - Generator Tx Aux Tx

Generator Tx Aux Tx

The Generator softkey configures the RF signals generated. The generator settings are general settings and therefore also provided in the Connection Control menu.

The RF Level hotkey is also used to switch the RF generator on and off.

If option R&S CMU-B95, Second RF Generator, is fitted, the Generator softkey toggles between the primary RF signal (Tx) and the auxiliary RF signal (Aux Tx) settings. The properties of the Aux Tx signal are also described in section Generator Settings - Connection Control-Generator .


Functions - RF Measurements (RF) - Analyzer/Generator Menu - Test Settings - Measurement configuration

Measurement configuration

Pressing the Analyzer Power softkey twice opens the popup menu Analyzer/Generator Configuration.

Besides a number of hotkeys defining the scope of the measurement are associated to the Analyzer Power softkey. The corresponding settings are specific to the Analyzer/Generator menu and also provided in the Control tab of the Analyzer/Generator Configuration menu.


Measurement Configurations (Analyzer Configuration)

The popup menu Analyzer Configuration contains three tabs that determine the parameters of the Audio measurement. It is opened by pressing the softkey Analyzer in the measurement menu Analyzer/Generator twice. It is possible to change between the tabs by pressing the associated hotkeys.

The popup menu Analyzer Configuration is activated by pressing the measurement control softkey at the top right in the graphical measurement menu Power twice. It is possible to change between the tabs by pressing the associated hotkeys.

More:

Measurement Control (Analyzer Configuration - Control)

Generator Settings (Analyzer Configuration - Generator)

Input Path Configuration - Analyzer Configuration - Filter


Measurement Control (Analyzer Configuration - Control)

The Control tab determines:

  • The Repetition mode,
  • The AF Path Coupling of the audio measurement.
  • The reference frequency of the distortion measurement (Distortion Frequency).

The settings can be defined independently for the applications Analyzer 1 and Analyzer 2.

Analyzer Configuration - Control

Default Settings | The Default switch assigns default values to all settings in the Control tab (the default values are quoted in the command description in Introduction - Commands). In addition, default switches for the individual applications are provided.

Remote Control
-

Repetition | The Repetition field determines the repetition mode, see Introduction - Manual Operation and explanations given in section Measurement Configurations (Power Configuration). In Audio, one statistics cycle is terminated when the system has settled and a valid result is available.

Remote control
CONFigure:AFANalyzer:<Applic>:CONTrol:REPetition
CONTinuous | SINGleshot | 1 ... 10000,NONE,<Stepmode>

Path /
Coupling 		Path Coupling sets the input path for measurement of the AC or AC and DC component of the AF signal:
AC | DC component of the measured AF signal (including a possible DC offset of the input amplifier) blocked. This ensures accurate measurement of the AC component. The DC component, however, can not be measured.
DC | Measurement of the complete AF input signal (DC plus AC components).
Note:
The path coupling has an impact on the allowed filter settings; see section Input Path Configuration - Analyzer Configuration - Filter.

Remote control
CONFigure:AFANalyzer:<Applic>:CONTrol:COUPling AC | DC

Distortion
Frequency 		Distortion Frequency defines the reference frequency of the distortion measurement. If the reference frequency is set to the fundamental frequency of the AF signal, the Distortion value corresponds to the Total Harmonic Distortion and Noise.

Remote control
CONFigure:AFANalyzer:<Applic>:CONTrol:DISTortion:FREQuency


Measurement Menu Analyzer/Generator

The main menu Analyzer/Generator defines the DC or sinusoidal AC signals generated by the two audio generators and displays the voltage of the two measured audio signals.

  • The measurement control softkey Analyzer 1, which changes to Analyzer 2, depending on the audio measurement application selected) controls the measurement, indicates its status (RUN | HLT | OFF) and opens the configuration menu Audio Configuration. The hotkeys associated to the measurement control softkey define the scope of the Audio measurement.
  • The other softkeys to the right of the test diagram are combined with various hotkeys (e.g. the hotkeys AF Max. Level and AF Mode belong to the softkey Analyzer Level). The softkey/hotkey combinations provide test settings and switch over between different measurements.

The Analyzer/Generator menu is opened from the main menu Menu Select (with associated key at front of instrument) or via the Audio hotkey which is available in all GSM-MS, Bluetooth, cdmaOne (IS 95)-MS, CDMA2000, or TDMA (IS 136)-MS measurement menus. Compared to the standalone case, the network audio option offers an extended functionality:

  • The Connect. Control softkey from the previous (calling) GSM function group is also available in Audio. The corresponding menu is described in the relevant operating manuals; see overview of CMU documentation at the beginning of the present CMU manual.
  • A symbol indicating the GSM test mode is displayed in the menu header.
  • A hotkey switching back to the GSM function group shows at the bottom of the menu.

The actual Audio functionality is identical in the standalone and network modes.

More:

Test Settings

Measurement Results

Results

AF Connector Overview

Settings


Measurement Results

The output fields in the left half of the Analyzer/Generator menu show the current measurement results. The results depend on the selected application.

The results displayed in the Analyzer/Generator menu represent only a small fraction of the power results that the CMU is able to acquire. More results are displayed in the Power and Spectrum measurement menus. In particular, the Power and Spectrum menus show the results as a function of time and frequency.

Note: An additional wideband power measurement menu is provided in the Connection Control menu.


Functions - RF Measurements (RF) - Power Measurements - Pow. Meter Wideband

Pow. Meter Wideband

The Pow. Meter Wideband softkey controls the wideband power measurement and indicates its status (RUN | HLT | OFF). The status can be changed after softkey selection (pressing once) by means of the ON/OFF key or the CONT/HALT key. The measurement result is in units of dBm. The analog bar to the right of the softkey shows the measured power relative to the total measurement range.

The wideband power measurement is performed at the RF Frontend of the CMU and yields the peak power of the input signal inside a wide frequency range. For modulated RF signals, the result of the wideband power measurement depends on the modulation characteristics. The main purpose of the measurement is to indicate whether an input signal is available and whether it is advisable to change the Max Level settings.

Note: The RF function group provides a wide selection of power measurements. For an overview see section Power Measurements.

Remote control
INITiate:WPOWer
FETCh:WPOWer:STATus?
READ[:SCALar]:WPOWer?
FETCh[:SCALar]:WPOWer?
SAMPle[:SCALar]:WPOWer?


Power Meter Freq. Sel.

Power Meter Freq. Sel. is the second application in the Analyzer/Generator menu. The measurement yields the average, minimum and maximum power of an RF input signal over a sweep plus a statistical evaluation over several consecutive sweeps; see section Analyzer/Generator Menu – Measurement Results .

A wide range of measurement filters including the filters specified for TDMA and CDMA conformance tests is available. The measurement is always frequency selective; no wideband filter is provided. The measurement time depends on the filter bandwidth but never exceeds the order of magnitude of 100 ms for a single sweep. The frequency of the RF signal is also measured, provided that is close enough to the selected measurement frequency.

The characteristics of the Power Meter Freq. Sel measurement makes it particularly suitable for the analysis of CW signals where no measurement curves are needed.


Power vs. Time

The Power vs. Time measurement yields the power of the RF input signal over a variable time range. The result is displayed in a graphical diagram..

The measurement is performed at fixed frequency. A wide range of Gaussian measurement filters is available. The Power vs. Time measurement can be used to analyze an RF signal with variable power, e.g. a burst signal.


Functions - RF Measurements (RF) - Analyzer/Generator - Configuration - Repetition

Repetition

Repetition determines the repetition mode. Repetition modes for the applications Analyzer Power and Power Meter Freq. Sel. can be set independently.

Single Shot | Single-shot measurement: the measurement is stopped after one sweep comprising 4096 samples. A stopped measurement is indicated by the status display HLT in the Power softkey.
Continuous | Continuous measurement: The CMU measures continuously until the measurement is explicitly stopped via the measurement control softkey in the graphical measurement menu. The measurement results are valid after one sweep; however, the measurement is continued, and the output is continuously updated. An ongoing measurement is indicated by the status display RUN in the Power softkey.

Single shot should always be selected if only a single measurement result is required under fixed conditions. The continuous measurement is suitable for monitoring the evolution of a measured quantity in time, for example for adjustments.

Note:
In remote mode, the counting measurement (counting mode) is available as a further repetition mode with a defined number of measurement cycles to be performed, see chapter 6 of this manual.

Remote control
CONFigure:RFANalyzer:CONTrol:REPetition
CONTinuous | SINGleshot | 1 ... 10000,NONE,<Stepmode>
CONFigure:NPOWer:CONTrol:REPetition
CONTinuous | SINGleshot | 1 ... 10000,NONE,<Stepmode>


Functions - RF Measurements (RF) - Analyzer/Generator - Configuration - Resolution Bandwidth

Resolution Bandwidth

Resolution Bandwidth defines the resolution bandwidth of the analyzer. The nominal resolution bandwidth is the 3-dB bandwidth of the measurement filter. The bandwidths available depend on the measurement application:

  • For both applications, a list of Gaussian filters with discrete bandwidths between 10 Hz and 1 MHz is available. The frequencies in the list are given by 1x10n Hz, 2x10n Hz, 3x10n Hz, 5x10n Hz where n=1 to 5. In addition the value 1 MHz is provided.
  • The Analyzer Power measurement can be performed with a WIDE resolution bandwidth (denoting measurement at the front end with no restriction of the analyzer frequency and level). The wide-band measurement is most accurate if the correct center frequency is set.
  • The Pow. Meter Freq. Sel. measurement can be performed with the root-raised cosine filter specified in standard TIA/EIA-136.xxx (TDMA filter) or with an 1.4 MHz bandpass filter specified for CDMA measurements (CDMA filter).

Resolution bandwidths for the Power and Spectrum measurements can be set independently.

Remote control
[SENSe:]RFANalyzer:BWIDth[:RESolution] <Bandwidth>
[SENSe:]NPOWer:BWIDth[:RESolution] <Bandwidth>


Settings table

The Settings table in the right half of the Analyzer/Generator menu gives an overview of the measurement settings belonging to the current application. It changes when a different application is selected. The rotary knob scrolls and expands the Settings table.


Functions - RF Measurements (RF) - Analyzer/Generator - Configuration - Statistic Count

Statistic Count

Statistic Count defines how many sweeps are combined to form one statistics cycle. Each sweep consists of 4096 samples. This setting is available for the Power Meter Freq. Sel. application; for Analyzer Power measurements the Statistic Count is always equal to one.

1 to 1000 sweeps Number of sweeps per statistics cycle

The settings 1 and OFF (press ON/OFF key) are equivalent. A statistics cycle determines the duration of single-shot measurements.

Remote control
CONFigure:NPOWer:CONTrol:STATistics 1 ... 1000 | NONE


Types of settings

The purpose of the Analyzer/Generator menu is to provide quick access to the most common RF analyzer and generator settings and to present the basic power results at a glance. Two measurement applications Analyzer Power or Power Meter Freq. Sel. can be selected with the Application softkey. The remaining softkeys/hotkey combinations provide two different types of settings:

  • General settings are valid for all applications of the RF function group. Changing general settings in any application will have an impact on all measurements and applications of the function group. Examples of general settings are the RF Max. Level and the trigger settings (softkey Analyzer Level) and the configuration of the RF generator (softkey Generator).
  • Specific settings are relevant for one application only, or they can be set independently for several applications. Changing specific settings in an application will not affect the other measurements and applications of the function group. Examples of specific settings are the Repetition mode (to be set independently for all applications) and Statistic Count (not relevant for the Analyzer Power application).


Functions - RF Measurements (RF) - Table Oriented Version - Analyzer Settings - Default Settings

Default Settings

Default All Settings assigns default values to all settings in the Analyzer tab (the default values are quoted in the command description in chapter 6 of this manual). Additional default switches are provided for the Analyzer Level and Analyzer Settings table sections.

Remote Control
[SENSe:]LEVel:DEFault


RF Attenuation

RF Attenuation defines how the RF analyzer of the CMU is tuned to meet the requirements of the current measurement type. In general, a compromise between the acceptable noise level in the displayed result and the contribution of internally generated distortion must be reached.

Normal | Mixer level in normal range,
Low noise | Mixer level enhanced by +10 dB (full dynamic range of CMU, therefore recommended for both Power and Spectrum measurements),
Low distortion | Mixer level reduced by -10 dB (high intermodulation spacing).

The RF Attenuation setting permits the CMU to be adapted to the requirements of the measurement. The advantages and disadvantages of the settings Low noise and Low distortion are listed in the following table.

 | Advantages | Disadvantages
Low noise | Low noise high dynamic range | No RF overdrive reserve Risk of intermodulation
Low distortion | High intermodulation spacing | Lower dynamic range

Remote control
[SENSe:]LEVel:ATTenuation NORMal | LNOise | LDIStortion


RF Max. Level

RF Max. Level determines the maximum permissible input level (overload level). The maximum input level determines the upper edge of the diagram in the graphical menu Power and is also displayed next to the softkey RF Max. Level in the main menu Analyzer/Generator. The upper edge of the Spectrum diagram is set independently via the Reference hotkey, see section Measurement Menu (Spectrum) - Test settings.


RF Mode

RF Mode determines how the maximum input level is set:

Manual | Manual input of maximum input level
Auto | Automatic setting of maximum input level (autoranging) according to the power of the applied signal.

Remote control
[SENSe:]LEVel:MODE MANual | AUTomatic


Softkey-Oriented Version - Analyzer Settings

The softkey-oriented version of the Analyzer tab determines the maximum input level (RF Max. Level), the way this level is defined (RF Mode) and the attenuation of the RF input path (RF Atten.). All settings of this menu are also provided in the softkey-oriented version of the Analyzer tab; see section Table Oriented Version - Analyzer Settings .

Connection Control - RF analyzer settings (softkey)


Table Oriented Version - Analyzer Settings

The table-oriented version of the Analyzer tab determines:

  • The maximum expected input level (RF Max. Level) and the way it is defined (RF Mode)
  • An external input attenuation or gain (RF Attenuation)
  • The Frequency and the resolution Bandwidth of the RF analyzer (Analyzer Settings)
  • The RF Path for the analyzed signal

Connection Control - RF analyzer settings (table)

More:

Default Settings

RF Max. Level

RF Mode

Value range

RF Attenuation


Functions - RF Measurements (RF) - Table Oriented Version - Generator Settings - AF Frequency

AF Frequency

The setting is valid for both the Tx and the Aux Tx signal. The setting is valid for both the Tx and the Aux Tx signal.

AF Frequency defines an AF frequency which is used for SSB or AM modulation; see Modulation softkey above.

If SSB modulation is set, the frequency of the RF carrier signal is shifted by the AF frequency, which can be either positive or negative. If AM modulation is set, the RF signal is amplitude-modulated with the AF frequency (which has to be positive) and with a given modulation index (see softkey Modulation Index below). An application for SSB modulation is given in chapter 7.

Remote Control
SOURce:RFGenerator:MODulation:SSB:FREQuency <Frequency>


Functions - RF Measurements (RF) - Table Oriented Version - Generator Settings - Default Settings

Default Settings

Default All Settings assigns default values to all settings in the Generator tab (the default values are quoted in the command description). Additional default switches are provided for the individual signals Tx and AUX Tx.

Remote Control
DEFault:RFGenerator
DEFault:RFGenerator:TX
DEFault:RFGenerator:AUXTx


FM Frequency

FM Frequency defines how fast the frequency of the FM modulated RF signal changes. The frequency of the modulated signal periodically and continuously oscillates between <Carrier frequency – FM Deviation> and <Carrier Frequency + FM Deviation>. FM Frequency is the frequency of this sinusoidal frequency oscillation. The setting is valid for both the Tx and the Aux Tx signal.

Remote Control
SOURce:RFGenerator:MODulation:FM:FREQuency


FM Deviation

FM Deviation defines the frequency deviation of the FM modulated RF signal, i.e. the maximum amount by which the frequency of the modulated RF signal differs from the carrier frequency. The setting is valid for both the Tx and the Aux Tx signal.

Remote Control
SOURce:RFGenerator:MODulation:FM:DEViation <Deviation>


Functions - RF Measurements (RF) - Table Oriented Version - Generator Settings - Frequency

Frequency

Frequency defines the frequency of the generated RF signal. The setting is provided separately for the Tx and for the Aux Tx signal.

Note: The frequency of the Aux Tx signal is restriced to three separate ranges; see remote control description.

Remote control
SOURCe:RFGenerator:FREQuency <Frequency>
SOURCe:RFGenerator:AUXTx:FREQuency <Frequency>


Functions - RF Measurements (RF) - Table Oriented Version - Generator Settings - Frequency Hopping

Frequency Hopping

Frequency Hopping defines whether Tx is a signal with a single, constant basic frequency (frequency hopping Off) or a signal with two alternating frequencies (frequency hopping On). This setting is provided for the Tx signal only.

The basic frequency is the Frequency set in the RF Analyzer/Generator menu. The second (hopping) frequency can be entered in the Hopping Frequency input field. Two definitions of the hopping frequency are provided:

Absolute | The absolute value of the hopping frequency is entered.
Relative | The difference between the hopping frequency and the basic frequency is entered. The resulting absolute frequency, i.e. fabs = frel + fbase must lie in the allowed range for the CMU (see data sheet).

If frequency hopping is selected the RF signal frequency changes after every 4.615 ms: the dwell time at a frequency is as for GSM signals.

Remote control
SOURce:RFGenerator:FHOPping:STATe <ON | OFF>
SOURce:RFGenerator:FHOPping:FREQuency <Frequency>
SOURce:RFGenerator:FHOPping:FREQuency:MODE
<ABSolute | RELative>


Generator - Control

Generator – Control

Generator Control controls the RF generator and indicates its operating state (ON | OFF). The setting is provided separately for the Tx and for the Aux Tx signal.

Remote Control
INITiate:RFGenerator[:TX]; INITiate:RFGenerator:AUXTx
ABORt:RFGenerator[:TX]; ABORt:RFGenerator:AUXTx
FETCh:RFGenerator[:TX]:STATus?
FETCh:RFGenerator:AUXTx:STATus?


Functions - RF Measurements (RF) - Table Oriented Version - Generator Settings - Level

Level

Level defines the total level of the generated RF signal in dBm. The value range depends on the selected RF output (RF 1, RF 2 or RF 3 OUT). The setting is provided separately for the Tx and for the Aux Tx signal.

External attenuation | If an external gain or attenuation is used and reported to the instrument (see softkey Ext. Att. Output in the menu RF [image] ) the RF generator level is adjusted to maintain the commanded power after the attenuation or gain. As a consequence, all levels indicated are referenced to the input of the DUT and no longer correspond to the actual level at the output connectors of the CMU. The default value for the generator power is also shifted provided that the generator can output the required power, compensating for the external attenuation or gain. Otherwise it is adapted to the level closest to the shifted default value.
Error messages | If the entered generator level is too high or too low, a window with the error message "<Max_Level> is out of range. <permissible max. value> is limit." and three fields will appear:
Accept | The permissible max. value is accepted as RF Level,
Re-edit | RF Level is entered once again,
Cancel | The last valid input value is maintained.

When switching over to another output, the current value of RF Level is automatically adapted, if required:

  • Towards lower values to the maximum permissible value of the new output,
  • Towards upper values to the minimum value of the new output.

Remote control
SOURce:RFGenerator[:TX]:LEVel <Level>
SOURce:RFGenerator:AUXTx:LEVel <Level>


Low Spur Mode

Defines whether the mode to reduce the phase noise of the Tx signal is off or on. The CMU meets the specifications of the data sheet irrespective of the Low Spur Mode setting, so it is save to keep the default setting if no additional phase noise suppression is required. This setting is provided for the Tx signal only.

Remote control
SOURce:RFGenerator:LSMode:STATe <ON | OFF>


Modulation - Mode

Modulation – Mode

Modulation – Mode selects the modulation scheme of the RF signal. The setting is valid for both the Tx and the Aux Tx signal.

Off | Unmodulated (CW) RF carrier signal
SSB | RF carrier is shifted by a constant AF offset frequency defined with the AF Frequency softkey (Single Side Band modulation).

AM

RF carrier is amplitude-modulated by means of AF signal with constant frequency and modulation index set with the AF Frequency and Modulation Index softkeys.

FM

RF carrier is frequency-modulated with the frequency and deviation set with the FM Frequency and FM Deviation softkeys. FM modulation is incompatible with the Aux Tx signal; see background information.

Note:
The AM setting shifts the level ranges of all three RF outputs by –6 dB. Generating a FM modulated signal which is accurate over the full FM Frequency and FM Deviation parameter range requires an FM Modulation Calibration; see description of the Maintenance menu. It is sufficient to perform the calibration once after installing the RF software; the CMU will store the calibration data.

Remote control
SOURce:RFGenerator:MODulation OFF | SSB | AM | FM


Modulation Filter

The setting is valid for both the Tx and the Aux Tx signal.

Modulation Filter defines the resolution bandwidth of the modulation filter. The bandwidths 30 kHz, 300 kHz or Off (corresponding to a broadband modulation filter) can be selected.

In a Spectrum measurement a modulation filter suppresses the signals located to the right and to the left of the center frequency.

Remote Control
SOURce:RFGenerator:BANDwidth[:RESolution] <Bandwidth>


Functions - RF Measurements (RF) - Table Oriented Version - Generator Settings - Modulation Index

Modulation Index

Modulation Index defines the modulation index for AM modulation, i.e. the amplitude ratio of the modulating AM signal to the RF carrier signal in percent. The setting is valid for both the Tx and the Aux Tx signal.

The modulation index is in the range of 0% (no amplitude modulation) to 100%. Overmodulation is excluded.

Remote Control
SOURce:RFGenerator:MODulation:AM:INDex <Mod_Index>


Functions - RF Measurements (RF) - Table Oriented Version - Generator Settings - Ramping

Ramping

The Ramping parameter defines whether the Tx is a continuous, unmodulated signal (CW signal, Ramping is Off) or a series of pulses (Ramping is On). This setting is provided for the Tx signal only.

If ramping is On the CMU generates rectangular, GSM-like pulses with a duration of 577 &mu;s.

Remote control
SOURce:RFGenerator:PULSe:STATe <ON | OFF>


Softkey-Oriented Version - Generator Settings

The Generator tab controls and configures the RF generator. The CMU provides two independent RF signals Tx and Aux Tx (with option CMU-B95, Additional RF Generator), which can be configured as follows:

  • Level and frequency settings (RF Level, Frequency, Frequency Offset)
  • Selection of an amplitude modulation (including AF/SSB Frequency, Modulation Index)

All settings of this menu are also provided in the softkey-oriented version of the Generator tab; see section Table Oriented Version - Generator Settings .

Connection Control - RF generator settings (softkey)


Table Oriented Version - Generator Settings

The table-oriented version of the Generator tab configures the two independent RF output signals Tx and Aux Tx. It defines:

  • Level, Frequency, Frequency Offset and Modulation

  • Switchover between two frequencies (Frequency Hopping, for Tx signal only)

  • Time dependence of the signal power (Ramping, for Tx signal only)

  • Reduction of the phase noise (Low Spur Mode)

Aux Tx signal:

If option CMU-B95, Additional RF Generator, is fitted, the CMU provides a second RF signal AuxTx that can be applied to the one of the RF connectors RF1 or RF2. It is possible to superimpose both RF signals at the same output connector or use different connectors. Moreover, it is possible to assign independent external attenuation factors to both signals.

AuxTx is generated with the modulation settings of the primary Tx signal (in remote control:...RFGenerator:MODulation...) but with no frequency hopping or ramping. Option CMU-B95 extends the functionality of the GSM-MS measurements, see operating manual for options R&S CMU-K20/…/K24.

Note: The Aux Tx signal is not compatible with FM modulation. The Aux Tx generator is switched off when the modulation mode is set to FM. It remains in the Off state even when FM modulation is deactivated.

Connection Control - RF generator settings (table)

More:

Default Settings

Modulation – Mode

AF Frequency

Modulation Index

Modulation Filter

FM Frequency

FM Deviation

Generator – Control

Level

Frequency

Frequency Hopping

Ramping

Low Spur Mode


Functions - RF Measurements (RF) - I/Q-IF Interface (Connection Control - I/Q-IF) - Default Settings

Default Settings

The Default Settings checkbox assigns the default setting to all functions in the I/Q-IF tab.

Remote control
IQIF:DEFault ON | OFF


Functions - RF Measurements (RF) - I/Q-IF Interface (Connection Control - I/Q-IF) - I/Q-IF

I/Q-IF

Selects the I/Q-IF test scenario, overwriting the current RX Path and TX Path settings. Six different predefined test scenarios with fixed RX and TX path are provided.

Additional scenarios may be defined by selecting any other combination of RX and TX paths. When this is done I/Q-IF is set to User-defined. The circuit diagram to the left of the Setup table shows the current RX and TX signal paths.

Remote control
CONFigure:IQIF:RXTXcombined
BYP | BYIQ | XOIO | IOIO | IOXO | FPAT | UDEF


Functions - RF Measurements (RF) - I/Q-IF Interface (Connection Control - I/Q-IF) - RX Path

RX Path

Selects the RX signal path, leaving the TX Path unchanged but adapting the I/Q-IF test scenario to the new RX/TX path combination: If the combination corresponds to a predefined scenario, then I/Q-IF is set to the predefined scenario; otherwise it is set to User-defined.

The circuit diagram to the left of the Setup table shows the current RX and TX signal paths.

Remote control
CONFigure:IQIF:RXPath
BYP | BYIQ | XOIO | IOIO | IOXO | FPAT | UDEF


Functions - RF Measurements (RF) - I/Q-IF Interface (Connection Control - I/Q-IF) - TX Path

TX Path

Selects the TX signal path, leaving the RX Path unchanged but adapting the I/Q-IF test scenario to the new RX/TX path combination: If the combination corresponds to a predefined scenario, then I/Q-IF is set to the predefined scenario; otherwise it is set to User-defined.

The circuit diagram to the left of the Setup table shows the current RX and TX signal paths.

Remote control
CONFigure:IQIF:RXPath
BYP | BYIQ | XOIO | IOIO | IOXO | FPAT | UDEF

I/Q-IF scenarios and path settings

I/Q-IF | RX Path | TX Path | Remark/Application (see also CMU manual)
RX/TX Bypass | Bypass | Bypass | No I/Q or IF inputs/outputs connected Direct signal analysis and transmission with full measurement accuracy
Byp. w. I/Q-OF OUT | Bypass w. I/Q-IF OUT | Bypass w. I/Q-IF OUT | No I/Q or IF inputs connected Analysis of received and transmitted signal via I/Q or IF
I/Q IN/OUT | I/Q IN/OUT | I/Q IN/OUT | Insertion of signal to be analyzed and transmitted on I/Q level
IF IN_I/Q IN/OUT | IF IN_I/Q IN/OUT | IF IN_I/Q IN/OUT | Additional processing of received and transmitted signal on IF level (filters etc.) and analysis via I/Q
IF IN/OUT | IF IN/OUT | IF IN/OUT | Insertion of signal to be analyzed and transmitted on IF level
Fading | Bypass | I/Q IN/OUT | Direct analysis of received signal Modification (fading) of transmitted signal by means of an external fading simulator (SMIQ, ABFS)
User-defined | Any combination of RX Path and TX Path not listed above |  | Any combination of RX and TX test cases listed above


Functions - RF Measurements (RF) - RF Connectors (Connection Control - RF) - Ext. Att. Input

Ext. Att. Input

The softkey Ext. Att. Input enters the value of the external attenuation (or gain) at the selected RF input.

Input of an external attenuation is required if, for example, external attenuator pads are used for protection of the sensitive RF inputs of the CMU or if a path attenuation is included in the test setup.

If an external input attenuation is reported to the instrument, all levels measured are referenced to the output of the DUT and therefore shifted with respect to the actual level at the input connectors of the CMU. The level ranges for the input connectors are shifted as well.

Note:
The LEDs on the front panel are only "on" (light) if the measurement is active.

Note: RF User Correction
In addition to the static external input attenuation setting, the CMU provides a systematic correction of the measured RF power by means of user-defined, frequency and level-dependent correction tables; see section RF User Correction in Chapter 1.

Remote control
[SENSe:]CORRection:LOSS:INPut<nr>[:MAGNitude]
SOURce:CORRection:LOSS:INPut<nr>[:MAGNitude] <Loss>


Functions - RF Measurements (RF) - RF Connectors (Connection Control - RF) - Ext. Att. Output

Ext. Att. Output

The softkey Ext. Att. Output defines an external attenuation (or gain, if the value is negative) at the selected RF output.

Input of an external attenuation is suitable if, e.g., a path attenuation (cable) is included in the test setup, which is to be compensated for by an increased signal level.

If an external attenuation is defined, the output signal level is referenced to the input of the DUT, the generator level is therefore shifted with respect to the actual level at the input connector of the CMU. The default value for the generator power and the level ranges for the RF outputs are also shifted provided that the generator can output the required power, compensating for the external attenuation or gain, indicated with + x dB. Otherwise it is adapted to the level closest to the shifted default value.

Note: RF User Correction
In addition to the static external output attenuation setting, the CMU provides a systematic correction of the generated RF power by means of user-defined, frequency and level-dependent correction tables; see section RF User Correction in Chapter 1.

Remote control
[SENSe:]CORRection:LOSS:OUTPut<nr>[:TX][:MAGNitude] <Loss>
SOURce:CORRection:LOSS:OUTPut <nr>[:TX][:MAGNitude] <Loss>
[SENSe:]CORRection:LOSS:OUTPut<nr>AUXTx:[:MAGNitude] <Loss>
SOURce:CORRection:LOSS:OUTPut<nr>AUXTx:[:MAGNitude] <Loss>


Freq. Dep. Att.

The Freq. Dep. Att. softkey opens a popup menu to define the external input and output attenuation factors as a function of the RF input (analyzer) and output (generator) frequency. See section Frequency-Dependent External Attenuation.


Frequency Dependent Attenuation

Frequency-Dependent External Attenuation

The Freq. Dep. Att. softkey in the RF [image] tab of the Connection Control menu opens a popup menu to define the external input and output attenuation factors as a function of the RF input (analyzer) and output (generator) frequency. The frequency-dependent attenuations have the same meaning and effect as the global (frequency-independent) attenuations Ext. Att. Input and Ext. Att. Output:

  • A positive (negative) output attenuation increases (decreases) the RF generator level so that the generator compensates for the external attenuation or gain.

  • A positive (negative) input attenuation increases (decreases) the displayed RF analyzer level so that the displayed result corresponds to the output transmit power of the DUT.

Frequency-dependent attenuations replace the global (frequency-independent) attenuations Ext. Att. Input and Ext. Att. Output. In contrast to the global attenuations, they are valid for all function groups (in remote control, the commands must be addressed in the R&S CMU base system).

Frequency-dependent attenuation

Default Settings

Disables the frequency-dependent correction and sets all frequency values and all external attenuation factors to Off.

Correction Enable

Enables the frequency-dependent attenuations, causing the global input and output attenuation to be replaced. A red status message in the RF [image] tab indicates that the frequency-dependent attenuations are enabled.

f1 to f25

List of 25 frequency values, to be set to a specific frequency in the RF input/output frequency range of the R&S CMU (see data sheet) or to Off, if the frequency point is not used.

Attenuation

External input and output attenuation factors at the frequency point fn assigned to the four RF connectors RF1, RF2, RF3 Out and RF4 In. The values for the bidirectional connectors RF1 and RF2 are used as input and output attenuations, affecting both the analyzer and the generator. The RF3 Out value is an output attenuation, the RF4 In value is an input attenuation.

  • The frequency points don’t have to be defined in ascending order. Off the specified frequency points the attenuation factors are calculated as follows:

  • In and interval between two adjacent frequency points, the attenuations are linearly interpolated.

  • The attenuation a the lowest frequency point is valid for all analyzer and generator frequencies below and up to this frequency.

The attenuation a the highest frequency point is valid for all analyzer and generator frequencies above this frequency.

Following these rules, it is possible to define attenuation factors for the entire frequency range using an arbitrary number of frequency points between zero (no attenuation) and 25. Using a single frequency point is equivalent to the global (frequency-independent) attenuations Ext. Att. Input and Ext. Att. Output.

Generator RF Level and analyzer Max. Level ranges

In analogy to the global attenuation factors Ext. Att. Input and Ext. Att. Output, the frequency-dependent attenuation factors modify the setting ranges for the generator and analyzer level.

  • A positive (negative) output attenuation decreases (increases) the setting range of the RF generator level because the actual generator level must be larger (smaller) than the setting value.

  • A positive (negative) input attenuation increases (decreases) the maximum analyzer level (RF Max. Level) because the displayed analyzer level result is larger (smaller) than the actual level at the input connectors of the R&S CMU.

To avoid conflicting level settings at varying input and output frequencies, the R&S CMU restricts the generator and analyzer setting ranges according to the maximum and minimum attenuation settings.

Sorts the frequencies f1 to f25 in ascending order.

Remote control:
The commands for the frequency-dependent attenuation are part of the CMU base system:
DEFault:USER:CORRection:LOSS
CONFigure:USER:CORRection:LOSS:TABLe:ENABle
CONFigure:USER:CORRection:LOSS:TABLe:LINE<nr>
CONFigure:USER:CORRection:LOSS:TABLe?
SORT:USER:CORRection:LOSS:TABLe


Functions - RF Measurements (RF) - RF Connectors (Connection Control - RF) - Pow. Meter Wideband

Pow. Meter Wideband

The Pow. Meter Wideband softkey controls the wideband power measurement and indicates its status (RUN | HLT | OFF). The status can be changed after softkey selection (pressing once) by means of the ON/OFF key or the CONT/HALT key. The measurement result is in units of dBm. The analog bar to the right of the softkey shows the measured power relative to the total measurement range (see Chapter 6).

The wideband power measurement is performed at the RF Frontend of the CMU and yields the peak power of the input signal inside a wide frequency range. For modulated RF signals, the result of the wideband power measurement depends on the modulation characteristics. The main purpose of the wideband power measurement is to indicate whether an input signal is available and whether it is advisable to change the Max Level settings.

Note:
The RF function group provides a wide selection of power measurements. For an overview see section Analyzer/Generator Menu.

Remote control
INITiate:WPOWer
FETCh:WPOWer:STATus?
READ[:SCALar]:WPOWer?
FETCh[:SCALar]:WPOWer?
SAMPle[:SCALar]:WPOWer?


Functions - RF Measurements (RF) - RF Connectors (Connection Control - RF) - RF Input

RF Input

Rf
input

 The RF Input softkey determines which of the three connectors RF 1, RF 2 and RF 4 IN is to be used as RF input connector. The selected RF output is indicated by a [image] symbol. Input and output connectors can be arbitrarily combined.

Remote control
INPut[:STATe] RF1 | RF2 | RF4


RF Tx Output

RF Tx
Output

The RF TxOutput softkey defines which of the three connectors RF 1, RF 2 and RF 3 OUT is to be used as RF output connector for the Tx signal. The selected RF output is indicated by a [image] symbol.

If the additional RF signal Aux Tx is selected (see above), the softkey is labeled RF Aux Tx Output and selects the output connector for AuxTx. Aux Tx must be output at RF1 or RF2.

Note:
Input and output connectors can be combined at will. The bidirectional connectors RF 1 and RF 2 can be selected as RF inputs and outputs at the same time.
The LEDs on the front panel are only “on" (light) if the output level is switched on.

Remote control
OUTPut[:TX][:STATe] RF1 | RF2 | RF3
OUTPut:AUXTx[:STATe] RF1 | RF2


Tx Aux Tx

Tx Aux Tx

Tx / Aux Tx toggles between the primary RF signal Tx and the additional signal Aux Tx, to be routed to one of the RF output connectors of the instrument.

The two RF signals are independent from each other. It is possible to route the signals to different RF output connectors or superimpose them at the same connector. If Aux Tx is selected, RF Tx Output changes to RF Aux Tx Output, and the input softkeys are hidden.

Remote control
The keywords [:TX] and :AUXTX in the OUTPut:…[:STATe] commands distinguish between the Tx and the Aux Tx signal.


Value range

The value range depends on the selected RF input (see section Generator Settings - Connection Control-Generator):

External attenuation | If an external input attenuation is reported to the instrument (see section RF Connectors (Connection Control - RF)), all levels measured are referenced to the output of the DUT and therefore shifted with respect to the actual level at the input connectors of the CMU. The level ranges for the input connectors are shifted as well. Input levels exceeding the RF Max. Level can not be measured; the corresponding measurement result fields indicate invalid results "- - -".
Error messages | If the value determined for RF Max. Level is too high or too low, a window with the error message "<Max_Level> is out of range. <permissible max. value> is limit." and three fields will appear:
Accept | The permissible max. value is accepted as RF Max. Level,
Re-edit | RF Max. Level is entered once again,
Cancel | The last valid input value is maintained.

When switching over to another input, the current value of RF Max. Level is automatically adapted, if required:

  • Towards lower values to the maximum permissible value of the new input,
  • Towards upper values to the minimum value of the new input.

Note:
A maximum input level can be entered even if automatic level setting (autoranging) is selected. The entered level is used as a start value for the autoranging routine and is also important to ensure safe switchover to manual setting.

Remote control
[SENSe:]LEVel:MAXimum <Level>


Functions - RF Measurements (RF) - Reference Frequency (Connection Control - Synch.) - Reference Frequency

Reference Frequency

The Reference Frequency softkey determines the source and the frequency of the reference signal.

The associated field allows to select between two alternatives:

Int. (10 MHz) | Internal synchronization by means of a 10 MHz reference frequency (TCXO or OCXO, CMU-B11/-B12).
Ext. (at REF IN) | Synchronization to external reference signal to be fed in via input REF IN. The external reference signal can be used for synchronization of the CMU to another instrument. Its frequency must be entered in the input field next to the External button. The reference signal used is also routed to output REF OUT 1 so that it can be fed to other instruments as well.

Note:
The instrument periodically displays a warning if no synchronization could be achieved e.g. because of missing or faulty input signal with external synchronization selected. At the same time, bit no. 6 (RFNL, Reference Frequency Not Locked) is set in the STATus:OPERation:CMU:SUM1:CMU1 sub-register associated with the CMU base system and the query [SENSe:]SYNChronize :FREQuency:REFerence:LOCKed? returns the value ON.

In the case of external synchronization with squarewave signals (TTL) ensure correct signal matching to avoid reflections. Otherwise, resulting overshoots may cause trigger problems at the CMU input. A possible remedy is to use a lowpass filter or an attenuator pad directly at the CMU input. Correct synchronization may be checked by comparing the signal REF OUT 1 with the input signal.

This configuration is valid in all CMU function groups.

Caution:
The reference frequency is set to Int. (10 MHz) whenever the base system is reset. After switching back to Ext. (at REF IN) it is necessary to allow for a setting time (~1 s) before the CMU can synchronize to the external reference frequency. The delay is avoided by a partial reset of all function groups with the exception of the base system.

Remote control
The commands for the reference frequency are part of the CMU base system:
CONFigure:SYNChronize:FREQuency:REFerence:MODE
INTernal | EXTernal
CONFigure:SYNChronize:FREQuency:REFerence <Frequency>
[SENSe:]SYNChronize:FREQuency:REFerence:LOCKed?


Functions - RF Measurements (RF) - Reference Frequency (Connection Control - Synch.) - REF OUT 2

REF OUT 2

The softkey REF OUT 2 configures a network-specific system clock REF OUT 2 to be fed to the output REF OUT 2 at the rear of the instrument. The clock frequency can be used to synchronize other instruments to the CMU.

The associated field permits to select between two alternatives:

OFF (other network) | The clock frequency of the current function group is not fed to the output REF OUT 2. With this setting the system clock of another active function group (e.g. the network GSM1800 while the current network is GSM900) is still applied to REF OUT 2 provided that the output REF OUT 2 is switched on in the other function group. However, if REF OUT 2 is explicitly switched over from On to Off the clock signal is definitely removed.
On (current network) | The network-specific system clock of the current function group is fed to output REF OUT 2. The system clock of any other function group applied to REF OUT 2 before is replaced. Besides the basic clock frequency of 40 MHz one of the following clock frequencies may be selected:

40.000 MHz, | 20,000 MHz, | 13.334 MHz, | 10.000 MHz, | 8.000 MHz, | 6.667 MHz, | 5.715 MHz,
5.000 MHz, | 4.445 MHz, | 4.000 MHz, | 3.637 MHz, | 3.334 MHz, | 3.077 MHz, | 2.858 MHz,
2.667 MHz, | 2.500 MHz, | 2.353 MHz, | 2.223 MHz, | 2.106 MHz, | 2.000 MHz, | 1.905 MHz,
1.819 MHz, | 1.740 MHz, | 1.667 MHz, | 1.600 MHz, | 1.539 MHz, | 1.482 MHz, | 1.429 MHz,
1.380 MHz, | 1.334 MHz, | 1.291 MHz, | 1.250 MHz |  |  |

(The values are calculated according to the formula Fout 0= 40.000 MHz / n where n = 1, ..., 32.)

Remote control
SOURce:DM:CLOCk:STATe ON | OFF
SOURce:DM:CLOCk:FREQuency <Frequency>


Functions - RF Measurements (RF) - Trigger (Connection Control - Trigger) - Default Settings

Default Settings

The Default Settings checkbox assigns the default setting to all functions in the Trigger tab (the default values are quoted in the command description in chapter 6 of this manual).

Remote control
TRIGger[:SEQuence]:DEFault ON | OFF


Functions - RF Measurements (RF) - Trigger (Connection Control - Trigger) - Ext. Trigger (AUX 3/4)

Ext. Trigger (AUX 3/4)

Ext. Trigger (AUX 3/4) qualifies whether the external trigger signal is fed in at Pin 6, Pin 7, or Pin 8 of the AUX 3 connector. The setting only has effect if the trigger source is an External signal.

The CMU can be ordered with the auxiliary connector AUX 4 on the rear panel configured as an external trigger input. In this case the Ext. Trigger... pin selection refers to AUX 4; the front panel connector AUX 3 is disconnected.

Remote control
TRIGger[:SEQuence]:SOURce:EXTernal PIN6 | PIN7 | PIN8


Functions - RF Measurements (RF) - Trigger (Connection Control - Trigger) - Level

Level

The Level section defines the trigger thresholds if the measurement is triggered by the RF Power or IF Power (see Source) respectively. Both thresholds are defined relative to the maximum input level set in the Analyzer tab (see RF Max. Level softkey). The Level settings have no influence on Free Run or External trigger measurements.

Note:
The trigger levels are always relative to the current maximum input level. If RF Max. Level is set manually (RF Mode = Manual), the current input level is constant and equal to the setting value. In autoranging mode (RF Mode = Auto), the current maximum input level is dynamically adapted to the measured RF input level; the trigger levels change accordingly.

The RF Power trigger threshold is the RF input signal level (Wideband Power) beyond which the trigger condition is satisfied and a measurement is initiated.

Low

Medium

High

Low trigger threshold, equal to approx. the RF Max. Level –26 dB.

Medium trigger threshold, equal to approx. the RF Max. Level –16 dB.

High trigger threshold, equal to approx. the RF Max. Level –6 dB.

The IF Power trigger threshold is the IF trigger signal level beyond which the trigger condition is satisfied and a measurement is initiated. The IF Power input value defines the trigger threshold relative to the maximum input level:

IF power trigger threshold = <RF Max. Level> + <IF Power>

Remote control
TRIGger[:SEQuence]:THReshold:RFPower LOW | MEDium | HIGH
TRIGger[:SEQuence]:THReshold:IFPower <Power>


Meas. Trigger - Source

Meas. Trigger – Source

Source selects the source for the trigger event:

Free Run

RF Power

IF Power

External

Free-run mode, the measurement is carried out continuously, it is not related to the input signal.

The measurement is triggered by the level (rising or falling edge; see Slope setting below) of the measured RF signal

The measurement is triggered by the level of the IF signal.

External trigger signal fed in via connector AUX3 (pin no. 8).

For the RF Power and IF Power trigger the trigger level is specified via the Level parameters. RF Power trigger signals have a small dynamic range which may not be sufficient for triggering. It is recommended to trigger by the IF Power instead.

Note:
If no measurement result can be obtained the trigger mode may not fit to the trigger signal applied. Check the trigger mode and signal.

Remote control
TRIGger[:SEQuence]:SOURce
IMMediate | RFPower | IFPower | EXTern


Functions - RF Measurements (RF) - Trigger (Connection Control - Trigger) - Slope

Slope

Slope qualifies whether the trigger event occurs on the Rising Edge or on the Falling Edge of the trigger signal. The setting has no influence on Free Run measurements.

Remote control
TRIGger[:SEQuence]:SLOPe: POSitive | NEGative


Functions - RF Measurements (RF) - Measurement Menu (Power) - Test settings - Analyzer Level

Analyzer Level

The Analyzer Level softkey controls the level in the RF input signal path and provides the trigger settings for the current measurement.

The input level and trigger settings are general settings and therefore also provided in the Connection Control menu.


Functions - RF Measurements (RF) - Measurement Menu (Power) - Test settings - Analyzer Settings

Analyzer Settings

The Analyzer Settings softkey determines the center frequency of the RF analyzer and the resolution bandwidth of the measurement filter. The settings are specific to the Power menu and also provided in the Control tab of the Power Configuration menu.


Functions - RF Measurements (RF) - Measurement Configurations (Power Configuration) - Default Settings

Default Settings

The Default Settings switch assigns default values to all settings in the Control tab (the default values are quoted in the command description in chapter 6 of this manual).

Remote Control
-


Functions - RF Measurements (RF) - Measurement Menu (Power) - Test settings - Display Marker

Display Marker

The Display/Marker softkey zooms or shifts the graphical display. It is selected by pressing the Marker/Display softkey twice. If pressed once again, the selected Display/Marker softkey changes back to the Marker/Display softkey, see above.

Level
Scale 		The Level Scale hotkey defines the level range of the Power test diagram (ordinate scale). The scale can be adjusted in 0.1 dB steps. Note that, in contrast to the reference level, the range selection doesn't have any impact on the measurement.

The ordinate scale is calculated from the maximum level defined in the Connection Control menu and the range such that

  • The Max Level defines the upper edge of the diagram.
  • The difference Max Level – Level Scale defines the lower edge of the diagram.
  • The number of horizontal grid lines (corresponding to 10, 15, or 16 cells) and the ordinate labeling is adapted to the range.

Remote control
[SENSe:]POWer:LEVel:RANGe <Range>
Time
Scale Start 		The Time Scale Start hotkey defines the left edge of the Power test diagram (abscissa scale). The time scale of the diagram is derived from the Time Scale Start and the Time Scale Span assuming a constant number of 10 horizontal cells:
  • Time Scale Start defines the left edge of the diagram.
  • Time Scale Start + Time Scale Span defines the right edge of the diagram.
  • The abscissa labeling is adapted to the defined time scale.

Time Scale Start is defined relative to the trigger time (delay). The permissible range of start times depends on the span (see below) and on the resolution bandwidth of the power measurement. As a general rule, larger values are allowed if the span is increased and the resolution bandwidth decreased.

Remote control
[SENSe:]POWer:TIME:DELay <Delay>
Time
Scale Span 		The Time Scale Span hotkey defines the time range of the Power test diagram (abscissa scale). The span is equal to the total measurement range of the Power measurement.

The time scale of the diagram is derived from the Time Scale Start and the Time Scale Span as explained above.

Remote control
[SENSe:]POWer:TIME:SPAN <Span>


Functions - RF Measurements (RF) - Measurement Configurations (Power Configuration) - Display Mode

Display Mode

The Display Mode field defines which of the four measured and calculated measurement curves is displayed. The measurement curves differ in the way the burst power p(t) at a fixed point in time t is calculated if the measurement extends over several bursts:

Current | Measured value for current burst
Minimum | Minimum over a number of bursts
Maximum | Maximum over a number of bursts
Average | Average value over a number of bursts

The number of bursts for calculation of the statistical values Minimum, Maximum and Average – and thus the result – depends on the repetition mode set. In detail, this implies:

Single Shot | Display of minimum, maximum and average value from the performed statistics cycle.
Continuous | Display of minimum and maximum from all bursts already measured. The average value, however, is calculated according to the rule in Chapter 3, section General Settings.

Remote control
no display mode set explicitly, the four measurement curves are accessible via

FETCh:ARRAy:POWer[:CURRent]? FETCh:ARRAy:POWer:MINimum?
FETCh:ARRAy:POWer:MAXimum? FETCh:ARRAy:POWer:AVERage? etc.


Functions - RF Measurements (RF) - Measurement Configurations (Power Configuration) - Frequency

Frequency

Frequency defines the center input frequency for the measurement in MHz.

Remote control
[SENSe:]POWer:FREQuency:CENTer <Frequency>


Functions - RF Measurements (RF) - Measurement Menu (Power) - Test settings - Generator Tx Aux Tx

Generator Tx Aux Tx

The Generator softkey configures the RF signals generated. The generator settings are general settings and therefore also provided in the Connection Control menu.

The RF Level hotkey is also used to switch the RF generator on and off.

If option R&S CMU-B95, Second RF Generator, is fitted, the Generator softkey toggles between the primary RF signal (Tx) and the auxiliary RF signal (Aux Tx) settings. The properties of the Aux Tx signal are also described in section Generator Settings - Connection Control-Generator .


Functions - RF Measurements (RF) - Measurement Configurations (Power Configuration) - Grid

Grid

The Grid checkbox switches The grid in the graphical test diagram on or off.

Remote control
–


Functions - RF Measurements (RF) - Measurement Menu (Power) - Test settings - Marker Display

Marker Display

The Marker/Display softkey positions up to 3 markers and a D-line in the test diagram and displays their values.

If pressed once again, the selected Marker/Display softkey changes to the Display/Marker softkey, see below.

Markers | are graphical tools for marking points on the measurement curve and for numerical output of measured values. The measurement menu Power provides a reference marker and two further markers which permit to measure differences (delta marker 1 and 2). The coordinates of the three markers are indicated in the format Ordinate value (level)/abscissa value (time) in a parameter line above the test diagram. The position of the reference marker is expressed in absolute units (level in dBm and time in bits), the delta marker by absolute or relative values (relative level in dB or time differences from the reference marker).
D-line | The D-line (display line) is a horizontal line that can be positioned to mark and read out an arbitrary level in the test diagram.

Ref R
         The hotkey Ref. R switches the reference marker on or off (use the ON/OFF key).

The reference marker is represented by the symbol R in the test diagram. The marker position (abscissa) is defined in the input field Ref. Marker R. The marker can be positioned to arbitrary time values. It is switched off in the default setting (Off). The marker level is given by the measurement curve at the marker position.

The position of all markers can be varied using the rotary knob.

Remote control
No command, screen configuration only.
Rel 1
         The Rel. 1 hotkey switches the delta marker 1 on or off (use the ON/OFF key).

The delta marker 1 is represented by the symbol 1 in the test diagram. The marker position (abscissa) is defined in the input field Rel. Marker 1. The marker can be positioned to arbitrary time values. If its position is outside the diagram area it will be invisible and its coordinates will be "<abscissa_value> / - - -". The marker is switched off in the default setting (Off). The marker level is given by the measurement curve at the marker position.

The toggle switch Rel 1 Config pops up when the hotkey is pressed for the second time. It defines whether the position of delta marker 1 is measured and indicated in absolute units (dBm) or relative to the reference marker.

Remote control
No command, screen configuration only.
Rel 2
         The Rel. 2 hotkey switches the delta marker 2 on or off (use the ON/OFF key). Functions and remote control are analogous to delta marker 1.
D-Line
         The D-Line hotkey switches the D-line in the test diagram on or off.

The D-line is a horizontal, colored auxiliary line in the test diagram and is used for marking a level value and for measuring level differences. The level (ordinate) is determined in the input field D-Line and indicated on the D-line. The permissible value range is the diagram area, the default setting is Off.

The switch D-Line Config. is opened by pressing D-Line twice and determines whether the D-line level is expressed in absolute units (in dBm, setting absolute) or relative to the RF Max. Level (in dB, setting relative).

Remote control
No command, screen configuration only.


Measurement Configurations (Power Configuration)

The popup menu Power Configuration determines the parameters of the power measurement. It is activated by pressing the softkey Power in the graphical measurement menu Power twice.

The Power Configuration menu controls the power measurement. It defines:

  • The Repetition mode
  • The type of measurement curve to be displayed (Display Mode)
  • The Statistic Count for the measurement
  • The center Frequency of the RF analyzer
  • The Resolution Bandwidth of the measurement filter

Besides, it influences the power display by adding or removing the Grid.

Power Configuration - Control

More:

Default Settings

Repetition

Display Mode

Statistic Count

Frequency

Resolution Bandwidth

Grid


Measurement curves (arrays)

The measurement curve is displayed as a continuous trace in the test diagram together with the limit lines, markers and the D-line, if defined.

The measurement curve in the Power measurement menu shows the measured power of the received RF signal (in dBm) as a function of time (in &mu;s). The diagram scale, which is equal to the measurement range, and the displayed result depend on the test settings. The display mode for the measurement curve (Minimum, Maximum, Average, Current) is indicated in the upper right corner of the diagram.

Remote control
READ:ARRay:POWer[:RESult]...?
FETCh:ARRay:POWer[:RESult]...?
SAMPle:ARRay:POWer[:RESult]...?


Measurement Menu (Power) - Measurement Results

Measurement Menu (Power) – Measurement Results

The values represented in the measurement menu Power can be divided into three groups:

  • Setting values
  • Scalar measurement results (marker values)
  • The trace plotted as a function of time

These values are indicated in two parameter lines and the test diagram:

Parameter line 1/2

Test diagram with reference marker, delta marker 1 and 2 and D-line.

Display of measurement results (Power menu)

More:

Settings - Scalar Measurement Results

Measurement curves (arrays)


Measurement Menu (Power) - Test settings

The graphical measurement menu Power displays the results of the power measurement in the time domain.

  • The main softkey Power controls the measurement, indicates its status (RUN | HLT | OFF) and opens the configuration menu Power Configuration. The hotkey associated with the main softkey define the scope of the Power measurement.
  • The other softkeys to the right of the test diagram are combined with various hotkeys (e.g. the hotkeys Frequency and RBW belong to the softkey Analyzer Settings). The softkey/hotkey combinations provide test settings and display configurations.

The measurement menu Power is opened from the main menu Menu Select (with the associated key at the front of the instrument) or using the Power hotkey.

The basic settings for the Power measurement are directly accessible from the measurement menu via softkey/hotkey combinations.

Some of the basic settings are also accessible from the Power Configuration popup menu. They are explained in more detail in the Measurement Configurations (Power Configuration) section.

More:

Power vs Time

Analyzer Level

Analyzer Settings

Generator Tx Aux Tx

Marker Display

Display Marker

Menus


Functions - RF Measurements (RF) - Measurement Menu (Power) - Test settings - Menus

Menus

The Menus softkey displays the hotkey bar for switching over to the other measurement menus.


Power vs. Time Measurement

The menu group Power is designed to measure the RF signal power as a function of time (oscillographic representation measured at a specific frequency, e.g. for burst analysis). The popup menu Power Configuration is used for configuration of the measurements; the measurement results are displayed in the graphical measurement menu Power.

Note:
The RF function group provides a wide selection of power measurements. For an overview see section Analyzer/Generator Menu.

More:

Measurement Menu (Power) - Test settings

Measurement Menu (Power) – Measurement Results

Measurement Configurations (Power Configuration)


Power vs Time

The Power vs Time softkey controls the power measurement and indicates its status (RUN | HLT | OFF).

This status can be changed after softkey selection (pressing once) by means of the ON/OFF key or the CONT/HALT key.

Remote control
INITiate:POWer
ABORt:POWer
STOP:POWer
CONTinue:POWer
FETCh:POWer:STATus?

Measurement configuration

Pressing the Power vs Time softkey twice opens the popup menus Power Configuration. Besides, the measurement control softkey provides hotkeys to define the scope of the measurement.


Functions - RF Measurements (RF) - Measurement Configurations (Power Configuration) - Repetition

Repetition

The Repetition field determines the repetition mode. The basic evaluation period (statistics cycle) corresponds to the evaluation of the trace over the entire time range.

Remote control
CONFigure:POWer:CONTrol:REPetition
CONTinuous | SINGleshot | 1 ... 10000,NONE,<Stepmode>


Functions - RF Measurements (RF) - Measurement Configurations (Power Configuration) - Resolution Bandwidth

Resolution Bandwidth

Resolution Bandwidth defines the resolution bandwidth of the measurement filter. The nominal resolution bandwidth is the 3-dB bandwidth of the Gaussian measurement filter. From a list discrete bandwidths between 10 Hz and 1 MHz can be selected. The frequencies in the list are given by 1x10n Hz, 2x10n Hz, 3x10n Hz, 5x10n Hz where n=1 to 5. In addition the value 1 MHz can be selected.

Resolution bandwidths for the analyzer and the Spectrum measurement can be set independently.

Remote control
[SENSe:]POWer:FREQuency:BANDwidth[:RESolution] <Bandwidth>
[SENSe:]POWer:FREQuency:BWIDth[:RESolution] <Bandwidth>


Settings - Scalar Measurement Results

Settings and scalar measurement results are indicated in the two parameter lines above the test diagram.

1st Parameter Line

The first parameter line contains the following settings:

RF Max. Level | Maximum value of input level as set in the Connection Control menu (see section Table Oriented Version - Analyzer Settings).
RF Attenuation | Setting for the attenuation of the input level (Normal, Low Noise, Low Distortion) as set in the Connection Control menu (see section Table Oriented Version - Analyzer Settings).
Freq. | Center frequency of the RF signal analyzed
Trigger | Trigger mode (Free Run, RF Power, IF Power or External)

2nd Parameter Line

The second parameter line contains the following marker values:

Level and time of reference marker
Level and time of delta marker 1 (setting absolute) or difference from reference marker (setting relative)
Level and time of delta marker 2 (setting absolute) or difference from reference marker (setting relative)

Remote control
Settings are read out using the query corresponding to the setting command (setting command with appended question mark).
To obtain the measurement value at a single point on the trace the whole trace must be read, see below.


Functions - RF Measurements (RF) - Measurement Configurations (Power Configuration) - Statistic Count

Statistic Count

Statistic Count defines how many sweeps are combined to form one statistics cycle. Each sweep corresponds to the evaluation of the trace over the entire time range.

1 to 1000 sweeps Number of sweeps per statistics cycle

The settings 1 and OFF (press ON/OFF key) are equivalent. A statistics cycle determines the duration of single-shot measurements (see Chapter 3, section General Settings).

Remote control
CONFigure:POWer:CONTrol:STATistics 1 ... 1000 | NONE


Functions - RF Measurements (RF) - Measurement Menu (Spectrum) - Test settings - Analyzer Level

Analyzer Level

The Analyzer Level softkey controls the level in the RF input signal path and provides the trigger settings for the current measurement.

The input level and trigger settings are general settings and therefore also provided in the Connection Control menu.

Reference Level | The Reference Level hotkey defines the reference level. The reference level defines the upper edge of the diagram. It is generally different from the maximum input level set in the Connection Control menu.
 | Remote control [SENSe:]LEVel:REFerence <LEVel>


Functions - RF Measurements (RF) - Measurement Menu (Spectrum) - Test settings - Analyzer Settings

Analyzer Settings

The Analyzer Settings softkey determines the frequency range that is measured and displayed and the resolution bandwidth of the spectrum analyzer.

The settings are specific to the Spectrum menu. Some of them are also provided in the Control tab of the Spectrum Configuration menu; see section Measurement Configurations (Spectrum Configuration).

A single measurement of the signal power over the whole frequency range (span, sweep width) by means of a spectrum analyzer is called a sweep. Typically, the minimum sweep time Tmin is linked to the resolution bandwidth B of the analyzer and the frequency range F by the relation Tmin ~ F/B2. This means that a compromise between a high resolution, wide frequency range and high measurement speed must be reached.

The frequency range can be set in three different ways:

  • By defining the center frequency fc and the span D f. The start and stop frequencies are thus given by fstart = fc - D f/2 and fstop = fc + D f/2. This mode is convenient if the spectrum is to be analyzed in the vicinity of a known frequency which can be used as the center frequency of the diagram.
  • By defining the start frequency fstart and the stop frequency fstop. The center frequency and span are thus given by fc = (fstart + fstop)/2 and D f = fstop - fstart.
  • By selecting Full Span the default frequency range is displayed, i.e. the default start and stop frequencies are selected.

The number of vertical grid lines (i.e. the number of cells in horizontal direction) can be variable (depending on the frequency span) or fixed, see Spectrum Configuration menu.

Center | The Center hotkey defines the center frequency of the sweep range in MHz or in another frequency unit selected via the unit keys. The center frequency is identical with the Frequency set in the Spectrum Configuration menu.
 | Remote control [SENSe:]SPECtrum:FREQuency:CENTer <Frequency>

Span | The Span hotkey defines the sweep span.
 | Remote control [SENSe:]SPECtrum:FREQuency:SPAN <Frequency>

Start | The Start hotkey defines the start frequency of the sweep.
 | Remote control [SENSe:]SPECtrum:FREQuency:STARt <Frequency>

Stop | The Stop hotkey defines the stop frequency of the sweep.
 | Remote control [SENSe:]SPECtrum:FREQuency:STOP <Frequency>

Full Span | The Full Span hotkey sets the default sweep span. On pressing the Full Span hotkey the abscissa of the spectrum diagram is changed, and the resolution bandwidth is set to Auto. However, the previous scaling parameters and resolution bandwidth are stored and the inscription of the Full Span hotkey changes to Last Span. The Last Span hotkey allows the previous scaling parameters and resolution bandwidth to be recalled and the previous diagram to be restored.
 | Remote control Set Start and Stop to their default values. Resolution bandwidth see below.

RBW

 The RBW hotkey defines the resolution bandwidth for the Spectrum measurement. The setting is also provided in the Control tab of the Spectrum Configuration menu; see section Measurement Configurations (Spectrum Configuration).

Remote control
[SENSe:]SPECtrum:FREQuency:BANDwidth[:RESolution] <Bandwidth>
[SENSe:]SPECtrum:FREQuency:BWIDth[:RESolution] <Bandwidth>


Measurement Curves (Arrays)

The continuous curve in the test diagram shows the measured power (in dBm) as a function of the frequency (in MHz). The curve depends on the display mode (Current, Max./Min., Average) that can be set in the configuration menu (see section Measurement Configurations (Spectrum Configuration)). The display mode is indicated in the upper right corner of the diagram.

The measurement curve extends over the frequency range (Span) indicated below the diagram and is interpolated from 560 points, each corresponding to one pixel of the CMU's LC display. The number of measurement values is actually larger than 560; the coordinates of the pixels defining the curve can be calculated according to the peak or RMS Detect Mode described in section Measurement Configurations (Spectrum Configuration).

Remote control
READ:ARRay:SPECtrum[:RESult][:CURRent]?
FETCh:ARRay:SPECtrum[:RESult][:CURRent]?
SAMPle:ARRay:SPECtrum[:RESult][:CURRent]?
READ:SUBarrays:SPECtrum[:RESult][:CURRent]?
READ:SUBarrays:SPECtrum[:RESult]:AVERage? etc.


Functions - RF Measurements (RF) - Measurement Configurations (Spectrum Configuration) - Detect Mode

Detect Mode

Detect Mode defines how the measurement curve is calculated from the entire set of measurement points. The curve is interpolated from 560 points, each corresponding to one pixel of the CMU's LC display. The number of measurement values is actually larger than 560; the coordinates of the pixels defining the curve can be calculated in two alternative ways:

Peak | The y-coordinate (power) of each pixel is equal to the maximum of all measurement values falling inside the pixel range.
RMS | The y-coordinate of each pixel is equal to the RMS average of all measurement values falling inside the pixel range.

The two settings yield different curves, especially in domains where the signal shows strong power variations (e.g. in the noise floor around a distinct spectral lobe). RMS averaging tends to smooth out the spectral curve and to suppress the noise. On the other hand, very narrow peaks may be underestimated if RMS Detect Mode is set.

Remote control
[SENSe:]SPECtrum:DETector PEAK | RMS


Functions - RF Measurements (RF) - Measurement Menu (Spectrum) - Test settings - Display Marker

Display Marker

The Display/Marker softkey zooms or shifts the graphical display. It is selected by pressing the Marker/Display softkey twice. If pressed once again, the selected Display/Marker softkey changes back to the Marker/Display softkey, see above.

Level
Scale

 The Level Scale hotkey defines the total level range of the Spectrum test diagram (ordinate scale). The ordinate scale is calculated from the Reference level (see above) and the Level Scale such that
  • The Reference level defines the upper edge of the diagram.
  • The difference Reference level - Level Scale defines the lower edge of the diagram.
  • The number of horizontal grid lines (corresponding to 10, 15, or 16 cells) and the ordinate labeling is adapted to the range.

Remote control
[SENSe:]POWer:LEVel:RANGe <Range>


Functions - RF Measurements (RF) - Measurement Configurations (Spectrum Configuration) - Frequency

Frequency

Frequency defines the center frequency of the measurement range in MHz or in another frequency unit selected via the unit keys. The center frequency is identical with the Center frequency set with the Analyzer Settings softkey.

Remote control
[SENSe:]SPECtrum:FREQuency:CENTer <Frequency>


Functions - RF Measurements (RF) - Measurement Menu (Spectrum) - Test settings - Generator Tx Aux Tx

Generator Tx Aux Tx

The Generator softkey configures the RF signals generated. The generator settings are general settings and therefore also provided in the Connection Control menu.

The RF Level hotkey is also used to switch the RF generator on and off.

If option R&S CMU-B95, Second RF Generator, is fitted, the Generator softkey toggles between the primary RF signal (Tx) and the auxiliary RF signal (Aux Tx) settings. The properties of the Aux Tx signal are also described in section Generator Settings - Connection Control-Generator .


Grid / Scaling Mode

Grid switches on or off the grid in the graphical test diagram. In addition the Scaling Mode, i.e. the number of grid cells in horizontal direction (frequency axis) can be selected:

Variable | The number of horizontal grid cells is adapted to the sweep span of the Spectrum measurement,
Constant | The diagram consists of a constant number of 10 horizontal grid cells.

Remote control
DISPlay:SPECtrum:CONTrol:GRID ON | OFF


Functions - RF Measurements (RF) - Measurement Menu (Spectrum) - Test settings - Marker Display

Marker Display

The Marker/Display softkey positions up to 3 markers and a D-line in the test diagram and displays their values.

If pressed once again, the selected Marker/Display softkey changes to the Display/Marker softkey, see below.

Markers | are graphical tools for marking points on the measurement curve and for numerical output of measured values. The measurement menu Power provides a reference marker and two further markers which permit to measure differences (delta marker 1 and 2). The coordinates of the three markers are indicated in the format Ordinate value (level)/abscissa value (time) in a parameter line above the test diagram. The position of the reference marker is expressed in absolute units (level in dBm and time in bits), the delta marker by absolute or relative values (relative level in dB or time differences from the reference marker).
D-line | The D-line (display line) is a horizontal line that can be positioned to mark and read out an arbitrary level in the test diagram.

Ref. R | The hotkey Ref. R switches the reference marker on or off. The reference marker is represented by the symbol [image] in the test diagram. The marker position (abscissa) is determined in the input field Ref. Marker R. The marker can be positioned to arbitrary frequency values. If ist position is outside the diagram area it will be invisible and ist coordinates will be "- - - / <abscissa_value>". The marker is switched off by default. The marker level is given by the trace at the marker position. The position of all markers can be varied using the rotary knob.
 | Remote control FETCh:SPECtrum:MARKer:ABSolute? <x position>

Rel. 1 The Rel. 1 hotkey switches the delta marker 1 on or off.

The delta marker 1 is represented by the symbol [image] in the test diagram. The marker position (abscissa) is determined in the input field Rel. Marker 1. The marker can be positioned to arbitrary frequency values. If its position is outside the diagram area it will be invisible and its coordinates will be "- - - / <abscissa_value>". The marker is switched off by default. The marker level is given by the trace at the marker position.

The toggle switch Delta Config.1 is opened by pressing Rel. 1 twice and defines whether the second parameter line shows the absolute position of the delta marker (absolute, in dBm and time units) or its distance to the reference marker (relative, in dB and time units). If absolute is selected the inscription of the Rel. 1 hotkey changes to Abs. 1.

Remote control
FETCh:SPECtrum:MARKer:RELative? <x1 position>, <x2 position>

Rel. 2 The Rel. 2 hotkey switches the delta marker 2 on or off. Ist functionality is analogous to delta marker 1.

D-Line

The D-Line hotkey switches the D-line in the test diagram on or off.

The D-line is a horizontal, colored auxiliary line in the test diagram and is used for marking a level value and for measuring level differences. The level (ordinate) is determined in the input field D-Line and indicated on the D-line. The permissible value range is the diagram area, the default setting is Off.

The switch D-Line Config. is opened by pressing D-Line twice and determines whether the D-line level is expressed in absolute units (in dBm, setting absolute) or relative to the RF Max. Level (in dB, setting relative).

Remote control
No command, only screen configuration

R to Pk | The hotkey R to Pk places the reference marker to the maximum of the trace.
 | Remote control FETCh:SPECtrum:MARKer:PEAK?

Cnt to R The hotkey Cnt to R centers the diagram to the frequency of the reference marker.

Ref to R The hotkey Ref to R sets the reference level to the current marker position. It is recommended to use the three softkeys R to Pk, Cnt to R and Ref to R in succession to obtain a standard scale for the diagram.


Functions - RF Measurements (RF) - Measurement Menu (Spectrum) - Test settings - Measurement configuration

Measurement configuration

Pressing the Spectrum softkey twice opens the popup menus Spectrum Configuration. Besides, the measurement control softkey provides hotkeys to define the scope of the measurement. All these settings are described in more detail in section Measurement Configurations (Spectrum Configuration).


Measurement Configurations (Spectrum Configuration)

The popup menu Spectrum Configuration determines statistical and display parameters for the spectrum analysis. It is activated by pressing the softkey Spectrum in the graphical measurement menu Spectrum twice. In the Control tab, the configuration menu defines:

  • The repetition mode (Repetition).
  • The type of measurement curve to be displayed (Display Mode)
  • The number of sweeps forming a statistics cycle (Statistic Count)
  • The format of the grid (Scaling Mode)
  • The prescription for calculating the curve from the entire set of measurement points (Detect Mode)

Besides, it influences the spectrum display by adding or removing a Grid with configurable cells.

Spectrum Configuration - Control

Many functions of this menu comply with those of the Control tab of the Power Configuration menu. In the remote-control commands, the keyword POWer is to be replaced by SPECtrum.

Default Settings | The Default switch assigns default values to all settings in the Control tab (the default values are quoted in the command description in chapter 6 of this manual).
 | Remote Control -

Repetition Repetition determines the repetition mode, see Manual Operation and explanations given in section Measurement Configurations (Power Configuration) for the Power measurement.

Remote control
CONFigure:SPECtrum:CONTrol:REPetition
CONTinuous | SINGleshot | 1 ... 10000,NONE,<Stepmode>

Display Mode | Display Mode defines which of the four measured and calculated measurement curves is displayed. The measurement curves differ in the way the RF signal power p(t) at a fixed point in time t is calculated if the measurement is repeated several times:
Current | Measured value for current sweep
Minimum | Minimum over a number of sweeps
Maximum | Maximum over a number of sweeps
Average | Average value over a number of sweeps
One sweep corresponds to the evaluation of the trace over the whole measurement range. The number of sweeps for calculation of the statistical values Minimum, Maximum and Average - and thus the result - depends on the repetition mode set . In detail, this implies:
Single shot | Display of minimum, maximum and average value from the performed statistics cycle (see Statistic Count definition below).
Continuous | Display of minimum and maximum from all sweeps already measured. The average value, however, is calculated according to the prescription in Chapter 3, section General Settings.

Remote control
no display mode set explicitly, the four measurement curves are accessible via

FETCh:SUBarrays:SPECtrum[:CURRent]?
FETCh:SUBarrays:SPECtrum:MINimum?
FETCh:SUBarrays:SPECtrum:MAXimum?
FETCh:SUBarrays:SPECtrum:AVERage? etc.

More:

Statistic Count

Grid / Scaling Mode

Detect Mode

Frequency

Resolution Bandwidth


Measurement Menu (Spectrum) - Measurement Results

The values represented in the measurement menu Spectrum can be divided into three groups:

  • Setting values
  • Scalar measurement results (marker values)
  • The trace plotted as a function of time

These values are indicated in two parameter lines and the test diagram:

Parameter line 1/2

Test diagram with reference marker, delta marker 1 and 2 and D-line.

Abscissa labels

Display of measurement results (Spectrum menu)

More:

Settings/ Scalar Measurement Results

Measurement Curves (Arrays)


Measurement Menu (Spectrum) - Test settings

The graphical measurement menu Spectrum displays the results of the spectrum analysis (measurement of signal power as a function of the frequency).

  • The main softkey Spectrum controls the measurement, indicates its status (RUN | HLT | OFF) and opens the configuration menu Spectrum Configuration (press twice). The hotkey associated with the main softkey defines the scope of the Spectrum measurement.
  • The other softkeys to the right of the test diagram are combined with various hotkeys. If a softkey is selected and an associated hotkey pressed, a popup window will appear which indicates the current setting and enables an entry (see section Measurement Configurations (Power Configuration)).

The measurement menu Spectrum is opened from the main menu Menu Select (with the associated key at the front of the instrument) or using the Spectrum hotkey.

The basic settings for the Spectrum measurement are directly accessible from the measurement menu via softkey/hotkey combinations.

Some of the basic settings are also accessible from the Spectrum Configuration popup menu. They are explained in more detail in section Measurement Configurations (Spectrum Configuration).

More:

Spectrum

Measurement configuration

Analyzer Level

Analyzer Settings

Generator Tx Aux Tx

Marker Display

Display Marker

Menus


Functions - RF Measurements (RF) - Measurement Menu (Spectrum) - Test settings - Menus

Menus

The Menus softkey displays the hotkey bar for switching over to the other measurement menus.


Functions - RF Measurements (RF) - Measurement Configurations (Spectrum Configuration) - Resolution Bandwidth

Resolution Bandwidth

Resolution Bandwidth defines the resolution bandwidth for the Spectrum measurement. The resolution bandwidth is identical with the RBW set with the Analyzer Settings softkey.

The nominal resolution bandwidth is the 3-dB bandwidth of the measurement filter. From a list discrete bandwidths between 10 Hz and 1 MHz can be selected. The frequencies in the list are given by 1x10n Hz, 2x10n Hz, 3x10n Hz, 5x10n Hz where n=1 to 5. In addition the two values 1 MHz and Auto can be selected.

With the Auto setting the resolution bandwidth is automatically adapted to

bandwidth = span/50

(if this value is inside the allowed range).

Resolution bandwidths for the analyzer and the Power measurement can be set independently.

Remote control
[SENSe:]SPECtrum:FREQuency:BANDwidth[:RESolution] <Bandwidth>
[SENSe:]SPECtrum:FREQuency:BWIDth[:RESolution] <Bandwidth>


Settings/ Scalar Measurement Results

Settings and scalar measurement results are indicated in the two parameter lines above the test diagram

1st Parameter Line

The first parameter line contains the following settings:

Ref. Level | Reference level; upper edge of the diagram as set with the Analyzer Level - Ref. Level hotkey .
 | Level and time of delta marker 1 (setting absolute) or difference from reference marker (setting relative)
RBW | Resolution bandwidth (Auto or numeric value)

2nd Parameter Line

The second parameter line contains the following marker values:

Level and time of reference marker
Level and time of delta marker 2 (setting absolute) or difference from reference marker (setting relative)

Remote control
Settings are read out using the query corresponding to the setting command (setting command with appended question mark).
To obtain the measurement value at a single point on the trace the whole trace must be read, see below.


Spectrum

The Spectrum softkey controls the spectrum measurement and indicates its status (RUN | HLT | OFF). This status can be changed after softkey selection (pressing once) by means of the ON/OFF key or the CONT/HALT key.

Remote control
INITiate:SPECtrum; ABORt:SPECtrum
STOP:SPECtrum; CONTinue:SPECtrum
FETCh:SPECtrum:STATus?


Functions - RF Measurements (RF) - Measurement Configurations (Spectrum Configuration) - Statistic Count

Statistic Count

Statistic Count defines how many sweeps are combined to form one statistics cycle.

1 to 1000 sweepsNumber of sweeps per statistics cycle

The settings 1 and OFF (press ON/OFF key) are equivalent. A statistics cycle determines the duration of single-shot measurements (see Chapter 3, section General Settings).

Remote control
CONFigure:POWer:CONTrol <MODE>,1 ... 1000 | NONE


COM

COM 1 The COM 1 section defines the transmission parameters for the serial interface COM 1.

If required, the transmission parameters must be set such as to comply with the parameters of the addressed device (PC etc.). The interface characteristics are explained in detail in Hardware Interfaces. The individual parameters are presented in the table below.

The Application field indicates whether the serial port is used as a printer connector (Printer, if COM 1 was selected as printer port in the Print tab; see Printer Settings - Setup-Print) or for data transfer to the controller (Transfer, default setting). This parameter can not be changed in the Comm. tab.

Remote control
SYSTem:COMMunicate:SERial<1|2>:APPLication?
SYSTem:COMMunicate:SERial<1|2>:TRANsmit:PACE

Transmission parameters of the serial interfaces

Parameter | Meaning | Value range
Application | Addressed device | Transfer | Printer (fixed setting)
Baud Rate | Data transmission rate | 110 |300 | 600 | 1200 | 2400 | 4800 | 9600 | 19200 | 38400 | 57600 | 115200
Data Bits | Number of data bits | 7 | 8
Stop Bits | Number of stop bits | 1 | 2
Parity | Number of parity bits | none | odd | even
Protocol | Transmission protocol | none | XonXoff | CtsRts

COM 2 The COM 2 section defines the transmission parameters for the serial interface COM 2. The parameters are analogous to the COM 1 parameters.

Remote control
SYSTem:COMMunicate:SERial<1|2>:APPLication?
SYSTem:COMMunicate:SERial<1|2>:TRANsmit:PACE


Functions - Popup Menu Setup - Time Settings - Setup-Time - Date

Date

The Date section defines the current date in the format yyyy-mm-dd (year-month-day).

Remote control
SYSTem:TIMe:DATe


Functions - Popup Menu Setup - Printer Settings - Setup-Print - Default Settings

Default Settings

The Default All Settings switch assigns default values to all settings in the Print tab.


Functions - Popup Menu Setup - Time Settings - Setup-Time - Default Settings

Default Settings

The Default All Settings switch assigns default values to all settings in the Time tab (the default values are quoted in the command description in chapter 6 of this manual).

Remote Control
–


Enabling software options

Software options can be enabled or disabled in the Enable check boxes of the Software Options table. As all software options are already included in the firmware, enabling does not require any re-installation, but only a key code which is supplied with the option.

  • Select the respective line in the list of software options (in the example of the figure above the line "CMU-K20 GSM400-MS"),
  • Press the Enter key.

The popup window Option Enable appears on the screen:

The Option Enable window contains the following fields:

Option | Short designation and name of option,
CMU Serial Number | Serial number of the CMU basic instrument,
Code Number | Code number of the option to be installed,
Status | Indication of the next operating step to perform,
Progress | Progress of the enabling procedure.

Of the five fields, only the Code Number can be edited. The name of the option being enabled and the serial number of the CMU are automatically entered into the corresponding fields.

  • Enter the code number of the option in the input field Code Number.
  • Confirm the entry using Enter.

The option is automatically enabled.

Remote control
-


Info section

The three lines above the Software Options section contain the following information on the instrument.

Model | Instrument model,
Serial No. | Serial number of the instrument,
SW Version [Basesystem] | Installed base system firmware with date of release.

Remote control
SYSTem:OPTions:INFo?

addition information about the installed firmware options can be queried via
SYSTem:OPTions:INFO:CURRent? in all function groups and test modes.


Local - Remote Transition

Local -> Remote Mode: Disconnect on Loc -> Rem

Defines the behavior of the CMU in a local to remote transition. The command is valid for all function groups and test modes, however, its effect depends on the test mode (Signalling or Non Signalling tests, see e.g. GSMxxx-MS manual):

Disconnection on (box checked) | In Signalling mode, the connection or call is dropped and the CMU returns to its default signalling state (e.g. SOFF in the GSMxxx-MS function groups). In Non Signalling mode, all generators are switched off.
Disconnection off | In Signalling mode, all signalling states are maintained. This makes it possible to switch the instrument to remote control without dropping a call or connection. In Non Signalling mode, the current operating state of all generators is maintained.

Remote control
SYSTem:GTRMode:COMPatible ON | OFF


Primary Address GPIB

The Primary Address section sets the IEC-bus address of the CMU. The default setting is 20; addresses 0 to 30 can be assigned.

The IEEE-bus address is addressed in the remote-control commands in the form of the associated primary address, see Outline - Remote Control and Introduction - Program Examples.

Remote control
SYSTem:COMMunicate:GPIB[:SELF]:ADDRess 0 to 30
SYSTem:REMote:ADDRess:PRIMary 0 to 30


Remote-control Settings - Setup-Remote

Remote-control Settings (Setup - Remote)

The remote-control menu (Setup Remote) defines the remote-control parameters of the CMU:

  • Selection of the interface (SCPI-Connection),
  • Setting of the IEC-bus address of the CMU (Primary Address),
  • Selection of the desired function group (Second. Address).

IEC-bus menu

More:

SCPI Connect

Primary Address GPIB

Second. Address GPIB

Disconnect on Local - Remote

Task Priority Management

Remote Debug Mode

Report Display


Remote Debug Mode

Local -> Remote Mode: Remote Debug Mode

Switches the remote debug mode on or off. A debug icon indicates that the debug mode is on.

In remote debug mode, the MMI can be used to visualize, monitor, or check the results of measurements controlled via the remote interface. To make this possible, the behavior of the instrument with respect to measurement and generator control, measurement statistics, and signalling is changed; see section Remote Debug Mode.

When the remote debug mode is enabled or disabled, the current measurement is reset and the instrument settings are adjusted according to the table in section Remote Debug Mode. The remote debug mode has no impact on the measurement performance of the instrument. It is not changed after a reset but disabled when the R&S CMU is re-started.

Remote control
SYSTem:GTRMode:RDMode ON | OFF


Remote Debug Mode (Background)

Remote Debug Mode: Background

The remote debug mode is activated in the Remote tab of the Setup menu; see above. In this mode, the MMI can be used to visualize, monitor, or check the results of measurements controlled via the remote interface. To make this possible, the properties of the generators, measurements, and signalling are changed as follows:

Parameter

Manual control

Remote debug mode

Measurements

Started automatically when the menu is opened.
Aborted on leaving the menu in order to free the resources.

Only measurements in a common menu can be running at the same time.

Measurement state as defined in the remote control script; it is not changed on switching from remote to local and vice versa.

Non-conflicting measurements can be running at the same time (see also section Task Priority Management in Chapter 5).

Measurement statistics: Repetition
Stop Condition

Default settings:
Continuous (results updated continuously)
None (no stop on error)

Default settings:
Single shot (results acquired once)
Stop on error

Generators

Generators required for a measurement are automatically started when the measurement menu is opened. They are aborted on leaving the menu in order to free the resources.

Only generators in a common menu can be running at the same time.

Generator state as defined in the remote control script; it is not changed on switching from remote to local and vice versa.

Non-conflicting generators can be running at the same time (see also section Task Priority Management in Chapter 5).

Signalling
(for network tests)

Connection Control menu opened automatically when a Signalling function group is accessed.

BS Signal (for mobile / UE tests) switched on.

No Connection Control menu opened.

BS Signal must be switched on explicitly.

The following example illustrates the properties of the remote debug mode after a remote to local transition (the opposite local to remote transition is analogous).

RF: CONF:SPEC:CONT:REP CONT, NONE, NONE

RF: INIT:SPEC

RF: INIT:POW

...

GOTO LOCAL

Configure the spectrum measurement to run in continuous mode

Start the spectrum measurement

Start a power vs. time measurement

Switch over to local control

Result: Remote debug mode off | Result: Remote debug mode on
Active menu: Power vs. Time The measurement runs in continuous mode (results are updated continuously; the results acquired in the first single shot are lost). The Spectrum measurement is switched off. | Active menu: Power vs. Time The measurement is in the HLT state (the results acquired in the first single shot are displayed). The Spectrum measurement runs in the background.


Report Display

If Report Display is enabled (box checked), the input and output strings of the remote-control interface are displayed on the Remote screen. The remote display consists of three columns:

<Input/output> | Colored symbols for input (–>) to the R&S® CMU, output (<–) or error messages (E).
Fct. Grp. | Name of the addressed function group; see description of command SYSTem:REMote:ADDRess:SECondary in Chapter 6.
Command | Input command string, response/output string of the R&S® CMU or error message.

This parameter is also available as a hotkey in the remote screen.

Remote control
TRACe:REMote:MODE:DISPlay ON | OFF


Report File

Report File can be activated (box checked) to write the input and output strings of the remote-control interface to a file named Remote.trc in the root directory of the internal hard disk (INTERNAL directory in the Data menu or directory C:\temp). The two parameters Report Display and Report File may be enabled (checked) at the same time.

This parameter is also available as a hotkey in the remote screen.

Remote control
TRACE:REMote:MODE:FILE ON | OFF


SCPI Connect

The SCPI Connection section determines the remote-control interface of the CMU.

The following interface settings are available:

GPIB + COM1 | Auto-detection of the interface, the instruments accepts commands from either the GPIB or COM 1 interface
GPIB | IEEE-bus interface according to IEEE 488,
COM 1 | Serial (RS-232-C) interface COM 1,
COM 2 | Serial (RS-232-C) interface COM 2.

For the characteristics of the interfaces see chapter 1 of the operating manual and section Maintenance and Interfaces - Hardware Interfaces.


Second. Address GPIB

Secondary Address GPIB

The Secondary Address section assigns secondary addresses to up to 29 function group and test mode combinations (secondary address 0 is always mapped to the base system; no re-mapping is possible). The available function groups (e.g. RF Non Signalling, GSM 900 Signalling etc.) can be displayed and selected with the roll-key after an Address n field is activated.

The network and the test (signalling) mode are addressed in the remote-control commands in the form of the associated secondary address, see Chapter 5, Setting the Device Addresses, and Chapter 7, Program Examples.

Remote control
SYSTem:REMote:ADDRess:SECondary <Addr>,<FGrp>


Software Options

The Software Options section contains a list of all software options for the CMU. The check boxes behind each software option determine the system configuration:

Enable | Enable (box checked) or disable software option. Options purchased with a new unit are already enabled. Software options purchased later must be explicitly enabled with a key code to be functional; see below.
Ch1 active Ch2 | Activate (box checked) or deactivate software option on the next reboot. After deactivating an option by unchecking one of the boxes, the CMU displays the following message: Deactivating software options that are temporarily not needed improves the system performance, especially during the start-up process when all active firmware options must be loaded. An enabled but deactivated option can be re-activated any time without any key code or other additional input.

Note:
Some options, e.g. CMU-K39 to CMU-K43 are supplementary options extending the GSM-BTS and GSM-MS options. The supplementary options must be enabled with a key code but can not be deactivated. No Ch1 active Ch2 boxes are provided.
Enabled options are active by default. Disabled options are inactive and can not be activated.

Remote control
SYSTem:OPTions?
*OPT?


Task Priority Management

Local -> Remote Mode: Task Priority Management

Determines the behavior of the R&S® CMU if conflicting measurements or generators are run in parallel; see section Task Priority Management.

Task Priority Management On (box checked) | All measurements and generators are releasable: A new measurement/generator has priority over a running measurement/generator.
Off | All measurements and generators are persistent: A running measurement/generator has priority over a new measurement/generator.

The Task Priority Management setting is not changed after a reset.

Remote control
SYSTem:GTRMode:TPManagement ON | OFF


Time

The Time table section sets the current time and its display format:

hh:mm:ss. | Time in the format hours:minutes:seconds,
Zone | Selection of the time zone, Middle European time (Greenwich mean time (GMT) + 1 h) is set by default,
Format | 12 Hours: 12:00:00 am ... 11:59:59 am; 12:00:00 pm ... 11:59:59 pm 24 Hours: 0:00:00 ... 23:59:59

Remote control
SYSTem:TIMe[:TIMe]
SYSTem:TZONe


Displays in the Startup Menu

The display windows of the startup menu provide information on

  • The startup procedure (Process)
  • Instrument model, serial number and version of the CMU base software (Info).
  • Installed hardware and software options and equipment (Options). Available software options are listed with their version numbers.
  • Progress of the startup procedure (Startup bar graph).

After terminating the startup procedure, the instrument changes to the last main menu or graphical measurement menu of the previous session.


Hotkeys of the Startup Menu

During the startup procedure, the hotkeys of the startup menu are available.

Default | The Default hotkey activates the default settings of the instrument for all function groups and test modes. Alternatively, a reset can be performed any time using the RESET key.
Wait | The Wait hotkey prevents the instrument from closing the Startup menu. As a result of this, the Wait softkey changes to Cont. with the additional message Change to last menu displayed on top. Instead of changing to the last main menu or graphical measurement menu of the previous session the measurement can be continued by pressing a key (Menu Select, Setup, ...).


Task Priority Management

The Universal Radio Communication Tester R&S CMU is a modular platform supporting a wide range of network standards with specific, preconfigured measurements and generators. For the remainder of this section, measurements and generators are both termed Objects.

In general, the testers are capable of running several objects in parallel. E.g. the GSM900 RF generator can be used to establish a connection to a mobile station under test, and to perform a Receiver Quality and a Modulation measurement simultaneously. Conflicts between different objects may occur if they rely upon the same system resources.

The Task Priority Management parameter in the Setup – Remote tab provides a control mechanism for conflicting objects, leaving it up to the user’s choice whether a running object should persist, or whether it should be released when the next object is initiated.

Persistent Objects

If Task Priority Management is disabled, all objects are persistent. This means that a running object (measurement state RUN) has priority over any new object that is in conflict with the running object. If an attempt is made to initiate a new object, the CMU generates the SCPI error –213, Init ignored. The old object continues to be executed, whereas the new object remains in the OFF state.

To start a new object, it is necessary to abort the running object explicitly or wait until valid results are available and the measurement status is RDY (for measurement objects only; see Conflicting Measurement Objects).

Releasable Objects

If Task Priority Management is enabled, all objects are releasable. This means that any new object has priority over a running object (or several running objects, measurement state RUN) that is in conflict with the new object. If a new object is initiated, the CMU aborts the running object. The old object enters the OFF state, whereas the new object enters the RUN state.

A new object can be started without delay irrespective of the instrument state.

Selection Criteria

Whether to attribute the priority to running or to new objects depends on the measurement task and the preferences of the programmer, see examples below.

  • The persistent object scheme ensures that a running object can not be aborted by new objects. A running measurement is generally continued, at least until valid results are available and the measurement status becomes RDY. A generator signal is not switched off; in Signalling test modes, release of the connection because of a missing RF signal from the CMU is avoided.

  • The releasable object scheme ensures that any new object can be started without delay irrespective of the instrument state. The instrument always obeys the last statement in the command sequence; the instrument state is predictable.

Examples

The following examples illustrate the different behavior of the instrument for the two task priority schemes. The remote control commands are taken from the GSM900-MS Non Signalling and GSM900-MS Signalling function groups.

1. Conflicting generator objects

Consider the RF Generator in Non Signalling mode and the BS Signal generator in Signalling mode. The two generator objects are in conflict. The generator states can be queried by means of FETCh:RFGenerator:STATus? (Non Signalling) and SIGNalling:STATe? (Signalling), using the appropriate secondary addresses.

Command Sequence | Current Scheme: Persistent Objects |  | Alternative Scheme: Releasable Objects
 | Object 1: RF Generator | Object 2: Signalling Generator (BS Signal) | Object 1: RF Generator | Object 2: Signalling Generator (BS Signal)
*RST | OFF | OFF | OFF | OFF
Sec_Addr. 1: INITiate:RFGenerator | RUN | OFF | RUN | OFF
Sec_Addr. 2: PROCedure:SIGNalling:ACTion SON | RUN | OFF (—> Init ignored) | OFF | SON

2. Conflicting measurement objects, state RDY

Assume that two measurements <Meas_1> and <Meas_2> are in conflict. The status of the measurements can be queried by means of FETCh:<Meas_1>:STATus? and FETCh:<Meas_2>:STATus?. If <Meas_1> is terminated using a FETCh:<Meas_1>? command before <Meas_2> is initiated, then the two task priority schemes are equivalent.

Command Sequence | Current Scheme: Persistent Objects |  | Alternative Scheme: Releasable Objects
 | Object 1: < Meas_1> | Object 2: < Meas_2> | Object 1: < Meas_1> | Object 2: < Meas_2>
*RST | OFF | OFF | OFF | OFF
INITiate:<Meas_1> FETCh:<Meas_1>? | RUN RDY | OFF OFF | RUN RDY | OFF OFF
INITiate:<Meas_2> FETCh:<Meas_2>? | OFF OFF | RUN RDY | OFF OFF | RUN RDY

3. Conflicting measurement objects, state RUN

Assume that two measurements <Meas_1> and <Meas_2> are in conflict. The status of the measurements can be queried by means of FETCh:<Meas_1>:STATus? and FETCh:<Meas_2>:STATus?.

Command Sequence | Current Scheme: Persistent Objects |  | Alternative Scheme: Releasable Objects
 | Object 1: < Meas_1> | Object 2: < Meas_2> | Object 1: < Meas_1> | Object 2: < Meas_2>
*RST | OFF | OFF | OFF | OFF
INITiate:<Meas_1> | RUN | OFF | RUN | OFF
INITiate:<Meas_2> | RUN | OFF (—> Init ignored) | OFF | RUN
FETCh:<Meas_2>? | RUN | OFF (results: NAN) | OFF | RDY (valid results)
FETCh:<Meas_1>? | RDY (valid results) | OFF | OFF (results: NAN) | RDY

4. Conflicting generator objects with measurements

Assume that <Signalling_i> and <Meas_i> (I = 1, 2) denote the BS Signal generator and a measurement in function groups GSM900 and GSM1800, respectively. The two generator objects are in conflict, and so are the measurement objects which we assume to rely upon the generator signals.

The generator states can be queried by means of SIGNalling:STATe? (Signalling), using different secondary addresses. The status of the measurements can be queried by means of FETCh:<Meas_1>:STATus?, again using the appropriate secondary addresses.

Command Sequence | Current Scheme: Persistent Objects
 | <Signalling_1> | <Meas_1> | <Signalling_2> | <Meas_2>
*RST | SOFF | OFF | SOFF | OFF
Sec_Addr. 1: PROCedure:SIGNalling:ACTion SON | SON | OFF | SOFF | OFF
Sec_Addr. 1: INITiate:<Meas_1> | SON | RUN | SOFF | OFF
Sec_Addr. 1: PROCedure:SIGNalling:ACTion MTC | CEST | RUN | SOFF | OFF
Sec_Addr. 2: PROCedure:SIGNalling:ACTion SON | CEST | RUN | SOFF —> Init ignored) | OFF
Sec_Addr. 2: INITiate:<Meas_2> | CEST | RUN | SOFF | OFF (—> Init ignored)

Command Sequence | Alternative Scheme: Releasable Objects
 | <Signalling_1> | <Meas_1> | <Signalling_2> | <Meas_2>
*RST | SOFF | OFF | SOFF | OFF
Sec_Addr. 1: PROCedure:SIGNalling:ACTion SON | SON | OFF | SOFF | OFF
Sec_Addr. 1: INITiate:<Meas_1> | SON | RUN | SOFF | OFF
Sec_Addr. 1: PROCedure:SIGNalling:ACTion MTC | CEST | RUN | SOFF | OFF
Sec_Addr. 2: PROCedure:SIGNalling:ACTion SON | SOFF | OFF | SON | OFF
Sec_Addr. 2: INITiate:<Meas_2> | SOFF | OFF | SON | RUN